#line 534 "filter/decl.m4"


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmisleading-indentation"
#endif

#include "nest/bird.h"
#include "filter/filter.h"
#include "filter/f-inst.h"

/* Instruction codes to string */
static const char * const f_instruction_name_str[] = {
#line 288 "filter/f-inst.c"
 /* Code enum to string for FI_ADD */
#line 288
  [FI_ADD] = "FI_ADD",
#line 293 "filter/f-inst.c"
 /* Code enum to string for FI_SUBTRACT */
#line 293
  [FI_SUBTRACT] = "FI_SUBTRACT",
#line 298 "filter/f-inst.c"
 /* Code enum to string for FI_MULTIPLY */
#line 298
  [FI_MULTIPLY] = "FI_MULTIPLY",
#line 304 "filter/f-inst.c"
 /* Code enum to string for FI_DIVIDE */
#line 304
  [FI_DIVIDE] = "FI_DIVIDE",
#line 309 "filter/f-inst.c"
 /* Code enum to string for FI_BITOR */
#line 309
  [FI_BITOR] = "FI_BITOR",
#line 314 "filter/f-inst.c"
 /* Code enum to string for FI_BITAND */
#line 314
  [FI_BITAND] = "FI_BITAND",
#line 324 "filter/f-inst.c"
 /* Code enum to string for FI_AND */
#line 324
  [FI_AND] = "FI_AND",
#line 335 "filter/f-inst.c"
 /* Code enum to string for FI_OR */
#line 335
  [FI_OR] = "FI_OR",
#line 345 "filter/f-inst.c"
 /* Code enum to string for FI_PAIR_CONSTRUCT */
#line 345
  [FI_PAIR_CONSTRUCT] = "FI_PAIR_CONSTRUCT",
#line 385 "filter/f-inst.c"
 /* Code enum to string for FI_EC_CONSTRUCT */
#line 385
  [FI_EC_CONSTRUCT] = "FI_EC_CONSTRUCT",
#line 392 "filter/f-inst.c"
 /* Code enum to string for FI_LC_CONSTRUCT */
#line 392
  [FI_LC_CONSTRUCT] = "FI_LC_CONSTRUCT",
#line 442 "filter/f-inst.c"
 /* Code enum to string for FI_PATHMASK_CONSTRUCT */
#line 442
  [FI_PATHMASK_CONSTRUCT] = "FI_PATHMASK_CONSTRUCT",
#line 449 "filter/f-inst.c"
 /* Code enum to string for FI_NEQ */
#line 449
  [FI_NEQ] = "FI_NEQ",
#line 456 "filter/f-inst.c"
 /* Code enum to string for FI_EQ */
#line 456
  [FI_EQ] = "FI_EQ",
#line 467 "filter/f-inst.c"
 /* Code enum to string for FI_LT */
#line 467
  [FI_LT] = "FI_LT",
#line 478 "filter/f-inst.c"
 /* Code enum to string for FI_LTE */
#line 478
  [FI_LTE] = "FI_LTE",
#line 483 "filter/f-inst.c"
 /* Code enum to string for FI_NOT */
#line 483
  [FI_NOT] = "FI_NOT",
#line 492 "filter/f-inst.c"
 /* Code enum to string for FI_MATCH */
#line 492
  [FI_MATCH] = "FI_MATCH",
#line 501 "filter/f-inst.c"
 /* Code enum to string for FI_NOT_MATCH */
#line 501
  [FI_NOT_MATCH] = "FI_NOT_MATCH",
#line 506 "filter/f-inst.c"
 /* Code enum to string for FI_DEFINED */
#line 506
  [FI_DEFINED] = "FI_DEFINED",
#line 507 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__type */
#line 507
  [FI_METHOD__T_NET__type] = "FI_METHOD__T_NET__type",
#line 510 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_IP__is_v4 */
#line 510
  [FI_METHOD__T_IP__is_v4] = "FI_METHOD__T_IP__is_v4",
#line 523 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_INIT */
#line 523
  [FI_VAR_INIT] = "FI_VAR_INIT",
#line 534 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_INIT0 */
#line 534
  [FI_VAR_INIT0] = "FI_VAR_INIT0",
#line 543 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_SET */
#line 543
  [FI_VAR_SET] = "FI_VAR_SET",
#line 550 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_GET */
#line 550
  [FI_VAR_GET] = "FI_VAR_GET",
#line 563 "filter/f-inst.c"
 /* Code enum to string for FI_CONSTANT */
#line 563
  [FI_CONSTANT] = "FI_CONSTANT",
#line 564 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__empty */
#line 564
  [FI_METHOD__T_PATH__empty] = "FI_METHOD__T_PATH__empty",
#line 565 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__empty */
#line 565
  [FI_METHOD__T_CLIST__empty] = "FI_METHOD__T_CLIST__empty",
#line 566 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__empty */
#line 566
  [FI_METHOD__T_ECLIST__empty] = "FI_METHOD__T_ECLIST__empty",
#line 569 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__empty */
#line 569
  [FI_METHOD__T_LCLIST__empty] = "FI_METHOD__T_LCLIST__empty",
#line 591 "filter/f-inst.c"
 /* Code enum to string for FI_FOR_LOOP_START */
#line 591
  [FI_FOR_LOOP_START] = "FI_FOR_LOOP_START",
#line 600 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_FOR_NEXT */
#line 600
  [FI_PATH_FOR_NEXT] = "FI_PATH_FOR_NEXT",
#line 609 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FOR_NEXT */
#line 609
  [FI_CLIST_FOR_NEXT] = "FI_CLIST_FOR_NEXT",
#line 618 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FOR_NEXT */
#line 618
  [FI_ECLIST_FOR_NEXT] = "FI_ECLIST_FOR_NEXT",
#line 627 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FOR_NEXT */
#line 627
  [FI_LCLIST_FOR_NEXT] = "FI_LCLIST_FOR_NEXT",
#line 640 "filter/f-inst.c"
 /* Code enum to string for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
  [FI_ROUTES_BLOCK_FOR_NEXT] = "FI_ROUTES_BLOCK_FOR_NEXT",
#line 648 "filter/f-inst.c"
 /* Code enum to string for FI_CONDITION */
#line 648
  [FI_CONDITION] = "FI_CONDITION",
#line 661 "filter/f-inst.c"
 /* Code enum to string for FI_PRINT */
#line 661
  [FI_PRINT] = "FI_PRINT",
#line 668 "filter/f-inst.c"
 /* Code enum to string for FI_FLUSH */
#line 668
  [FI_FLUSH] = "FI_FLUSH",
#line 682 "filter/f-inst.c"
 /* Code enum to string for FI_DIE */
#line 682
  [FI_DIE] = "FI_DIE",
#line 689 "filter/f-inst.c"
 /* Code enum to string for FI_CURRENT_ROUTE */
#line 689
  [FI_CURRENT_ROUTE] = "FI_CURRENT_ROUTE",
#line 736 "filter/f-inst.c"
 /* Code enum to string for FI_RTA_GET */
#line 736
  [FI_RTA_GET] = "FI_RTA_GET",
#line 861 "filter/f-inst.c"
 /* Code enum to string for FI_RTA_SET */
#line 861
  [FI_RTA_SET] = "FI_RTA_SET",
#line 898 "filter/f-inst.c"
 /* Code enum to string for FI_EA_GET */
#line 898
  [FI_EA_GET] = "FI_EA_GET",
#line 939 "filter/f-inst.c"
 /* Code enum to string for FI_EA_SET */
#line 939
  [FI_EA_SET] = "FI_EA_SET",
#line 946 "filter/f-inst.c"
 /* Code enum to string for FI_EA_UNSET */
#line 946
  [FI_EA_UNSET] = "FI_EA_UNSET",
#line 960 "filter/f-inst.c"
 /* Code enum to string for FI_DEFAULT */
#line 960
  [FI_DEFAULT] = "FI_DEFAULT",
#line 961 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__len */
#line 961
  [FI_METHOD__T_NET__len] = "FI_METHOD__T_NET__len",
#line 962 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__len */
#line 962
  [FI_METHOD__T_PATH__len] = "FI_METHOD__T_PATH__len",
#line 963 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__len */
#line 963
  [FI_METHOD__T_CLIST__len] = "FI_METHOD__T_CLIST__len",
#line 964 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__len */
#line 964
  [FI_METHOD__T_ECLIST__len] = "FI_METHOD__T_ECLIST__len",
#line 966 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__len */
#line 966
  [FI_METHOD__T_LCLIST__len] = "FI_METHOD__T_LCLIST__len",
#line 1002 "filter/f-inst.c"
 /* Code enum to string for FI_NET_SRC */
#line 1002
  [FI_NET_SRC] = "FI_NET_SRC",
#line 1039 "filter/f-inst.c"
 /* Code enum to string for FI_NET_DST */
#line 1039
  [FI_NET_DST] = "FI_NET_DST",
#line 1049 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__maxlen */
#line 1049
  [FI_METHOD__T_NET__maxlen] = "FI_METHOD__T_NET__maxlen",
#line 1059 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__asn */
#line 1059
  [FI_METHOD__T_NET__asn] = "FI_METHOD__T_NET__asn",
#line 1061 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__ip */
#line 1061
  [FI_METHOD__T_NET__ip] = "FI_METHOD__T_NET__ip",
#line 1070 "filter/f-inst.c"
 /* Code enum to string for FI_ROUTE_DISTINGUISHER */
#line 1070
  [FI_ROUTE_DISTINGUISHER] = "FI_ROUTE_DISTINGUISHER",
#line 1073 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__first */
#line 1073
  [FI_METHOD__T_PATH__first] = "FI_METHOD__T_PATH__first",
#line 1076 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__last */
#line 1076
  [FI_METHOD__T_PATH__last] = "FI_METHOD__T_PATH__last",
#line 1079 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
  [FI_METHOD__T_PATH__last_nonaggregated] = "FI_METHOD__T_PATH__last_nonaggregated",
#line 1082 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PAIR__asn */
#line 1082
  [FI_METHOD__T_PAIR__asn] = "FI_METHOD__T_PAIR__asn",
#line 1085 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PAIR__data */
#line 1085
  [FI_METHOD__T_PAIR__data] = "FI_METHOD__T_PAIR__data",
#line 1088 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__asn */
#line 1088
  [FI_METHOD__T_LC__asn] = "FI_METHOD__T_LC__asn",
#line 1091 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__data1 */
#line 1091
  [FI_METHOD__T_LC__data1] = "FI_METHOD__T_LC__data1",
#line 1094 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__data2 */
#line 1094
  [FI_METHOD__T_LC__data2] = "FI_METHOD__T_LC__data2",
#line 1097 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__min */
#line 1097
  [FI_METHOD__T_CLIST__min] = "FI_METHOD__T_CLIST__min",
#line 1100 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__max */
#line 1100
  [FI_METHOD__T_CLIST__max] = "FI_METHOD__T_CLIST__max",
#line 1103 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__min */
#line 1103
  [FI_METHOD__T_ECLIST__min] = "FI_METHOD__T_ECLIST__min",
#line 1106 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__max */
#line 1106
  [FI_METHOD__T_ECLIST__max] = "FI_METHOD__T_ECLIST__max",
#line 1109 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__min */
#line 1109
  [FI_METHOD__T_LCLIST__min] = "FI_METHOD__T_LCLIST__min",
#line 1111 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__max */
#line 1111
  [FI_METHOD__T_LCLIST__max] = "FI_METHOD__T_LCLIST__max",
#line 1137 "filter/f-inst.c"
 /* Code enum to string for FI_RETURN */
#line 1137
  [FI_RETURN] = "FI_RETURN",
#line 1197 "filter/f-inst.c"
 /* Code enum to string for FI_CALL */
#line 1197
  [FI_CALL] = "FI_CALL",
#line 1202 "filter/f-inst.c"
 /* Code enum to string for FI_DROP_RESULT */
#line 1202
  [FI_DROP_RESULT] = "FI_DROP_RESULT",
#line 1243 "filter/f-inst.c"
 /* Code enum to string for FI_SWITCH */
#line 1243
  [FI_SWITCH] = "FI_SWITCH",
#line 1252 "filter/f-inst.c"
 /* Code enum to string for FI_IP_MASK */
#line 1252
  [FI_IP_MASK] = "FI_IP_MASK",
#line 1260 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_PREPEND */
#line 1260
  [FI_PATH_PREPEND] = "FI_PATH_PREPEND",
#line 1267 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_PAIR */
#line 1267
  [FI_CLIST_ADD_PAIR] = "FI_CLIST_ADD_PAIR",
#line 1281 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_IP */
#line 1281
  [FI_CLIST_ADD_IP] = "FI_CLIST_ADD_IP",
#line 1288 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_QUAD */
#line 1288
  [FI_CLIST_ADD_QUAD] = "FI_CLIST_ADD_QUAD",
#line 1295 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_CLIST */
#line 1295
  [FI_CLIST_ADD_CLIST] = "FI_CLIST_ADD_CLIST",
#line 1302 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_ADD_EC */
#line 1302
  [FI_ECLIST_ADD_EC] = "FI_ECLIST_ADD_EC",
#line 1309 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_ADD_ECLIST */
#line 1309
  [FI_ECLIST_ADD_ECLIST] = "FI_ECLIST_ADD_ECLIST",
#line 1316 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_ADD_LC */
#line 1316
  [FI_LCLIST_ADD_LC] = "FI_LCLIST_ADD_LC",
#line 1323 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_ADD_LCLIST */
#line 1323
  [FI_LCLIST_ADD_LCLIST] = "FI_LCLIST_ADD_LCLIST",
#line 1330 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_DELETE_INT */
#line 1330
  [FI_PATH_DELETE_INT] = "FI_PATH_DELETE_INT",
#line 1342 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_DELETE_SET */
#line 1342
  [FI_PATH_DELETE_SET] = "FI_PATH_DELETE_SET",
#line 1349 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_PAIR */
#line 1349
  [FI_CLIST_DELETE_PAIR] = "FI_CLIST_DELETE_PAIR",
#line 1363 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_IP */
#line 1363
  [FI_CLIST_DELETE_IP] = "FI_CLIST_DELETE_IP",
#line 1370 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_QUAD */
#line 1370
  [FI_CLIST_DELETE_QUAD] = "FI_CLIST_DELETE_QUAD",
#line 1377 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_CLIST */
#line 1377
  [FI_CLIST_DELETE_CLIST] = "FI_CLIST_DELETE_CLIST",
#line 1388 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_SET */
#line 1388
  [FI_CLIST_DELETE_SET] = "FI_CLIST_DELETE_SET",
#line 1395 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_EC */
#line 1395
  [FI_ECLIST_DELETE_EC] = "FI_ECLIST_DELETE_EC",
#line 1402 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_ECLIST */
#line 1402
  [FI_ECLIST_DELETE_ECLIST] = "FI_ECLIST_DELETE_ECLIST",
#line 1413 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_SET */
#line 1413
  [FI_ECLIST_DELETE_SET] = "FI_ECLIST_DELETE_SET",
#line 1420 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_LC */
#line 1420
  [FI_LCLIST_DELETE_LC] = "FI_LCLIST_DELETE_LC",
#line 1427 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_LCLIST */
#line 1427
  [FI_LCLIST_DELETE_LCLIST] = "FI_LCLIST_DELETE_LCLIST",
#line 1438 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_SET */
#line 1438
  [FI_LCLIST_DELETE_SET] = "FI_LCLIST_DELETE_SET",
#line 1449 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_FILTER_SET */
#line 1449
  [FI_PATH_FILTER_SET] = "FI_PATH_FILTER_SET",
#line 1456 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FILTER_CLIST */
#line 1456
  [FI_CLIST_FILTER_CLIST] = "FI_CLIST_FILTER_CLIST",
#line 1467 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FILTER_SET */
#line 1467
  [FI_CLIST_FILTER_SET] = "FI_CLIST_FILTER_SET",
#line 1474 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FILTER_ECLIST */
#line 1474
  [FI_ECLIST_FILTER_ECLIST] = "FI_ECLIST_FILTER_ECLIST",
#line 1485 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FILTER_SET */
#line 1485
  [FI_ECLIST_FILTER_SET] = "FI_ECLIST_FILTER_SET",
#line 1492 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FILTER_LCLIST */
#line 1492
  [FI_LCLIST_FILTER_LCLIST] = "FI_LCLIST_FILTER_LCLIST",
#line 1503 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FILTER_SET */
#line 1503
  [FI_LCLIST_FILTER_SET] = "FI_LCLIST_FILTER_SET",
#line 1525 "filter/f-inst.c"
 /* Code enum to string for FI_ROA_CHECK */
#line 1525
  [FI_ROA_CHECK] = "FI_ROA_CHECK",
#line 1541 "filter/f-inst.c"
 /* Code enum to string for FI_ASPA_CHECK_EXPLICIT */
#line 1541
  [FI_ASPA_CHECK_EXPLICIT] = "FI_ASPA_CHECK_EXPLICIT",
#line 1556 "filter/f-inst.c"
 /* Code enum to string for FI_FROM_HEX */
#line 1556
  [FI_FROM_HEX] = "FI_FROM_HEX",
#line 1561 "filter/f-inst.c"
 /* Code enum to string for FI_FORMAT */
#line 1561
  [FI_FORMAT] = "FI_FORMAT",
#line 830 "filter/decl.m4"
 /* Code enum to string for FI_ASSERT */
#line 830
  [FI_ASSERT] = "FI_ASSERT",
#line 547 "filter/decl.m4"

};

const char *
f_instruction_name_(enum f_instruction_code fi)
{
  if (fi < (sizeof(f_instruction_name_str) / sizeof(f_instruction_name_str[0])))
    return f_instruction_name_str[fi];
  else
    bug("Got unknown instruction code: %d", fi);
}

static inline struct f_inst *
fi_new(enum f_instruction_code fi_code)
{
  struct f_inst *what = tmp_allocz(sizeof(struct f_inst));
  what->lineno = ifs->lino;
  what->size = 1;
  what->fi_code = fi_code;
  return what;
}

static inline struct f_inst *
fi_constant(struct f_inst *what, struct f_val val)
{
  what->fi_code = FI_CONSTANT;
  what->i_FI_CONSTANT.val = val;
  return what;
}

int
f_const_promotion_(struct f_inst *arg, btype want, int update)
{
  if (arg->fi_code != FI_CONSTANT)
    return 0;

  struct f_val *c = &arg->i_FI_CONSTANT.val;

  if ((c->type == T_IP) && ipa_is_ip4(c->val.ip) && (want == T_QUAD)) {
    if (update)
      *c = (struct f_val) {
        .type = T_QUAD,
        .val.i = ipa_to_u32(c->val.ip),
      };
    return 1;
  }

  else if ((c->type == T_SET) && (!c->val.t) && (want == T_PREFIX_SET)) {
    if (update)
      *c = f_const_empty_prefix_set;
    return 1;
  }

  return 0;
}

#define v1 whati->f1->i_FI_CONSTANT.val
#define v2 whati->f2->i_FI_CONSTANT.val
#define v3 whati->f3->i_FI_CONSTANT.val
#define vv(i) items[i]->i_FI_CONSTANT.val
#define runtime(fmt, ...) cf_error("filter preevaluation, line %d: " fmt, ifs->lino, ##__VA_ARGS__)
#define fpool cfg_mem
#define falloc(size) cfg_alloc(size)
/* Instruction constructors */
#line 288 "filter/f-inst.c"
 /* Constructor for FI_ADD */
#line 288
struct f_inst *
#line 284 "filter/f-inst.c"
NONNULL(2)
#line 285 "filter/f-inst.c"
NONNULL(3)
#line 288 "filter/f-inst.c"
f_new_inst_FI_ADD(enum f_instruction_code fi_code
#line 284 "filter/f-inst.c"
  , struct f_inst * f1
#line 285 "filter/f-inst.c"
  , struct f_inst * f2
#line 288 "filter/f-inst.c"
)
#line 288
  {
#line 288
    /* Allocate the structure */
#line 288
    struct f_inst *what = fi_new(fi_code);
#line 288
    uint constargs = 1;
#line 288

#line 288
    /* Initialize all the members */
#line 288
  #define whati (&(what->i_FI_ADD))
#line 288
  #line 284 "filter/f-inst.c"
whati->f1 = f1;
#line 284
const struct f_inst *child1 = f1;
#line 284
do {
#line 284
  what->size += child1->size;
#line 284

#line 284
  if (child1->fi_code != FI_CONSTANT)
#line 284
    constargs = 0;
#line 284

#line 284
} while (child1 = child1->next);
#line 284

#line 284 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 284
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 284
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 285 "filter/f-inst.c"
whati->f2 = f2;
#line 285
const struct f_inst *child2 = f2;
#line 285
do {
#line 285
  what->size += child2->size;
#line 285

#line 285
  if (child2->fi_code != FI_CONSTANT)
#line 285
    constargs = 0;
#line 285

#line 285
} while (child2 = child2->next);
#line 285 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 285
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 285
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 286 "filter/f-inst.c"
what->type = T_INT;

#line 288 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 288
    if (!constargs)
#line 288
      return what;
#line 288

#line 288
    /* Try to pre-calculate the result */
#line 288
    #line 283 "filter/f-inst.c"
 {
    
#line 284 "filter/f-inst.c"
 #line 284 "filter/f-inst.c"
 ;
#line 285 "filter/f-inst.c"
    
#line 285 "filter/f-inst.c"
 #line 285 "filter/f-inst.c"
 ;
#line 286 "filter/f-inst.c"
     
#line 286 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i + v2.val.i } );
  }
  
  #undef whati
#line 288 "filter/f-inst.c"
  }
#line 288

#line 288

#line 293 "filter/f-inst.c"
 /* Constructor for FI_SUBTRACT */
#line 293
struct f_inst *
#line 289 "filter/f-inst.c"
NONNULL(2)
#line 290 "filter/f-inst.c"
NONNULL(3)
#line 293 "filter/f-inst.c"
f_new_inst_FI_SUBTRACT(enum f_instruction_code fi_code
#line 289 "filter/f-inst.c"
  , struct f_inst * f1
#line 290 "filter/f-inst.c"
  , struct f_inst * f2
#line 293 "filter/f-inst.c"
)
#line 293
  {
#line 293
    /* Allocate the structure */
#line 293
    struct f_inst *what = fi_new(fi_code);
#line 293
    uint constargs = 1;
#line 293

#line 293
    /* Initialize all the members */
#line 293
  #define whati (&(what->i_FI_SUBTRACT))
#line 293
  #line 289 "filter/f-inst.c"
whati->f1 = f1;
#line 289
const struct f_inst *child1 = f1;
#line 289
do {
#line 289
  what->size += child1->size;
#line 289

#line 289
  if (child1->fi_code != FI_CONSTANT)
#line 289
    constargs = 0;
#line 289

#line 289
} while (child1 = child1->next);
#line 289

#line 289 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 289
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 289
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 290 "filter/f-inst.c"
whati->f2 = f2;
#line 290
const struct f_inst *child2 = f2;
#line 290
do {
#line 290
  what->size += child2->size;
#line 290

#line 290
  if (child2->fi_code != FI_CONSTANT)
#line 290
    constargs = 0;
#line 290

#line 290
} while (child2 = child2->next);
#line 290 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 290
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 290
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 291 "filter/f-inst.c"
what->type = T_INT;

#line 293 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 293
    if (!constargs)
#line 293
      return what;
#line 293

#line 293
    /* Try to pre-calculate the result */
#line 293
    #line 288 "filter/f-inst.c"
 {
    
#line 289 "filter/f-inst.c"
 #line 289 "filter/f-inst.c"
 ;
#line 290 "filter/f-inst.c"
    
#line 290 "filter/f-inst.c"
 #line 290 "filter/f-inst.c"
 ;
#line 291 "filter/f-inst.c"
     
#line 291 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i - v2.val.i } );
  }
  
  #undef whati
#line 293 "filter/f-inst.c"
  }
#line 293

#line 293

#line 298 "filter/f-inst.c"
 /* Constructor for FI_MULTIPLY */
#line 298
struct f_inst *
#line 294 "filter/f-inst.c"
NONNULL(2)
#line 295 "filter/f-inst.c"
NONNULL(3)
#line 298 "filter/f-inst.c"
f_new_inst_FI_MULTIPLY(enum f_instruction_code fi_code
#line 294 "filter/f-inst.c"
  , struct f_inst * f1
#line 295 "filter/f-inst.c"
  , struct f_inst * f2
#line 298 "filter/f-inst.c"
)
#line 298
  {
#line 298
    /* Allocate the structure */
#line 298
    struct f_inst *what = fi_new(fi_code);
#line 298
    uint constargs = 1;
#line 298

#line 298
    /* Initialize all the members */
#line 298
  #define whati (&(what->i_FI_MULTIPLY))
#line 298
  #line 294 "filter/f-inst.c"
whati->f1 = f1;
#line 294
const struct f_inst *child1 = f1;
#line 294
do {
#line 294
  what->size += child1->size;
#line 294

#line 294
  if (child1->fi_code != FI_CONSTANT)
#line 294
    constargs = 0;
#line 294

#line 294
} while (child1 = child1->next);
#line 294

#line 294 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 294
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 294
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 295 "filter/f-inst.c"
whati->f2 = f2;
#line 295
const struct f_inst *child2 = f2;
#line 295
do {
#line 295
  what->size += child2->size;
#line 295

#line 295
  if (child2->fi_code != FI_CONSTANT)
#line 295
    constargs = 0;
#line 295

#line 295
} while (child2 = child2->next);
#line 295 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 295
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 295
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 296 "filter/f-inst.c"
what->type = T_INT;

#line 298 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 298
    if (!constargs)
#line 298
      return what;
#line 298

#line 298
    /* Try to pre-calculate the result */
#line 298
    #line 293 "filter/f-inst.c"
 {
    
#line 294 "filter/f-inst.c"
 #line 294 "filter/f-inst.c"
 ;
#line 295 "filter/f-inst.c"
    
#line 295 "filter/f-inst.c"
 #line 295 "filter/f-inst.c"
 ;
#line 296 "filter/f-inst.c"
     
#line 296 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i * v2.val.i } );
  }
  
  #undef whati
#line 298 "filter/f-inst.c"
  }
#line 298

#line 298

#line 304 "filter/f-inst.c"
 /* Constructor for FI_DIVIDE */
#line 304
struct f_inst *
#line 299 "filter/f-inst.c"
NONNULL(2)
#line 300 "filter/f-inst.c"
NONNULL(3)
#line 304 "filter/f-inst.c"
f_new_inst_FI_DIVIDE(enum f_instruction_code fi_code
#line 299 "filter/f-inst.c"
  , struct f_inst * f1
#line 300 "filter/f-inst.c"
  , struct f_inst * f2
#line 304 "filter/f-inst.c"
)
#line 304
  {
#line 304
    /* Allocate the structure */
#line 304
    struct f_inst *what = fi_new(fi_code);
#line 304
    uint constargs = 1;
#line 304

#line 304
    /* Initialize all the members */
#line 304
  #define whati (&(what->i_FI_DIVIDE))
#line 304
  #line 299 "filter/f-inst.c"
whati->f1 = f1;
#line 299
const struct f_inst *child1 = f1;
#line 299
do {
#line 299
  what->size += child1->size;
#line 299

#line 299
  if (child1->fi_code != FI_CONSTANT)
#line 299
    constargs = 0;
#line 299

#line 299
} while (child1 = child1->next);
#line 299

#line 299 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 299
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 299
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 300 "filter/f-inst.c"
whati->f2 = f2;
#line 300
const struct f_inst *child2 = f2;
#line 300
do {
#line 300
  what->size += child2->size;
#line 300

#line 300
  if (child2->fi_code != FI_CONSTANT)
#line 300
    constargs = 0;
#line 300

#line 300
} while (child2 = child2->next);
#line 300 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 300
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 300
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 302 "filter/f-inst.c"
what->type = T_INT;

#line 304 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 304
    if (!constargs)
#line 304
      return what;
#line 304

#line 304
    /* Try to pre-calculate the result */
#line 304
    #line 298 "filter/f-inst.c"
 {
    
#line 299 "filter/f-inst.c"
 #line 299 "filter/f-inst.c"
 ;
#line 300 "filter/f-inst.c"
    
#line 300 "filter/f-inst.c"
 #line 300 "filter/f-inst.c"
 ;
#line 301 "filter/f-inst.c"
    if (v2.val.i == 0) runtime( "Mother told me not to divide by 0" );
     
#line 302 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i / v2.val.i } );
  }
  
  #undef whati
#line 304 "filter/f-inst.c"
  }
#line 304

#line 304

#line 309 "filter/f-inst.c"
 /* Constructor for FI_BITOR */
#line 309
struct f_inst *
#line 305 "filter/f-inst.c"
NONNULL(2)
#line 306 "filter/f-inst.c"
NONNULL(3)
#line 309 "filter/f-inst.c"
f_new_inst_FI_BITOR(enum f_instruction_code fi_code
#line 305 "filter/f-inst.c"
  , struct f_inst * f1
#line 306 "filter/f-inst.c"
  , struct f_inst * f2
#line 309 "filter/f-inst.c"
)
#line 309
  {
#line 309
    /* Allocate the structure */
#line 309
    struct f_inst *what = fi_new(fi_code);
#line 309
    uint constargs = 1;
#line 309

#line 309
    /* Initialize all the members */
#line 309
  #define whati (&(what->i_FI_BITOR))
#line 309
  #line 305 "filter/f-inst.c"
whati->f1 = f1;
#line 305
const struct f_inst *child1 = f1;
#line 305
do {
#line 305
  what->size += child1->size;
#line 305

#line 305
  if (child1->fi_code != FI_CONSTANT)
#line 305
    constargs = 0;
#line 305

#line 305
} while (child1 = child1->next);
#line 305

#line 305 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 305
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 305
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 306 "filter/f-inst.c"
whati->f2 = f2;
#line 306
const struct f_inst *child2 = f2;
#line 306
do {
#line 306
  what->size += child2->size;
#line 306

#line 306
  if (child2->fi_code != FI_CONSTANT)
#line 306
    constargs = 0;
#line 306

#line 306
} while (child2 = child2->next);
#line 306 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 306
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 306
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 307 "filter/f-inst.c"
what->type = T_INT;

#line 309 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 309
    if (!constargs)
#line 309
      return what;
#line 309

#line 309
    /* Try to pre-calculate the result */
#line 309
    #line 304 "filter/f-inst.c"
 {
    
#line 305 "filter/f-inst.c"
 #line 305 "filter/f-inst.c"
 ;
#line 306 "filter/f-inst.c"
    
#line 306 "filter/f-inst.c"
 #line 306 "filter/f-inst.c"
 ;
#line 307 "filter/f-inst.c"
     
#line 307 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i | v2.val.i } );
  }
  
  #undef whati
#line 309 "filter/f-inst.c"
  }
#line 309

#line 309

#line 314 "filter/f-inst.c"
 /* Constructor for FI_BITAND */
#line 314
struct f_inst *
#line 310 "filter/f-inst.c"
NONNULL(2)
#line 311 "filter/f-inst.c"
NONNULL(3)
#line 314 "filter/f-inst.c"
f_new_inst_FI_BITAND(enum f_instruction_code fi_code
#line 310 "filter/f-inst.c"
  , struct f_inst * f1
#line 311 "filter/f-inst.c"
  , struct f_inst * f2
#line 314 "filter/f-inst.c"
)
#line 314
  {
#line 314
    /* Allocate the structure */
#line 314
    struct f_inst *what = fi_new(fi_code);
#line 314
    uint constargs = 1;
#line 314

#line 314
    /* Initialize all the members */
#line 314
  #define whati (&(what->i_FI_BITAND))
#line 314
  #line 310 "filter/f-inst.c"
whati->f1 = f1;
#line 310
const struct f_inst *child1 = f1;
#line 310
do {
#line 310
  what->size += child1->size;
#line 310

#line 310
  if (child1->fi_code != FI_CONSTANT)
#line 310
    constargs = 0;
#line 310

#line 310
} while (child1 = child1->next);
#line 310

#line 310 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 310
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 310
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 311 "filter/f-inst.c"
whati->f2 = f2;
#line 311
const struct f_inst *child2 = f2;
#line 311
do {
#line 311
  what->size += child2->size;
#line 311

#line 311
  if (child2->fi_code != FI_CONSTANT)
#line 311
    constargs = 0;
#line 311

#line 311
} while (child2 = child2->next);
#line 311 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 311
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 311
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 312 "filter/f-inst.c"
what->type = T_INT;

#line 314 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 314
    if (!constargs)
#line 314
      return what;
#line 314

#line 314
    /* Try to pre-calculate the result */
#line 314
    #line 309 "filter/f-inst.c"
 {
    
#line 310 "filter/f-inst.c"
 #line 310 "filter/f-inst.c"
 ;
#line 311 "filter/f-inst.c"
    
#line 311 "filter/f-inst.c"
 #line 311 "filter/f-inst.c"
 ;
#line 312 "filter/f-inst.c"
     
#line 312 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i & v2.val.i } );
  }
  
  #undef whati
#line 314 "filter/f-inst.c"
  }
#line 314

#line 314

#line 324 "filter/f-inst.c"
 /* Constructor for FI_AND */
#line 324
struct f_inst *
#line 315 "filter/f-inst.c"
NONNULL(2)
#line 324 "filter/f-inst.c"
f_new_inst_FI_AND(enum f_instruction_code fi_code
#line 315 "filter/f-inst.c"
  , struct f_inst * f1
#line 320 "filter/f-inst.c"
  , struct f_inst * f2
#line 324 "filter/f-inst.c"
)
#line 324
  {
#line 324
    /* Allocate the structure */
#line 324
    struct f_inst *what = fi_new(fi_code);
#line 324
    uint constargs = 1;
#line 324

#line 324
    /* Initialize all the members */
#line 324
  #define whati (&(what->i_FI_AND))
#line 324
  #line 315 "filter/f-inst.c"
whati->f1 = f1;
#line 315
const struct f_inst *child1 = f1;
#line 315
do {
#line 315
  what->size += child1->size;
#line 315

#line 315
  if (child1->fi_code != FI_CONSTANT)
#line 315
    constargs = 0;
#line 315

#line 315
} while (child1 = child1->next);
#line 315

#line 315 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 315
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 315
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 316 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 316
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 316
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 317 "filter/f-inst.c"
what->type = T_BOOL;
#line 320 "filter/f-inst.c"
whati->f2 = f2;

#line 324 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 324
    if (!constargs)
#line 324
      return what;
#line 324

#line 324
    /* Try to pre-calculate the result */
#line 324
    #line 314 "filter/f-inst.c"
 {
    
#line 315 "filter/f-inst.c"
 #line 315 "filter/f-inst.c"
 ;
#line 316 "filter/f-inst.c"
    #line 316 "filter/f-inst.c"
;
     
#line 317 "filter/f-inst.c"
;

    if (v1.val.i)
      
#line 320 "filter/f-inst.c"
return whati->f2
#line 320
;
    else
      return fi_constant(what, v1);
  }
  
  #undef whati
#line 324 "filter/f-inst.c"
  }
#line 324

#line 324

#line 335 "filter/f-inst.c"
 /* Constructor for FI_OR */
#line 335
struct f_inst *
#line 325 "filter/f-inst.c"
NONNULL(2)
#line 335 "filter/f-inst.c"
f_new_inst_FI_OR(enum f_instruction_code fi_code
#line 325 "filter/f-inst.c"
  , struct f_inst * f1
#line 330 "filter/f-inst.c"
  , struct f_inst * f2
#line 335 "filter/f-inst.c"
)
#line 335
  {
#line 335
    /* Allocate the structure */
#line 335
    struct f_inst *what = fi_new(fi_code);
#line 335
    uint constargs = 1;
#line 335

#line 335
    /* Initialize all the members */
#line 335
  #define whati (&(what->i_FI_OR))
#line 335
  #line 325 "filter/f-inst.c"
whati->f1 = f1;
#line 325
const struct f_inst *child1 = f1;
#line 325
do {
#line 325
  what->size += child1->size;
#line 325

#line 325
  if (child1->fi_code != FI_CONSTANT)
#line 325
    constargs = 0;
#line 325

#line 325
} while (child1 = child1->next);
#line 325

#line 325 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 325
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 325
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 326 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 326
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 326
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 327 "filter/f-inst.c"
what->type = T_BOOL;
#line 330 "filter/f-inst.c"
whati->f2 = f2;

#line 335 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 335
    if (!constargs)
#line 335
      return what;
#line 335

#line 335
    /* Try to pre-calculate the result */
#line 335
    #line 324 "filter/f-inst.c"
 {
    
#line 325 "filter/f-inst.c"
 #line 325 "filter/f-inst.c"
 ;
#line 326 "filter/f-inst.c"
    #line 326 "filter/f-inst.c"
;
     
#line 327 "filter/f-inst.c"
;

    if (!v1.val.i)
      
#line 330 "filter/f-inst.c"
return whati->f2
#line 330
;
    else
      return fi_constant(what, v1);
  }

  
  #undef whati
#line 335 "filter/f-inst.c"
  }
#line 335

#line 335

#line 345 "filter/f-inst.c"
 /* Constructor for FI_PAIR_CONSTRUCT */
#line 345
struct f_inst *
#line 336 "filter/f-inst.c"
NONNULL(2)
#line 337 "filter/f-inst.c"
NONNULL(3)
#line 345 "filter/f-inst.c"
f_new_inst_FI_PAIR_CONSTRUCT(enum f_instruction_code fi_code
#line 336 "filter/f-inst.c"
  , struct f_inst * f1
#line 337 "filter/f-inst.c"
  , struct f_inst * f2
#line 345 "filter/f-inst.c"
)
#line 345
  {
#line 345
    /* Allocate the structure */
#line 345
    struct f_inst *what = fi_new(fi_code);
#line 345
    uint constargs = 1;
#line 345

#line 345
    /* Initialize all the members */
#line 345
  #define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 345
  #line 336 "filter/f-inst.c"
whati->f1 = f1;
#line 336
const struct f_inst *child1 = f1;
#line 336
do {
#line 336
  what->size += child1->size;
#line 336

#line 336
  if (child1->fi_code != FI_CONSTANT)
#line 336
    constargs = 0;
#line 336

#line 336
} while (child1 = child1->next);
#line 336

#line 336 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 336
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 336
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 337 "filter/f-inst.c"
whati->f2 = f2;
#line 337
const struct f_inst *child2 = f2;
#line 337
do {
#line 337
  what->size += child2->size;
#line 337

#line 337
  if (child2->fi_code != FI_CONSTANT)
#line 337
    constargs = 0;
#line 337

#line 337
} while (child2 = child2->next);
#line 337 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 337
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 337
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 342 "filter/f-inst.c"
what->type = T_PAIR;

#line 345 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 345
    if (!constargs)
#line 345
      return what;
#line 345

#line 345
    /* Try to pre-calculate the result */
#line 345
    #line 335 "filter/f-inst.c"
 {
    
#line 336 "filter/f-inst.c"
 #line 336 "filter/f-inst.c"
 ;
#line 337 "filter/f-inst.c"
    
#line 337 "filter/f-inst.c"
 #line 337 "filter/f-inst.c"
 ;
#line 338 "filter/f-inst.c"
    uint u1 = v1.val.i;
    uint u2 = v2.val.i;
    if ((u1 > 0xFFFF) || (u2 > 0xFFFF))
      runtime( "Can't operate with value out of bounds in pair constructor" );
     
#line 342 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = (u1 << 16) | u2 } );
  }

  
  #undef whati
#line 345 "filter/f-inst.c"
  }
#line 345

#line 345

#line 385 "filter/f-inst.c"
 /* Constructor for FI_EC_CONSTRUCT */
#line 385
struct f_inst *
#line 346 "filter/f-inst.c"
NONNULL(2)
#line 347 "filter/f-inst.c"
NONNULL(3)
#line 385 "filter/f-inst.c"
f_new_inst_FI_EC_CONSTRUCT(enum f_instruction_code fi_code
#line 346 "filter/f-inst.c"
  , struct f_inst * f1
#line 347 "filter/f-inst.c"
  , struct f_inst * f2
#line 349 "filter/f-inst.c"
  , enum ec_subtype ecs
#line 385 "filter/f-inst.c"
)
#line 385
  {
#line 385
    /* Allocate the structure */
#line 385
    struct f_inst *what = fi_new(fi_code);
#line 385
    uint constargs = 1;
#line 385

#line 385
    /* Initialize all the members */
#line 385
  #define whati (&(what->i_FI_EC_CONSTRUCT))
#line 385
  #line 346 "filter/f-inst.c"
whati->f1 = f1;
#line 346
const struct f_inst *child1 = f1;
#line 346
do {
#line 346
  what->size += child1->size;
#line 346

#line 346
  if (child1->fi_code != FI_CONSTANT)
#line 346
    constargs = 0;
#line 346

#line 346
} while (child1 = child1->next);
#line 346

#line 347 "filter/f-inst.c"
whati->f2 = f2;
#line 347
const struct f_inst *child2 = f2;
#line 347
do {
#line 347
  what->size += child2->size;
#line 347

#line 347
  if (child2->fi_code != FI_CONSTANT)
#line 347
    constargs = 0;
#line 347

#line 347
} while (child2 = child2->next);
#line 347 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 347
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 347
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 349 "filter/f-inst.c"
whati->ecs = ecs;
#line 370 "filter/f-inst.c"
what->type = T_EC;

#line 385 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 385
    if (!constargs)
#line 385
      return what;
#line 385

#line 385
    /* Try to pre-calculate the result */
#line 385
    #line 345 "filter/f-inst.c"
 {
    
#line 346 "filter/f-inst.c"
;
    
#line 347 "filter/f-inst.c"
 #line 347 "filter/f-inst.c"
 ;
#line 348 "filter/f-inst.c"

    #line 349 "filter/f-inst.c"
;

    int ipv4_used;
    u32 key, val;

    if (v1.type == T_INT) {
      ipv4_used = 0; key = v1.val.i;
    }
    else if (v1.type == T_QUAD) {
      ipv4_used = 1; key = v1.val.i;
    }
    /* IP->Quad implicit conversion */
    else if (val_is_ip4(&v1)) {
      ipv4_used = 1; key = ipa_to_u32(v1.val.ip);
    }
    else
      runtime("Argument 1 of EC constructor must be integer or IPv4 address, got 0x%02x", v1.type);

    val = v2.val.i;

    if (ecs == EC_GENERIC)
       
#line 370 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_generic(key, val) } );
    else if (ipv4_used)
      if (val <= 0xFFFF)
	 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_ip4(ecs, key, val) } );
      else
	runtime("4-byte value %u can't be used with IP-address key in extended community", val);
    else if (key < 0x10000)
       return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_as2(ecs, key, val) } );
    else
      if (val <= 0xFFFF)
	 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_as4(ecs, key, val) } );
      else
	runtime("4-byte value %u can't be used with 4-byte ASN in extended community", val);
  }

  
  #undef whati
#line 385 "filter/f-inst.c"
  }
#line 385

#line 385

#line 392 "filter/f-inst.c"
 /* Constructor for FI_LC_CONSTRUCT */
#line 392
struct f_inst *
#line 386 "filter/f-inst.c"
NONNULL(2)
#line 387 "filter/f-inst.c"
NONNULL(3)
#line 388 "filter/f-inst.c"
NONNULL(4)
#line 392 "filter/f-inst.c"
f_new_inst_FI_LC_CONSTRUCT(enum f_instruction_code fi_code
#line 386 "filter/f-inst.c"
  , struct f_inst * f1
#line 387 "filter/f-inst.c"
  , struct f_inst * f2
#line 388 "filter/f-inst.c"
  , struct f_inst * f3
#line 392 "filter/f-inst.c"
)
#line 392
  {
#line 392
    /* Allocate the structure */
#line 392
    struct f_inst *what = fi_new(fi_code);
#line 392
    uint constargs = 1;
#line 392

#line 392
    /* Initialize all the members */
#line 392
  #define whati (&(what->i_FI_LC_CONSTRUCT))
#line 392
  #line 386 "filter/f-inst.c"
whati->f1 = f1;
#line 386
const struct f_inst *child1 = f1;
#line 386
do {
#line 386
  what->size += child1->size;
#line 386

#line 386
  if (child1->fi_code != FI_CONSTANT)
#line 386
    constargs = 0;
#line 386

#line 386
} while (child1 = child1->next);
#line 386

#line 386 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 386
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 386
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 387 "filter/f-inst.c"
whati->f2 = f2;
#line 387
const struct f_inst *child2 = f2;
#line 387
do {
#line 387
  what->size += child2->size;
#line 387

#line 387
  if (child2->fi_code != FI_CONSTANT)
#line 387
    constargs = 0;
#line 387

#line 387
} while (child2 = child2->next);
#line 387 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 387
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 387
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 388 "filter/f-inst.c"
whati->f3 = f3;
#line 388
const struct f_inst *child3 = f3;
#line 388
do {
#line 388
  what->size += child3->size;
#line 388

#line 388
  if (child3->fi_code != FI_CONSTANT)
#line 388
    constargs = 0;
#line 388

#line 388
} while (child3 = child3->next);
#line 388 "filter/f-inst.c"
if (f3->type && (f3->type != (T_INT)) && !f_const_promotion(f3, (T_INT)))
#line 388
  cf_error("Argument 3 of %s must be of type %s, got type %s",
#line 388
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f3->type));
#line 389 "filter/f-inst.c"
what->type = T_LC;

#line 392 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 392
    if (!constargs)
#line 392
      return what;
#line 392

#line 392
    /* Try to pre-calculate the result */
#line 392
    #line 385 "filter/f-inst.c"
 {
    
#line 386 "filter/f-inst.c"
 #line 386 "filter/f-inst.c"
 ;
#line 387 "filter/f-inst.c"
    
#line 387 "filter/f-inst.c"
 #line 387 "filter/f-inst.c"
 ;
#line 388 "filter/f-inst.c"
    
#line 388 "filter/f-inst.c"
 #line 388 "filter/f-inst.c"
 ;
#line 389 "filter/f-inst.c"
     
#line 389 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = (lcomm) { v1.val.i, v2.val.i, v3.val.i } } );
  }

  
  #undef whati
#line 392 "filter/f-inst.c"
  }
#line 392

#line 392

#line 442 "filter/f-inst.c"
 /* Constructor for FI_PATHMASK_CONSTRUCT */
#line 442
struct f_inst *
#line 442
f_new_inst_FI_PATHMASK_CONSTRUCT(enum f_instruction_code fi_code
#line 393 "filter/f-inst.c"
  , struct f_inst * fvar
#line 442 "filter/f-inst.c"
)
#line 442
  {
#line 442
    /* Allocate the structure */
#line 442
    struct f_inst *what = fi_new(fi_code);
#line 442
    uint constargs = 1;
#line 442

#line 442
    /* Initialize all the members */
#line 442
  #define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 442
  #line 393 "filter/f-inst.c"
whati->varcount = 0;
#line 393
whati->fvar = fvar;
#line 393
for (const struct f_inst *child = fvar; child; child = child->next, whati->varcount++) {
#line 393
  what->size += child->size;
#line 393

#line 393
  if (child->fi_code != FI_CONSTANT)
#line 393
    constargs = 0;
#line 393

#line 393
}
#line 393

#line 393
  const struct f_inst **items = NULL;
#line 393
  if (constargs && whati->varcount) {
#line 393
    items = alloca(whati->varcount * sizeof(struct f_inst *));
#line 393
    const struct f_inst *child = fvar;
#line 393
    for (uint i=0; child; i++)
#line 393
      child = (items[i] = child)->next;
#line 393
  }
#line 393

#line 437 "filter/f-inst.c"
what->type = T_PATH_MASK;

#line 442 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 442
    if (!constargs)
#line 442
      return what;
#line 442

#line 442
    /* Try to pre-calculate the result */
#line 442
    #line 392 "filter/f-inst.c"
 {
    
#line 393 "filter/f-inst.c"

#line 393

#line 393
;

    struct f_path_mask *pm = falloc(sizeof(struct f_path_mask) + whati->varcount * sizeof(struct f_path_mask_item));
    pm->len = whati->varcount;

    for (uint i=0; i<whati->varcount; i++) {
      switch (vv(i).type) {
	case T_PATH_MASK_ITEM:
	  if (vv(i).val.pmi.kind == PM_LOOP)
	  {
	    if (i == 0)
	      runtime("Path mask iterator '+' cannot be first");

	    /* We want PM_LOOP as prefix operator */
	    pm->item[i] = pm->item[i - 1];
	    pm->item[i - 1] = vv(i).val.pmi;
	    break;
	  }

	  pm->item[i] = vv(i).val.pmi;
	  break;

	case T_INT:
	  pm->item[i] = (struct f_path_mask_item) {
	    .asn = vv(i).val.i,
	    .kind = PM_ASN,
	  };
	  break;

	case T_SET:
	  if (!path_set_type(vv(i).val.t))
	    runtime("Only integer sets allowed in path mask");

	  pm->item[i] = (struct f_path_mask_item) {
	    .set = vv(i).val.t,
	    .kind = PM_ASN_SET,
	  };
	  break;

	default:
	  runtime( "Error resolving path mask template: value not an integer" );
      }
    }

     
#line 437 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH_MASK, .val.path_mask = pm } );
  }

/* Relational operators */

  
  #undef whati
#line 442 "filter/f-inst.c"
  }
#line 442

#line 442

#line 449 "filter/f-inst.c"
 /* Constructor for FI_NEQ */
#line 449
struct f_inst *
#line 443 "filter/f-inst.c"
NONNULL(2)
#line 444 "filter/f-inst.c"
NONNULL(3)
#line 449 "filter/f-inst.c"
f_new_inst_FI_NEQ(enum f_instruction_code fi_code
#line 443 "filter/f-inst.c"
  , struct f_inst * f1
#line 444 "filter/f-inst.c"
  , struct f_inst * f2
#line 449 "filter/f-inst.c"
)
#line 449
  {
#line 449
    /* Allocate the structure */
#line 449
    struct f_inst *what = fi_new(fi_code);
#line 449
    uint constargs = 1;
#line 449

#line 449
    /* Initialize all the members */
#line 449
  #define whati (&(what->i_FI_NEQ))
#line 449
  #line 443 "filter/f-inst.c"
whati->f1 = f1;
#line 443
const struct f_inst *child1 = f1;
#line 443
do {
#line 443
  what->size += child1->size;
#line 443

#line 443
  if (child1->fi_code != FI_CONSTANT)
#line 443
    constargs = 0;
#line 443

#line 443
} while (child1 = child1->next);
#line 443

#line 444 "filter/f-inst.c"
whati->f2 = f2;
#line 444
const struct f_inst *child2 = f2;
#line 444
do {
#line 444
  what->size += child2->size;
#line 444

#line 444
  if (child2->fi_code != FI_CONSTANT)
#line 444
    constargs = 0;
#line 444

#line 444
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type))
#line 445 "filter/f-inst.c"
   (void) (f_const_promotion(f2, f1->type) || f_const_promotion(f1, f2->type));
#line 446 "filter/f-inst.c"
what->type = T_BOOL;

#line 449 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 449
    if (!constargs)
#line 449
      return what;
#line 449

#line 449
    /* Try to pre-calculate the result */
#line 449
    #line 442 "filter/f-inst.c"
 {
    
#line 443 "filter/f-inst.c"
;
    
#line 444 "filter/f-inst.c"
;
    #line 445 "filter/f-inst.c"
;
     
#line 446 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !val_same(&v1, &v2) } );
  }

  
  #undef whati
#line 449 "filter/f-inst.c"
  }
#line 449

#line 449

#line 456 "filter/f-inst.c"
 /* Constructor for FI_EQ */
#line 456
struct f_inst *
#line 450 "filter/f-inst.c"
NONNULL(2)
#line 451 "filter/f-inst.c"
NONNULL(3)
#line 456 "filter/f-inst.c"
f_new_inst_FI_EQ(enum f_instruction_code fi_code
#line 450 "filter/f-inst.c"
  , struct f_inst * f1
#line 451 "filter/f-inst.c"
  , struct f_inst * f2
#line 456 "filter/f-inst.c"
)
#line 456
  {
#line 456
    /* Allocate the structure */
#line 456
    struct f_inst *what = fi_new(fi_code);
#line 456
    uint constargs = 1;
#line 456

#line 456
    /* Initialize all the members */
#line 456
  #define whati (&(what->i_FI_EQ))
#line 456
  #line 450 "filter/f-inst.c"
whati->f1 = f1;
#line 450
const struct f_inst *child1 = f1;
#line 450
do {
#line 450
  what->size += child1->size;
#line 450

#line 450
  if (child1->fi_code != FI_CONSTANT)
#line 450
    constargs = 0;
#line 450

#line 450
} while (child1 = child1->next);
#line 450

#line 451 "filter/f-inst.c"
whati->f2 = f2;
#line 451
const struct f_inst *child2 = f2;
#line 451
do {
#line 451
  what->size += child2->size;
#line 451

#line 451
  if (child2->fi_code != FI_CONSTANT)
#line 451
    constargs = 0;
#line 451

#line 451
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type))
#line 452 "filter/f-inst.c"
   (void) (f_const_promotion(f2, f1->type) || f_const_promotion(f1, f2->type));
#line 453 "filter/f-inst.c"
what->type = T_BOOL;

#line 456 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 456
    if (!constargs)
#line 456
      return what;
#line 456

#line 456
    /* Try to pre-calculate the result */
#line 456
    #line 449 "filter/f-inst.c"
 {
    
#line 450 "filter/f-inst.c"
;
    
#line 451 "filter/f-inst.c"
;
    #line 452 "filter/f-inst.c"
;
     
#line 453 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = val_same(&v1, &v2) } );
  }

  
  #undef whati
#line 456 "filter/f-inst.c"
  }
#line 456

#line 456

#line 467 "filter/f-inst.c"
 /* Constructor for FI_LT */
#line 467
struct f_inst *
#line 457 "filter/f-inst.c"
NONNULL(2)
#line 458 "filter/f-inst.c"
NONNULL(3)
#line 467 "filter/f-inst.c"
f_new_inst_FI_LT(enum f_instruction_code fi_code
#line 457 "filter/f-inst.c"
  , struct f_inst * f1
#line 458 "filter/f-inst.c"
  , struct f_inst * f2
#line 467 "filter/f-inst.c"
)
#line 467
  {
#line 467
    /* Allocate the structure */
#line 467
    struct f_inst *what = fi_new(fi_code);
#line 467
    uint constargs = 1;
#line 467

#line 467
    /* Initialize all the members */
#line 467
  #define whati (&(what->i_FI_LT))
#line 467
  #line 457 "filter/f-inst.c"
whati->f1 = f1;
#line 457
const struct f_inst *child1 = f1;
#line 457
do {
#line 457
  what->size += child1->size;
#line 457

#line 457
  if (child1->fi_code != FI_CONSTANT)
#line 457
    constargs = 0;
#line 457

#line 457
} while (child1 = child1->next);
#line 457

#line 458 "filter/f-inst.c"
whati->f2 = f2;
#line 458
const struct f_inst *child2 = f2;
#line 458
do {
#line 458
  what->size += child2->size;
#line 458

#line 458
  if (child2->fi_code != FI_CONSTANT)
#line 458
    constargs = 0;
#line 458

#line 458
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type) &&
#line 459 "filter/f-inst.c"
   !f_const_promotion(f2, f1->type) && !f_const_promotion(f1, f2->type))
#line 459
  cf_error("Arguments 1 and 2 of %s must be of the same type", f_instruction_name(what->fi_code));
#line 464 "filter/f-inst.c"
what->type = T_BOOL;

#line 467 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 467
    if (!constargs)
#line 467
      return what;
#line 467

#line 467
    /* Try to pre-calculate the result */
#line 467
    #line 456 "filter/f-inst.c"
 {
    
#line 457 "filter/f-inst.c"
;
    
#line 458 "filter/f-inst.c"
;
    #line 459 "filter/f-inst.c"
;

    int i = val_compare(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "Can't compare values of incompatible types" );
     
#line 464 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (i == -1) } );
  }

  
  #undef whati
#line 467 "filter/f-inst.c"
  }
#line 467

#line 467

#line 478 "filter/f-inst.c"
 /* Constructor for FI_LTE */
#line 478
struct f_inst *
#line 468 "filter/f-inst.c"
NONNULL(2)
#line 469 "filter/f-inst.c"
NONNULL(3)
#line 478 "filter/f-inst.c"
f_new_inst_FI_LTE(enum f_instruction_code fi_code
#line 468 "filter/f-inst.c"
  , struct f_inst * f1
#line 469 "filter/f-inst.c"
  , struct f_inst * f2
#line 478 "filter/f-inst.c"
)
#line 478
  {
#line 478
    /* Allocate the structure */
#line 478
    struct f_inst *what = fi_new(fi_code);
#line 478
    uint constargs = 1;
#line 478

#line 478
    /* Initialize all the members */
#line 478
  #define whati (&(what->i_FI_LTE))
#line 478
  #line 468 "filter/f-inst.c"
whati->f1 = f1;
#line 468
const struct f_inst *child1 = f1;
#line 468
do {
#line 468
  what->size += child1->size;
#line 468

#line 468
  if (child1->fi_code != FI_CONSTANT)
#line 468
    constargs = 0;
#line 468

#line 468
} while (child1 = child1->next);
#line 468

#line 469 "filter/f-inst.c"
whati->f2 = f2;
#line 469
const struct f_inst *child2 = f2;
#line 469
do {
#line 469
  what->size += child2->size;
#line 469

#line 469
  if (child2->fi_code != FI_CONSTANT)
#line 469
    constargs = 0;
#line 469

#line 469
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type) &&
#line 470 "filter/f-inst.c"
   !f_const_promotion(f2, f1->type) && !f_const_promotion(f1, f2->type))
#line 470
  cf_error("Arguments 1 and 2 of %s must be of the same type", f_instruction_name(what->fi_code));
#line 475 "filter/f-inst.c"
what->type = T_BOOL;

#line 478 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 478
    if (!constargs)
#line 478
      return what;
#line 478

#line 478
    /* Try to pre-calculate the result */
#line 478
    #line 467 "filter/f-inst.c"
 {
    
#line 468 "filter/f-inst.c"
;
    
#line 469 "filter/f-inst.c"
;
    #line 470 "filter/f-inst.c"
;

    int i = val_compare(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "Can't compare values of incompatible types" );
     
#line 475 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (i != 1) } );
  }

  
  #undef whati
#line 478 "filter/f-inst.c"
  }
#line 478

#line 478

#line 483 "filter/f-inst.c"
 /* Constructor for FI_NOT */
#line 483
struct f_inst *
#line 479 "filter/f-inst.c"
NONNULL(2)
#line 483 "filter/f-inst.c"
f_new_inst_FI_NOT(enum f_instruction_code fi_code
#line 479 "filter/f-inst.c"
  , struct f_inst * f1
#line 483 "filter/f-inst.c"
)
#line 483
  {
#line 483
    /* Allocate the structure */
#line 483
    struct f_inst *what = fi_new(fi_code);
#line 483
    uint constargs = 1;
#line 483

#line 483
    /* Initialize all the members */
#line 483
  #define whati (&(what->i_FI_NOT))
#line 483
  #line 479 "filter/f-inst.c"
whati->f1 = f1;
#line 479
const struct f_inst *child1 = f1;
#line 479
do {
#line 479
  what->size += child1->size;
#line 479

#line 479
  if (child1->fi_code != FI_CONSTANT)
#line 479
    constargs = 0;
#line 479

#line 479
} while (child1 = child1->next);
#line 479

#line 479 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 479
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 479
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 480 "filter/f-inst.c"
what->type = T_BOOL;

#line 483 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 483
    if (!constargs)
#line 483
      return what;
#line 483

#line 483
    /* Try to pre-calculate the result */
#line 483
    #line 478 "filter/f-inst.c"
 {
    
#line 479 "filter/f-inst.c"
 #line 479 "filter/f-inst.c"
 ;
#line 480 "filter/f-inst.c"
     
#line 480 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !v1.val.i } );
  }

  
  #undef whati
#line 483 "filter/f-inst.c"
  }
#line 483

#line 483

#line 492 "filter/f-inst.c"
 /* Constructor for FI_MATCH */
#line 492
struct f_inst *
#line 484 "filter/f-inst.c"
NONNULL(2)
#line 485 "filter/f-inst.c"
NONNULL(3)
#line 492 "filter/f-inst.c"
f_new_inst_FI_MATCH(enum f_instruction_code fi_code
#line 484 "filter/f-inst.c"
  , struct f_inst * f1
#line 485 "filter/f-inst.c"
  , struct f_inst * f2
#line 492 "filter/f-inst.c"
)
#line 492
  {
#line 492
    /* Allocate the structure */
#line 492
    struct f_inst *what = fi_new(fi_code);
#line 492
    uint constargs = 1;
#line 492

#line 492
    /* Initialize all the members */
#line 492
  #define whati (&(what->i_FI_MATCH))
#line 492
  #line 484 "filter/f-inst.c"
whati->f1 = f1;
#line 484
const struct f_inst *child1 = f1;
#line 484
do {
#line 484
  what->size += child1->size;
#line 484

#line 484
  if (child1->fi_code != FI_CONSTANT)
#line 484
    constargs = 0;
#line 484

#line 484
} while (child1 = child1->next);
#line 484

#line 485 "filter/f-inst.c"
whati->f2 = f2;
#line 485
const struct f_inst *child2 = f2;
#line 485
do {
#line 485
  what->size += child2->size;
#line 485

#line 485
  if (child2->fi_code != FI_CONSTANT)
#line 485
    constargs = 0;
#line 485

#line 485
} while (child2 = child2->next);
#line 489 "filter/f-inst.c"
what->type = T_BOOL;

#line 492 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 492
    if (!constargs)
#line 492
      return what;
#line 492

#line 492
    /* Try to pre-calculate the result */
#line 492
    #line 483 "filter/f-inst.c"
 {
    
#line 484 "filter/f-inst.c"
;
    
#line 485 "filter/f-inst.c"
;
    int i = val_in_range(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "~ applied on unknown type pair" );
     
#line 489 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !!i } );
  }

  
  #undef whati
#line 492 "filter/f-inst.c"
  }
#line 492

#line 492

#line 501 "filter/f-inst.c"
 /* Constructor for FI_NOT_MATCH */
#line 501
struct f_inst *
#line 493 "filter/f-inst.c"
NONNULL(2)
#line 494 "filter/f-inst.c"
NONNULL(3)
#line 501 "filter/f-inst.c"
f_new_inst_FI_NOT_MATCH(enum f_instruction_code fi_code
#line 493 "filter/f-inst.c"
  , struct f_inst * f1
#line 494 "filter/f-inst.c"
  , struct f_inst * f2
#line 501 "filter/f-inst.c"
)
#line 501
  {
#line 501
    /* Allocate the structure */
#line 501
    struct f_inst *what = fi_new(fi_code);
#line 501
    uint constargs = 1;
#line 501

#line 501
    /* Initialize all the members */
#line 501
  #define whati (&(what->i_FI_NOT_MATCH))
#line 501
  #line 493 "filter/f-inst.c"
whati->f1 = f1;
#line 493
const struct f_inst *child1 = f1;
#line 493
do {
#line 493
  what->size += child1->size;
#line 493

#line 493
  if (child1->fi_code != FI_CONSTANT)
#line 493
    constargs = 0;
#line 493

#line 493
} while (child1 = child1->next);
#line 493

#line 494 "filter/f-inst.c"
whati->f2 = f2;
#line 494
const struct f_inst *child2 = f2;
#line 494
do {
#line 494
  what->size += child2->size;
#line 494

#line 494
  if (child2->fi_code != FI_CONSTANT)
#line 494
    constargs = 0;
#line 494

#line 494
} while (child2 = child2->next);
#line 498 "filter/f-inst.c"
what->type = T_BOOL;

#line 501 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 501
    if (!constargs)
#line 501
      return what;
#line 501

#line 501
    /* Try to pre-calculate the result */
#line 501
    #line 492 "filter/f-inst.c"
 {
    
#line 493 "filter/f-inst.c"
;
    
#line 494 "filter/f-inst.c"
;
    int i = val_in_range(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "!~ applied on unknown type pair" );
     
#line 498 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !i } );
  }

  
  #undef whati
#line 501 "filter/f-inst.c"
  }
#line 501

#line 501

#line 506 "filter/f-inst.c"
 /* Constructor for FI_DEFINED */
#line 506
struct f_inst *
#line 502 "filter/f-inst.c"
NONNULL(2)
#line 506 "filter/f-inst.c"
f_new_inst_FI_DEFINED(enum f_instruction_code fi_code
#line 502 "filter/f-inst.c"
  , struct f_inst * f1
#line 506 "filter/f-inst.c"
)
#line 506
  {
#line 506
    /* Allocate the structure */
#line 506
    struct f_inst *what = fi_new(fi_code);
#line 506
    uint constargs = 1;
#line 506

#line 506
    /* Initialize all the members */
#line 506
  #define whati (&(what->i_FI_DEFINED))
#line 506
  #line 502 "filter/f-inst.c"
whati->f1 = f1;
#line 502
const struct f_inst *child1 = f1;
#line 502
do {
#line 502
  what->size += child1->size;
#line 502

#line 502
  if (child1->fi_code != FI_CONSTANT)
#line 502
    constargs = 0;
#line 502

#line 502
} while (child1 = child1->next);
#line 502

#line 503 "filter/f-inst.c"
what->type = T_BOOL;

#line 506 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 506
    if (!constargs)
#line 506
      return what;
#line 506

#line 506
    /* Try to pre-calculate the result */
#line 506
    #line 501 "filter/f-inst.c"
 {
    
#line 502 "filter/f-inst.c"
;
     
#line 503 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (v1.type != T_VOID) && !val_is_undefined(v1) } );
  }

  
  #undef whati
#line 506 "filter/f-inst.c"
  }
#line 506

#line 506

#line 507 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__type */
#line 507
struct f_inst *
#line 506 "filter/f-inst.c"
NONNULL(2)
#line 507 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__type(enum f_instruction_code fi_code
#line 506 "filter/f-inst.c"
  , struct f_inst * f1
#line 507 "filter/f-inst.c"
)
#line 507
  {
#line 507
    /* Allocate the structure */
#line 507
    struct f_inst *what = fi_new(fi_code);
#line 507
    uint constargs = 1;
#line 507

#line 507
    /* Initialize all the members */
#line 507
  #define whati (&(what->i_FI_METHOD__T_NET__type))
#line 507
  #line 506 "filter/f-inst.c"
whati->f1 = f1;
#line 506
const struct f_inst *child1 = f1;
#line 506
do {
#line 506
  what->size += child1->size;
#line 506

#line 506
  if (child1->fi_code != FI_CONSTANT)
#line 506
    constargs = 0;
#line 506

#line 506
} while (child1 = child1->next);
#line 506

#line 506 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 506
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 506
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 506 "filter/f-inst.c"
what->type = T_ENUM_NET_TYPE;

#line 507 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 507
    if (!constargs)
#line 507
      return what;
#line 507

#line 507
    /* Try to pre-calculate the result */
#line 507
    #line 506 "filter/f-inst.c"
 {
#line 506
  
#line 506 "filter/f-inst.c"
 #line 506 "filter/f-inst.c"
 ;
#line 506 "filter/f-inst.c"
    
#line 506 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ENUM_NET_TYPE, .val.i = v1.val.net->type } ) 
#line 506
  #line 506 "filter/f-inst.c"
;
#line 506
};
  
  #undef whati
#line 507 "filter/f-inst.c"
  }
#line 507

#line 507

#line 510 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_IP__is_v4 */
#line 510
struct f_inst *
#line 507 "filter/f-inst.c"
NONNULL(2)
#line 510 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_IP__is_v4(enum f_instruction_code fi_code
#line 507 "filter/f-inst.c"
  , struct f_inst * f1
#line 510 "filter/f-inst.c"
)
#line 510
  {
#line 510
    /* Allocate the structure */
#line 510
    struct f_inst *what = fi_new(fi_code);
#line 510
    uint constargs = 1;
#line 510

#line 510
    /* Initialize all the members */
#line 510
  #define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 510
  #line 507 "filter/f-inst.c"
whati->f1 = f1;
#line 507
const struct f_inst *child1 = f1;
#line 507
do {
#line 507
  what->size += child1->size;
#line 507

#line 507
  if (child1->fi_code != FI_CONSTANT)
#line 507
    constargs = 0;
#line 507

#line 507
} while (child1 = child1->next);
#line 507

#line 507 "filter/f-inst.c"
if (f1->type && (f1->type != (T_IP)) && !f_const_promotion(f1, (T_IP)))
#line 507
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 507
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f1->type));
#line 507 "filter/f-inst.c"
what->type = T_BOOL;

#line 510 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 510
    if (!constargs)
#line 510
      return what;
#line 510

#line 510
    /* Try to pre-calculate the result */
#line 510
    #line 507 "filter/f-inst.c"
 {
#line 507
  
#line 507 "filter/f-inst.c"
 #line 507 "filter/f-inst.c"
 ;
#line 507 "filter/f-inst.c"
    
#line 507 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = ipa_is_ip4(v1.val.ip) } ) 
#line 507
  #line 507 "filter/f-inst.c"
;
#line 507
};

  /* Add initialized variable */
  
  #undef whati
#line 510 "filter/f-inst.c"
  }
#line 510

#line 510

#line 523 "filter/f-inst.c"
 /* Constructor for FI_VAR_INIT */
#line 523
struct f_inst *
#line 512 "filter/f-inst.c"
NONNULL(2)
#line 523 "filter/f-inst.c"
f_new_inst_FI_VAR_INIT(enum f_instruction_code fi_code
#line 512 "filter/f-inst.c"
  , struct f_inst * f1
#line 513 "filter/f-inst.c"
  , struct symbol * sym
#line 523 "filter/f-inst.c"
)
#line 523
  {
#line 523
    /* Allocate the structure */
#line 523
    struct f_inst *what = fi_new(fi_code);
#line 523
    
#line 523

#line 523
    /* Initialize all the members */
#line 523
  #define whati (&(what->i_FI_VAR_INIT))
#line 523
  #line 512 "filter/f-inst.c"
whati->f1 = f1;
#line 512
const struct f_inst *child1 = f1;
#line 512
do {
#line 512
  what->size += child1->size;
#line 512

#line 512
} while (child1 = child1->next);
#line 512

#line 513 "filter/f-inst.c"
whati->sym = sym;
#line 514 "filter/f-inst.c"
if (f1->type && (f1->type != (sym->class & 0xff)) && !f_const_promotion(f1, (sym->class & 0xff)))
#line 514
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 514
	   f_instruction_name(what->fi_code), f_type_name(sym->class & 0xff), f_type_name(f1->type));

#line 523 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 523
    
#line 523
      return what;
#line 523

#line 523
    /* Try to pre-calculate the result */
#line 523
      #undef whati
#line 523
  }
#line 523

#line 523

#line 534 "filter/f-inst.c"
 /* Constructor for FI_VAR_INIT0 */
#line 534
struct f_inst *
#line 534
f_new_inst_FI_VAR_INIT0(enum f_instruction_code fi_code
#line 525 "filter/f-inst.c"
  , struct symbol * sym
#line 534 "filter/f-inst.c"
)
#line 534
  {
#line 534
    /* Allocate the structure */
#line 534
    struct f_inst *what = fi_new(fi_code);
#line 534
    
#line 534

#line 534
    /* Initialize all the members */
#line 534
  #define whati (&(what->i_FI_VAR_INIT0))
#line 534
  #line 525 "filter/f-inst.c"
whati->sym = sym;

#line 534 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 534
    
#line 534
      return what;
#line 534

#line 534
    /* Try to pre-calculate the result */
#line 534
      #undef whati
#line 534
  }
#line 534

#line 534

#line 543 "filter/f-inst.c"
 /* Constructor for FI_VAR_SET */
#line 543
struct f_inst *
#line 536 "filter/f-inst.c"
NONNULL(2)
#line 543 "filter/f-inst.c"
f_new_inst_FI_VAR_SET(enum f_instruction_code fi_code
#line 536 "filter/f-inst.c"
  , struct f_inst * f1
#line 537 "filter/f-inst.c"
  , struct symbol * sym
#line 543 "filter/f-inst.c"
)
#line 543
  {
#line 543
    /* Allocate the structure */
#line 543
    struct f_inst *what = fi_new(fi_code);
#line 543
    
#line 543

#line 543
    /* Initialize all the members */
#line 543
  #define whati (&(what->i_FI_VAR_SET))
#line 543
  #line 536 "filter/f-inst.c"
whati->f1 = f1;
#line 536
const struct f_inst *child1 = f1;
#line 536
do {
#line 536
  what->size += child1->size;
#line 536

#line 536
} while (child1 = child1->next);
#line 536

#line 537 "filter/f-inst.c"
whati->sym = sym;
#line 538 "filter/f-inst.c"
if (f1->type && (f1->type != (sym->class & 0xff)) && !f_const_promotion(f1, (sym->class & 0xff)))
#line 538
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 538
	   f_instruction_name(what->fi_code), f_type_name(sym->class & 0xff), f_type_name(f1->type));

#line 543 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 543
    
#line 543
      return what;
#line 543

#line 543
    /* Try to pre-calculate the result */
#line 543
      #undef whati
#line 543
  }
#line 543

#line 543

#line 550 "filter/f-inst.c"
 /* Constructor for FI_VAR_GET */
#line 550
struct f_inst *
#line 550
f_new_inst_FI_VAR_GET(enum f_instruction_code fi_code
#line 544 "filter/f-inst.c"
  , struct symbol * sym
#line 550 "filter/f-inst.c"
)
#line 550
  {
#line 550
    /* Allocate the structure */
#line 550
    struct f_inst *what = fi_new(fi_code);
#line 550
    
#line 550

#line 550
    /* Initialize all the members */
#line 550
  #define whati (&(what->i_FI_VAR_GET))
#line 550
  #line 544 "filter/f-inst.c"
whati->sym = sym;
#line 546 "filter/f-inst.c"
what->type = sym->class & 0xff;

#line 550 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 550
    
#line 550
      return what;
#line 550

#line 550
    /* Try to pre-calculate the result */
#line 550
      #undef whati
#line 550
  }
#line 550

#line 550

#line 563 "filter/f-inst.c"
 /* Constructor for FI_CONSTANT */
#line 563
struct f_inst *
#line 563
f_new_inst_FI_CONSTANT(enum f_instruction_code fi_code
#line 551 "filter/f-inst.c"
  , struct f_val val
#line 563 "filter/f-inst.c"
)
#line 563
  {
#line 563
    /* Allocate the structure */
#line 563
    struct f_inst *what = fi_new(fi_code);
#line 563
    uint constargs = 1;
#line 563

#line 563
    /* Initialize all the members */
#line 563
  #define whati (&(what->i_FI_CONSTANT))
#line 563
  #line 551 "filter/f-inst.c"
whati->val = val;
#line 559 "filter/f-inst.c"
what->type = val.type;

#line 563 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 563
    if (!constargs)
#line 563
      return what;
#line 563

#line 563
    /* Try to pre-calculate the result */
#line 563
    #line 550 "filter/f-inst.c"
 {
    #line 557 "filter/f-inst.c"
;

     
#line 559 "filter/f-inst.c"
;
    return fi_constant(what, val);
  }

  
  #undef whati
#line 563 "filter/f-inst.c"
  }
#line 563

#line 563

#line 564 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__empty */
#line 564
struct f_inst *
#line 563 "filter/f-inst.c"
NONNULL(2)
#line 564 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__empty(enum f_instruction_code fi_code
#line 563 "filter/f-inst.c"
  , struct f_inst * f1
#line 564 "filter/f-inst.c"
)
#line 564
  {
#line 564
    /* Allocate the structure */
#line 564
    struct f_inst *what = fi_new(fi_code);
#line 564
    uint constargs = 1;
#line 564

#line 564
    /* Initialize all the members */
#line 564
  #define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 564
  #line 563 "filter/f-inst.c"
whati->f1 = f1;
#line 563
const struct f_inst *child1 = f1;
#line 563
do {
#line 563
  what->size += child1->size;
#line 563

#line 563
  if (child1->fi_code != FI_CONSTANT)
#line 563
    constargs = 0;
#line 563

#line 563
} while (child1 = child1->next);
#line 563

#line 563 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 563
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 563
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 563 "filter/f-inst.c"
what->type = T_PATH;

#line 564 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 564
    if (!constargs)
#line 564
      return what;
#line 564

#line 564
    /* Try to pre-calculate the result */
#line 564
    #line 563 "filter/f-inst.c"
 {
#line 563
  
#line 563 "filter/f-inst.c"
 #line 563 "filter/f-inst.c"
 ;
#line 563 "filter/f-inst.c"
    
#line 563 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad = &null_adata } ) 
#line 563
  #line 563 "filter/f-inst.c"
;
#line 563
};
  
  #undef whati
#line 564 "filter/f-inst.c"
  }
#line 564

#line 564

#line 565 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__empty */
#line 565
struct f_inst *
#line 564 "filter/f-inst.c"
NONNULL(2)
#line 565 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__empty(enum f_instruction_code fi_code
#line 564 "filter/f-inst.c"
  , struct f_inst * f1
#line 565 "filter/f-inst.c"
)
#line 565
  {
#line 565
    /* Allocate the structure */
#line 565
    struct f_inst *what = fi_new(fi_code);
#line 565
    uint constargs = 1;
#line 565

#line 565
    /* Initialize all the members */
#line 565
  #define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 565
  #line 564 "filter/f-inst.c"
whati->f1 = f1;
#line 564
const struct f_inst *child1 = f1;
#line 564
do {
#line 564
  what->size += child1->size;
#line 564

#line 564
  if (child1->fi_code != FI_CONSTANT)
#line 564
    constargs = 0;
#line 564

#line 564
} while (child1 = child1->next);
#line 564

#line 564 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 564
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 564
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 564 "filter/f-inst.c"
what->type = T_CLIST;

#line 565 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 565
    if (!constargs)
#line 565
      return what;
#line 565

#line 565
    /* Try to pre-calculate the result */
#line 565
    #line 564 "filter/f-inst.c"
 {
#line 564
  
#line 564 "filter/f-inst.c"
 #line 564 "filter/f-inst.c"
 ;
#line 564 "filter/f-inst.c"
    
#line 564 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad = &null_adata } ) 
#line 564
  #line 564 "filter/f-inst.c"
;
#line 564
};
  
  #undef whati
#line 565 "filter/f-inst.c"
  }
#line 565

#line 565

#line 566 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__empty */
#line 566
struct f_inst *
#line 565 "filter/f-inst.c"
NONNULL(2)
#line 566 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__empty(enum f_instruction_code fi_code
#line 565 "filter/f-inst.c"
  , struct f_inst * f1
#line 566 "filter/f-inst.c"
)
#line 566
  {
#line 566
    /* Allocate the structure */
#line 566
    struct f_inst *what = fi_new(fi_code);
#line 566
    uint constargs = 1;
#line 566

#line 566
    /* Initialize all the members */
#line 566
  #define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 566
  #line 565 "filter/f-inst.c"
whati->f1 = f1;
#line 565
const struct f_inst *child1 = f1;
#line 565
do {
#line 565
  what->size += child1->size;
#line 565

#line 565
  if (child1->fi_code != FI_CONSTANT)
#line 565
    constargs = 0;
#line 565

#line 565
} while (child1 = child1->next);
#line 565

#line 565 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 565
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 565
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 565 "filter/f-inst.c"
what->type = T_ECLIST;

#line 566 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 566
    if (!constargs)
#line 566
      return what;
#line 566

#line 566
    /* Try to pre-calculate the result */
#line 566
    #line 565 "filter/f-inst.c"
 {
#line 565
  
#line 565 "filter/f-inst.c"
 #line 565 "filter/f-inst.c"
 ;
#line 565 "filter/f-inst.c"
    
#line 565 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad = &null_adata } ) 
#line 565
  #line 565 "filter/f-inst.c"
;
#line 565
};
  
  #undef whati
#line 566 "filter/f-inst.c"
  }
#line 566

#line 566

#line 569 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__empty */
#line 569
struct f_inst *
#line 566 "filter/f-inst.c"
NONNULL(2)
#line 569 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__empty(enum f_instruction_code fi_code
#line 566 "filter/f-inst.c"
  , struct f_inst * f1
#line 569 "filter/f-inst.c"
)
#line 569
  {
#line 569
    /* Allocate the structure */
#line 569
    struct f_inst *what = fi_new(fi_code);
#line 569
    uint constargs = 1;
#line 569

#line 569
    /* Initialize all the members */
#line 569
  #define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 569
  #line 566 "filter/f-inst.c"
whati->f1 = f1;
#line 566
const struct f_inst *child1 = f1;
#line 566
do {
#line 566
  what->size += child1->size;
#line 566

#line 566
  if (child1->fi_code != FI_CONSTANT)
#line 566
    constargs = 0;
#line 566

#line 566
} while (child1 = child1->next);
#line 566

#line 566 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 566
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 566
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 566 "filter/f-inst.c"
what->type = T_LCLIST;

#line 569 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 569
    if (!constargs)
#line 569
      return what;
#line 569

#line 569
    /* Try to pre-calculate the result */
#line 569
    #line 566 "filter/f-inst.c"
 {
#line 566
  
#line 566 "filter/f-inst.c"
 #line 566 "filter/f-inst.c"
 ;
#line 566 "filter/f-inst.c"
    
#line 566 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad = &null_adata } ) 
#line 566
  #line 566 "filter/f-inst.c"
;
#line 566
};

  /* Common loop begin instruction, always created by f_for_cycle() */
  
  #undef whati
#line 569 "filter/f-inst.c"
  }
#line 569

#line 569

#line 591 "filter/f-inst.c"
 /* Constructor for FI_FOR_LOOP_START */
#line 591
struct f_inst *
#line 591
f_new_inst_FI_FOR_LOOP_START(enum f_instruction_code fi_code
#line 571 "filter/f-inst.c"
  , struct symbol * sym
#line 591 "filter/f-inst.c"
)
#line 591
  {
#line 591
    /* Allocate the structure */
#line 591
    struct f_inst *what = fi_new(fi_code);
#line 591
    
#line 591

#line 591
    /* Initialize all the members */
#line 591
  #define whati (&(what->i_FI_FOR_LOOP_START))
#line 591
  #line 571 "filter/f-inst.c"
whati->sym = sym;
#line 587 "filter/f-inst.c"
what->type = T_VOID;

#line 591 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 591
    
#line 591
      return what;
#line 591

#line 591
    /* Try to pre-calculate the result */
#line 591
      #undef whati
#line 591
  }
#line 591

#line 591

#line 600 "filter/f-inst.c"
 /* Constructor for FI_PATH_FOR_NEXT */
#line 600
struct f_inst *
#line 593 "filter/f-inst.c"
NONNULL(2)
#line 600 "filter/f-inst.c"
f_new_inst_FI_PATH_FOR_NEXT(enum f_instruction_code fi_code
#line 593 "filter/f-inst.c"
  , struct f_inst * f1
#line 595 "filter/f-inst.c"
  , struct f_inst * f2
#line 600 "filter/f-inst.c"
)
#line 600
  {
#line 600
    /* Allocate the structure */
#line 600
    struct f_inst *what = fi_new(fi_code);
#line 600
    
#line 600

#line 600
    /* Initialize all the members */
#line 600
  #define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 600
  #line 593 "filter/f-inst.c"
whati->f1 = f1;
#line 593
const struct f_inst *child1 = f1;
#line 593
do {
#line 593
  what->size += child1->size;
#line 593

#line 593
} while (child1 = child1->next);
#line 593

#line 593 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 593
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 593
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 595 "filter/f-inst.c"
whati->f2 = f2;

#line 600 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 600
    
#line 600
      return what;
#line 600

#line 600
    /* Try to pre-calculate the result */
#line 600
      #undef whati
#line 600
  }
#line 600

#line 600

#line 609 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FOR_NEXT */
#line 609
struct f_inst *
#line 602 "filter/f-inst.c"
NONNULL(2)
#line 609 "filter/f-inst.c"
f_new_inst_FI_CLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 602 "filter/f-inst.c"
  , struct f_inst * f1
#line 604 "filter/f-inst.c"
  , struct f_inst * f2
#line 609 "filter/f-inst.c"
)
#line 609
  {
#line 609
    /* Allocate the structure */
#line 609
    struct f_inst *what = fi_new(fi_code);
#line 609
    
#line 609

#line 609
    /* Initialize all the members */
#line 609
  #define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 609
  #line 602 "filter/f-inst.c"
whati->f1 = f1;
#line 602
const struct f_inst *child1 = f1;
#line 602
do {
#line 602
  what->size += child1->size;
#line 602

#line 602
} while (child1 = child1->next);
#line 602

#line 602 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 602
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 602
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 604 "filter/f-inst.c"
whati->f2 = f2;

#line 609 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 609
    
#line 609
      return what;
#line 609

#line 609
    /* Try to pre-calculate the result */
#line 609
      #undef whati
#line 609
  }
#line 609

#line 609

#line 618 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FOR_NEXT */
#line 618
struct f_inst *
#line 611 "filter/f-inst.c"
NONNULL(2)
#line 618 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 611 "filter/f-inst.c"
  , struct f_inst * f1
#line 613 "filter/f-inst.c"
  , struct f_inst * f2
#line 618 "filter/f-inst.c"
)
#line 618
  {
#line 618
    /* Allocate the structure */
#line 618
    struct f_inst *what = fi_new(fi_code);
#line 618
    
#line 618

#line 618
    /* Initialize all the members */
#line 618
  #define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 618
  #line 611 "filter/f-inst.c"
whati->f1 = f1;
#line 611
const struct f_inst *child1 = f1;
#line 611
do {
#line 611
  what->size += child1->size;
#line 611

#line 611
} while (child1 = child1->next);
#line 611

#line 611 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 611
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 611
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 613 "filter/f-inst.c"
whati->f2 = f2;

#line 618 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 618
    
#line 618
      return what;
#line 618

#line 618
    /* Try to pre-calculate the result */
#line 618
      #undef whati
#line 618
  }
#line 618

#line 618

#line 627 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FOR_NEXT */
#line 627
struct f_inst *
#line 620 "filter/f-inst.c"
NONNULL(2)
#line 627 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 620 "filter/f-inst.c"
  , struct f_inst * f1
#line 622 "filter/f-inst.c"
  , struct f_inst * f2
#line 627 "filter/f-inst.c"
)
#line 627
  {
#line 627
    /* Allocate the structure */
#line 627
    struct f_inst *what = fi_new(fi_code);
#line 627
    
#line 627

#line 627
    /* Initialize all the members */
#line 627
  #define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 627
  #line 620 "filter/f-inst.c"
whati->f1 = f1;
#line 620
const struct f_inst *child1 = f1;
#line 620
do {
#line 620
  what->size += child1->size;
#line 620

#line 620
} while (child1 = child1->next);
#line 620

#line 620 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 620
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 620
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 622 "filter/f-inst.c"
whati->f2 = f2;

#line 627 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 627
    
#line 627
      return what;
#line 627

#line 627
    /* Try to pre-calculate the result */
#line 627
      #undef whati
#line 627
  }
#line 627

#line 627

#line 640 "filter/f-inst.c"
 /* Constructor for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
struct f_inst *
#line 629 "filter/f-inst.c"
NONNULL(2)
#line 640 "filter/f-inst.c"
f_new_inst_FI_ROUTES_BLOCK_FOR_NEXT(enum f_instruction_code fi_code
#line 629 "filter/f-inst.c"
  , struct f_inst * f1
#line 634 "filter/f-inst.c"
  , struct f_inst * f2
#line 640 "filter/f-inst.c"
)
#line 640
  {
#line 640
    /* Allocate the structure */
#line 640
    struct f_inst *what = fi_new(fi_code);
#line 640
    
#line 640

#line 640
    /* Initialize all the members */
#line 640
  #define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 640
  #line 629 "filter/f-inst.c"
whati->f1 = f1;
#line 629
const struct f_inst *child1 = f1;
#line 629
do {
#line 629
  what->size += child1->size;
#line 629

#line 629
} while (child1 = child1->next);
#line 629

#line 629 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTES_BLOCK)) && !f_const_promotion(f1, (T_ROUTES_BLOCK)))
#line 629
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 629
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTES_BLOCK), f_type_name(f1->type));
#line 634 "filter/f-inst.c"
whati->f2 = f2;

#line 640 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 640
    
#line 640
      return what;
#line 640

#line 640
    /* Try to pre-calculate the result */
#line 640
      #undef whati
#line 640
  }
#line 640

#line 640

#line 648 "filter/f-inst.c"
 /* Constructor for FI_CONDITION */
#line 648
struct f_inst *
#line 641 "filter/f-inst.c"
NONNULL(2)
#line 648 "filter/f-inst.c"
f_new_inst_FI_CONDITION(enum f_instruction_code fi_code
#line 641 "filter/f-inst.c"
  , struct f_inst * f1
#line 643 "filter/f-inst.c"
  , struct f_inst * f2
#line 645 "filter/f-inst.c"
  , struct f_inst * f3
#line 648 "filter/f-inst.c"
)
#line 648
  {
#line 648
    /* Allocate the structure */
#line 648
    struct f_inst *what = fi_new(fi_code);
#line 648
    uint constargs = 1;
#line 648

#line 648
    /* Initialize all the members */
#line 648
  #define whati (&(what->i_FI_CONDITION))
#line 648
  #line 641 "filter/f-inst.c"
whati->f1 = f1;
#line 641
const struct f_inst *child1 = f1;
#line 641
do {
#line 641
  what->size += child1->size;
#line 641

#line 641
  if (child1->fi_code != FI_CONSTANT)
#line 641
    constargs = 0;
#line 641

#line 641
} while (child1 = child1->next);
#line 641

#line 641 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 641
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 641
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 643 "filter/f-inst.c"
whati->f2 = f2;
#line 645 "filter/f-inst.c"
whati->f3 = f3;

#line 648 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 648
    if (!constargs)
#line 648
      return what;
#line 648

#line 648
    /* Try to pre-calculate the result */
#line 648
    #line 640 "filter/f-inst.c"
 {
    
#line 641 "filter/f-inst.c"
 #line 641 "filter/f-inst.c"
 ;
#line 642 "filter/f-inst.c"
    if (v1.val.i)
      
#line 643 "filter/f-inst.c"
return whati->f2
#line 643
;
    else
      
#line 645 "filter/f-inst.c"
return whati->f3
#line 645
;
  }

  
  #undef whati
#line 648 "filter/f-inst.c"
  }
#line 648

#line 648

#line 661 "filter/f-inst.c"
 /* Constructor for FI_PRINT */
#line 661
struct f_inst *
#line 650 "filter/f-inst.c"
NONNULL(2)
#line 661 "filter/f-inst.c"
f_new_inst_FI_PRINT(enum f_instruction_code fi_code
#line 650 "filter/f-inst.c"
  , struct f_inst * f1
#line 661 "filter/f-inst.c"
)
#line 661
  {
#line 661
    /* Allocate the structure */
#line 661
    struct f_inst *what = fi_new(fi_code);
#line 661
    
#line 661

#line 661
    /* Initialize all the members */
#line 661
  #define whati (&(what->i_FI_PRINT))
#line 661
  #line 650 "filter/f-inst.c"
whati->f1 = f1;
#line 650
const struct f_inst *child1 = f1;
#line 650
do {
#line 650
  what->size += child1->size;
#line 650

#line 650
} while (child1 = child1->next);
#line 650


#line 661 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 661
    
#line 661
      return what;
#line 661

#line 661
    /* Try to pre-calculate the result */
#line 661
      #undef whati
#line 661
  }
#line 661

#line 661

#line 668 "filter/f-inst.c"
 /* Constructor for FI_FLUSH */
#line 668
struct f_inst *
#line 668
f_new_inst_FI_FLUSH(enum f_instruction_code fi_code
#line 668
)
#line 668
  {
#line 668
    /* Allocate the structure */
#line 668
    struct f_inst *what = fi_new(fi_code);
#line 668
    
#line 668

#line 668
    /* Initialize all the members */
#line 668
  #define whati (&(what->i_FI_FLUSH))
#line 668
  
#line 668
    /* If not constant, return the instruction itself */
#line 668
    
#line 668
      return what;
#line 668

#line 668
    /* Try to pre-calculate the result */
#line 668
      #undef whati
#line 668
  }
#line 668

#line 668

#line 682 "filter/f-inst.c"
 /* Constructor for FI_DIE */
#line 682
struct f_inst *
#line 682
f_new_inst_FI_DIE(enum f_instruction_code fi_code
#line 670 "filter/f-inst.c"
  , enum filter_return fret
#line 682 "filter/f-inst.c"
)
#line 682
  {
#line 682
    /* Allocate the structure */
#line 682
    struct f_inst *what = fi_new(fi_code);
#line 682
    
#line 682

#line 682
    /* Initialize all the members */
#line 682
  #define whati (&(what->i_FI_DIE))
#line 682
  #line 670 "filter/f-inst.c"
whati->fret = fret;

#line 682 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 682
    
#line 682
      return what;
#line 682

#line 682
    /* Try to pre-calculate the result */
#line 682
      #undef whati
#line 682
  }
#line 682

#line 682

#line 689 "filter/f-inst.c"
 /* Constructor for FI_CURRENT_ROUTE */
#line 689
struct f_inst *
#line 689
f_new_inst_FI_CURRENT_ROUTE(enum f_instruction_code fi_code
#line 689
)
#line 689
  {
#line 689
    /* Allocate the structure */
#line 689
    struct f_inst *what = fi_new(fi_code);
#line 689
    
#line 689

#line 689
    /* Initialize all the members */
#line 689
  #define whati (&(what->i_FI_CURRENT_ROUTE))
#line 689
  #line 685 "filter/f-inst.c"
what->type = T_ROUTE;

#line 689 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 689
    
#line 689
      return what;
#line 689

#line 689
    /* Try to pre-calculate the result */
#line 689
      #undef whati
#line 689
  }
#line 689

#line 689

#line 736 "filter/f-inst.c"
 /* Constructor for FI_RTA_GET */
#line 736
struct f_inst *
#line 691 "filter/f-inst.c"
NONNULL(2)
#line 736 "filter/f-inst.c"
f_new_inst_FI_RTA_GET(enum f_instruction_code fi_code
#line 691 "filter/f-inst.c"
  , struct f_inst * f1
#line 692 "filter/f-inst.c"
  , struct f_static_attr sa
#line 736 "filter/f-inst.c"
)
#line 736
  {
#line 736
    /* Allocate the structure */
#line 736
    struct f_inst *what = fi_new(fi_code);
#line 736
    uint constargs = 1;
#line 736

#line 736
    /* Initialize all the members */
#line 736
  #define whati (&(what->i_FI_RTA_GET))
#line 736
  #line 691 "filter/f-inst.c"
whati->f1 = f1;
#line 691
const struct f_inst *child1 = f1;
#line 691
do {
#line 691
  what->size += child1->size;
#line 691

#line 691
  if (child1->fi_code != FI_CONSTANT)
#line 691
    constargs = 0;
#line 691

#line 691
} while (child1 = child1->next);
#line 691

#line 691 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTE)) && !f_const_promotion(f1, (T_ROUTE)))
#line 691
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 691
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTE), f_type_name(f1->type));
#line 692 "filter/f-inst.c"
whati->sa = sa;
#line 698 "filter/f-inst.c"
what->type = sa.type;

#line 736 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 736
    if (!constargs)
#line 736
      return what;
#line 736

#line 736
    /* Try to pre-calculate the result */
#line 736
    #line 689 "filter/f-inst.c"
 {
    {
      
#line 691 "filter/f-inst.c"
 #line 691 "filter/f-inst.c"
 ;
#line 692 "filter/f-inst.c"
      #line 692 "filter/f-inst.c"
;

      struct rte *rte = v1.val.rte;

      switch (sa.sa_code)
      {
      case SA_NET:	 
#line 698 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = sa.type, .val.net = rte->net } ); break;
      case SA_PROTO:	 return fi_constant(what,  (struct f_val) { .type = sa.type, .val.s = rte->src->owner->name } ); break;
      default:
	{
	  struct eattr *nhea = ea_find(rte->attrs, &ea_gen_nexthop);
	  struct nexthop_adata *nhad = nhea ? (struct nexthop_adata *) nhea->u.ptr : NULL;
	  struct nexthop *nh = nhad ? &nhad->nh : NULL;

	  switch (sa.sa_code)
	  {
	    case SA_DEST:
	       return fi_constant(what,  (struct f_val) { .type = sa.type, .val.i = nhad ?
#line 709
		  (NEXTHOP_IS_REACHABLE(nhad) ? RTD_UNICAST : nhad->dest)
#line 709
		  : RTD_NONE } );
#line 712
	      break;
	    case SA_GW:
	       return fi_constant(what,  (struct f_val) { .type = sa.type, .val.ip = nh ? nh->gw : IPA_NONE } );
	      break;
	    case SA_IFNAME:
	       return fi_constant(what,  (struct f_val) { .type = sa.type, .val.s = (nh && nh->iface) ? nh->iface->name : "" } );
	      break;
	    case SA_IFINDEX:
	       return fi_constant(what,  (struct f_val) { .type = sa.type, .val.i = (nh && nh->iface) ? nh->iface->index : 0 } );
	      break;
	    case SA_WEIGHT:
	       return fi_constant(what,  (struct f_val) { .type = sa.type, .val.i = (nh ? nh->weight : 0) + 1 } );
	      break;
	    case SA_GW_MPLS:
	       return fi_constant(what,  (struct f_val) { .type = sa.type, .val.i = (nh && nh->labels) ? nh->label[0] : MPLS_NULL } );
	      break;
	    default:
	      bug("Invalid static attribute access (%u/%u)", sa.type, sa.sa_code);
	  }
	}
      }
    }
  }

  
  #undef whati
#line 736 "filter/f-inst.c"
  }
#line 736

#line 736

#line 861 "filter/f-inst.c"
 /* Constructor for FI_RTA_SET */
#line 861
struct f_inst *
#line 738 "filter/f-inst.c"
NONNULL(2)
#line 861 "filter/f-inst.c"
f_new_inst_FI_RTA_SET(enum f_instruction_code fi_code
#line 738 "filter/f-inst.c"
  , struct f_inst * f1
#line 739 "filter/f-inst.c"
  , struct f_static_attr sa
#line 861 "filter/f-inst.c"
)
#line 861
  {
#line 861
    /* Allocate the structure */
#line 861
    struct f_inst *what = fi_new(fi_code);
#line 861
    
#line 861

#line 861
    /* Initialize all the members */
#line 861
  #define whati (&(what->i_FI_RTA_SET))
#line 861
  #line 738 "filter/f-inst.c"
whati->f1 = f1;
#line 738
const struct f_inst *child1 = f1;
#line 738
do {
#line 738
  what->size += child1->size;
#line 738

#line 738
} while (child1 = child1->next);
#line 738

#line 739 "filter/f-inst.c"
whati->sa = sa;
#line 740 "filter/f-inst.c"
if (f1->type && (f1->type != (sa.type)) && !f_const_promotion(f1, (sa.type)))
#line 740
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 740
	   f_instruction_name(what->fi_code), f_type_name(sa.type), f_type_name(f1->type));

#line 861 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 861
    
#line 861
      return what;
#line 861

#line 861
    /* Try to pre-calculate the result */
#line 861
      #undef whati
#line 861
  }
#line 861

#line 861

#line 898 "filter/f-inst.c"
 /* Constructor for FI_EA_GET */
#line 898
struct f_inst *
#line 862 "filter/f-inst.c"
NONNULL(2)
#line 898 "filter/f-inst.c"
f_new_inst_FI_EA_GET(enum f_instruction_code fi_code
#line 862 "filter/f-inst.c"
  , struct f_inst * f1
#line 863 "filter/f-inst.c"
  , const struct ea_class * da
#line 898 "filter/f-inst.c"
)
#line 898
  {
#line 898
    /* Allocate the structure */
#line 898
    struct f_inst *what = fi_new(fi_code);
#line 898
    uint constargs = 1;
#line 898

#line 898
    /* Initialize all the members */
#line 898
  #define whati (&(what->i_FI_EA_GET))
#line 898
  #line 862 "filter/f-inst.c"
whati->f1 = f1;
#line 862
const struct f_inst *child1 = f1;
#line 862
do {
#line 862
  what->size += child1->size;
#line 862

#line 862
  if (child1->fi_code != FI_CONSTANT)
#line 862
    constargs = 0;
#line 862

#line 862
} while (child1 = child1->next);
#line 862

#line 862 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTE)) && !f_const_promotion(f1, (T_ROUTE)))
#line 862
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 862
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTE), f_type_name(f1->type));
#line 863 "filter/f-inst.c"
whati->da = da;
#line 864 "filter/f-inst.c"
what->type = da->type;

#line 898 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 898
    if (!constargs)
#line 898
      return what;
#line 898

#line 898
    /* Try to pre-calculate the result */
#line 898
    #line 861 "filter/f-inst.c"
 {	/* Access to extended attributes */
    
#line 862 "filter/f-inst.c"
 #line 862 "filter/f-inst.c"
 ;
#line 863 "filter/f-inst.c"
    #line 863 "filter/f-inst.c"
;
     
#line 864 "filter/f-inst.c"
;
    {
      struct f_val empty;
      const eattr *e = ea_find(v1.val.rte->attrs, da->id);

      if (e)
      {
	ASSERT_DIE(e->type == da->type);

	switch (e->type) {
	  case T_IP:
	    return fi_constant(what,  (struct f_val) { .type = T_IP, .val.ip = *((const ip_addr *) e->u.ptr->data) } );
	    break;

	  case T_STRING:
	    return fi_constant(what,  (struct f_val) { .type = T_STRING, .val.s = (const char *) e->u.ptr->data } );
	    break;

	  default:
	    return fi_constant(what, (struct f_val) {
#line 883
		.type = e->type,
#line 883
		.val.bval = e->u,
#line 883
		});
#line 887
	}
      }
      else if (da->empty)
	return fi_constant(what, da->empty(da));
      else if ((empty = f_get_empty(da->type)).type != T_VOID)
	return fi_constant(what, empty);
      else
	return fi_constant(what,  (struct f_val) { .type = T_VOID } );
    }
  }

  
  #undef whati
#line 898 "filter/f-inst.c"
  }
#line 898

#line 898

#line 939 "filter/f-inst.c"
 /* Constructor for FI_EA_SET */
#line 939
struct f_inst *
#line 900 "filter/f-inst.c"
NONNULL(2)
#line 939 "filter/f-inst.c"
f_new_inst_FI_EA_SET(enum f_instruction_code fi_code
#line 900 "filter/f-inst.c"
  , struct f_inst * f1
#line 901 "filter/f-inst.c"
  , const struct ea_class * da
#line 939 "filter/f-inst.c"
)
#line 939
  {
#line 939
    /* Allocate the structure */
#line 939
    struct f_inst *what = fi_new(fi_code);
#line 939
    
#line 939

#line 939
    /* Initialize all the members */
#line 939
  #define whati (&(what->i_FI_EA_SET))
#line 939
  #line 900 "filter/f-inst.c"
whati->f1 = f1;
#line 900
const struct f_inst *child1 = f1;
#line 900
do {
#line 900
  what->size += child1->size;
#line 900

#line 900
} while (child1 = child1->next);
#line 900

#line 901 "filter/f-inst.c"
whati->da = da;
#line 902 "filter/f-inst.c"
if (f1->type && (f1->type != (da->type)) && !f_const_promotion(f1, (da->type)))
#line 902
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 902
	   f_instruction_name(what->fi_code), f_type_name(da->type), f_type_name(f1->type));
;
#line 905 "filter/f-inst.c"
      if (da->type == T_OPAQUE)
	cf_error("Setting opaque attribute is not allowed");

    
#line 939 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 939
    
#line 939
      return what;
#line 939

#line 939
    /* Try to pre-calculate the result */
#line 939
      #undef whati
#line 939
  }
#line 939

#line 939

#line 946 "filter/f-inst.c"
 /* Constructor for FI_EA_UNSET */
#line 946
struct f_inst *
#line 946
f_new_inst_FI_EA_UNSET(enum f_instruction_code fi_code
#line 940 "filter/f-inst.c"
  , const struct ea_class * da
#line 946 "filter/f-inst.c"
)
#line 946
  {
#line 946
    /* Allocate the structure */
#line 946
    struct f_inst *what = fi_new(fi_code);
#line 946
    
#line 946

#line 946
    /* Initialize all the members */
#line 946
  #define whati (&(what->i_FI_EA_UNSET))
#line 946
  #line 940 "filter/f-inst.c"
whati->da = da;

#line 946 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 946
    
#line 946
      return what;
#line 946

#line 946
    /* Try to pre-calculate the result */
#line 946
      #undef whati
#line 946
  }
#line 946

#line 946

#line 960 "filter/f-inst.c"
 /* Constructor for FI_DEFAULT */
#line 960
struct f_inst *
#line 947 "filter/f-inst.c"
NONNULL(2)
#line 948 "filter/f-inst.c"
NONNULL(3)
#line 960 "filter/f-inst.c"
f_new_inst_FI_DEFAULT(enum f_instruction_code fi_code
#line 947 "filter/f-inst.c"
  , struct f_inst * f1
#line 948 "filter/f-inst.c"
  , struct f_inst * f2
#line 960 "filter/f-inst.c"
)
#line 960
  {
#line 960
    /* Allocate the structure */
#line 960
    struct f_inst *what = fi_new(fi_code);
#line 960
    uint constargs = 1;
#line 960

#line 960
    /* Initialize all the members */
#line 960
  #define whati (&(what->i_FI_DEFAULT))
#line 960
  #line 947 "filter/f-inst.c"
whati->f1 = f1;
#line 947
const struct f_inst *child1 = f1;
#line 947
do {
#line 947
  what->size += child1->size;
#line 947

#line 947
  if (child1->fi_code != FI_CONSTANT)
#line 947
    constargs = 0;
#line 947

#line 947
} while (child1 = child1->next);
#line 947

#line 948 "filter/f-inst.c"
whati->f2 = f2;
#line 948
const struct f_inst *child2 = f2;
#line 948
do {
#line 948
  what->size += child2->size;
#line 948

#line 948
  if (child2->fi_code != FI_CONSTANT)
#line 948
    constargs = 0;
#line 948

#line 948
} while (child2 = child2->next);
#line 949 "filter/f-inst.c"
what->type = f_type_element_type(v2.type);

#line 960 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 960
    if (!constargs)
#line 960
      return what;
#line 960

#line 960
    /* Try to pre-calculate the result */
#line 960
    #line 946 "filter/f-inst.c"
 {
    
#line 947 "filter/f-inst.c"
;
    
#line 948 "filter/f-inst.c"
;
     
#line 949 "filter/f-inst.c"
;

    log(L_INFO "Type of arg 1 is: %d", v1.type);

    if (v1.type == T_VOID)
      return fi_constant(what, v2);
    else
      return fi_constant(what, v1);
  }

  /* Get length of */
  
  #undef whati
#line 960 "filter/f-inst.c"
  }
#line 960

#line 960

#line 961 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__len */
#line 961
struct f_inst *
#line 960 "filter/f-inst.c"
NONNULL(2)
#line 961 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__len(enum f_instruction_code fi_code
#line 960 "filter/f-inst.c"
  , struct f_inst * f1
#line 961 "filter/f-inst.c"
)
#line 961
  {
#line 961
    /* Allocate the structure */
#line 961
    struct f_inst *what = fi_new(fi_code);
#line 961
    uint constargs = 1;
#line 961

#line 961
    /* Initialize all the members */
#line 961
  #define whati (&(what->i_FI_METHOD__T_NET__len))
#line 961
  #line 960 "filter/f-inst.c"
whati->f1 = f1;
#line 960
const struct f_inst *child1 = f1;
#line 960
do {
#line 960
  what->size += child1->size;
#line 960

#line 960
  if (child1->fi_code != FI_CONSTANT)
#line 960
    constargs = 0;
#line 960

#line 960
} while (child1 = child1->next);
#line 960

#line 960 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 960
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 960
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 960 "filter/f-inst.c"
what->type = T_INT;

#line 961 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 961
    if (!constargs)
#line 961
      return what;
#line 961

#line 961
    /* Try to pre-calculate the result */
#line 961
    #line 960 "filter/f-inst.c"
 {
#line 960
  
#line 960 "filter/f-inst.c"
 #line 960 "filter/f-inst.c"
 ;
#line 960 "filter/f-inst.c"
    
#line 960 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = net_pxlen(v1.val.net) } ) 
#line 960
  #line 960 "filter/f-inst.c"
;
#line 960
};
  
  #undef whati
#line 961 "filter/f-inst.c"
  }
#line 961

#line 961

#line 962 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__len */
#line 962
struct f_inst *
#line 961 "filter/f-inst.c"
NONNULL(2)
#line 962 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__len(enum f_instruction_code fi_code
#line 961 "filter/f-inst.c"
  , struct f_inst * f1
#line 962 "filter/f-inst.c"
)
#line 962
  {
#line 962
    /* Allocate the structure */
#line 962
    struct f_inst *what = fi_new(fi_code);
#line 962
    uint constargs = 1;
#line 962

#line 962
    /* Initialize all the members */
#line 962
  #define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 962
  #line 961 "filter/f-inst.c"
whati->f1 = f1;
#line 961
const struct f_inst *child1 = f1;
#line 961
do {
#line 961
  what->size += child1->size;
#line 961

#line 961
  if (child1->fi_code != FI_CONSTANT)
#line 961
    constargs = 0;
#line 961

#line 961
} while (child1 = child1->next);
#line 961

#line 961 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 961
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 961
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 961 "filter/f-inst.c"
what->type = T_INT;

#line 962 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 962
    if (!constargs)
#line 962
      return what;
#line 962

#line 962
    /* Try to pre-calculate the result */
#line 962
    #line 961 "filter/f-inst.c"
 {
#line 961
  
#line 961 "filter/f-inst.c"
 #line 961 "filter/f-inst.c"
 ;
#line 961 "filter/f-inst.c"
    
#line 961 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = as_path_getlen(v1.val.ad) } ) 
#line 961
  #line 961 "filter/f-inst.c"
;
#line 961
};
  
  #undef whati
#line 962 "filter/f-inst.c"
  }
#line 962

#line 962

#line 963 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__len */
#line 963
struct f_inst *
#line 962 "filter/f-inst.c"
NONNULL(2)
#line 963 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__len(enum f_instruction_code fi_code
#line 962 "filter/f-inst.c"
  , struct f_inst * f1
#line 963 "filter/f-inst.c"
)
#line 963
  {
#line 963
    /* Allocate the structure */
#line 963
    struct f_inst *what = fi_new(fi_code);
#line 963
    uint constargs = 1;
#line 963

#line 963
    /* Initialize all the members */
#line 963
  #define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 963
  #line 962 "filter/f-inst.c"
whati->f1 = f1;
#line 962
const struct f_inst *child1 = f1;
#line 962
do {
#line 962
  what->size += child1->size;
#line 962

#line 962
  if (child1->fi_code != FI_CONSTANT)
#line 962
    constargs = 0;
#line 962

#line 962
} while (child1 = child1->next);
#line 962

#line 962 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 962
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 962
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 962 "filter/f-inst.c"
what->type = T_INT;

#line 963 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 963
    if (!constargs)
#line 963
      return what;
#line 963

#line 963
    /* Try to pre-calculate the result */
#line 963
    #line 962 "filter/f-inst.c"
 {
#line 962
  
#line 962 "filter/f-inst.c"
 #line 962 "filter/f-inst.c"
 ;
#line 962 "filter/f-inst.c"
    
#line 962 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = int_set_get_size(v1.val.ad) } ) 
#line 962
  #line 962 "filter/f-inst.c"
;
#line 962
};
  
  #undef whati
#line 963 "filter/f-inst.c"
  }
#line 963

#line 963

#line 964 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__len */
#line 964
struct f_inst *
#line 963 "filter/f-inst.c"
NONNULL(2)
#line 964 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__len(enum f_instruction_code fi_code
#line 963 "filter/f-inst.c"
  , struct f_inst * f1
#line 964 "filter/f-inst.c"
)
#line 964
  {
#line 964
    /* Allocate the structure */
#line 964
    struct f_inst *what = fi_new(fi_code);
#line 964
    uint constargs = 1;
#line 964

#line 964
    /* Initialize all the members */
#line 964
  #define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 964
  #line 963 "filter/f-inst.c"
whati->f1 = f1;
#line 963
const struct f_inst *child1 = f1;
#line 963
do {
#line 963
  what->size += child1->size;
#line 963

#line 963
  if (child1->fi_code != FI_CONSTANT)
#line 963
    constargs = 0;
#line 963

#line 963
} while (child1 = child1->next);
#line 963

#line 963 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 963
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 963
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 963 "filter/f-inst.c"
what->type = T_INT;

#line 964 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 964
    if (!constargs)
#line 964
      return what;
#line 964

#line 964
    /* Try to pre-calculate the result */
#line 964
    #line 963 "filter/f-inst.c"
 {
#line 963
  
#line 963 "filter/f-inst.c"
 #line 963 "filter/f-inst.c"
 ;
#line 963 "filter/f-inst.c"
    
#line 963 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ec_set_get_size(v1.val.ad) } ) 
#line 963
  #line 963 "filter/f-inst.c"
;
#line 963
};
  
  #undef whati
#line 964 "filter/f-inst.c"
  }
#line 964

#line 964

#line 966 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__len */
#line 966
struct f_inst *
#line 964 "filter/f-inst.c"
NONNULL(2)
#line 966 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__len(enum f_instruction_code fi_code
#line 964 "filter/f-inst.c"
  , struct f_inst * f1
#line 966 "filter/f-inst.c"
)
#line 966
  {
#line 966
    /* Allocate the structure */
#line 966
    struct f_inst *what = fi_new(fi_code);
#line 966
    uint constargs = 1;
#line 966

#line 966
    /* Initialize all the members */
#line 966
  #define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 966
  #line 964 "filter/f-inst.c"
whati->f1 = f1;
#line 964
const struct f_inst *child1 = f1;
#line 964
do {
#line 964
  what->size += child1->size;
#line 964

#line 964
  if (child1->fi_code != FI_CONSTANT)
#line 964
    constargs = 0;
#line 964

#line 964
} while (child1 = child1->next);
#line 964

#line 964 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 964
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 964
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 964 "filter/f-inst.c"
what->type = T_INT;

#line 966 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 966
    if (!constargs)
#line 966
      return what;
#line 966

#line 966
    /* Try to pre-calculate the result */
#line 966
    #line 964 "filter/f-inst.c"
 {
#line 964
  
#line 964 "filter/f-inst.c"
 #line 964 "filter/f-inst.c"
 ;
#line 964 "filter/f-inst.c"
    
#line 964 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = lc_set_get_size(v1.val.ad) } ) 
#line 964
  #line 964 "filter/f-inst.c"
;
#line 964
};

  
  #undef whati
#line 966 "filter/f-inst.c"
  }
#line 966

#line 966

#line 1002 "filter/f-inst.c"
 /* Constructor for FI_NET_SRC */
#line 1002
struct f_inst *
#line 967 "filter/f-inst.c"
NONNULL(2)
#line 1002 "filter/f-inst.c"
f_new_inst_FI_NET_SRC(enum f_instruction_code fi_code
#line 967 "filter/f-inst.c"
  , struct f_inst * f1
#line 1002 "filter/f-inst.c"
)
#line 1002
  {
#line 1002
    /* Allocate the structure */
#line 1002
    struct f_inst *what = fi_new(fi_code);
#line 1002
    uint constargs = 1;
#line 1002

#line 1002
    /* Initialize all the members */
#line 1002
  #define whati (&(what->i_FI_NET_SRC))
#line 1002
  #line 967 "filter/f-inst.c"
whati->f1 = f1;
#line 967
const struct f_inst *child1 = f1;
#line 967
do {
#line 967
  what->size += child1->size;
#line 967

#line 967
  if (child1->fi_code != FI_CONSTANT)
#line 967
    constargs = 0;
#line 967

#line 967
} while (child1 = child1->next);
#line 967

#line 967 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 967
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 967
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 999 "filter/f-inst.c"
what->type = T_NET;

#line 1002 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1002
    if (!constargs)
#line 1002
      return what;
#line 1002

#line 1002
    /* Try to pre-calculate the result */
#line 1002
    #line 966 "filter/f-inst.c"
 { 	/* Get src prefix */
    
#line 967 "filter/f-inst.c"
 #line 967 "filter/f-inst.c"
 ;
#line 968 "filter/f-inst.c"
    #line 968 "filter/f-inst.c"
;

    net_addr_union *net = (void *) v1.val.net;
    net_addr *src = falloc(sizeof(net_addr_ip6));
    const byte *part;

    switch(v1.val.net->type) {
    case NET_FLOW4:
      part = flow4_get_part(&net->flow4, FLOW_TYPE_SRC_PREFIX);
      if (part)
	net_fill_ip4(src, flow_read_ip4_part(part), flow_read_pxlen(part));
      else
	net_fill_ip4(src, IP4_NONE, 0);
      break;

    case NET_FLOW6:
      part = flow6_get_part(&net->flow6, FLOW_TYPE_SRC_PREFIX);
      if (part)
	net_fill_ip6(src, flow_read_ip6_part(part), flow_read_pxlen(part));
      else
	net_fill_ip6(src, IP6_NONE, 0);
      break;

    case NET_IP6_SADR:
      net_fill_ip6(src, net->ip6_sadr.src_prefix, net->ip6_sadr.src_pxlen);
      break;

    default:
      runtime( "Flow or SADR expected" );
    }

     
#line 999 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_NET, .val.net = src } );
  }

  
  #undef whati
#line 1002 "filter/f-inst.c"
  }
#line 1002

#line 1002

#line 1039 "filter/f-inst.c"
 /* Constructor for FI_NET_DST */
#line 1039
struct f_inst *
#line 1003 "filter/f-inst.c"
NONNULL(2)
#line 1039 "filter/f-inst.c"
f_new_inst_FI_NET_DST(enum f_instruction_code fi_code
#line 1003 "filter/f-inst.c"
  , struct f_inst * f1
#line 1039 "filter/f-inst.c"
)
#line 1039
  {
#line 1039
    /* Allocate the structure */
#line 1039
    struct f_inst *what = fi_new(fi_code);
#line 1039
    uint constargs = 1;
#line 1039

#line 1039
    /* Initialize all the members */
#line 1039
  #define whati (&(what->i_FI_NET_DST))
#line 1039
  #line 1003 "filter/f-inst.c"
whati->f1 = f1;
#line 1003
const struct f_inst *child1 = f1;
#line 1003
do {
#line 1003
  what->size += child1->size;
#line 1003

#line 1003
  if (child1->fi_code != FI_CONSTANT)
#line 1003
    constargs = 0;
#line 1003

#line 1003
} while (child1 = child1->next);
#line 1003

#line 1003 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1003
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1003
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1035 "filter/f-inst.c"
what->type = T_NET;

#line 1039 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1039
    if (!constargs)
#line 1039
      return what;
#line 1039

#line 1039
    /* Try to pre-calculate the result */
#line 1039
    #line 1002 "filter/f-inst.c"
 { 	/* Get dst prefix */
    
#line 1003 "filter/f-inst.c"
 #line 1003 "filter/f-inst.c"
 ;
#line 1004 "filter/f-inst.c"
    #line 1004 "filter/f-inst.c"
;

    net_addr_union *net = (void *) v1.val.net;
    net_addr *dst = falloc(sizeof(net_addr_ip6));
    const byte *part;

    switch(v1.val.net->type) {
    case NET_FLOW4:
      part = flow4_get_part(&net->flow4, FLOW_TYPE_DST_PREFIX);
      if (part)
	net_fill_ip4(dst, flow_read_ip4_part(part), flow_read_pxlen(part));
      else
	net_fill_ip4(dst, IP4_NONE, 0);
      break;

    case NET_FLOW6:
      part = flow6_get_part(&net->flow6, FLOW_TYPE_DST_PREFIX);
      if (part)
	net_fill_ip6(dst, flow_read_ip6_part(part), flow_read_pxlen(part));
      else
	net_fill_ip6(dst, IP6_NONE, 0);
      break;

    case NET_IP6_SADR:
      net_fill_ip6(dst, net->ip6_sadr.dst_prefix, net->ip6_sadr.dst_pxlen);
      break;

    default:
      runtime( "Flow or SADR expected" );
    }

     
#line 1035 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_NET, .val.net = dst } );
  }

  /* Get ROA max prefix length */
  
  #undef whati
#line 1039 "filter/f-inst.c"
  }
#line 1039

#line 1039

#line 1049 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__maxlen */
#line 1049
struct f_inst *
#line 1039 "filter/f-inst.c"
NONNULL(2)
#line 1049 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__maxlen(enum f_instruction_code fi_code
#line 1039 "filter/f-inst.c"
  , struct f_inst * f1
#line 1049 "filter/f-inst.c"
)
#line 1049
  {
#line 1049
    /* Allocate the structure */
#line 1049
    struct f_inst *what = fi_new(fi_code);
#line 1049
    uint constargs = 1;
#line 1049

#line 1049
    /* Initialize all the members */
#line 1049
  #define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1049
  #line 1039 "filter/f-inst.c"
whati->f1 = f1;
#line 1039
const struct f_inst *child1 = f1;
#line 1039
do {
#line 1039
  what->size += child1->size;
#line 1039

#line 1039
  if (child1->fi_code != FI_CONSTANT)
#line 1039
    constargs = 0;
#line 1039

#line 1039
} while (child1 = child1->next);
#line 1039

#line 1039 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1039
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1039
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1039 "filter/f-inst.c"
what->type = T_INT;

#line 1049 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1049
    if (!constargs)
#line 1049
      return what;
#line 1049

#line 1049
    /* Try to pre-calculate the result */
#line 1049
    #line 1039 "filter/f-inst.c"
 {
#line 1039
  
#line 1039 "filter/f-inst.c"
 #line 1039 "filter/f-inst.c"
 ;
#line 1039 "filter/f-inst.c"
  
#line 1039
    if (!net_is_roa(v1.val.net))
#line 1039
      runtime( "ROA expected" );
#line 1039

#line 1039
     
#line 1039 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = (v1.val.net->type == NET_ROA4) ?
#line 1039
      ((net_addr_roa4 *) v1.val.net)->max_pxlen :
#line 1039
      ((net_addr_roa6 *) v1.val.net)->max_pxlen } );
#line 1039
  
#line 1039
  #line 1039 "filter/f-inst.c"
;
#line 1039
};
#line 1047

  /* Get ROA ASN */
  
  #undef whati
#line 1049 "filter/f-inst.c"
  }
#line 1049

#line 1049

#line 1059 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__asn */
#line 1059
struct f_inst *
#line 1049 "filter/f-inst.c"
NONNULL(2)
#line 1059 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__asn(enum f_instruction_code fi_code
#line 1049 "filter/f-inst.c"
  , struct f_inst * f1
#line 1059 "filter/f-inst.c"
)
#line 1059
  {
#line 1059
    /* Allocate the structure */
#line 1059
    struct f_inst *what = fi_new(fi_code);
#line 1059
    uint constargs = 1;
#line 1059

#line 1059
    /* Initialize all the members */
#line 1059
  #define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1059
  #line 1049 "filter/f-inst.c"
whati->f1 = f1;
#line 1049
const struct f_inst *child1 = f1;
#line 1049
do {
#line 1049
  what->size += child1->size;
#line 1049

#line 1049
  if (child1->fi_code != FI_CONSTANT)
#line 1049
    constargs = 0;
#line 1049

#line 1049
} while (child1 = child1->next);
#line 1049

#line 1049 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1049
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1049
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1049 "filter/f-inst.c"
what->type = T_INT;

#line 1059 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1059
    if (!constargs)
#line 1059
      return what;
#line 1059

#line 1059
    /* Try to pre-calculate the result */
#line 1059
    #line 1049 "filter/f-inst.c"
 {
#line 1049
  
#line 1049 "filter/f-inst.c"
 #line 1049 "filter/f-inst.c"
 ;
#line 1049 "filter/f-inst.c"
  
#line 1049
        if (!net_is_roa(v1.val.net))
#line 1049
          runtime( "ROA expected" );
#line 1049

#line 1049
         
#line 1049 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = (v1.val.net->type == NET_ROA4) ?
#line 1049
          ((net_addr_roa4 *) v1.val.net)->asn :
#line 1049
          ((net_addr_roa6 *) v1.val.net)->asn } );
#line 1049
  
#line 1049
  #line 1049 "filter/f-inst.c"
;
#line 1049
};
#line 1057

  /* Convert prefix to IP */
  
  #undef whati
#line 1059 "filter/f-inst.c"
  }
#line 1059

#line 1059

#line 1061 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__ip */
#line 1061
struct f_inst *
#line 1059 "filter/f-inst.c"
NONNULL(2)
#line 1061 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__ip(enum f_instruction_code fi_code
#line 1059 "filter/f-inst.c"
  , struct f_inst * f1
#line 1061 "filter/f-inst.c"
)
#line 1061
  {
#line 1061
    /* Allocate the structure */
#line 1061
    struct f_inst *what = fi_new(fi_code);
#line 1061
    uint constargs = 1;
#line 1061

#line 1061
    /* Initialize all the members */
#line 1061
  #define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1061
  #line 1059 "filter/f-inst.c"
whati->f1 = f1;
#line 1059
const struct f_inst *child1 = f1;
#line 1059
do {
#line 1059
  what->size += child1->size;
#line 1059

#line 1059
  if (child1->fi_code != FI_CONSTANT)
#line 1059
    constargs = 0;
#line 1059

#line 1059
} while (child1 = child1->next);
#line 1059

#line 1059 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1059
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1059
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1059 "filter/f-inst.c"
what->type = T_IP;

#line 1061 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1061
    if (!constargs)
#line 1061
      return what;
#line 1061

#line 1061
    /* Try to pre-calculate the result */
#line 1061
    #line 1059 "filter/f-inst.c"
 {
#line 1059
  
#line 1059 "filter/f-inst.c"
 #line 1059 "filter/f-inst.c"
 ;
#line 1059 "filter/f-inst.c"
    
#line 1059 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_IP, .val.ip = net_prefix(v1.val.net) } ) 
#line 1059
  #line 1059 "filter/f-inst.c"
;
#line 1059
};

  
  #undef whati
#line 1061 "filter/f-inst.c"
  }
#line 1061

#line 1061

#line 1070 "filter/f-inst.c"
 /* Constructor for FI_ROUTE_DISTINGUISHER */
#line 1070
struct f_inst *
#line 1062 "filter/f-inst.c"
NONNULL(2)
#line 1070 "filter/f-inst.c"
f_new_inst_FI_ROUTE_DISTINGUISHER(enum f_instruction_code fi_code
#line 1062 "filter/f-inst.c"
  , struct f_inst * f1
#line 1070 "filter/f-inst.c"
)
#line 1070
  {
#line 1070
    /* Allocate the structure */
#line 1070
    struct f_inst *what = fi_new(fi_code);
#line 1070
    uint constargs = 1;
#line 1070

#line 1070
    /* Initialize all the members */
#line 1070
  #define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1070
  #line 1062 "filter/f-inst.c"
whati->f1 = f1;
#line 1062
const struct f_inst *child1 = f1;
#line 1062
do {
#line 1062
  what->size += child1->size;
#line 1062

#line 1062
  if (child1->fi_code != FI_CONSTANT)
#line 1062
    constargs = 0;
#line 1062

#line 1062
} while (child1 = child1->next);
#line 1062

#line 1062 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1062
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1062
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1066 "filter/f-inst.c"
what->type = T_RD;

#line 1070 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1070
    if (!constargs)
#line 1070
      return what;
#line 1070

#line 1070
    /* Try to pre-calculate the result */
#line 1070
    #line 1061 "filter/f-inst.c"
 {
    
#line 1062 "filter/f-inst.c"
 #line 1062 "filter/f-inst.c"
 ;
#line 1063 "filter/f-inst.c"
    #line 1063 "filter/f-inst.c"
;
    if (!net_is_vpn(v1.val.net))
      runtime( "VPN address expected" );
     
#line 1066 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_RD, .val.rd = net_rd(v1.val.net) } );
  }

  /* Get first ASN from AS PATH */
  
  #undef whati
#line 1070 "filter/f-inst.c"
  }
#line 1070

#line 1070

#line 1073 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__first */
#line 1073
struct f_inst *
#line 1070 "filter/f-inst.c"
NONNULL(2)
#line 1073 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__first(enum f_instruction_code fi_code
#line 1070 "filter/f-inst.c"
  , struct f_inst * f1
#line 1073 "filter/f-inst.c"
)
#line 1073
  {
#line 1073
    /* Allocate the structure */
#line 1073
    struct f_inst *what = fi_new(fi_code);
#line 1073
    uint constargs = 1;
#line 1073

#line 1073
    /* Initialize all the members */
#line 1073
  #define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1073
  #line 1070 "filter/f-inst.c"
whati->f1 = f1;
#line 1070
const struct f_inst *child1 = f1;
#line 1070
do {
#line 1070
  what->size += child1->size;
#line 1070

#line 1070
  if (child1->fi_code != FI_CONSTANT)
#line 1070
    constargs = 0;
#line 1070

#line 1070
} while (child1 = child1->next);
#line 1070

#line 1070 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1070
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1070
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1070 "filter/f-inst.c"
what->type = T_INT;

#line 1073 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1073
    if (!constargs)
#line 1073
      return what;
#line 1073

#line 1073
    /* Try to pre-calculate the result */
#line 1073
    #line 1070 "filter/f-inst.c"
 {
#line 1070
  
#line 1070 "filter/f-inst.c"
 #line 1070 "filter/f-inst.c"
 ;
#line 1070 "filter/f-inst.c"
    
#line 1070 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ({ u32 as = 0; as_path_get_first(v1.val.ad, &as); as; }) } ) 
#line 1070
  #line 1070 "filter/f-inst.c"
;
#line 1070
};

  /* Get last ASN from AS PATH */
  
  #undef whati
#line 1073 "filter/f-inst.c"
  }
#line 1073

#line 1073

#line 1076 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__last */
#line 1076
struct f_inst *
#line 1073 "filter/f-inst.c"
NONNULL(2)
#line 1076 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__last(enum f_instruction_code fi_code
#line 1073 "filter/f-inst.c"
  , struct f_inst * f1
#line 1076 "filter/f-inst.c"
)
#line 1076
  {
#line 1076
    /* Allocate the structure */
#line 1076
    struct f_inst *what = fi_new(fi_code);
#line 1076
    uint constargs = 1;
#line 1076

#line 1076
    /* Initialize all the members */
#line 1076
  #define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1076
  #line 1073 "filter/f-inst.c"
whati->f1 = f1;
#line 1073
const struct f_inst *child1 = f1;
#line 1073
do {
#line 1073
  what->size += child1->size;
#line 1073

#line 1073
  if (child1->fi_code != FI_CONSTANT)
#line 1073
    constargs = 0;
#line 1073

#line 1073
} while (child1 = child1->next);
#line 1073

#line 1073 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1073
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1073
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1073 "filter/f-inst.c"
what->type = T_INT;

#line 1076 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1076
    if (!constargs)
#line 1076
      return what;
#line 1076

#line 1076
    /* Try to pre-calculate the result */
#line 1076
    #line 1073 "filter/f-inst.c"
 {
#line 1073
  
#line 1073 "filter/f-inst.c"
 #line 1073 "filter/f-inst.c"
 ;
#line 1073 "filter/f-inst.c"
    
#line 1073 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ({ u32 as = 0; as_path_get_last(v1.val.ad, &as); as; }) } ) 
#line 1073
  #line 1073 "filter/f-inst.c"
;
#line 1073
};

  /* Get last ASN from non-aggregated part of AS PATH */
  
  #undef whati
#line 1076 "filter/f-inst.c"
  }
#line 1076

#line 1076

#line 1079 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
struct f_inst *
#line 1076 "filter/f-inst.c"
NONNULL(2)
#line 1079 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__last_nonaggregated(enum f_instruction_code fi_code
#line 1076 "filter/f-inst.c"
  , struct f_inst * f1
#line 1079 "filter/f-inst.c"
)
#line 1079
  {
#line 1079
    /* Allocate the structure */
#line 1079
    struct f_inst *what = fi_new(fi_code);
#line 1079
    uint constargs = 1;
#line 1079

#line 1079
    /* Initialize all the members */
#line 1079
  #define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1079
  #line 1076 "filter/f-inst.c"
whati->f1 = f1;
#line 1076
const struct f_inst *child1 = f1;
#line 1076
do {
#line 1076
  what->size += child1->size;
#line 1076

#line 1076
  if (child1->fi_code != FI_CONSTANT)
#line 1076
    constargs = 0;
#line 1076

#line 1076
} while (child1 = child1->next);
#line 1076

#line 1076 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1076
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1076
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1076 "filter/f-inst.c"
what->type = T_INT;

#line 1079 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1079
    if (!constargs)
#line 1079
      return what;
#line 1079

#line 1079
    /* Try to pre-calculate the result */
#line 1079
    #line 1076 "filter/f-inst.c"
 {
#line 1076
  
#line 1076 "filter/f-inst.c"
 #line 1076 "filter/f-inst.c"
 ;
#line 1076 "filter/f-inst.c"
    
#line 1076 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = as_path_get_last_nonaggregated(v1.val.ad) } ) 
#line 1076
  #line 1076 "filter/f-inst.c"
;
#line 1076
};

  /* Get ASN part from the standard community ASN */
  
  #undef whati
#line 1079 "filter/f-inst.c"
  }
#line 1079

#line 1079

#line 1082 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PAIR__asn */
#line 1082
struct f_inst *
#line 1079 "filter/f-inst.c"
NONNULL(2)
#line 1082 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PAIR__asn(enum f_instruction_code fi_code
#line 1079 "filter/f-inst.c"
  , struct f_inst * f1
#line 1082 "filter/f-inst.c"
)
#line 1082
  {
#line 1082
    /* Allocate the structure */
#line 1082
    struct f_inst *what = fi_new(fi_code);
#line 1082
    uint constargs = 1;
#line 1082

#line 1082
    /* Initialize all the members */
#line 1082
  #define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1082
  #line 1079 "filter/f-inst.c"
whati->f1 = f1;
#line 1079
const struct f_inst *child1 = f1;
#line 1079
do {
#line 1079
  what->size += child1->size;
#line 1079

#line 1079
  if (child1->fi_code != FI_CONSTANT)
#line 1079
    constargs = 0;
#line 1079

#line 1079
} while (child1 = child1->next);
#line 1079

#line 1079 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PAIR)) && !f_const_promotion(f1, (T_PAIR)))
#line 1079
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1079
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f1->type));
#line 1079 "filter/f-inst.c"
what->type = T_INT;

#line 1082 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1082
    if (!constargs)
#line 1082
      return what;
#line 1082

#line 1082
    /* Try to pre-calculate the result */
#line 1082
    #line 1079 "filter/f-inst.c"
 {
#line 1079
  
#line 1079 "filter/f-inst.c"
 #line 1079 "filter/f-inst.c"
 ;
#line 1079 "filter/f-inst.c"
    
#line 1079 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i >> 16 } ) 
#line 1079
  #line 1079 "filter/f-inst.c"
;
#line 1079
};

  /* Get data part from the standard community */
  
  #undef whati
#line 1082 "filter/f-inst.c"
  }
#line 1082

#line 1082

#line 1085 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PAIR__data */
#line 1085
struct f_inst *
#line 1082 "filter/f-inst.c"
NONNULL(2)
#line 1085 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PAIR__data(enum f_instruction_code fi_code
#line 1082 "filter/f-inst.c"
  , struct f_inst * f1
#line 1085 "filter/f-inst.c"
)
#line 1085
  {
#line 1085
    /* Allocate the structure */
#line 1085
    struct f_inst *what = fi_new(fi_code);
#line 1085
    uint constargs = 1;
#line 1085

#line 1085
    /* Initialize all the members */
#line 1085
  #define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1085
  #line 1082 "filter/f-inst.c"
whati->f1 = f1;
#line 1082
const struct f_inst *child1 = f1;
#line 1082
do {
#line 1082
  what->size += child1->size;
#line 1082

#line 1082
  if (child1->fi_code != FI_CONSTANT)
#line 1082
    constargs = 0;
#line 1082

#line 1082
} while (child1 = child1->next);
#line 1082

#line 1082 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PAIR)) && !f_const_promotion(f1, (T_PAIR)))
#line 1082
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1082
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f1->type));
#line 1082 "filter/f-inst.c"
what->type = T_INT;

#line 1085 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1085
    if (!constargs)
#line 1085
      return what;
#line 1085

#line 1085
    /* Try to pre-calculate the result */
#line 1085
    #line 1082 "filter/f-inst.c"
 {
#line 1082
  
#line 1082 "filter/f-inst.c"
 #line 1082 "filter/f-inst.c"
 ;
#line 1082 "filter/f-inst.c"
    
#line 1082 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i & 0xFFFF } ) 
#line 1082
  #line 1082 "filter/f-inst.c"
;
#line 1082
};

  /* Get ASN part from the large community */
  
  #undef whati
#line 1085 "filter/f-inst.c"
  }
#line 1085

#line 1085

#line 1088 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__asn */
#line 1088
struct f_inst *
#line 1085 "filter/f-inst.c"
NONNULL(2)
#line 1088 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__asn(enum f_instruction_code fi_code
#line 1085 "filter/f-inst.c"
  , struct f_inst * f1
#line 1088 "filter/f-inst.c"
)
#line 1088
  {
#line 1088
    /* Allocate the structure */
#line 1088
    struct f_inst *what = fi_new(fi_code);
#line 1088
    uint constargs = 1;
#line 1088

#line 1088
    /* Initialize all the members */
#line 1088
  #define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1088
  #line 1085 "filter/f-inst.c"
whati->f1 = f1;
#line 1085
const struct f_inst *child1 = f1;
#line 1085
do {
#line 1085
  what->size += child1->size;
#line 1085

#line 1085
  if (child1->fi_code != FI_CONSTANT)
#line 1085
    constargs = 0;
#line 1085

#line 1085
} while (child1 = child1->next);
#line 1085

#line 1085 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1085
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1085
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1085 "filter/f-inst.c"
what->type = T_INT;

#line 1088 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1088
    if (!constargs)
#line 1088
      return what;
#line 1088

#line 1088
    /* Try to pre-calculate the result */
#line 1088
    #line 1085 "filter/f-inst.c"
 {
#line 1085
  
#line 1085 "filter/f-inst.c"
 #line 1085 "filter/f-inst.c"
 ;
#line 1085 "filter/f-inst.c"
    
#line 1085 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.asn } ) 
#line 1085
  #line 1085 "filter/f-inst.c"
;
#line 1085
};

  /* Get data1 part from the large community */
  
  #undef whati
#line 1088 "filter/f-inst.c"
  }
#line 1088

#line 1088

#line 1091 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__data1 */
#line 1091
struct f_inst *
#line 1088 "filter/f-inst.c"
NONNULL(2)
#line 1091 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__data1(enum f_instruction_code fi_code
#line 1088 "filter/f-inst.c"
  , struct f_inst * f1
#line 1091 "filter/f-inst.c"
)
#line 1091
  {
#line 1091
    /* Allocate the structure */
#line 1091
    struct f_inst *what = fi_new(fi_code);
#line 1091
    uint constargs = 1;
#line 1091

#line 1091
    /* Initialize all the members */
#line 1091
  #define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1091
  #line 1088 "filter/f-inst.c"
whati->f1 = f1;
#line 1088
const struct f_inst *child1 = f1;
#line 1088
do {
#line 1088
  what->size += child1->size;
#line 1088

#line 1088
  if (child1->fi_code != FI_CONSTANT)
#line 1088
    constargs = 0;
#line 1088

#line 1088
} while (child1 = child1->next);
#line 1088

#line 1088 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1088
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1088
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1088 "filter/f-inst.c"
what->type = T_INT;

#line 1091 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1091
    if (!constargs)
#line 1091
      return what;
#line 1091

#line 1091
    /* Try to pre-calculate the result */
#line 1091
    #line 1088 "filter/f-inst.c"
 {
#line 1088
  
#line 1088 "filter/f-inst.c"
 #line 1088 "filter/f-inst.c"
 ;
#line 1088 "filter/f-inst.c"
    
#line 1088 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.ldp1 } ) 
#line 1088
  #line 1088 "filter/f-inst.c"
;
#line 1088
};

  /* Get data2 part from the large community */
  
  #undef whati
#line 1091 "filter/f-inst.c"
  }
#line 1091

#line 1091

#line 1094 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__data2 */
#line 1094
struct f_inst *
#line 1091 "filter/f-inst.c"
NONNULL(2)
#line 1094 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__data2(enum f_instruction_code fi_code
#line 1091 "filter/f-inst.c"
  , struct f_inst * f1
#line 1094 "filter/f-inst.c"
)
#line 1094
  {
#line 1094
    /* Allocate the structure */
#line 1094
    struct f_inst *what = fi_new(fi_code);
#line 1094
    uint constargs = 1;
#line 1094

#line 1094
    /* Initialize all the members */
#line 1094
  #define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1094
  #line 1091 "filter/f-inst.c"
whati->f1 = f1;
#line 1091
const struct f_inst *child1 = f1;
#line 1091
do {
#line 1091
  what->size += child1->size;
#line 1091

#line 1091
  if (child1->fi_code != FI_CONSTANT)
#line 1091
    constargs = 0;
#line 1091

#line 1091
} while (child1 = child1->next);
#line 1091

#line 1091 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1091
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1091
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1091 "filter/f-inst.c"
what->type = T_INT;

#line 1094 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1094
    if (!constargs)
#line 1094
      return what;
#line 1094

#line 1094
    /* Try to pre-calculate the result */
#line 1094
    #line 1091 "filter/f-inst.c"
 {
#line 1091
  
#line 1091 "filter/f-inst.c"
 #line 1091 "filter/f-inst.c"
 ;
#line 1091 "filter/f-inst.c"
    
#line 1091 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.ldp2 } ) 
#line 1091
  #line 1091 "filter/f-inst.c"
;
#line 1091
};

  /* Get minimum element from clist */
  
  #undef whati
#line 1094 "filter/f-inst.c"
  }
#line 1094

#line 1094

#line 1097 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__min */
#line 1097
struct f_inst *
#line 1094 "filter/f-inst.c"
NONNULL(2)
#line 1097 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__min(enum f_instruction_code fi_code
#line 1094 "filter/f-inst.c"
  , struct f_inst * f1
#line 1097 "filter/f-inst.c"
)
#line 1097
  {
#line 1097
    /* Allocate the structure */
#line 1097
    struct f_inst *what = fi_new(fi_code);
#line 1097
    uint constargs = 1;
#line 1097

#line 1097
    /* Initialize all the members */
#line 1097
  #define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1097
  #line 1094 "filter/f-inst.c"
whati->f1 = f1;
#line 1094
const struct f_inst *child1 = f1;
#line 1094
do {
#line 1094
  what->size += child1->size;
#line 1094

#line 1094
  if (child1->fi_code != FI_CONSTANT)
#line 1094
    constargs = 0;
#line 1094

#line 1094
} while (child1 = child1->next);
#line 1094

#line 1094 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1094
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1094
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1094 "filter/f-inst.c"
what->type = T_PAIR;

#line 1097 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1097
    if (!constargs)
#line 1097
      return what;
#line 1097

#line 1097
    /* Try to pre-calculate the result */
#line 1097
    #line 1094 "filter/f-inst.c"
 {
#line 1094
  
#line 1094 "filter/f-inst.c"
 #line 1094 "filter/f-inst.c"
 ;
#line 1094 "filter/f-inst.c"
    
#line 1094 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = ({ u32 val = 0; int_set_min(v1.val.ad, &val); val; }) } ) 
#line 1094
  #line 1094 "filter/f-inst.c"
;
#line 1094
};

  /* Get maximum element from clist */
  
  #undef whati
#line 1097 "filter/f-inst.c"
  }
#line 1097

#line 1097

#line 1100 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__max */
#line 1100
struct f_inst *
#line 1097 "filter/f-inst.c"
NONNULL(2)
#line 1100 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__max(enum f_instruction_code fi_code
#line 1097 "filter/f-inst.c"
  , struct f_inst * f1
#line 1100 "filter/f-inst.c"
)
#line 1100
  {
#line 1100
    /* Allocate the structure */
#line 1100
    struct f_inst *what = fi_new(fi_code);
#line 1100
    uint constargs = 1;
#line 1100

#line 1100
    /* Initialize all the members */
#line 1100
  #define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1100
  #line 1097 "filter/f-inst.c"
whati->f1 = f1;
#line 1097
const struct f_inst *child1 = f1;
#line 1097
do {
#line 1097
  what->size += child1->size;
#line 1097

#line 1097
  if (child1->fi_code != FI_CONSTANT)
#line 1097
    constargs = 0;
#line 1097

#line 1097
} while (child1 = child1->next);
#line 1097

#line 1097 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1097
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1097
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1097 "filter/f-inst.c"
what->type = T_PAIR;

#line 1100 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1100
    if (!constargs)
#line 1100
      return what;
#line 1100

#line 1100
    /* Try to pre-calculate the result */
#line 1100
    #line 1097 "filter/f-inst.c"
 {
#line 1097
  
#line 1097 "filter/f-inst.c"
 #line 1097 "filter/f-inst.c"
 ;
#line 1097 "filter/f-inst.c"
    
#line 1097 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = ({ u32 val = 0; int_set_max(v1.val.ad, &val); val; }) } ) 
#line 1097
  #line 1097 "filter/f-inst.c"
;
#line 1097
};

  /* Get minimum element from eclist */
  
  #undef whati
#line 1100 "filter/f-inst.c"
  }
#line 1100

#line 1100

#line 1103 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__min */
#line 1103
struct f_inst *
#line 1100 "filter/f-inst.c"
NONNULL(2)
#line 1103 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__min(enum f_instruction_code fi_code
#line 1100 "filter/f-inst.c"
  , struct f_inst * f1
#line 1103 "filter/f-inst.c"
)
#line 1103
  {
#line 1103
    /* Allocate the structure */
#line 1103
    struct f_inst *what = fi_new(fi_code);
#line 1103
    uint constargs = 1;
#line 1103

#line 1103
    /* Initialize all the members */
#line 1103
  #define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1103
  #line 1100 "filter/f-inst.c"
whati->f1 = f1;
#line 1100
const struct f_inst *child1 = f1;
#line 1100
do {
#line 1100
  what->size += child1->size;
#line 1100

#line 1100
  if (child1->fi_code != FI_CONSTANT)
#line 1100
    constargs = 0;
#line 1100

#line 1100
} while (child1 = child1->next);
#line 1100

#line 1100 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1100
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1100
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1100 "filter/f-inst.c"
what->type = T_EC;

#line 1103 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1103
    if (!constargs)
#line 1103
      return what;
#line 1103

#line 1103
    /* Try to pre-calculate the result */
#line 1103
    #line 1100 "filter/f-inst.c"
 {
#line 1100
  
#line 1100 "filter/f-inst.c"
 #line 1100 "filter/f-inst.c"
 ;
#line 1100 "filter/f-inst.c"
    
#line 1100 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ({ u64 val = 0; ec_set_min(v1.val.ad, &val); val; }) } ) 
#line 1100
  #line 1100 "filter/f-inst.c"
;
#line 1100
};

  /* Get maximum element from eclist */
  
  #undef whati
#line 1103 "filter/f-inst.c"
  }
#line 1103

#line 1103

#line 1106 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__max */
#line 1106
struct f_inst *
#line 1103 "filter/f-inst.c"
NONNULL(2)
#line 1106 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__max(enum f_instruction_code fi_code
#line 1103 "filter/f-inst.c"
  , struct f_inst * f1
#line 1106 "filter/f-inst.c"
)
#line 1106
  {
#line 1106
    /* Allocate the structure */
#line 1106
    struct f_inst *what = fi_new(fi_code);
#line 1106
    uint constargs = 1;
#line 1106

#line 1106
    /* Initialize all the members */
#line 1106
  #define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1106
  #line 1103 "filter/f-inst.c"
whati->f1 = f1;
#line 1103
const struct f_inst *child1 = f1;
#line 1103
do {
#line 1103
  what->size += child1->size;
#line 1103

#line 1103
  if (child1->fi_code != FI_CONSTANT)
#line 1103
    constargs = 0;
#line 1103

#line 1103
} while (child1 = child1->next);
#line 1103

#line 1103 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1103
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1103
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1103 "filter/f-inst.c"
what->type = T_EC;

#line 1106 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1106
    if (!constargs)
#line 1106
      return what;
#line 1106

#line 1106
    /* Try to pre-calculate the result */
#line 1106
    #line 1103 "filter/f-inst.c"
 {
#line 1103
  
#line 1103 "filter/f-inst.c"
 #line 1103 "filter/f-inst.c"
 ;
#line 1103 "filter/f-inst.c"
    
#line 1103 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ({ u64 val = 0; ec_set_max(v1.val.ad, &val); val; }) } ) 
#line 1103
  #line 1103 "filter/f-inst.c"
;
#line 1103
};

  /* Get minimum element from lclist */
  
  #undef whati
#line 1106 "filter/f-inst.c"
  }
#line 1106

#line 1106

#line 1109 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__min */
#line 1109
struct f_inst *
#line 1106 "filter/f-inst.c"
NONNULL(2)
#line 1109 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__min(enum f_instruction_code fi_code
#line 1106 "filter/f-inst.c"
  , struct f_inst * f1
#line 1109 "filter/f-inst.c"
)
#line 1109
  {
#line 1109
    /* Allocate the structure */
#line 1109
    struct f_inst *what = fi_new(fi_code);
#line 1109
    uint constargs = 1;
#line 1109

#line 1109
    /* Initialize all the members */
#line 1109
  #define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1109
  #line 1106 "filter/f-inst.c"
whati->f1 = f1;
#line 1106
const struct f_inst *child1 = f1;
#line 1106
do {
#line 1106
  what->size += child1->size;
#line 1106

#line 1106
  if (child1->fi_code != FI_CONSTANT)
#line 1106
    constargs = 0;
#line 1106

#line 1106
} while (child1 = child1->next);
#line 1106

#line 1106 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1106
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1106
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1106 "filter/f-inst.c"
what->type = T_LC;

#line 1109 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1109
    if (!constargs)
#line 1109
      return what;
#line 1109

#line 1109
    /* Try to pre-calculate the result */
#line 1109
    #line 1106 "filter/f-inst.c"
 {
#line 1106
  
#line 1106 "filter/f-inst.c"
 #line 1106 "filter/f-inst.c"
 ;
#line 1106 "filter/f-inst.c"
    
#line 1106 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = ({ lcomm val = {}; lc_set_min(v1.val.ad, &val); val; }) } ) 
#line 1106
  #line 1106 "filter/f-inst.c"
;
#line 1106
};

  /* Get maximum element from lclist */
  
  #undef whati
#line 1109 "filter/f-inst.c"
  }
#line 1109

#line 1109

#line 1111 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__max */
#line 1111
struct f_inst *
#line 1109 "filter/f-inst.c"
NONNULL(2)
#line 1111 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__max(enum f_instruction_code fi_code
#line 1109 "filter/f-inst.c"
  , struct f_inst * f1
#line 1111 "filter/f-inst.c"
)
#line 1111
  {
#line 1111
    /* Allocate the structure */
#line 1111
    struct f_inst *what = fi_new(fi_code);
#line 1111
    uint constargs = 1;
#line 1111

#line 1111
    /* Initialize all the members */
#line 1111
  #define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1111
  #line 1109 "filter/f-inst.c"
whati->f1 = f1;
#line 1109
const struct f_inst *child1 = f1;
#line 1109
do {
#line 1109
  what->size += child1->size;
#line 1109

#line 1109
  if (child1->fi_code != FI_CONSTANT)
#line 1109
    constargs = 0;
#line 1109

#line 1109
} while (child1 = child1->next);
#line 1109

#line 1109 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1109
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1109
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1109 "filter/f-inst.c"
what->type = T_LC;

#line 1111 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1111
    if (!constargs)
#line 1111
      return what;
#line 1111

#line 1111
    /* Try to pre-calculate the result */
#line 1111
    #line 1109 "filter/f-inst.c"
 {
#line 1109
  
#line 1109 "filter/f-inst.c"
 #line 1109 "filter/f-inst.c"
 ;
#line 1109 "filter/f-inst.c"
    
#line 1109 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = ({ lcomm val = {}; lc_set_max(v1.val.ad, &val); val; }) } ) 
#line 1109
  #line 1109 "filter/f-inst.c"
;
#line 1109
};

  
  #undef whati
#line 1111 "filter/f-inst.c"
  }
#line 1111

#line 1111

#line 1137 "filter/f-inst.c"
 /* Constructor for FI_RETURN */
#line 1137
struct f_inst *
#line 1114 "filter/f-inst.c"
NONNULL(2)
#line 1137 "filter/f-inst.c"
f_new_inst_FI_RETURN(enum f_instruction_code fi_code
#line 1114 "filter/f-inst.c"
  , struct f_inst * f1
#line 1137 "filter/f-inst.c"
)
#line 1137
  {
#line 1137
    /* Allocate the structure */
#line 1137
    struct f_inst *what = fi_new(fi_code);
#line 1137
    
#line 1137

#line 1137
    /* Initialize all the members */
#line 1137
  #define whati (&(what->i_FI_RETURN))
#line 1137
  #line 1114 "filter/f-inst.c"
whati->f1 = f1;
#line 1114
const struct f_inst *child1 = f1;
#line 1114
do {
#line 1114
  what->size += child1->size;
#line 1114

#line 1114
} while (child1 = child1->next);
#line 1114


#line 1137 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1137
    
#line 1137
      return what;
#line 1137

#line 1137
    /* Try to pre-calculate the result */
#line 1137
      #undef whati
#line 1137
  }
#line 1137

#line 1137

#line 1197 "filter/f-inst.c"
 /* Constructor for FI_CALL */
#line 1197
struct f_inst *
#line 1197
f_new_inst_FI_CALL(enum f_instruction_code fi_code
#line 1139 "filter/f-inst.c"
  , struct f_inst * fvar
#line 1140 "filter/f-inst.c"
  , struct symbol * sym
#line 1197 "filter/f-inst.c"
)
#line 1197
  {
#line 1197
    /* Allocate the structure */
#line 1197
    struct f_inst *what = fi_new(fi_code);
#line 1197
    
#line 1197

#line 1197
    /* Initialize all the members */
#line 1197
  #define whati (&(what->i_FI_CALL))
#line 1197
  #line 1139 "filter/f-inst.c"
whati->varcount = 0;
#line 1139
whati->fvar = fvar;
#line 1139
for (const struct f_inst *child = fvar; child; child = child->next, whati->varcount++) {
#line 1139
  what->size += child->size;
#line 1139

#line 1139
}
#line 1139

#line 1140 "filter/f-inst.c"
whati->sym = sym;
#line 1141 "filter/f-inst.c"
what->type = sym->function->return_type;

#line 1144 "filter/f-inst.c"
    ASSERT(sym->class == SYM_FUNCTION);

    if (whati->varcount != sym->function->args)
      cf_error("Function '%s' expects %u arguments, got %u arguments",
	       sym->name, sym->function->args, whati->varcount);

    /* Typecheck individual arguments */
    struct f_inst *a = fvar;
    struct f_arg *b = sym->function->arg_list;
    for (uint i = 1; a && b; a = a->next, b = b->next, i++)
    {
      enum btype b_type = b->arg->class & 0xff;

      if (a->type && (a->type != b_type) && !f_const_promotion(a, b_type))
	cf_error("Argument %u of '%s' must be %s, got %s",
		 i, sym->name, f_type_name(b_type), f_type_name(a->type));
    }
    ASSERT(!a && !b);

    /* Add implicit void slot for the return value */
    struct f_inst *tmp = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
    tmp->next = whati->fvar;
    whati->fvar = tmp;
    what->size += tmp->size;

    /* Mark recursive calls, they have dummy f_line */
    if (!sym->function->len)
      what->flags |= FIF_RECURSIVE;

    
#line 1197 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1197
    
#line 1197
      return what;
#line 1197

#line 1197
    /* Try to pre-calculate the result */
#line 1197
      #undef whati
#line 1197
  }
#line 1197

#line 1197

#line 1202 "filter/f-inst.c"
 /* Constructor for FI_DROP_RESULT */
#line 1202
struct f_inst *
#line 1199 "filter/f-inst.c"
NONNULL(2)
#line 1202 "filter/f-inst.c"
f_new_inst_FI_DROP_RESULT(enum f_instruction_code fi_code
#line 1199 "filter/f-inst.c"
  , struct f_inst * f1
#line 1202 "filter/f-inst.c"
)
#line 1202
  {
#line 1202
    /* Allocate the structure */
#line 1202
    struct f_inst *what = fi_new(fi_code);
#line 1202
    
#line 1202

#line 1202
    /* Initialize all the members */
#line 1202
  #define whati (&(what->i_FI_DROP_RESULT))
#line 1202
  #line 1199 "filter/f-inst.c"
whati->f1 = f1;
#line 1199
const struct f_inst *child1 = f1;
#line 1199
do {
#line 1199
  what->size += child1->size;
#line 1199

#line 1199
} while (child1 = child1->next);
#line 1199


#line 1202 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1202
    
#line 1202
      return what;
#line 1202

#line 1202
    /* Try to pre-calculate the result */
#line 1202
      #undef whati
#line 1202
  }
#line 1202

#line 1202

#line 1243 "filter/f-inst.c"
 /* Constructor for FI_SWITCH */
#line 1243
struct f_inst *
#line 1203 "filter/f-inst.c"
NONNULL(2)
#line 1243 "filter/f-inst.c"
f_new_inst_FI_SWITCH(enum f_instruction_code fi_code
#line 1203 "filter/f-inst.c"
  , struct f_inst * f1
#line 1205 "filter/f-inst.c"
  , struct f_tree * tree
#line 1243 "filter/f-inst.c"
)
#line 1243
  {
#line 1243
    /* Allocate the structure */
#line 1243
    struct f_inst *what = fi_new(fi_code);
#line 1243
    uint constargs = 1;
#line 1243

#line 1243
    /* Initialize all the members */
#line 1243
  #define whati (&(what->i_FI_SWITCH))
#line 1243
  #line 1203 "filter/f-inst.c"
whati->f1 = f1;
#line 1203
const struct f_inst *child1 = f1;
#line 1203
do {
#line 1203
  what->size += child1->size;
#line 1203

#line 1203
  if (child1->fi_code != FI_CONSTANT)
#line 1203
    constargs = 0;
#line 1203

#line 1203
} while (child1 = child1->next);
#line 1203

#line 1205 "filter/f-inst.c"
whati->tree = tree;

#line 1243 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1243
    if (!constargs)
#line 1243
      return what;
#line 1243

#line 1243
    /* Try to pre-calculate the result */
#line 1243
    #line 1202 "filter/f-inst.c"
 {
    
#line 1203 "filter/f-inst.c"
;

    #line 1205 "filter/f-inst.c"
;

    
#line 1229 "filter/f-inst.c"
    /* In parse-time use find_tree_linear(), in runtime use find_tree() */
    const struct f_tree *t = find_tree_linear(tree, &v1);
    if (!t) {
      v1.type = T_VOID;
      t = find_tree_linear(tree, &v1);
      if (!t) {
	debug( "No else statement?\n");
	return NULL;
      }
    }

    return t->data ;
#line 1241 "filter/f-inst.c"
  }

  
  #undef whati
#line 1243 "filter/f-inst.c"
  }
#line 1243

#line 1243

#line 1252 "filter/f-inst.c"
 /* Constructor for FI_IP_MASK */
#line 1252
struct f_inst *
#line 1244 "filter/f-inst.c"
NONNULL(2)
#line 1245 "filter/f-inst.c"
NONNULL(3)
#line 1252 "filter/f-inst.c"
f_new_inst_FI_IP_MASK(enum f_instruction_code fi_code
#line 1244 "filter/f-inst.c"
  , struct f_inst * f1
#line 1245 "filter/f-inst.c"
  , struct f_inst * f2
#line 1252 "filter/f-inst.c"
)
#line 1252
  {
#line 1252
    /* Allocate the structure */
#line 1252
    struct f_inst *what = fi_new(fi_code);
#line 1252
    uint constargs = 1;
#line 1252

#line 1252
    /* Initialize all the members */
#line 1252
  #define whati (&(what->i_FI_IP_MASK))
#line 1252
  #line 1244 "filter/f-inst.c"
whati->f1 = f1;
#line 1244
const struct f_inst *child1 = f1;
#line 1244
do {
#line 1244
  what->size += child1->size;
#line 1244

#line 1244
  if (child1->fi_code != FI_CONSTANT)
#line 1244
    constargs = 0;
#line 1244

#line 1244
} while (child1 = child1->next);
#line 1244

#line 1244 "filter/f-inst.c"
if (f1->type && (f1->type != (T_IP)) && !f_const_promotion(f1, (T_IP)))
#line 1244
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1244
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f1->type));
#line 1245 "filter/f-inst.c"
whati->f2 = f2;
#line 1245
const struct f_inst *child2 = f2;
#line 1245
do {
#line 1245
  what->size += child2->size;
#line 1245

#line 1245
  if (child2->fi_code != FI_CONSTANT)
#line 1245
    constargs = 0;
#line 1245

#line 1245
} while (child2 = child2->next);
#line 1245 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1245
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1245
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1247 "filter/f-inst.c"
what->type = T_IP;

#line 1252 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1252
    if (!constargs)
#line 1252
      return what;
#line 1252

#line 1252
    /* Try to pre-calculate the result */
#line 1252
    #line 1243 "filter/f-inst.c"
 { /* IP.MASK(val) */
    
#line 1244 "filter/f-inst.c"
 #line 1244 "filter/f-inst.c"
 ;
#line 1245 "filter/f-inst.c"
    
#line 1245 "filter/f-inst.c"
 #line 1245 "filter/f-inst.c"
 ;
#line 1246 "filter/f-inst.c"
    #line 1246 "filter/f-inst.c"
;
     
#line 1247 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_IP, .val.ip =  ipa_is_ip4(v1.val.ip) ?
#line 1247
      ipa_from_ip4(ip4_and(ipa_to_ip4(v1.val.ip), ip4_mkmask(v2.val.i))) :
#line 1247
      ipa_from_ip6(ip6_and(ipa_to_ip6(v1.val.ip), ip6_mkmask(v2.val.i)))  } );
#line 1250
  }

  
  #undef whati
#line 1252 "filter/f-inst.c"
  }
#line 1252

#line 1252

#line 1260 "filter/f-inst.c"
 /* Constructor for FI_PATH_PREPEND */
#line 1260
struct f_inst *
#line 1253 "filter/f-inst.c"
NONNULL(2)
#line 1254 "filter/f-inst.c"
NONNULL(3)
#line 1260 "filter/f-inst.c"
f_new_inst_FI_PATH_PREPEND(enum f_instruction_code fi_code
#line 1253 "filter/f-inst.c"
  , struct f_inst * f1
#line 1254 "filter/f-inst.c"
  , struct f_inst * f2
#line 1260 "filter/f-inst.c"
)
#line 1260
  {
#line 1260
    /* Allocate the structure */
#line 1260
    struct f_inst *what = fi_new(fi_code);
#line 1260
    uint constargs = 1;
#line 1260

#line 1260
    /* Initialize all the members */
#line 1260
  #define whati (&(what->i_FI_PATH_PREPEND))
#line 1260
  #line 1253 "filter/f-inst.c"
whati->f1 = f1;
#line 1253
const struct f_inst *child1 = f1;
#line 1253
do {
#line 1253
  what->size += child1->size;
#line 1253

#line 1253
  if (child1->fi_code != FI_CONSTANT)
#line 1253
    constargs = 0;
#line 1253

#line 1253
} while (child1 = child1->next);
#line 1253

#line 1253 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1253
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1253
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1254 "filter/f-inst.c"
whati->f2 = f2;
#line 1254
const struct f_inst *child2 = f2;
#line 1254
do {
#line 1254
  what->size += child2->size;
#line 1254

#line 1254
  if (child2->fi_code != FI_CONSTANT)
#line 1254
    constargs = 0;
#line 1254

#line 1254
} while (child2 = child2->next);
#line 1254 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1254
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1254
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1256 "filter/f-inst.c"
what->type = T_PATH;

#line 1260 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1260
    if (!constargs)
#line 1260
      return what;
#line 1260

#line 1260
    /* Try to pre-calculate the result */
#line 1260
    #line 1252 "filter/f-inst.c"
 {	/* Path prepend */
    
#line 1253 "filter/f-inst.c"
 #line 1253 "filter/f-inst.c"
 ;
#line 1254 "filter/f-inst.c"
    
#line 1254 "filter/f-inst.c"
 #line 1254 "filter/f-inst.c"
 ;
#line 1255 "filter/f-inst.c"
    #line 1255 "filter/f-inst.c"
;
     
#line 1256 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_prepend(fpool, v1.val.ad, v2.val.i)  } );
  }

  /* Community list add */
  
  #undef whati
#line 1260 "filter/f-inst.c"
  }
#line 1260

#line 1260

#line 1267 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_PAIR */
#line 1267
struct f_inst *
#line 1261 "filter/f-inst.c"
NONNULL(2)
#line 1262 "filter/f-inst.c"
NONNULL(3)
#line 1267 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_PAIR(enum f_instruction_code fi_code
#line 1261 "filter/f-inst.c"
  , struct f_inst * f1
#line 1262 "filter/f-inst.c"
  , struct f_inst * f2
#line 1267 "filter/f-inst.c"
)
#line 1267
  {
#line 1267
    /* Allocate the structure */
#line 1267
    struct f_inst *what = fi_new(fi_code);
#line 1267
    uint constargs = 1;
#line 1267

#line 1267
    /* Initialize all the members */
#line 1267
  #define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1267
  #line 1261 "filter/f-inst.c"
whati->f1 = f1;
#line 1261
const struct f_inst *child1 = f1;
#line 1261
do {
#line 1261
  what->size += child1->size;
#line 1261

#line 1261
  if (child1->fi_code != FI_CONSTANT)
#line 1261
    constargs = 0;
#line 1261

#line 1261
} while (child1 = child1->next);
#line 1261

#line 1261 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1261
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1261
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1262 "filter/f-inst.c"
whati->f2 = f2;
#line 1262
const struct f_inst *child2 = f2;
#line 1262
do {
#line 1262
  what->size += child2->size;
#line 1262

#line 1262
  if (child2->fi_code != FI_CONSTANT)
#line 1262
    constargs = 0;
#line 1262

#line 1262
} while (child2 = child2->next);
#line 1262 "filter/f-inst.c"
if (f2->type && (f2->type != (T_PAIR)) && !f_const_promotion(f2, (T_PAIR)))
#line 1262
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1262
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f2->type));
#line 1264 "filter/f-inst.c"
what->type = T_CLIST;

#line 1267 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1267
    if (!constargs)
#line 1267
      return what;
#line 1267

#line 1267
    /* Try to pre-calculate the result */
#line 1267
    #line 1260 "filter/f-inst.c"
 {
    
#line 1261 "filter/f-inst.c"
 #line 1261 "filter/f-inst.c"
 ;
#line 1262 "filter/f-inst.c"
    
#line 1262 "filter/f-inst.c"
 #line 1262 "filter/f-inst.c"
 ;
#line 1263 "filter/f-inst.c"
    #line 1263 "filter/f-inst.c"
;
     
#line 1264 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1267 "filter/f-inst.c"
  }
#line 1267

#line 1267

#line 1281 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_IP */
#line 1281
struct f_inst *
#line 1268 "filter/f-inst.c"
NONNULL(2)
#line 1269 "filter/f-inst.c"
NONNULL(3)
#line 1281 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_IP(enum f_instruction_code fi_code
#line 1268 "filter/f-inst.c"
  , struct f_inst * f1
#line 1269 "filter/f-inst.c"
  , struct f_inst * f2
#line 1281 "filter/f-inst.c"
)
#line 1281
  {
#line 1281
    /* Allocate the structure */
#line 1281
    struct f_inst *what = fi_new(fi_code);
#line 1281
    uint constargs = 1;
#line 1281

#line 1281
    /* Initialize all the members */
#line 1281
  #define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1281
  #line 1268 "filter/f-inst.c"
whati->f1 = f1;
#line 1268
const struct f_inst *child1 = f1;
#line 1268
do {
#line 1268
  what->size += child1->size;
#line 1268

#line 1268
  if (child1->fi_code != FI_CONSTANT)
#line 1268
    constargs = 0;
#line 1268

#line 1268
} while (child1 = child1->next);
#line 1268

#line 1268 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1268
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1268
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1269 "filter/f-inst.c"
whati->f2 = f2;
#line 1269
const struct f_inst *child2 = f2;
#line 1269
do {
#line 1269
  what->size += child2->size;
#line 1269

#line 1269
  if (child2->fi_code != FI_CONSTANT)
#line 1269
    constargs = 0;
#line 1269

#line 1269
} while (child2 = child2->next);
#line 1269 "filter/f-inst.c"
if (f2->type && (f2->type != (T_IP)) && !f_const_promotion(f2, (T_IP)))
#line 1269
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1269
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f2->type));
;
#line 1273 "filter/f-inst.c"
    /* IP->Quad implicit conversion, must be before FI_CLIST_ADD_QUAD */
    cf_warn("Method add(clist, ip) is deprecated, please use add(clist, quad)");

    #line 1278 "filter/f-inst.c"
what->type = T_CLIST;

#line 1281 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1281
    if (!constargs)
#line 1281
      return what;
#line 1281

#line 1281
    /* Try to pre-calculate the result */
#line 1281
    #line 1267 "filter/f-inst.c"
 {
    
#line 1268 "filter/f-inst.c"
 #line 1268 "filter/f-inst.c"
 ;
#line 1269 "filter/f-inst.c"
    
#line 1269 "filter/f-inst.c"
 #line 1269 "filter/f-inst.c"
 ;
#line 1270 "filter/f-inst.c"
    #line 1270 "filter/f-inst.c"
;

    ;
#line 1277 "filter/f-inst.c"
    if (!val_is_ip4(&v2)) runtime("Mismatched IP type");
     
#line 1278 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, ipa_to_u32(v2.val.ip))  } );
  }

  
  #undef whati
#line 1281 "filter/f-inst.c"
  }
#line 1281

#line 1281

#line 1288 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_QUAD */
#line 1288
struct f_inst *
#line 1282 "filter/f-inst.c"
NONNULL(2)
#line 1283 "filter/f-inst.c"
NONNULL(3)
#line 1288 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_QUAD(enum f_instruction_code fi_code
#line 1282 "filter/f-inst.c"
  , struct f_inst * f1
#line 1283 "filter/f-inst.c"
  , struct f_inst * f2
#line 1288 "filter/f-inst.c"
)
#line 1288
  {
#line 1288
    /* Allocate the structure */
#line 1288
    struct f_inst *what = fi_new(fi_code);
#line 1288
    uint constargs = 1;
#line 1288

#line 1288
    /* Initialize all the members */
#line 1288
  #define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1288
  #line 1282 "filter/f-inst.c"
whati->f1 = f1;
#line 1282
const struct f_inst *child1 = f1;
#line 1282
do {
#line 1282
  what->size += child1->size;
#line 1282

#line 1282
  if (child1->fi_code != FI_CONSTANT)
#line 1282
    constargs = 0;
#line 1282

#line 1282
} while (child1 = child1->next);
#line 1282

#line 1282 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1282
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1282
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1283 "filter/f-inst.c"
whati->f2 = f2;
#line 1283
const struct f_inst *child2 = f2;
#line 1283
do {
#line 1283
  what->size += child2->size;
#line 1283

#line 1283
  if (child2->fi_code != FI_CONSTANT)
#line 1283
    constargs = 0;
#line 1283

#line 1283
} while (child2 = child2->next);
#line 1283 "filter/f-inst.c"
if (f2->type && (f2->type != (T_QUAD)) && !f_const_promotion(f2, (T_QUAD)))
#line 1283
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1283
	   f_instruction_name(what->fi_code), f_type_name(T_QUAD), f_type_name(f2->type));
#line 1285 "filter/f-inst.c"
what->type = T_CLIST;

#line 1288 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1288
    if (!constargs)
#line 1288
      return what;
#line 1288

#line 1288
    /* Try to pre-calculate the result */
#line 1288
    #line 1281 "filter/f-inst.c"
 {
    
#line 1282 "filter/f-inst.c"
 #line 1282 "filter/f-inst.c"
 ;
#line 1283 "filter/f-inst.c"
    
#line 1283 "filter/f-inst.c"
 #line 1283 "filter/f-inst.c"
 ;
#line 1284 "filter/f-inst.c"
    #line 1284 "filter/f-inst.c"
;
     
#line 1285 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1288 "filter/f-inst.c"
  }
#line 1288

#line 1288

#line 1295 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_CLIST */
#line 1295
struct f_inst *
#line 1289 "filter/f-inst.c"
NONNULL(2)
#line 1290 "filter/f-inst.c"
NONNULL(3)
#line 1295 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_CLIST(enum f_instruction_code fi_code
#line 1289 "filter/f-inst.c"
  , struct f_inst * f1
#line 1290 "filter/f-inst.c"
  , struct f_inst * f2
#line 1295 "filter/f-inst.c"
)
#line 1295
  {
#line 1295
    /* Allocate the structure */
#line 1295
    struct f_inst *what = fi_new(fi_code);
#line 1295
    uint constargs = 1;
#line 1295

#line 1295
    /* Initialize all the members */
#line 1295
  #define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1295
  #line 1289 "filter/f-inst.c"
whati->f1 = f1;
#line 1289
const struct f_inst *child1 = f1;
#line 1289
do {
#line 1289
  what->size += child1->size;
#line 1289

#line 1289
  if (child1->fi_code != FI_CONSTANT)
#line 1289
    constargs = 0;
#line 1289

#line 1289
} while (child1 = child1->next);
#line 1289

#line 1289 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1289
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1289
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1290 "filter/f-inst.c"
whati->f2 = f2;
#line 1290
const struct f_inst *child2 = f2;
#line 1290
do {
#line 1290
  what->size += child2->size;
#line 1290

#line 1290
  if (child2->fi_code != FI_CONSTANT)
#line 1290
    constargs = 0;
#line 1290

#line 1290
} while (child2 = child2->next);
#line 1290 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1290
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1290
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1292 "filter/f-inst.c"
what->type = T_CLIST;

#line 1295 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1295
    if (!constargs)
#line 1295
      return what;
#line 1295

#line 1295
    /* Try to pre-calculate the result */
#line 1295
    #line 1288 "filter/f-inst.c"
 {
    
#line 1289 "filter/f-inst.c"
 #line 1289 "filter/f-inst.c"
 ;
#line 1290 "filter/f-inst.c"
    
#line 1290 "filter/f-inst.c"
 #line 1290 "filter/f-inst.c"
 ;
#line 1291 "filter/f-inst.c"
    #line 1291 "filter/f-inst.c"
;
     
#line 1292 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1295 "filter/f-inst.c"
  }
#line 1295

#line 1295

#line 1302 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_ADD_EC */
#line 1302
struct f_inst *
#line 1296 "filter/f-inst.c"
NONNULL(2)
#line 1297 "filter/f-inst.c"
NONNULL(3)
#line 1302 "filter/f-inst.c"
f_new_inst_FI_ECLIST_ADD_EC(enum f_instruction_code fi_code
#line 1296 "filter/f-inst.c"
  , struct f_inst * f1
#line 1297 "filter/f-inst.c"
  , struct f_inst * f2
#line 1302 "filter/f-inst.c"
)
#line 1302
  {
#line 1302
    /* Allocate the structure */
#line 1302
    struct f_inst *what = fi_new(fi_code);
#line 1302
    uint constargs = 1;
#line 1302

#line 1302
    /* Initialize all the members */
#line 1302
  #define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1302
  #line 1296 "filter/f-inst.c"
whati->f1 = f1;
#line 1296
const struct f_inst *child1 = f1;
#line 1296
do {
#line 1296
  what->size += child1->size;
#line 1296

#line 1296
  if (child1->fi_code != FI_CONSTANT)
#line 1296
    constargs = 0;
#line 1296

#line 1296
} while (child1 = child1->next);
#line 1296

#line 1296 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1296
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1296
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1297 "filter/f-inst.c"
whati->f2 = f2;
#line 1297
const struct f_inst *child2 = f2;
#line 1297
do {
#line 1297
  what->size += child2->size;
#line 1297

#line 1297
  if (child2->fi_code != FI_CONSTANT)
#line 1297
    constargs = 0;
#line 1297

#line 1297
} while (child2 = child2->next);
#line 1297 "filter/f-inst.c"
if (f2->type && (f2->type != (T_EC)) && !f_const_promotion(f2, (T_EC)))
#line 1297
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1297
	   f_instruction_name(what->fi_code), f_type_name(T_EC), f_type_name(f2->type));
#line 1299 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1302 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1302
    if (!constargs)
#line 1302
      return what;
#line 1302

#line 1302
    /* Try to pre-calculate the result */
#line 1302
    #line 1295 "filter/f-inst.c"
 {
    
#line 1296 "filter/f-inst.c"
 #line 1296 "filter/f-inst.c"
 ;
#line 1297 "filter/f-inst.c"
    
#line 1297 "filter/f-inst.c"
 #line 1297 "filter/f-inst.c"
 ;
#line 1298 "filter/f-inst.c"
    #line 1298 "filter/f-inst.c"
;
     
#line 1299 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_add(fpool, v1.val.ad, v2.val.ec)  } );
  }

  
  #undef whati
#line 1302 "filter/f-inst.c"
  }
#line 1302

#line 1302

#line 1309 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_ADD_ECLIST */
#line 1309
struct f_inst *
#line 1303 "filter/f-inst.c"
NONNULL(2)
#line 1304 "filter/f-inst.c"
NONNULL(3)
#line 1309 "filter/f-inst.c"
f_new_inst_FI_ECLIST_ADD_ECLIST(enum f_instruction_code fi_code
#line 1303 "filter/f-inst.c"
  , struct f_inst * f1
#line 1304 "filter/f-inst.c"
  , struct f_inst * f2
#line 1309 "filter/f-inst.c"
)
#line 1309
  {
#line 1309
    /* Allocate the structure */
#line 1309
    struct f_inst *what = fi_new(fi_code);
#line 1309
    uint constargs = 1;
#line 1309

#line 1309
    /* Initialize all the members */
#line 1309
  #define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1309
  #line 1303 "filter/f-inst.c"
whati->f1 = f1;
#line 1303
const struct f_inst *child1 = f1;
#line 1303
do {
#line 1303
  what->size += child1->size;
#line 1303

#line 1303
  if (child1->fi_code != FI_CONSTANT)
#line 1303
    constargs = 0;
#line 1303

#line 1303
} while (child1 = child1->next);
#line 1303

#line 1303 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1303
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1303
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1304 "filter/f-inst.c"
whati->f2 = f2;
#line 1304
const struct f_inst *child2 = f2;
#line 1304
do {
#line 1304
  what->size += child2->size;
#line 1304

#line 1304
  if (child2->fi_code != FI_CONSTANT)
#line 1304
    constargs = 0;
#line 1304

#line 1304
} while (child2 = child2->next);
#line 1304 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1304
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1304
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1306 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1309 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1309
    if (!constargs)
#line 1309
      return what;
#line 1309

#line 1309
    /* Try to pre-calculate the result */
#line 1309
    #line 1302 "filter/f-inst.c"
 {
    
#line 1303 "filter/f-inst.c"
 #line 1303 "filter/f-inst.c"
 ;
#line 1304 "filter/f-inst.c"
    
#line 1304 "filter/f-inst.c"
 #line 1304 "filter/f-inst.c"
 ;
#line 1305 "filter/f-inst.c"
    #line 1305 "filter/f-inst.c"
;
     
#line 1306 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1309 "filter/f-inst.c"
  }
#line 1309

#line 1309

#line 1316 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_ADD_LC */
#line 1316
struct f_inst *
#line 1310 "filter/f-inst.c"
NONNULL(2)
#line 1311 "filter/f-inst.c"
NONNULL(3)
#line 1316 "filter/f-inst.c"
f_new_inst_FI_LCLIST_ADD_LC(enum f_instruction_code fi_code
#line 1310 "filter/f-inst.c"
  , struct f_inst * f1
#line 1311 "filter/f-inst.c"
  , struct f_inst * f2
#line 1316 "filter/f-inst.c"
)
#line 1316
  {
#line 1316
    /* Allocate the structure */
#line 1316
    struct f_inst *what = fi_new(fi_code);
#line 1316
    uint constargs = 1;
#line 1316

#line 1316
    /* Initialize all the members */
#line 1316
  #define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1316
  #line 1310 "filter/f-inst.c"
whati->f1 = f1;
#line 1310
const struct f_inst *child1 = f1;
#line 1310
do {
#line 1310
  what->size += child1->size;
#line 1310

#line 1310
  if (child1->fi_code != FI_CONSTANT)
#line 1310
    constargs = 0;
#line 1310

#line 1310
} while (child1 = child1->next);
#line 1310

#line 1310 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1310
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1310
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1311 "filter/f-inst.c"
whati->f2 = f2;
#line 1311
const struct f_inst *child2 = f2;
#line 1311
do {
#line 1311
  what->size += child2->size;
#line 1311

#line 1311
  if (child2->fi_code != FI_CONSTANT)
#line 1311
    constargs = 0;
#line 1311

#line 1311
} while (child2 = child2->next);
#line 1311 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LC)) && !f_const_promotion(f2, (T_LC)))
#line 1311
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1311
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f2->type));
#line 1313 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1316 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1316
    if (!constargs)
#line 1316
      return what;
#line 1316

#line 1316
    /* Try to pre-calculate the result */
#line 1316
    #line 1309 "filter/f-inst.c"
 {
    
#line 1310 "filter/f-inst.c"
 #line 1310 "filter/f-inst.c"
 ;
#line 1311 "filter/f-inst.c"
    
#line 1311 "filter/f-inst.c"
 #line 1311 "filter/f-inst.c"
 ;
#line 1312 "filter/f-inst.c"
    #line 1312 "filter/f-inst.c"
;
     
#line 1313 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_add(fpool, v1.val.ad, v2.val.lc)  } );
  }

  
  #undef whati
#line 1316 "filter/f-inst.c"
  }
#line 1316

#line 1316

#line 1323 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_ADD_LCLIST */
#line 1323
struct f_inst *
#line 1317 "filter/f-inst.c"
NONNULL(2)
#line 1318 "filter/f-inst.c"
NONNULL(3)
#line 1323 "filter/f-inst.c"
f_new_inst_FI_LCLIST_ADD_LCLIST(enum f_instruction_code fi_code
#line 1317 "filter/f-inst.c"
  , struct f_inst * f1
#line 1318 "filter/f-inst.c"
  , struct f_inst * f2
#line 1323 "filter/f-inst.c"
)
#line 1323
  {
#line 1323
    /* Allocate the structure */
#line 1323
    struct f_inst *what = fi_new(fi_code);
#line 1323
    uint constargs = 1;
#line 1323

#line 1323
    /* Initialize all the members */
#line 1323
  #define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1323
  #line 1317 "filter/f-inst.c"
whati->f1 = f1;
#line 1317
const struct f_inst *child1 = f1;
#line 1317
do {
#line 1317
  what->size += child1->size;
#line 1317

#line 1317
  if (child1->fi_code != FI_CONSTANT)
#line 1317
    constargs = 0;
#line 1317

#line 1317
} while (child1 = child1->next);
#line 1317

#line 1317 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1317
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1317
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1318 "filter/f-inst.c"
whati->f2 = f2;
#line 1318
const struct f_inst *child2 = f2;
#line 1318
do {
#line 1318
  what->size += child2->size;
#line 1318

#line 1318
  if (child2->fi_code != FI_CONSTANT)
#line 1318
    constargs = 0;
#line 1318

#line 1318
} while (child2 = child2->next);
#line 1318 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1318
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1318
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1320 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1323 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1323
    if (!constargs)
#line 1323
      return what;
#line 1323

#line 1323
    /* Try to pre-calculate the result */
#line 1323
    #line 1316 "filter/f-inst.c"
 {
    
#line 1317 "filter/f-inst.c"
 #line 1317 "filter/f-inst.c"
 ;
#line 1318 "filter/f-inst.c"
    
#line 1318 "filter/f-inst.c"
 #line 1318 "filter/f-inst.c"
 ;
#line 1319 "filter/f-inst.c"
    #line 1319 "filter/f-inst.c"
;
     
#line 1320 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1323 "filter/f-inst.c"
  }
#line 1323

#line 1323

#line 1330 "filter/f-inst.c"
 /* Constructor for FI_PATH_DELETE_INT */
#line 1330
struct f_inst *
#line 1324 "filter/f-inst.c"
NONNULL(2)
#line 1325 "filter/f-inst.c"
NONNULL(3)
#line 1330 "filter/f-inst.c"
f_new_inst_FI_PATH_DELETE_INT(enum f_instruction_code fi_code
#line 1324 "filter/f-inst.c"
  , struct f_inst * f1
#line 1325 "filter/f-inst.c"
  , struct f_inst * f2
#line 1330 "filter/f-inst.c"
)
#line 1330
  {
#line 1330
    /* Allocate the structure */
#line 1330
    struct f_inst *what = fi_new(fi_code);
#line 1330
    uint constargs = 1;
#line 1330

#line 1330
    /* Initialize all the members */
#line 1330
  #define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1330
  #line 1324 "filter/f-inst.c"
whati->f1 = f1;
#line 1324
const struct f_inst *child1 = f1;
#line 1324
do {
#line 1324
  what->size += child1->size;
#line 1324

#line 1324
  if (child1->fi_code != FI_CONSTANT)
#line 1324
    constargs = 0;
#line 1324

#line 1324
} while (child1 = child1->next);
#line 1324

#line 1324 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1324
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1324
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1325 "filter/f-inst.c"
whati->f2 = f2;
#line 1325
const struct f_inst *child2 = f2;
#line 1325
do {
#line 1325
  what->size += child2->size;
#line 1325

#line 1325
  if (child2->fi_code != FI_CONSTANT)
#line 1325
    constargs = 0;
#line 1325

#line 1325
} while (child2 = child2->next);
#line 1325 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1325
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1325
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1327 "filter/f-inst.c"
what->type = T_PATH;

#line 1330 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1330
    if (!constargs)
#line 1330
      return what;
#line 1330

#line 1330
    /* Try to pre-calculate the result */
#line 1330
    #line 1323 "filter/f-inst.c"
 {
    
#line 1324 "filter/f-inst.c"
 #line 1324 "filter/f-inst.c"
 ;
#line 1325 "filter/f-inst.c"
    
#line 1325 "filter/f-inst.c"
 #line 1325 "filter/f-inst.c"
 ;
#line 1326 "filter/f-inst.c"
    #line 1326 "filter/f-inst.c"
;
     
#line 1327 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1330 "filter/f-inst.c"
  }
#line 1330

#line 1330

#line 1342 "filter/f-inst.c"
 /* Constructor for FI_PATH_DELETE_SET */
#line 1342
struct f_inst *
#line 1331 "filter/f-inst.c"
NONNULL(2)
#line 1332 "filter/f-inst.c"
NONNULL(3)
#line 1342 "filter/f-inst.c"
f_new_inst_FI_PATH_DELETE_SET(enum f_instruction_code fi_code
#line 1331 "filter/f-inst.c"
  , struct f_inst * f1
#line 1332 "filter/f-inst.c"
  , struct f_inst * f2
#line 1342 "filter/f-inst.c"
)
#line 1342
  {
#line 1342
    /* Allocate the structure */
#line 1342
    struct f_inst *what = fi_new(fi_code);
#line 1342
    uint constargs = 1;
#line 1342

#line 1342
    /* Initialize all the members */
#line 1342
  #define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1342
  #line 1331 "filter/f-inst.c"
whati->f1 = f1;
#line 1331
const struct f_inst *child1 = f1;
#line 1331
do {
#line 1331
  what->size += child1->size;
#line 1331

#line 1331
  if (child1->fi_code != FI_CONSTANT)
#line 1331
    constargs = 0;
#line 1331

#line 1331
} while (child1 = child1->next);
#line 1331

#line 1331 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1331
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1331
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1332 "filter/f-inst.c"
whati->f2 = f2;
#line 1332
const struct f_inst *child2 = f2;
#line 1332
do {
#line 1332
  what->size += child2->size;
#line 1332

#line 1332
  if (child2->fi_code != FI_CONSTANT)
#line 1332
    constargs = 0;
#line 1332

#line 1332
} while (child2 = child2->next);
#line 1332 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1332
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1332
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1338 "filter/f-inst.c"
what->type = T_PATH;

#line 1342 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1342
    if (!constargs)
#line 1342
      return what;
#line 1342

#line 1342
    /* Try to pre-calculate the result */
#line 1342
    #line 1330 "filter/f-inst.c"
 {
    
#line 1331 "filter/f-inst.c"
 #line 1331 "filter/f-inst.c"
 ;
#line 1332 "filter/f-inst.c"
    
#line 1332 "filter/f-inst.c"
 #line 1332 "filter/f-inst.c"
 ;
#line 1333 "filter/f-inst.c"
    #line 1333 "filter/f-inst.c"
;

    if (!path_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1338 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  /* Community list delete */
  
  #undef whati
#line 1342 "filter/f-inst.c"
  }
#line 1342

#line 1342

#line 1349 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_PAIR */
#line 1349
struct f_inst *
#line 1343 "filter/f-inst.c"
NONNULL(2)
#line 1344 "filter/f-inst.c"
NONNULL(3)
#line 1349 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_PAIR(enum f_instruction_code fi_code
#line 1343 "filter/f-inst.c"
  , struct f_inst * f1
#line 1344 "filter/f-inst.c"
  , struct f_inst * f2
#line 1349 "filter/f-inst.c"
)
#line 1349
  {
#line 1349
    /* Allocate the structure */
#line 1349
    struct f_inst *what = fi_new(fi_code);
#line 1349
    uint constargs = 1;
#line 1349

#line 1349
    /* Initialize all the members */
#line 1349
  #define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1349
  #line 1343 "filter/f-inst.c"
whati->f1 = f1;
#line 1343
const struct f_inst *child1 = f1;
#line 1343
do {
#line 1343
  what->size += child1->size;
#line 1343

#line 1343
  if (child1->fi_code != FI_CONSTANT)
#line 1343
    constargs = 0;
#line 1343

#line 1343
} while (child1 = child1->next);
#line 1343

#line 1343 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1343
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1343
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1344 "filter/f-inst.c"
whati->f2 = f2;
#line 1344
const struct f_inst *child2 = f2;
#line 1344
do {
#line 1344
  what->size += child2->size;
#line 1344

#line 1344
  if (child2->fi_code != FI_CONSTANT)
#line 1344
    constargs = 0;
#line 1344

#line 1344
} while (child2 = child2->next);
#line 1344 "filter/f-inst.c"
if (f2->type && (f2->type != (T_PAIR)) && !f_const_promotion(f2, (T_PAIR)))
#line 1344
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1344
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f2->type));
#line 1346 "filter/f-inst.c"
what->type = T_CLIST;

#line 1349 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1349
    if (!constargs)
#line 1349
      return what;
#line 1349

#line 1349
    /* Try to pre-calculate the result */
#line 1349
    #line 1342 "filter/f-inst.c"
 {
    
#line 1343 "filter/f-inst.c"
 #line 1343 "filter/f-inst.c"
 ;
#line 1344 "filter/f-inst.c"
    
#line 1344 "filter/f-inst.c"
 #line 1344 "filter/f-inst.c"
 ;
#line 1345 "filter/f-inst.c"
    #line 1345 "filter/f-inst.c"
;
     
#line 1346 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1349 "filter/f-inst.c"
  }
#line 1349

#line 1349

#line 1363 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_IP */
#line 1363
struct f_inst *
#line 1350 "filter/f-inst.c"
NONNULL(2)
#line 1351 "filter/f-inst.c"
NONNULL(3)
#line 1363 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_IP(enum f_instruction_code fi_code
#line 1350 "filter/f-inst.c"
  , struct f_inst * f1
#line 1351 "filter/f-inst.c"
  , struct f_inst * f2
#line 1363 "filter/f-inst.c"
)
#line 1363
  {
#line 1363
    /* Allocate the structure */
#line 1363
    struct f_inst *what = fi_new(fi_code);
#line 1363
    uint constargs = 1;
#line 1363

#line 1363
    /* Initialize all the members */
#line 1363
  #define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1363
  #line 1350 "filter/f-inst.c"
whati->f1 = f1;
#line 1350
const struct f_inst *child1 = f1;
#line 1350
do {
#line 1350
  what->size += child1->size;
#line 1350

#line 1350
  if (child1->fi_code != FI_CONSTANT)
#line 1350
    constargs = 0;
#line 1350

#line 1350
} while (child1 = child1->next);
#line 1350

#line 1350 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1350
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1350
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1351 "filter/f-inst.c"
whati->f2 = f2;
#line 1351
const struct f_inst *child2 = f2;
#line 1351
do {
#line 1351
  what->size += child2->size;
#line 1351

#line 1351
  if (child2->fi_code != FI_CONSTANT)
#line 1351
    constargs = 0;
#line 1351

#line 1351
} while (child2 = child2->next);
#line 1351 "filter/f-inst.c"
if (f2->type && (f2->type != (T_IP)) && !f_const_promotion(f2, (T_IP)))
#line 1351
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1351
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f2->type));
;
#line 1355 "filter/f-inst.c"
    /* IP->Quad implicit conversion, must be before FI_CLIST_DELETE_QUAD */
    cf_warn("Method delete(clist, ip) is deprecated, please use delete(clist, quad)");

    #line 1360 "filter/f-inst.c"
what->type = T_CLIST;

#line 1363 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1363
    if (!constargs)
#line 1363
      return what;
#line 1363

#line 1363
    /* Try to pre-calculate the result */
#line 1363
    #line 1349 "filter/f-inst.c"
 {
    
#line 1350 "filter/f-inst.c"
 #line 1350 "filter/f-inst.c"
 ;
#line 1351 "filter/f-inst.c"
    
#line 1351 "filter/f-inst.c"
 #line 1351 "filter/f-inst.c"
 ;
#line 1352 "filter/f-inst.c"
    #line 1352 "filter/f-inst.c"
;

    ;
#line 1359 "filter/f-inst.c"
    if (!val_is_ip4(&v2)) runtime("Mismatched IP type");
     
#line 1360 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, ipa_to_u32(v2.val.ip))  } );
  }

  
  #undef whati
#line 1363 "filter/f-inst.c"
  }
#line 1363

#line 1363

#line 1370 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_QUAD */
#line 1370
struct f_inst *
#line 1364 "filter/f-inst.c"
NONNULL(2)
#line 1365 "filter/f-inst.c"
NONNULL(3)
#line 1370 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_QUAD(enum f_instruction_code fi_code
#line 1364 "filter/f-inst.c"
  , struct f_inst * f1
#line 1365 "filter/f-inst.c"
  , struct f_inst * f2
#line 1370 "filter/f-inst.c"
)
#line 1370
  {
#line 1370
    /* Allocate the structure */
#line 1370
    struct f_inst *what = fi_new(fi_code);
#line 1370
    uint constargs = 1;
#line 1370

#line 1370
    /* Initialize all the members */
#line 1370
  #define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1370
  #line 1364 "filter/f-inst.c"
whati->f1 = f1;
#line 1364
const struct f_inst *child1 = f1;
#line 1364
do {
#line 1364
  what->size += child1->size;
#line 1364

#line 1364
  if (child1->fi_code != FI_CONSTANT)
#line 1364
    constargs = 0;
#line 1364

#line 1364
} while (child1 = child1->next);
#line 1364

#line 1364 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1364
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1364
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1365 "filter/f-inst.c"
whati->f2 = f2;
#line 1365
const struct f_inst *child2 = f2;
#line 1365
do {
#line 1365
  what->size += child2->size;
#line 1365

#line 1365
  if (child2->fi_code != FI_CONSTANT)
#line 1365
    constargs = 0;
#line 1365

#line 1365
} while (child2 = child2->next);
#line 1365 "filter/f-inst.c"
if (f2->type && (f2->type != (T_QUAD)) && !f_const_promotion(f2, (T_QUAD)))
#line 1365
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1365
	   f_instruction_name(what->fi_code), f_type_name(T_QUAD), f_type_name(f2->type));
#line 1367 "filter/f-inst.c"
what->type = T_CLIST;

#line 1370 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1370
    if (!constargs)
#line 1370
      return what;
#line 1370

#line 1370
    /* Try to pre-calculate the result */
#line 1370
    #line 1363 "filter/f-inst.c"
 {
    
#line 1364 "filter/f-inst.c"
 #line 1364 "filter/f-inst.c"
 ;
#line 1365 "filter/f-inst.c"
    
#line 1365 "filter/f-inst.c"
 #line 1365 "filter/f-inst.c"
 ;
#line 1366 "filter/f-inst.c"
    #line 1366 "filter/f-inst.c"
;
     
#line 1367 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1370 "filter/f-inst.c"
  }
#line 1370

#line 1370

#line 1377 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_CLIST */
#line 1377
struct f_inst *
#line 1371 "filter/f-inst.c"
NONNULL(2)
#line 1372 "filter/f-inst.c"
NONNULL(3)
#line 1377 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_CLIST(enum f_instruction_code fi_code
#line 1371 "filter/f-inst.c"
  , struct f_inst * f1
#line 1372 "filter/f-inst.c"
  , struct f_inst * f2
#line 1377 "filter/f-inst.c"
)
#line 1377
  {
#line 1377
    /* Allocate the structure */
#line 1377
    struct f_inst *what = fi_new(fi_code);
#line 1377
    uint constargs = 1;
#line 1377

#line 1377
    /* Initialize all the members */
#line 1377
  #define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1377
  #line 1371 "filter/f-inst.c"
whati->f1 = f1;
#line 1371
const struct f_inst *child1 = f1;
#line 1371
do {
#line 1371
  what->size += child1->size;
#line 1371

#line 1371
  if (child1->fi_code != FI_CONSTANT)
#line 1371
    constargs = 0;
#line 1371

#line 1371
} while (child1 = child1->next);
#line 1371

#line 1371 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1371
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1371
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1372 "filter/f-inst.c"
whati->f2 = f2;
#line 1372
const struct f_inst *child2 = f2;
#line 1372
do {
#line 1372
  what->size += child2->size;
#line 1372

#line 1372
  if (child2->fi_code != FI_CONSTANT)
#line 1372
    constargs = 0;
#line 1372

#line 1372
} while (child2 = child2->next);
#line 1372 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1372
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1372
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1374 "filter/f-inst.c"
what->type = T_CLIST;

#line 1377 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1377
    if (!constargs)
#line 1377
      return what;
#line 1377

#line 1377
    /* Try to pre-calculate the result */
#line 1377
    #line 1370 "filter/f-inst.c"
 {
    
#line 1371 "filter/f-inst.c"
 #line 1371 "filter/f-inst.c"
 ;
#line 1372 "filter/f-inst.c"
    
#line 1372 "filter/f-inst.c"
 #line 1372 "filter/f-inst.c"
 ;
#line 1373 "filter/f-inst.c"
    #line 1373 "filter/f-inst.c"
;
     
#line 1374 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1377 "filter/f-inst.c"
  }
#line 1377

#line 1377

#line 1388 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_SET */
#line 1388
struct f_inst *
#line 1378 "filter/f-inst.c"
NONNULL(2)
#line 1379 "filter/f-inst.c"
NONNULL(3)
#line 1388 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1378 "filter/f-inst.c"
  , struct f_inst * f1
#line 1379 "filter/f-inst.c"
  , struct f_inst * f2
#line 1388 "filter/f-inst.c"
)
#line 1388
  {
#line 1388
    /* Allocate the structure */
#line 1388
    struct f_inst *what = fi_new(fi_code);
#line 1388
    uint constargs = 1;
#line 1388

#line 1388
    /* Initialize all the members */
#line 1388
  #define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1388
  #line 1378 "filter/f-inst.c"
whati->f1 = f1;
#line 1378
const struct f_inst *child1 = f1;
#line 1378
do {
#line 1378
  what->size += child1->size;
#line 1378

#line 1378
  if (child1->fi_code != FI_CONSTANT)
#line 1378
    constargs = 0;
#line 1378

#line 1378
} while (child1 = child1->next);
#line 1378

#line 1378 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1378
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1378
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1379 "filter/f-inst.c"
whati->f2 = f2;
#line 1379
const struct f_inst *child2 = f2;
#line 1379
do {
#line 1379
  what->size += child2->size;
#line 1379

#line 1379
  if (child2->fi_code != FI_CONSTANT)
#line 1379
    constargs = 0;
#line 1379

#line 1379
} while (child2 = child2->next);
#line 1379 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1379
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1379
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1385 "filter/f-inst.c"
what->type = T_CLIST;

#line 1388 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1388
    if (!constargs)
#line 1388
      return what;
#line 1388

#line 1388
    /* Try to pre-calculate the result */
#line 1388
    #line 1377 "filter/f-inst.c"
 {
    
#line 1378 "filter/f-inst.c"
 #line 1378 "filter/f-inst.c"
 ;
#line 1379 "filter/f-inst.c"
    
#line 1379 "filter/f-inst.c"
 #line 1379 "filter/f-inst.c"
 ;
#line 1380 "filter/f-inst.c"
    #line 1380 "filter/f-inst.c"
;

    if (!clist_set_type(v2.val.t, &(struct f_val){}))
      runtime("Mismatched set type");

     
#line 1385 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1388 "filter/f-inst.c"
  }
#line 1388

#line 1388

#line 1395 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_EC */
#line 1395
struct f_inst *
#line 1389 "filter/f-inst.c"
NONNULL(2)
#line 1390 "filter/f-inst.c"
NONNULL(3)
#line 1395 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_EC(enum f_instruction_code fi_code
#line 1389 "filter/f-inst.c"
  , struct f_inst * f1
#line 1390 "filter/f-inst.c"
  , struct f_inst * f2
#line 1395 "filter/f-inst.c"
)
#line 1395
  {
#line 1395
    /* Allocate the structure */
#line 1395
    struct f_inst *what = fi_new(fi_code);
#line 1395
    uint constargs = 1;
#line 1395

#line 1395
    /* Initialize all the members */
#line 1395
  #define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1395
  #line 1389 "filter/f-inst.c"
whati->f1 = f1;
#line 1389
const struct f_inst *child1 = f1;
#line 1389
do {
#line 1389
  what->size += child1->size;
#line 1389

#line 1389
  if (child1->fi_code != FI_CONSTANT)
#line 1389
    constargs = 0;
#line 1389

#line 1389
} while (child1 = child1->next);
#line 1389

#line 1389 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1389
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1389
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1390 "filter/f-inst.c"
whati->f2 = f2;
#line 1390
const struct f_inst *child2 = f2;
#line 1390
do {
#line 1390
  what->size += child2->size;
#line 1390

#line 1390
  if (child2->fi_code != FI_CONSTANT)
#line 1390
    constargs = 0;
#line 1390

#line 1390
} while (child2 = child2->next);
#line 1390 "filter/f-inst.c"
if (f2->type && (f2->type != (T_EC)) && !f_const_promotion(f2, (T_EC)))
#line 1390
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1390
	   f_instruction_name(what->fi_code), f_type_name(T_EC), f_type_name(f2->type));
#line 1392 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1395 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1395
    if (!constargs)
#line 1395
      return what;
#line 1395

#line 1395
    /* Try to pre-calculate the result */
#line 1395
    #line 1388 "filter/f-inst.c"
 {
    
#line 1389 "filter/f-inst.c"
 #line 1389 "filter/f-inst.c"
 ;
#line 1390 "filter/f-inst.c"
    
#line 1390 "filter/f-inst.c"
 #line 1390 "filter/f-inst.c"
 ;
#line 1391 "filter/f-inst.c"
    #line 1391 "filter/f-inst.c"
;
     
#line 1392 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_del(fpool, v1.val.ad, v2.val.ec)  } );
  }

  
  #undef whati
#line 1395 "filter/f-inst.c"
  }
#line 1395

#line 1395

#line 1402 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_ECLIST */
#line 1402
struct f_inst *
#line 1396 "filter/f-inst.c"
NONNULL(2)
#line 1397 "filter/f-inst.c"
NONNULL(3)
#line 1402 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_ECLIST(enum f_instruction_code fi_code
#line 1396 "filter/f-inst.c"
  , struct f_inst * f1
#line 1397 "filter/f-inst.c"
  , struct f_inst * f2
#line 1402 "filter/f-inst.c"
)
#line 1402
  {
#line 1402
    /* Allocate the structure */
#line 1402
    struct f_inst *what = fi_new(fi_code);
#line 1402
    uint constargs = 1;
#line 1402

#line 1402
    /* Initialize all the members */
#line 1402
  #define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1402
  #line 1396 "filter/f-inst.c"
whati->f1 = f1;
#line 1396
const struct f_inst *child1 = f1;
#line 1396
do {
#line 1396
  what->size += child1->size;
#line 1396

#line 1396
  if (child1->fi_code != FI_CONSTANT)
#line 1396
    constargs = 0;
#line 1396

#line 1396
} while (child1 = child1->next);
#line 1396

#line 1396 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1396
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1396
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1397 "filter/f-inst.c"
whati->f2 = f2;
#line 1397
const struct f_inst *child2 = f2;
#line 1397
do {
#line 1397
  what->size += child2->size;
#line 1397

#line 1397
  if (child2->fi_code != FI_CONSTANT)
#line 1397
    constargs = 0;
#line 1397

#line 1397
} while (child2 = child2->next);
#line 1397 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1397
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1397
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1399 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1402 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1402
    if (!constargs)
#line 1402
      return what;
#line 1402

#line 1402
    /* Try to pre-calculate the result */
#line 1402
    #line 1395 "filter/f-inst.c"
 {
    
#line 1396 "filter/f-inst.c"
 #line 1396 "filter/f-inst.c"
 ;
#line 1397 "filter/f-inst.c"
    
#line 1397 "filter/f-inst.c"
 #line 1397 "filter/f-inst.c"
 ;
#line 1398 "filter/f-inst.c"
    #line 1398 "filter/f-inst.c"
;
     
#line 1399 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1402 "filter/f-inst.c"
  }
#line 1402

#line 1402

#line 1413 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_SET */
#line 1413
struct f_inst *
#line 1403 "filter/f-inst.c"
NONNULL(2)
#line 1404 "filter/f-inst.c"
NONNULL(3)
#line 1413 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1403 "filter/f-inst.c"
  , struct f_inst * f1
#line 1404 "filter/f-inst.c"
  , struct f_inst * f2
#line 1413 "filter/f-inst.c"
)
#line 1413
  {
#line 1413
    /* Allocate the structure */
#line 1413
    struct f_inst *what = fi_new(fi_code);
#line 1413
    uint constargs = 1;
#line 1413

#line 1413
    /* Initialize all the members */
#line 1413
  #define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1413
  #line 1403 "filter/f-inst.c"
whati->f1 = f1;
#line 1403
const struct f_inst *child1 = f1;
#line 1403
do {
#line 1403
  what->size += child1->size;
#line 1403

#line 1403
  if (child1->fi_code != FI_CONSTANT)
#line 1403
    constargs = 0;
#line 1403

#line 1403
} while (child1 = child1->next);
#line 1403

#line 1403 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1403
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1403
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1404 "filter/f-inst.c"
whati->f2 = f2;
#line 1404
const struct f_inst *child2 = f2;
#line 1404
do {
#line 1404
  what->size += child2->size;
#line 1404

#line 1404
  if (child2->fi_code != FI_CONSTANT)
#line 1404
    constargs = 0;
#line 1404

#line 1404
} while (child2 = child2->next);
#line 1404 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1404
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1404
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1410 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1413 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1413
    if (!constargs)
#line 1413
      return what;
#line 1413

#line 1413
    /* Try to pre-calculate the result */
#line 1413
    #line 1402 "filter/f-inst.c"
 {
    
#line 1403 "filter/f-inst.c"
 #line 1403 "filter/f-inst.c"
 ;
#line 1404 "filter/f-inst.c"
    
#line 1404 "filter/f-inst.c"
 #line 1404 "filter/f-inst.c"
 ;
#line 1405 "filter/f-inst.c"
    #line 1405 "filter/f-inst.c"
;

    if (!eclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1410 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1413 "filter/f-inst.c"
  }
#line 1413

#line 1413

#line 1420 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_LC */
#line 1420
struct f_inst *
#line 1414 "filter/f-inst.c"
NONNULL(2)
#line 1415 "filter/f-inst.c"
NONNULL(3)
#line 1420 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_LC(enum f_instruction_code fi_code
#line 1414 "filter/f-inst.c"
  , struct f_inst * f1
#line 1415 "filter/f-inst.c"
  , struct f_inst * f2
#line 1420 "filter/f-inst.c"
)
#line 1420
  {
#line 1420
    /* Allocate the structure */
#line 1420
    struct f_inst *what = fi_new(fi_code);
#line 1420
    uint constargs = 1;
#line 1420

#line 1420
    /* Initialize all the members */
#line 1420
  #define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1420
  #line 1414 "filter/f-inst.c"
whati->f1 = f1;
#line 1414
const struct f_inst *child1 = f1;
#line 1414
do {
#line 1414
  what->size += child1->size;
#line 1414

#line 1414
  if (child1->fi_code != FI_CONSTANT)
#line 1414
    constargs = 0;
#line 1414

#line 1414
} while (child1 = child1->next);
#line 1414

#line 1414 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1414
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1414
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1415 "filter/f-inst.c"
whati->f2 = f2;
#line 1415
const struct f_inst *child2 = f2;
#line 1415
do {
#line 1415
  what->size += child2->size;
#line 1415

#line 1415
  if (child2->fi_code != FI_CONSTANT)
#line 1415
    constargs = 0;
#line 1415

#line 1415
} while (child2 = child2->next);
#line 1415 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LC)) && !f_const_promotion(f2, (T_LC)))
#line 1415
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1415
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f2->type));
#line 1417 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1420 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1420
    if (!constargs)
#line 1420
      return what;
#line 1420

#line 1420
    /* Try to pre-calculate the result */
#line 1420
    #line 1413 "filter/f-inst.c"
 {
    
#line 1414 "filter/f-inst.c"
 #line 1414 "filter/f-inst.c"
 ;
#line 1415 "filter/f-inst.c"
    
#line 1415 "filter/f-inst.c"
 #line 1415 "filter/f-inst.c"
 ;
#line 1416 "filter/f-inst.c"
    #line 1416 "filter/f-inst.c"
;
     
#line 1417 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_del(fpool, v1.val.ad, v2.val.lc)  } );
  }

  
  #undef whati
#line 1420 "filter/f-inst.c"
  }
#line 1420

#line 1420

#line 1427 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_LCLIST */
#line 1427
struct f_inst *
#line 1421 "filter/f-inst.c"
NONNULL(2)
#line 1422 "filter/f-inst.c"
NONNULL(3)
#line 1427 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_LCLIST(enum f_instruction_code fi_code
#line 1421 "filter/f-inst.c"
  , struct f_inst * f1
#line 1422 "filter/f-inst.c"
  , struct f_inst * f2
#line 1427 "filter/f-inst.c"
)
#line 1427
  {
#line 1427
    /* Allocate the structure */
#line 1427
    struct f_inst *what = fi_new(fi_code);
#line 1427
    uint constargs = 1;
#line 1427

#line 1427
    /* Initialize all the members */
#line 1427
  #define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1427
  #line 1421 "filter/f-inst.c"
whati->f1 = f1;
#line 1421
const struct f_inst *child1 = f1;
#line 1421
do {
#line 1421
  what->size += child1->size;
#line 1421

#line 1421
  if (child1->fi_code != FI_CONSTANT)
#line 1421
    constargs = 0;
#line 1421

#line 1421
} while (child1 = child1->next);
#line 1421

#line 1421 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1421
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1421
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1422 "filter/f-inst.c"
whati->f2 = f2;
#line 1422
const struct f_inst *child2 = f2;
#line 1422
do {
#line 1422
  what->size += child2->size;
#line 1422

#line 1422
  if (child2->fi_code != FI_CONSTANT)
#line 1422
    constargs = 0;
#line 1422

#line 1422
} while (child2 = child2->next);
#line 1422 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1422
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1422
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1424 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1427 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1427
    if (!constargs)
#line 1427
      return what;
#line 1427

#line 1427
    /* Try to pre-calculate the result */
#line 1427
    #line 1420 "filter/f-inst.c"
 {
    
#line 1421 "filter/f-inst.c"
 #line 1421 "filter/f-inst.c"
 ;
#line 1422 "filter/f-inst.c"
    
#line 1422 "filter/f-inst.c"
 #line 1422 "filter/f-inst.c"
 ;
#line 1423 "filter/f-inst.c"
    #line 1423 "filter/f-inst.c"
;
     
#line 1424 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1427 "filter/f-inst.c"
  }
#line 1427

#line 1427

#line 1438 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_SET */
#line 1438
struct f_inst *
#line 1428 "filter/f-inst.c"
NONNULL(2)
#line 1429 "filter/f-inst.c"
NONNULL(3)
#line 1438 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1428 "filter/f-inst.c"
  , struct f_inst * f1
#line 1429 "filter/f-inst.c"
  , struct f_inst * f2
#line 1438 "filter/f-inst.c"
)
#line 1438
  {
#line 1438
    /* Allocate the structure */
#line 1438
    struct f_inst *what = fi_new(fi_code);
#line 1438
    uint constargs = 1;
#line 1438

#line 1438
    /* Initialize all the members */
#line 1438
  #define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1438
  #line 1428 "filter/f-inst.c"
whati->f1 = f1;
#line 1428
const struct f_inst *child1 = f1;
#line 1428
do {
#line 1428
  what->size += child1->size;
#line 1428

#line 1428
  if (child1->fi_code != FI_CONSTANT)
#line 1428
    constargs = 0;
#line 1428

#line 1428
} while (child1 = child1->next);
#line 1428

#line 1428 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1428
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1428
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1429 "filter/f-inst.c"
whati->f2 = f2;
#line 1429
const struct f_inst *child2 = f2;
#line 1429
do {
#line 1429
  what->size += child2->size;
#line 1429

#line 1429
  if (child2->fi_code != FI_CONSTANT)
#line 1429
    constargs = 0;
#line 1429

#line 1429
} while (child2 = child2->next);
#line 1429 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1429
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1429
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1435 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1438 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1438
    if (!constargs)
#line 1438
      return what;
#line 1438

#line 1438
    /* Try to pre-calculate the result */
#line 1438
    #line 1427 "filter/f-inst.c"
 {
    
#line 1428 "filter/f-inst.c"
 #line 1428 "filter/f-inst.c"
 ;
#line 1429 "filter/f-inst.c"
    
#line 1429 "filter/f-inst.c"
 #line 1429 "filter/f-inst.c"
 ;
#line 1430 "filter/f-inst.c"
    #line 1430 "filter/f-inst.c"
;

    if (!lclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1435 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1438 "filter/f-inst.c"
  }
#line 1438

#line 1438

#line 1449 "filter/f-inst.c"
 /* Constructor for FI_PATH_FILTER_SET */
#line 1449
struct f_inst *
#line 1439 "filter/f-inst.c"
NONNULL(2)
#line 1440 "filter/f-inst.c"
NONNULL(3)
#line 1449 "filter/f-inst.c"
f_new_inst_FI_PATH_FILTER_SET(enum f_instruction_code fi_code
#line 1439 "filter/f-inst.c"
  , struct f_inst * f1
#line 1440 "filter/f-inst.c"
  , struct f_inst * f2
#line 1449 "filter/f-inst.c"
)
#line 1449
  {
#line 1449
    /* Allocate the structure */
#line 1449
    struct f_inst *what = fi_new(fi_code);
#line 1449
    uint constargs = 1;
#line 1449

#line 1449
    /* Initialize all the members */
#line 1449
  #define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1449
  #line 1439 "filter/f-inst.c"
whati->f1 = f1;
#line 1439
const struct f_inst *child1 = f1;
#line 1439
do {
#line 1439
  what->size += child1->size;
#line 1439

#line 1439
  if (child1->fi_code != FI_CONSTANT)
#line 1439
    constargs = 0;
#line 1439

#line 1439
} while (child1 = child1->next);
#line 1439

#line 1439 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1439
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1439
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1440 "filter/f-inst.c"
whati->f2 = f2;
#line 1440
const struct f_inst *child2 = f2;
#line 1440
do {
#line 1440
  what->size += child2->size;
#line 1440

#line 1440
  if (child2->fi_code != FI_CONSTANT)
#line 1440
    constargs = 0;
#line 1440

#line 1440
} while (child2 = child2->next);
#line 1440 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1440
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1440
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1446 "filter/f-inst.c"
what->type = T_PATH;

#line 1449 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1449
    if (!constargs)
#line 1449
      return what;
#line 1449

#line 1449
    /* Try to pre-calculate the result */
#line 1449
    #line 1438 "filter/f-inst.c"
 {
    
#line 1439 "filter/f-inst.c"
 #line 1439 "filter/f-inst.c"
 ;
#line 1440 "filter/f-inst.c"
    
#line 1440 "filter/f-inst.c"
 #line 1440 "filter/f-inst.c"
 ;
#line 1441 "filter/f-inst.c"
    #line 1441 "filter/f-inst.c"
;

    if (!path_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1446 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1449 "filter/f-inst.c"
  }
#line 1449

#line 1449

#line 1456 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FILTER_CLIST */
#line 1456
struct f_inst *
#line 1450 "filter/f-inst.c"
NONNULL(2)
#line 1451 "filter/f-inst.c"
NONNULL(3)
#line 1456 "filter/f-inst.c"
f_new_inst_FI_CLIST_FILTER_CLIST(enum f_instruction_code fi_code
#line 1450 "filter/f-inst.c"
  , struct f_inst * f1
#line 1451 "filter/f-inst.c"
  , struct f_inst * f2
#line 1456 "filter/f-inst.c"
)
#line 1456
  {
#line 1456
    /* Allocate the structure */
#line 1456
    struct f_inst *what = fi_new(fi_code);
#line 1456
    uint constargs = 1;
#line 1456

#line 1456
    /* Initialize all the members */
#line 1456
  #define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1456
  #line 1450 "filter/f-inst.c"
whati->f1 = f1;
#line 1450
const struct f_inst *child1 = f1;
#line 1450
do {
#line 1450
  what->size += child1->size;
#line 1450

#line 1450
  if (child1->fi_code != FI_CONSTANT)
#line 1450
    constargs = 0;
#line 1450

#line 1450
} while (child1 = child1->next);
#line 1450

#line 1450 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1450
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1450
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1451 "filter/f-inst.c"
whati->f2 = f2;
#line 1451
const struct f_inst *child2 = f2;
#line 1451
do {
#line 1451
  what->size += child2->size;
#line 1451

#line 1451
  if (child2->fi_code != FI_CONSTANT)
#line 1451
    constargs = 0;
#line 1451

#line 1451
} while (child2 = child2->next);
#line 1451 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1451
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1451
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1453 "filter/f-inst.c"
what->type = T_CLIST;

#line 1456 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1456
    if (!constargs)
#line 1456
      return what;
#line 1456

#line 1456
    /* Try to pre-calculate the result */
#line 1456
    #line 1449 "filter/f-inst.c"
 {
    
#line 1450 "filter/f-inst.c"
 #line 1450 "filter/f-inst.c"
 ;
#line 1451 "filter/f-inst.c"
    
#line 1451 "filter/f-inst.c"
 #line 1451 "filter/f-inst.c"
 ;
#line 1452 "filter/f-inst.c"
    #line 1452 "filter/f-inst.c"
;
     
#line 1453 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1456 "filter/f-inst.c"
  }
#line 1456

#line 1456

#line 1467 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FILTER_SET */
#line 1467
struct f_inst *
#line 1457 "filter/f-inst.c"
NONNULL(2)
#line 1458 "filter/f-inst.c"
NONNULL(3)
#line 1467 "filter/f-inst.c"
f_new_inst_FI_CLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1457 "filter/f-inst.c"
  , struct f_inst * f1
#line 1458 "filter/f-inst.c"
  , struct f_inst * f2
#line 1467 "filter/f-inst.c"
)
#line 1467
  {
#line 1467
    /* Allocate the structure */
#line 1467
    struct f_inst *what = fi_new(fi_code);
#line 1467
    uint constargs = 1;
#line 1467

#line 1467
    /* Initialize all the members */
#line 1467
  #define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1467
  #line 1457 "filter/f-inst.c"
whati->f1 = f1;
#line 1457
const struct f_inst *child1 = f1;
#line 1457
do {
#line 1457
  what->size += child1->size;
#line 1457

#line 1457
  if (child1->fi_code != FI_CONSTANT)
#line 1457
    constargs = 0;
#line 1457

#line 1457
} while (child1 = child1->next);
#line 1457

#line 1457 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1457
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1457
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1458 "filter/f-inst.c"
whati->f2 = f2;
#line 1458
const struct f_inst *child2 = f2;
#line 1458
do {
#line 1458
  what->size += child2->size;
#line 1458

#line 1458
  if (child2->fi_code != FI_CONSTANT)
#line 1458
    constargs = 0;
#line 1458

#line 1458
} while (child2 = child2->next);
#line 1458 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1458
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1458
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1464 "filter/f-inst.c"
what->type = T_CLIST;

#line 1467 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1467
    if (!constargs)
#line 1467
      return what;
#line 1467

#line 1467
    /* Try to pre-calculate the result */
#line 1467
    #line 1456 "filter/f-inst.c"
 {
    
#line 1457 "filter/f-inst.c"
 #line 1457 "filter/f-inst.c"
 ;
#line 1458 "filter/f-inst.c"
    
#line 1458 "filter/f-inst.c"
 #line 1458 "filter/f-inst.c"
 ;
#line 1459 "filter/f-inst.c"
    #line 1459 "filter/f-inst.c"
;

    if (!clist_set_type(v2.val.t, &(struct f_val){}))
      runtime("Mismatched set type");

     
#line 1464 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1467 "filter/f-inst.c"
  }
#line 1467

#line 1467

#line 1474 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FILTER_ECLIST */
#line 1474
struct f_inst *
#line 1468 "filter/f-inst.c"
NONNULL(2)
#line 1469 "filter/f-inst.c"
NONNULL(3)
#line 1474 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FILTER_ECLIST(enum f_instruction_code fi_code
#line 1468 "filter/f-inst.c"
  , struct f_inst * f1
#line 1469 "filter/f-inst.c"
  , struct f_inst * f2
#line 1474 "filter/f-inst.c"
)
#line 1474
  {
#line 1474
    /* Allocate the structure */
#line 1474
    struct f_inst *what = fi_new(fi_code);
#line 1474
    uint constargs = 1;
#line 1474

#line 1474
    /* Initialize all the members */
#line 1474
  #define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1474
  #line 1468 "filter/f-inst.c"
whati->f1 = f1;
#line 1468
const struct f_inst *child1 = f1;
#line 1468
do {
#line 1468
  what->size += child1->size;
#line 1468

#line 1468
  if (child1->fi_code != FI_CONSTANT)
#line 1468
    constargs = 0;
#line 1468

#line 1468
} while (child1 = child1->next);
#line 1468

#line 1468 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1468
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1468
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1469 "filter/f-inst.c"
whati->f2 = f2;
#line 1469
const struct f_inst *child2 = f2;
#line 1469
do {
#line 1469
  what->size += child2->size;
#line 1469

#line 1469
  if (child2->fi_code != FI_CONSTANT)
#line 1469
    constargs = 0;
#line 1469

#line 1469
} while (child2 = child2->next);
#line 1469 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1469
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1469
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1471 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1474 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1474
    if (!constargs)
#line 1474
      return what;
#line 1474

#line 1474
    /* Try to pre-calculate the result */
#line 1474
    #line 1467 "filter/f-inst.c"
 {
    
#line 1468 "filter/f-inst.c"
 #line 1468 "filter/f-inst.c"
 ;
#line 1469 "filter/f-inst.c"
    
#line 1469 "filter/f-inst.c"
 #line 1469 "filter/f-inst.c"
 ;
#line 1470 "filter/f-inst.c"
    #line 1470 "filter/f-inst.c"
;
     
#line 1471 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1474 "filter/f-inst.c"
  }
#line 1474

#line 1474

#line 1485 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FILTER_SET */
#line 1485
struct f_inst *
#line 1475 "filter/f-inst.c"
NONNULL(2)
#line 1476 "filter/f-inst.c"
NONNULL(3)
#line 1485 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1475 "filter/f-inst.c"
  , struct f_inst * f1
#line 1476 "filter/f-inst.c"
  , struct f_inst * f2
#line 1485 "filter/f-inst.c"
)
#line 1485
  {
#line 1485
    /* Allocate the structure */
#line 1485
    struct f_inst *what = fi_new(fi_code);
#line 1485
    uint constargs = 1;
#line 1485

#line 1485
    /* Initialize all the members */
#line 1485
  #define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1485
  #line 1475 "filter/f-inst.c"
whati->f1 = f1;
#line 1475
const struct f_inst *child1 = f1;
#line 1475
do {
#line 1475
  what->size += child1->size;
#line 1475

#line 1475
  if (child1->fi_code != FI_CONSTANT)
#line 1475
    constargs = 0;
#line 1475

#line 1475
} while (child1 = child1->next);
#line 1475

#line 1475 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1475
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1475
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1476 "filter/f-inst.c"
whati->f2 = f2;
#line 1476
const struct f_inst *child2 = f2;
#line 1476
do {
#line 1476
  what->size += child2->size;
#line 1476

#line 1476
  if (child2->fi_code != FI_CONSTANT)
#line 1476
    constargs = 0;
#line 1476

#line 1476
} while (child2 = child2->next);
#line 1476 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1476
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1476
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1482 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1485 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1485
    if (!constargs)
#line 1485
      return what;
#line 1485

#line 1485
    /* Try to pre-calculate the result */
#line 1485
    #line 1474 "filter/f-inst.c"
 {
    
#line 1475 "filter/f-inst.c"
 #line 1475 "filter/f-inst.c"
 ;
#line 1476 "filter/f-inst.c"
    
#line 1476 "filter/f-inst.c"
 #line 1476 "filter/f-inst.c"
 ;
#line 1477 "filter/f-inst.c"
    #line 1477 "filter/f-inst.c"
;

    if (!eclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1482 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1485 "filter/f-inst.c"
  }
#line 1485

#line 1485

#line 1492 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FILTER_LCLIST */
#line 1492
struct f_inst *
#line 1486 "filter/f-inst.c"
NONNULL(2)
#line 1487 "filter/f-inst.c"
NONNULL(3)
#line 1492 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FILTER_LCLIST(enum f_instruction_code fi_code
#line 1486 "filter/f-inst.c"
  , struct f_inst * f1
#line 1487 "filter/f-inst.c"
  , struct f_inst * f2
#line 1492 "filter/f-inst.c"
)
#line 1492
  {
#line 1492
    /* Allocate the structure */
#line 1492
    struct f_inst *what = fi_new(fi_code);
#line 1492
    uint constargs = 1;
#line 1492

#line 1492
    /* Initialize all the members */
#line 1492
  #define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1492
  #line 1486 "filter/f-inst.c"
whati->f1 = f1;
#line 1486
const struct f_inst *child1 = f1;
#line 1486
do {
#line 1486
  what->size += child1->size;
#line 1486

#line 1486
  if (child1->fi_code != FI_CONSTANT)
#line 1486
    constargs = 0;
#line 1486

#line 1486
} while (child1 = child1->next);
#line 1486

#line 1486 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1486
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1486
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1487 "filter/f-inst.c"
whati->f2 = f2;
#line 1487
const struct f_inst *child2 = f2;
#line 1487
do {
#line 1487
  what->size += child2->size;
#line 1487

#line 1487
  if (child2->fi_code != FI_CONSTANT)
#line 1487
    constargs = 0;
#line 1487

#line 1487
} while (child2 = child2->next);
#line 1487 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1487
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1487
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1489 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1492 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1492
    if (!constargs)
#line 1492
      return what;
#line 1492

#line 1492
    /* Try to pre-calculate the result */
#line 1492
    #line 1485 "filter/f-inst.c"
 {
    
#line 1486 "filter/f-inst.c"
 #line 1486 "filter/f-inst.c"
 ;
#line 1487 "filter/f-inst.c"
    
#line 1487 "filter/f-inst.c"
 #line 1487 "filter/f-inst.c"
 ;
#line 1488 "filter/f-inst.c"
    #line 1488 "filter/f-inst.c"
;
     
#line 1489 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1492 "filter/f-inst.c"
  }
#line 1492

#line 1492

#line 1503 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FILTER_SET */
#line 1503
struct f_inst *
#line 1493 "filter/f-inst.c"
NONNULL(2)
#line 1494 "filter/f-inst.c"
NONNULL(3)
#line 1503 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1493 "filter/f-inst.c"
  , struct f_inst * f1
#line 1494 "filter/f-inst.c"
  , struct f_inst * f2
#line 1503 "filter/f-inst.c"
)
#line 1503
  {
#line 1503
    /* Allocate the structure */
#line 1503
    struct f_inst *what = fi_new(fi_code);
#line 1503
    uint constargs = 1;
#line 1503

#line 1503
    /* Initialize all the members */
#line 1503
  #define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1503
  #line 1493 "filter/f-inst.c"
whati->f1 = f1;
#line 1493
const struct f_inst *child1 = f1;
#line 1493
do {
#line 1493
  what->size += child1->size;
#line 1493

#line 1493
  if (child1->fi_code != FI_CONSTANT)
#line 1493
    constargs = 0;
#line 1493

#line 1493
} while (child1 = child1->next);
#line 1493

#line 1493 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1493
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1493
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1494 "filter/f-inst.c"
whati->f2 = f2;
#line 1494
const struct f_inst *child2 = f2;
#line 1494
do {
#line 1494
  what->size += child2->size;
#line 1494

#line 1494
  if (child2->fi_code != FI_CONSTANT)
#line 1494
    constargs = 0;
#line 1494

#line 1494
} while (child2 = child2->next);
#line 1494 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1494
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1494
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1500 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1503 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1503
    if (!constargs)
#line 1503
      return what;
#line 1503

#line 1503
    /* Try to pre-calculate the result */
#line 1503
    #line 1492 "filter/f-inst.c"
 {
    
#line 1493 "filter/f-inst.c"
 #line 1493 "filter/f-inst.c"
 ;
#line 1494 "filter/f-inst.c"
    
#line 1494 "filter/f-inst.c"
 #line 1494 "filter/f-inst.c"
 ;
#line 1495 "filter/f-inst.c"
    #line 1495 "filter/f-inst.c"
;

    if (!lclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1500 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1503 "filter/f-inst.c"
  }
#line 1503

#line 1503

#line 1525 "filter/f-inst.c"
 /* Constructor for FI_ROA_CHECK */
#line 1525
struct f_inst *
#line 1505 "filter/f-inst.c"
NONNULL(2)
#line 1506 "filter/f-inst.c"
NONNULL(3)
#line 1525 "filter/f-inst.c"
f_new_inst_FI_ROA_CHECK(enum f_instruction_code fi_code
#line 1505 "filter/f-inst.c"
  , struct f_inst * f1
#line 1506 "filter/f-inst.c"
  , struct f_inst * f2
#line 1507 "filter/f-inst.c"
  , struct rtable_config * rtc
#line 1525 "filter/f-inst.c"
)
#line 1525
  {
#line 1525
    /* Allocate the structure */
#line 1525
    struct f_inst *what = fi_new(fi_code);
#line 1525
    
#line 1525

#line 1525
    /* Initialize all the members */
#line 1525
  #define whati (&(what->i_FI_ROA_CHECK))
#line 1525
  #line 1505 "filter/f-inst.c"
whati->f1 = f1;
#line 1505
const struct f_inst *child1 = f1;
#line 1505
do {
#line 1505
  what->size += child1->size;
#line 1505

#line 1505
} while (child1 = child1->next);
#line 1505

#line 1505 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1505
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1505
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1506 "filter/f-inst.c"
whati->f2 = f2;
#line 1506
const struct f_inst *child2 = f2;
#line 1506
do {
#line 1506
  what->size += child2->size;
#line 1506

#line 1506
} while (child2 = child2->next);
#line 1506 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1506
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1506
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1507 "filter/f-inst.c"
whati->rtc = rtc;
#line 1519 "filter/f-inst.c"
what->type = T_ENUM_ROA;

#line 1525 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1525
    
#line 1525
      return what;
#line 1525

#line 1525
    /* Try to pre-calculate the result */
#line 1525
      #undef whati
#line 1525
  }
#line 1525

#line 1525

#line 1541 "filter/f-inst.c"
 /* Constructor for FI_ASPA_CHECK_EXPLICIT */
#line 1541
struct f_inst *
#line 1527 "filter/f-inst.c"
NONNULL(2)
#line 1528 "filter/f-inst.c"
NONNULL(3)
#line 1541 "filter/f-inst.c"
f_new_inst_FI_ASPA_CHECK_EXPLICIT(enum f_instruction_code fi_code
#line 1527 "filter/f-inst.c"
  , struct f_inst * f1
#line 1528 "filter/f-inst.c"
  , struct f_inst * f2
#line 1529 "filter/f-inst.c"
  , struct rtable_config * rtc
#line 1541 "filter/f-inst.c"
)
#line 1541
  {
#line 1541
    /* Allocate the structure */
#line 1541
    struct f_inst *what = fi_new(fi_code);
#line 1541
    
#line 1541

#line 1541
    /* Initialize all the members */
#line 1541
  #define whati (&(what->i_FI_ASPA_CHECK_EXPLICIT))
#line 1541
  #line 1527 "filter/f-inst.c"
whati->f1 = f1;
#line 1527
const struct f_inst *child1 = f1;
#line 1527
do {
#line 1527
  what->size += child1->size;
#line 1527

#line 1527
} while (child1 = child1->next);
#line 1527

#line 1527 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1527
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1527
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1528 "filter/f-inst.c"
whati->f2 = f2;
#line 1528
const struct f_inst *child2 = f2;
#line 1528
do {
#line 1528
  what->size += child2->size;
#line 1528

#line 1528
} while (child2 = child2->next);
#line 1528 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 1528
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1528
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 1529 "filter/f-inst.c"
whati->rtc = rtc;
#line 1538 "filter/f-inst.c"
what->type = T_ENUM_ASPA;

#line 1541 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1541
    
#line 1541
      return what;
#line 1541

#line 1541
    /* Try to pre-calculate the result */
#line 1541
      #undef whati
#line 1541
  }
#line 1541

#line 1541

#line 1556 "filter/f-inst.c"
 /* Constructor for FI_FROM_HEX */
#line 1556
struct f_inst *
#line 1542 "filter/f-inst.c"
NONNULL(2)
#line 1556 "filter/f-inst.c"
f_new_inst_FI_FROM_HEX(enum f_instruction_code fi_code
#line 1542 "filter/f-inst.c"
  , struct f_inst * f1
#line 1556 "filter/f-inst.c"
)
#line 1556
  {
#line 1556
    /* Allocate the structure */
#line 1556
    struct f_inst *what = fi_new(fi_code);
#line 1556
    uint constargs = 1;
#line 1556

#line 1556
    /* Initialize all the members */
#line 1556
  #define whati (&(what->i_FI_FROM_HEX))
#line 1556
  #line 1542 "filter/f-inst.c"
whati->f1 = f1;
#line 1542
const struct f_inst *child1 = f1;
#line 1542
do {
#line 1542
  what->size += child1->size;
#line 1542

#line 1542
  if (child1->fi_code != FI_CONSTANT)
#line 1542
    constargs = 0;
#line 1542

#line 1542
} while (child1 = child1->next);
#line 1542

#line 1542 "filter/f-inst.c"
if (f1->type && (f1->type != (T_STRING)) && !f_const_promotion(f1, (T_STRING)))
#line 1542
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1542
	   f_instruction_name(what->fi_code), f_type_name(T_STRING), f_type_name(f1->type));
#line 1553 "filter/f-inst.c"
what->type = T_BYTESTRING;

#line 1556 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1556
    if (!constargs)
#line 1556
      return what;
#line 1556

#line 1556
    /* Try to pre-calculate the result */
#line 1556
    #line 1541 "filter/f-inst.c"
 {	/* Convert hex text to bytestring */
    
#line 1542 "filter/f-inst.c"
 #line 1542 "filter/f-inst.c"
 ;
#line 1543 "filter/f-inst.c"

    int len = bstrhextobin(v1.val.s, NULL);
    if (len < 0)
      runtime("Invalid hex string");

    struct adata *bs;
    bs = falloc(sizeof(struct adata) + len);
    bs->length = bstrhextobin(v1.val.s, bs->data);
    ASSERT(bs->length == (size_t) len);

     
#line 1553 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BYTESTRING, .val.bs = bs } );
  }

  
  #undef whati
#line 1556 "filter/f-inst.c"
  }
#line 1556

#line 1556

#line 1561 "filter/f-inst.c"
 /* Constructor for FI_FORMAT */
#line 1561
struct f_inst *
#line 1557 "filter/f-inst.c"
NONNULL(2)
#line 1561 "filter/f-inst.c"
f_new_inst_FI_FORMAT(enum f_instruction_code fi_code
#line 1557 "filter/f-inst.c"
  , struct f_inst * f1
#line 1561 "filter/f-inst.c"
)
#line 1561
  {
#line 1561
    /* Allocate the structure */
#line 1561
    struct f_inst *what = fi_new(fi_code);
#line 1561
    uint constargs = 1;
#line 1561

#line 1561
    /* Initialize all the members */
#line 1561
  #define whati (&(what->i_FI_FORMAT))
#line 1561
  #line 1557 "filter/f-inst.c"
whati->f1 = f1;
#line 1557
const struct f_inst *child1 = f1;
#line 1557
do {
#line 1557
  what->size += child1->size;
#line 1557

#line 1557
  if (child1->fi_code != FI_CONSTANT)
#line 1557
    constargs = 0;
#line 1557

#line 1557
} while (child1 = child1->next);
#line 1557

#line 1558 "filter/f-inst.c"
what->type = T_STRING;

#line 1561 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1561
    if (!constargs)
#line 1561
      return what;
#line 1561

#line 1561
    /* Try to pre-calculate the result */
#line 1561
    #line 1556 "filter/f-inst.c"
 {	/* Format */
    
#line 1557 "filter/f-inst.c"
;
     
#line 1558 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_STRING, .val.s = val_format_str(fpool, &v1) } );
  }

  
  #undef whati
#line 1561 "filter/f-inst.c"
  }
#line 1561

#line 1561

#line 830 "filter/decl.m4"
 /* Constructor for FI_ASSERT */
#line 830
struct f_inst *
#line 1563 "filter/f-inst.c"
NONNULL(2)
#line 830 "filter/decl.m4"
f_new_inst_FI_ASSERT(enum f_instruction_code fi_code
#line 1563 "filter/f-inst.c"
  , struct f_inst * f1
#line 1565 "filter/f-inst.c"
  , char * s
#line 830 "filter/decl.m4"
)
#line 830
  {
#line 830
    /* Allocate the structure */
#line 830
    struct f_inst *what = fi_new(fi_code);
#line 830
    
#line 830

#line 830
    /* Initialize all the members */
#line 830
  #define whati (&(what->i_FI_ASSERT))
#line 830
  #line 1563 "filter/f-inst.c"
whati->f1 = f1;
#line 1563
const struct f_inst *child1 = f1;
#line 1563
do {
#line 1563
  what->size += child1->size;
#line 1563

#line 1563
} while (child1 = child1->next);
#line 1563

#line 1563 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 1563
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1563
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 1565 "filter/f-inst.c"
whati->s = s;

#line 830 "filter/decl.m4"
    /* If not constant, return the instruction itself */
#line 830
    
#line 830
      return what;
#line 830

#line 830
    /* Try to pre-calculate the result */
#line 830
      #undef whati
#line 830
  }
#line 830

#line 830

#line 611 "filter/decl.m4"

#undef v1
#undef v2
#undef v3
#undef vv

/* Method constructor wrappers */
#line 288 "filter/f-inst.c"

#line 293 "filter/f-inst.c"

#line 298 "filter/f-inst.c"

#line 304 "filter/f-inst.c"

#line 309 "filter/f-inst.c"

#line 314 "filter/f-inst.c"

#line 324 "filter/f-inst.c"

#line 335 "filter/f-inst.c"

#line 345 "filter/f-inst.c"

#line 385 "filter/f-inst.c"

#line 392 "filter/f-inst.c"

#line 442 "filter/f-inst.c"

#line 449 "filter/f-inst.c"

#line 456 "filter/f-inst.c"

#line 467 "filter/f-inst.c"

#line 478 "filter/f-inst.c"

#line 483 "filter/f-inst.c"

#line 492 "filter/f-inst.c"

#line 501 "filter/f-inst.c"

#line 506 "filter/f-inst.c"

#line 507 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__type */
#line 507
struct f_inst * NONNULL(1)
#line 507
f_new_method_FI_METHOD__T_NET__type(struct f_inst *obj, struct f_inst *args)
#line 507
  {
#line 507
    /* Unwind the arguments (1) */
#line 507
        if (args) cf_error("Too many arguments");
#line 506 "filter/f-inst.c"

#line 506

    return f_new_inst(FI_METHOD__T_NET__type, obj
#line 507 "filter/f-inst.c"

#line 507
    );
#line 507
  }
#line 507

#line 510 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_IP__is_v4 */
#line 510
struct f_inst * NONNULL(1)
#line 510
f_new_method_FI_METHOD__T_IP__is_v4(struct f_inst *obj, struct f_inst *args)
#line 510
  {
#line 510
    /* Unwind the arguments (1) */
#line 510
        if (args) cf_error("Too many arguments");
#line 507 "filter/f-inst.c"

#line 507

    return f_new_inst(FI_METHOD__T_IP__is_v4, obj
#line 510 "filter/f-inst.c"

#line 510
    );
#line 510
  }
#line 510

#line 523 "filter/f-inst.c"

#line 534 "filter/f-inst.c"

#line 543 "filter/f-inst.c"

#line 550 "filter/f-inst.c"

#line 563 "filter/f-inst.c"

#line 564 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__empty */
#line 564
struct f_inst * NONNULL(1)
#line 564
f_new_method_FI_METHOD__T_PATH__empty(struct f_inst *obj, struct f_inst *args)
#line 564
  {
#line 564
    /* Unwind the arguments (1) */
#line 564
        if (args) cf_error("Too many arguments");
#line 563 "filter/f-inst.c"

#line 563

    return f_new_inst(FI_METHOD__T_PATH__empty, obj
#line 564 "filter/f-inst.c"

#line 564
    );
#line 564
  }
#line 564

#line 565 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__empty */
#line 565
struct f_inst * NONNULL(1)
#line 565
f_new_method_FI_METHOD__T_CLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 565
  {
#line 565
    /* Unwind the arguments (1) */
#line 565
        if (args) cf_error("Too many arguments");
#line 564 "filter/f-inst.c"

#line 564

    return f_new_inst(FI_METHOD__T_CLIST__empty, obj
#line 565 "filter/f-inst.c"

#line 565
    );
#line 565
  }
#line 565

#line 566 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__empty */
#line 566
struct f_inst * NONNULL(1)
#line 566
f_new_method_FI_METHOD__T_ECLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 566
  {
#line 566
    /* Unwind the arguments (1) */
#line 566
        if (args) cf_error("Too many arguments");
#line 565 "filter/f-inst.c"

#line 565

    return f_new_inst(FI_METHOD__T_ECLIST__empty, obj
#line 566 "filter/f-inst.c"

#line 566
    );
#line 566
  }
#line 566

#line 569 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__empty */
#line 569
struct f_inst * NONNULL(1)
#line 569
f_new_method_FI_METHOD__T_LCLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 569
  {
#line 569
    /* Unwind the arguments (1) */
#line 569
        if (args) cf_error("Too many arguments");
#line 566 "filter/f-inst.c"

#line 566

    return f_new_inst(FI_METHOD__T_LCLIST__empty, obj
#line 569 "filter/f-inst.c"

#line 569
    );
#line 569
  }
#line 569

#line 591 "filter/f-inst.c"

#line 600 "filter/f-inst.c"
 /* Method constructor for FI_PATH_FOR_NEXT */
#line 600
struct f_inst * NONNULL(1)
#line 600
f_new_method_FI_PATH_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 600
  {
#line 600
    /* Unwind the arguments (2) */
#line 600
    #line 595 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 595
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_FOR_NEXT */
#line 595
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 597 "filter/f-inst.c"

#line 597

    return f_new_inst(FI_PATH_FOR_NEXT, obj
#line 595 "filter/f-inst.c"
    , arg2
#line 600 "filter/f-inst.c"

#line 600
    );
#line 600
  }
#line 600

#line 609 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FOR_NEXT */
#line 609
struct f_inst * NONNULL(1)
#line 609
f_new_method_FI_CLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 609
  {
#line 609
    /* Unwind the arguments (2) */
#line 609
    #line 604 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 604
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FOR_NEXT */
#line 604
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 606 "filter/f-inst.c"

#line 606

    return f_new_inst(FI_CLIST_FOR_NEXT, obj
#line 604 "filter/f-inst.c"
    , arg2
#line 609 "filter/f-inst.c"

#line 609
    );
#line 609
  }
#line 609

#line 618 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FOR_NEXT */
#line 618
struct f_inst * NONNULL(1)
#line 618
f_new_method_FI_ECLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 618
  {
#line 618
    /* Unwind the arguments (2) */
#line 618
    #line 613 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 613
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FOR_NEXT */
#line 613
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 615 "filter/f-inst.c"

#line 615

    return f_new_inst(FI_ECLIST_FOR_NEXT, obj
#line 613 "filter/f-inst.c"
    , arg2
#line 618 "filter/f-inst.c"

#line 618
    );
#line 618
  }
#line 618

#line 627 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FOR_NEXT */
#line 627
struct f_inst * NONNULL(1)
#line 627
f_new_method_FI_LCLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 627
  {
#line 627
    /* Unwind the arguments (2) */
#line 627
    #line 622 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 622
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FOR_NEXT */
#line 622
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 624 "filter/f-inst.c"

#line 624

    return f_new_inst(FI_LCLIST_FOR_NEXT, obj
#line 622 "filter/f-inst.c"
    , arg2
#line 627 "filter/f-inst.c"

#line 627
    );
#line 627
  }
#line 627

#line 640 "filter/f-inst.c"
 /* Method constructor for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
struct f_inst * NONNULL(1)
#line 640
f_new_method_FI_ROUTES_BLOCK_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 640
  {
#line 640
    /* Unwind the arguments (2) */
#line 640
    #line 634 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 634
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ROUTES_BLOCK_FOR_NEXT */
#line 634
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 637 "filter/f-inst.c"

#line 637

    return f_new_inst(FI_ROUTES_BLOCK_FOR_NEXT, obj
#line 634 "filter/f-inst.c"
    , arg2
#line 640 "filter/f-inst.c"

#line 640
    );
#line 640
  }
#line 640

#line 648 "filter/f-inst.c"

#line 661 "filter/f-inst.c"

#line 668 "filter/f-inst.c"

#line 682 "filter/f-inst.c"

#line 689 "filter/f-inst.c"

#line 736 "filter/f-inst.c"

#line 861 "filter/f-inst.c"

#line 898 "filter/f-inst.c"

#line 939 "filter/f-inst.c"

#line 946 "filter/f-inst.c"

#line 960 "filter/f-inst.c"

#line 961 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__len */
#line 961
struct f_inst * NONNULL(1)
#line 961
f_new_method_FI_METHOD__T_NET__len(struct f_inst *obj, struct f_inst *args)
#line 961
  {
#line 961
    /* Unwind the arguments (1) */
#line 961
        if (args) cf_error("Too many arguments");
#line 960 "filter/f-inst.c"

#line 960

    return f_new_inst(FI_METHOD__T_NET__len, obj
#line 961 "filter/f-inst.c"

#line 961
    );
#line 961
  }
#line 961

#line 962 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__len */
#line 962
struct f_inst * NONNULL(1)
#line 962
f_new_method_FI_METHOD__T_PATH__len(struct f_inst *obj, struct f_inst *args)
#line 962
  {
#line 962
    /* Unwind the arguments (1) */
#line 962
        if (args) cf_error("Too many arguments");
#line 961 "filter/f-inst.c"

#line 961

    return f_new_inst(FI_METHOD__T_PATH__len, obj
#line 962 "filter/f-inst.c"

#line 962
    );
#line 962
  }
#line 962

#line 963 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__len */
#line 963
struct f_inst * NONNULL(1)
#line 963
f_new_method_FI_METHOD__T_CLIST__len(struct f_inst *obj, struct f_inst *args)
#line 963
  {
#line 963
    /* Unwind the arguments (1) */
#line 963
        if (args) cf_error("Too many arguments");
#line 962 "filter/f-inst.c"

#line 962

    return f_new_inst(FI_METHOD__T_CLIST__len, obj
#line 963 "filter/f-inst.c"

#line 963
    );
#line 963
  }
#line 963

#line 964 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__len */
#line 964
struct f_inst * NONNULL(1)
#line 964
f_new_method_FI_METHOD__T_ECLIST__len(struct f_inst *obj, struct f_inst *args)
#line 964
  {
#line 964
    /* Unwind the arguments (1) */
#line 964
        if (args) cf_error("Too many arguments");
#line 963 "filter/f-inst.c"

#line 963

    return f_new_inst(FI_METHOD__T_ECLIST__len, obj
#line 964 "filter/f-inst.c"

#line 964
    );
#line 964
  }
#line 964

#line 966 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__len */
#line 966
struct f_inst * NONNULL(1)
#line 966
f_new_method_FI_METHOD__T_LCLIST__len(struct f_inst *obj, struct f_inst *args)
#line 966
  {
#line 966
    /* Unwind the arguments (1) */
#line 966
        if (args) cf_error("Too many arguments");
#line 964 "filter/f-inst.c"

#line 964

    return f_new_inst(FI_METHOD__T_LCLIST__len, obj
#line 966 "filter/f-inst.c"

#line 966
    );
#line 966
  }
#line 966

#line 1002 "filter/f-inst.c"
 /* Method constructor for FI_NET_SRC */
#line 1002
struct f_inst * NONNULL(1)
#line 1002
f_new_method_FI_NET_SRC(struct f_inst *obj, struct f_inst *args)
#line 1002
  {
#line 1002
    /* Unwind the arguments (1) */
#line 1002
        if (args) cf_error("Too many arguments");
#line 968 "filter/f-inst.c"

#line 968

    return f_new_inst(FI_NET_SRC, obj
#line 1002 "filter/f-inst.c"

#line 1002
    );
#line 1002
  }
#line 1002

#line 1039 "filter/f-inst.c"
 /* Method constructor for FI_NET_DST */
#line 1039
struct f_inst * NONNULL(1)
#line 1039
f_new_method_FI_NET_DST(struct f_inst *obj, struct f_inst *args)
#line 1039
  {
#line 1039
    /* Unwind the arguments (1) */
#line 1039
        if (args) cf_error("Too many arguments");
#line 1004 "filter/f-inst.c"

#line 1004

    return f_new_inst(FI_NET_DST, obj
#line 1039 "filter/f-inst.c"

#line 1039
    );
#line 1039
  }
#line 1039

#line 1049 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__maxlen */
#line 1049
struct f_inst * NONNULL(1)
#line 1049
f_new_method_FI_METHOD__T_NET__maxlen(struct f_inst *obj, struct f_inst *args)
#line 1049
  {
#line 1049
    /* Unwind the arguments (1) */
#line 1049
        if (args) cf_error("Too many arguments");
#line 1039 "filter/f-inst.c"

#line 1039

    return f_new_inst(FI_METHOD__T_NET__maxlen, obj
#line 1049 "filter/f-inst.c"

#line 1049
    );
#line 1049
  }
#line 1049

#line 1059 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__asn */
#line 1059
struct f_inst * NONNULL(1)
#line 1059
f_new_method_FI_METHOD__T_NET__asn(struct f_inst *obj, struct f_inst *args)
#line 1059
  {
#line 1059
    /* Unwind the arguments (1) */
#line 1059
        if (args) cf_error("Too many arguments");
#line 1049 "filter/f-inst.c"

#line 1049

    return f_new_inst(FI_METHOD__T_NET__asn, obj
#line 1059 "filter/f-inst.c"

#line 1059
    );
#line 1059
  }
#line 1059

#line 1061 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__ip */
#line 1061
struct f_inst * NONNULL(1)
#line 1061
f_new_method_FI_METHOD__T_NET__ip(struct f_inst *obj, struct f_inst *args)
#line 1061
  {
#line 1061
    /* Unwind the arguments (1) */
#line 1061
        if (args) cf_error("Too many arguments");
#line 1059 "filter/f-inst.c"

#line 1059

    return f_new_inst(FI_METHOD__T_NET__ip, obj
#line 1061 "filter/f-inst.c"

#line 1061
    );
#line 1061
  }
#line 1061

#line 1070 "filter/f-inst.c"
 /* Method constructor for FI_ROUTE_DISTINGUISHER */
#line 1070
struct f_inst * NONNULL(1)
#line 1070
f_new_method_FI_ROUTE_DISTINGUISHER(struct f_inst *obj, struct f_inst *args)
#line 1070
  {
#line 1070
    /* Unwind the arguments (1) */
#line 1070
        if (args) cf_error("Too many arguments");
#line 1063 "filter/f-inst.c"

#line 1063

    return f_new_inst(FI_ROUTE_DISTINGUISHER, obj
#line 1070 "filter/f-inst.c"

#line 1070
    );
#line 1070
  }
#line 1070

#line 1073 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__first */
#line 1073
struct f_inst * NONNULL(1)
#line 1073
f_new_method_FI_METHOD__T_PATH__first(struct f_inst *obj, struct f_inst *args)
#line 1073
  {
#line 1073
    /* Unwind the arguments (1) */
#line 1073
        if (args) cf_error("Too many arguments");
#line 1070 "filter/f-inst.c"

#line 1070

    return f_new_inst(FI_METHOD__T_PATH__first, obj
#line 1073 "filter/f-inst.c"

#line 1073
    );
#line 1073
  }
#line 1073

#line 1076 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__last */
#line 1076
struct f_inst * NONNULL(1)
#line 1076
f_new_method_FI_METHOD__T_PATH__last(struct f_inst *obj, struct f_inst *args)
#line 1076
  {
#line 1076
    /* Unwind the arguments (1) */
#line 1076
        if (args) cf_error("Too many arguments");
#line 1073 "filter/f-inst.c"

#line 1073

    return f_new_inst(FI_METHOD__T_PATH__last, obj
#line 1076 "filter/f-inst.c"

#line 1076
    );
#line 1076
  }
#line 1076

#line 1079 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
struct f_inst * NONNULL(1)
#line 1079
f_new_method_FI_METHOD__T_PATH__last_nonaggregated(struct f_inst *obj, struct f_inst *args)
#line 1079
  {
#line 1079
    /* Unwind the arguments (1) */
#line 1079
        if (args) cf_error("Too many arguments");
#line 1076 "filter/f-inst.c"

#line 1076

    return f_new_inst(FI_METHOD__T_PATH__last_nonaggregated, obj
#line 1079 "filter/f-inst.c"

#line 1079
    );
#line 1079
  }
#line 1079

#line 1082 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PAIR__asn */
#line 1082
struct f_inst * NONNULL(1)
#line 1082
f_new_method_FI_METHOD__T_PAIR__asn(struct f_inst *obj, struct f_inst *args)
#line 1082
  {
#line 1082
    /* Unwind the arguments (1) */
#line 1082
        if (args) cf_error("Too many arguments");
#line 1079 "filter/f-inst.c"

#line 1079

    return f_new_inst(FI_METHOD__T_PAIR__asn, obj
#line 1082 "filter/f-inst.c"

#line 1082
    );
#line 1082
  }
#line 1082

#line 1085 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PAIR__data */
#line 1085
struct f_inst * NONNULL(1)
#line 1085
f_new_method_FI_METHOD__T_PAIR__data(struct f_inst *obj, struct f_inst *args)
#line 1085
  {
#line 1085
    /* Unwind the arguments (1) */
#line 1085
        if (args) cf_error("Too many arguments");
#line 1082 "filter/f-inst.c"

#line 1082

    return f_new_inst(FI_METHOD__T_PAIR__data, obj
#line 1085 "filter/f-inst.c"

#line 1085
    );
#line 1085
  }
#line 1085

#line 1088 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__asn */
#line 1088
struct f_inst * NONNULL(1)
#line 1088
f_new_method_FI_METHOD__T_LC__asn(struct f_inst *obj, struct f_inst *args)
#line 1088
  {
#line 1088
    /* Unwind the arguments (1) */
#line 1088
        if (args) cf_error("Too many arguments");
#line 1085 "filter/f-inst.c"

#line 1085

    return f_new_inst(FI_METHOD__T_LC__asn, obj
#line 1088 "filter/f-inst.c"

#line 1088
    );
#line 1088
  }
#line 1088

#line 1091 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__data1 */
#line 1091
struct f_inst * NONNULL(1)
#line 1091
f_new_method_FI_METHOD__T_LC__data1(struct f_inst *obj, struct f_inst *args)
#line 1091
  {
#line 1091
    /* Unwind the arguments (1) */
#line 1091
        if (args) cf_error("Too many arguments");
#line 1088 "filter/f-inst.c"

#line 1088

    return f_new_inst(FI_METHOD__T_LC__data1, obj
#line 1091 "filter/f-inst.c"

#line 1091
    );
#line 1091
  }
#line 1091

#line 1094 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__data2 */
#line 1094
struct f_inst * NONNULL(1)
#line 1094
f_new_method_FI_METHOD__T_LC__data2(struct f_inst *obj, struct f_inst *args)
#line 1094
  {
#line 1094
    /* Unwind the arguments (1) */
#line 1094
        if (args) cf_error("Too many arguments");
#line 1091 "filter/f-inst.c"

#line 1091

    return f_new_inst(FI_METHOD__T_LC__data2, obj
#line 1094 "filter/f-inst.c"

#line 1094
    );
#line 1094
  }
#line 1094

#line 1097 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__min */
#line 1097
struct f_inst * NONNULL(1)
#line 1097
f_new_method_FI_METHOD__T_CLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1097
  {
#line 1097
    /* Unwind the arguments (1) */
#line 1097
        if (args) cf_error("Too many arguments");
#line 1094 "filter/f-inst.c"

#line 1094

    return f_new_inst(FI_METHOD__T_CLIST__min, obj
#line 1097 "filter/f-inst.c"

#line 1097
    );
#line 1097
  }
#line 1097

#line 1100 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__max */
#line 1100
struct f_inst * NONNULL(1)
#line 1100
f_new_method_FI_METHOD__T_CLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1100
  {
#line 1100
    /* Unwind the arguments (1) */
#line 1100
        if (args) cf_error("Too many arguments");
#line 1097 "filter/f-inst.c"

#line 1097

    return f_new_inst(FI_METHOD__T_CLIST__max, obj
#line 1100 "filter/f-inst.c"

#line 1100
    );
#line 1100
  }
#line 1100

#line 1103 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__min */
#line 1103
struct f_inst * NONNULL(1)
#line 1103
f_new_method_FI_METHOD__T_ECLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1103
  {
#line 1103
    /* Unwind the arguments (1) */
#line 1103
        if (args) cf_error("Too many arguments");
#line 1100 "filter/f-inst.c"

#line 1100

    return f_new_inst(FI_METHOD__T_ECLIST__min, obj
#line 1103 "filter/f-inst.c"

#line 1103
    );
#line 1103
  }
#line 1103

#line 1106 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__max */
#line 1106
struct f_inst * NONNULL(1)
#line 1106
f_new_method_FI_METHOD__T_ECLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1106
  {
#line 1106
    /* Unwind the arguments (1) */
#line 1106
        if (args) cf_error("Too many arguments");
#line 1103 "filter/f-inst.c"

#line 1103

    return f_new_inst(FI_METHOD__T_ECLIST__max, obj
#line 1106 "filter/f-inst.c"

#line 1106
    );
#line 1106
  }
#line 1106

#line 1109 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__min */
#line 1109
struct f_inst * NONNULL(1)
#line 1109
f_new_method_FI_METHOD__T_LCLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1109
  {
#line 1109
    /* Unwind the arguments (1) */
#line 1109
        if (args) cf_error("Too many arguments");
#line 1106 "filter/f-inst.c"

#line 1106

    return f_new_inst(FI_METHOD__T_LCLIST__min, obj
#line 1109 "filter/f-inst.c"

#line 1109
    );
#line 1109
  }
#line 1109

#line 1111 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__max */
#line 1111
struct f_inst * NONNULL(1)
#line 1111
f_new_method_FI_METHOD__T_LCLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1111
  {
#line 1111
    /* Unwind the arguments (1) */
#line 1111
        if (args) cf_error("Too many arguments");
#line 1109 "filter/f-inst.c"

#line 1109

    return f_new_inst(FI_METHOD__T_LCLIST__max, obj
#line 1111 "filter/f-inst.c"

#line 1111
    );
#line 1111
  }
#line 1111

#line 1137 "filter/f-inst.c"

#line 1197 "filter/f-inst.c"

#line 1202 "filter/f-inst.c"

#line 1243 "filter/f-inst.c"

#line 1252 "filter/f-inst.c"
 /* Method constructor for FI_IP_MASK */
#line 1252
struct f_inst * NONNULL(1)
#line 1252
f_new_method_FI_IP_MASK(struct f_inst *obj, struct f_inst *args)
#line 1252
  {
#line 1252
    /* Unwind the arguments (2) */
#line 1252
    #line 1245 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1245
  if (args == NULL) cf_error("Not enough arguments"); /* FI_IP_MASK */
#line 1245
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1246 "filter/f-inst.c"

#line 1246

    return f_new_inst(FI_IP_MASK, obj
#line 1245 "filter/f-inst.c"
    , arg2
#line 1252 "filter/f-inst.c"

#line 1252
    );
#line 1252
  }
#line 1252

#line 1260 "filter/f-inst.c"
 /* Method constructor for FI_PATH_PREPEND */
#line 1260
struct f_inst * NONNULL(1)
#line 1260
f_new_method_FI_PATH_PREPEND(struct f_inst *obj, struct f_inst *args)
#line 1260
  {
#line 1260
    /* Unwind the arguments (2) */
#line 1260
    #line 1254 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1254
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_PREPEND */
#line 1254
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1255 "filter/f-inst.c"

#line 1255

    return f_new_inst(FI_PATH_PREPEND, obj
#line 1254 "filter/f-inst.c"
    , arg2
#line 1260 "filter/f-inst.c"

#line 1260
    );
#line 1260
  }
#line 1260

#line 1267 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_PAIR */
#line 1267
struct f_inst * NONNULL(1)
#line 1267
f_new_method_FI_CLIST_ADD_PAIR(struct f_inst *obj, struct f_inst *args)
#line 1267
  {
#line 1267
    /* Unwind the arguments (2) */
#line 1267
    #line 1262 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1262
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_PAIR */
#line 1262
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1263 "filter/f-inst.c"

#line 1263

    return f_new_inst(FI_CLIST_ADD_PAIR, obj
#line 1262 "filter/f-inst.c"
    , arg2
#line 1267 "filter/f-inst.c"

#line 1267
    );
#line 1267
  }
#line 1267

#line 1281 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_IP */
#line 1281
struct f_inst * NONNULL(1)
#line 1281
f_new_method_FI_CLIST_ADD_IP(struct f_inst *obj, struct f_inst *args)
#line 1281
  {
#line 1281
    /* Unwind the arguments (2) */
#line 1281
    #line 1269 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1269
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_IP */
#line 1269
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1270 "filter/f-inst.c"

#line 1270

    return f_new_inst(FI_CLIST_ADD_IP, obj
#line 1269 "filter/f-inst.c"
    , arg2
#line 1281 "filter/f-inst.c"

#line 1281
    );
#line 1281
  }
#line 1281

#line 1288 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_QUAD */
#line 1288
struct f_inst * NONNULL(1)
#line 1288
f_new_method_FI_CLIST_ADD_QUAD(struct f_inst *obj, struct f_inst *args)
#line 1288
  {
#line 1288
    /* Unwind the arguments (2) */
#line 1288
    #line 1283 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1283
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_QUAD */
#line 1283
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1284 "filter/f-inst.c"

#line 1284

    return f_new_inst(FI_CLIST_ADD_QUAD, obj
#line 1283 "filter/f-inst.c"
    , arg2
#line 1288 "filter/f-inst.c"

#line 1288
    );
#line 1288
  }
#line 1288

#line 1295 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_CLIST */
#line 1295
struct f_inst * NONNULL(1)
#line 1295
f_new_method_FI_CLIST_ADD_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1295
  {
#line 1295
    /* Unwind the arguments (2) */
#line 1295
    #line 1290 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1290
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_CLIST */
#line 1290
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1291 "filter/f-inst.c"

#line 1291

    return f_new_inst(FI_CLIST_ADD_CLIST, obj
#line 1290 "filter/f-inst.c"
    , arg2
#line 1295 "filter/f-inst.c"

#line 1295
    );
#line 1295
  }
#line 1295

#line 1302 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_ADD_EC */
#line 1302
struct f_inst * NONNULL(1)
#line 1302
f_new_method_FI_ECLIST_ADD_EC(struct f_inst *obj, struct f_inst *args)
#line 1302
  {
#line 1302
    /* Unwind the arguments (2) */
#line 1302
    #line 1297 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1297
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_ADD_EC */
#line 1297
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1298 "filter/f-inst.c"

#line 1298

    return f_new_inst(FI_ECLIST_ADD_EC, obj
#line 1297 "filter/f-inst.c"
    , arg2
#line 1302 "filter/f-inst.c"

#line 1302
    );
#line 1302
  }
#line 1302

#line 1309 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_ADD_ECLIST */
#line 1309
struct f_inst * NONNULL(1)
#line 1309
f_new_method_FI_ECLIST_ADD_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1309
  {
#line 1309
    /* Unwind the arguments (2) */
#line 1309
    #line 1304 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1304
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_ADD_ECLIST */
#line 1304
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1305 "filter/f-inst.c"

#line 1305

    return f_new_inst(FI_ECLIST_ADD_ECLIST, obj
#line 1304 "filter/f-inst.c"
    , arg2
#line 1309 "filter/f-inst.c"

#line 1309
    );
#line 1309
  }
#line 1309

#line 1316 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_ADD_LC */
#line 1316
struct f_inst * NONNULL(1)
#line 1316
f_new_method_FI_LCLIST_ADD_LC(struct f_inst *obj, struct f_inst *args)
#line 1316
  {
#line 1316
    /* Unwind the arguments (2) */
#line 1316
    #line 1311 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1311
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_ADD_LC */
#line 1311
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1312 "filter/f-inst.c"

#line 1312

    return f_new_inst(FI_LCLIST_ADD_LC, obj
#line 1311 "filter/f-inst.c"
    , arg2
#line 1316 "filter/f-inst.c"

#line 1316
    );
#line 1316
  }
#line 1316

#line 1323 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_ADD_LCLIST */
#line 1323
struct f_inst * NONNULL(1)
#line 1323
f_new_method_FI_LCLIST_ADD_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1323
  {
#line 1323
    /* Unwind the arguments (2) */
#line 1323
    #line 1318 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1318
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_ADD_LCLIST */
#line 1318
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1319 "filter/f-inst.c"

#line 1319

    return f_new_inst(FI_LCLIST_ADD_LCLIST, obj
#line 1318 "filter/f-inst.c"
    , arg2
#line 1323 "filter/f-inst.c"

#line 1323
    );
#line 1323
  }
#line 1323

#line 1330 "filter/f-inst.c"
 /* Method constructor for FI_PATH_DELETE_INT */
#line 1330
struct f_inst * NONNULL(1)
#line 1330
f_new_method_FI_PATH_DELETE_INT(struct f_inst *obj, struct f_inst *args)
#line 1330
  {
#line 1330
    /* Unwind the arguments (2) */
#line 1330
    #line 1325 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1325
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_DELETE_INT */
#line 1325
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1326 "filter/f-inst.c"

#line 1326

    return f_new_inst(FI_PATH_DELETE_INT, obj
#line 1325 "filter/f-inst.c"
    , arg2
#line 1330 "filter/f-inst.c"

#line 1330
    );
#line 1330
  }
#line 1330

#line 1342 "filter/f-inst.c"
 /* Method constructor for FI_PATH_DELETE_SET */
#line 1342
struct f_inst * NONNULL(1)
#line 1342
f_new_method_FI_PATH_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1342
  {
#line 1342
    /* Unwind the arguments (2) */
#line 1342
    #line 1332 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1332
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_DELETE_SET */
#line 1332
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1333 "filter/f-inst.c"

#line 1333

    return f_new_inst(FI_PATH_DELETE_SET, obj
#line 1332 "filter/f-inst.c"
    , arg2
#line 1342 "filter/f-inst.c"

#line 1342
    );
#line 1342
  }
#line 1342

#line 1349 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_PAIR */
#line 1349
struct f_inst * NONNULL(1)
#line 1349
f_new_method_FI_CLIST_DELETE_PAIR(struct f_inst *obj, struct f_inst *args)
#line 1349
  {
#line 1349
    /* Unwind the arguments (2) */
#line 1349
    #line 1344 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1344
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_PAIR */
#line 1344
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1345 "filter/f-inst.c"

#line 1345

    return f_new_inst(FI_CLIST_DELETE_PAIR, obj
#line 1344 "filter/f-inst.c"
    , arg2
#line 1349 "filter/f-inst.c"

#line 1349
    );
#line 1349
  }
#line 1349

#line 1363 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_IP */
#line 1363
struct f_inst * NONNULL(1)
#line 1363
f_new_method_FI_CLIST_DELETE_IP(struct f_inst *obj, struct f_inst *args)
#line 1363
  {
#line 1363
    /* Unwind the arguments (2) */
#line 1363
    #line 1351 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1351
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_IP */
#line 1351
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1352 "filter/f-inst.c"

#line 1352

    return f_new_inst(FI_CLIST_DELETE_IP, obj
#line 1351 "filter/f-inst.c"
    , arg2
#line 1363 "filter/f-inst.c"

#line 1363
    );
#line 1363
  }
#line 1363

#line 1370 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_QUAD */
#line 1370
struct f_inst * NONNULL(1)
#line 1370
f_new_method_FI_CLIST_DELETE_QUAD(struct f_inst *obj, struct f_inst *args)
#line 1370
  {
#line 1370
    /* Unwind the arguments (2) */
#line 1370
    #line 1365 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1365
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_QUAD */
#line 1365
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1366 "filter/f-inst.c"

#line 1366

    return f_new_inst(FI_CLIST_DELETE_QUAD, obj
#line 1365 "filter/f-inst.c"
    , arg2
#line 1370 "filter/f-inst.c"

#line 1370
    );
#line 1370
  }
#line 1370

#line 1377 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_CLIST */
#line 1377
struct f_inst * NONNULL(1)
#line 1377
f_new_method_FI_CLIST_DELETE_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1377
  {
#line 1377
    /* Unwind the arguments (2) */
#line 1377
    #line 1372 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1372
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_CLIST */
#line 1372
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1373 "filter/f-inst.c"

#line 1373

    return f_new_inst(FI_CLIST_DELETE_CLIST, obj
#line 1372 "filter/f-inst.c"
    , arg2
#line 1377 "filter/f-inst.c"

#line 1377
    );
#line 1377
  }
#line 1377

#line 1388 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_SET */
#line 1388
struct f_inst * NONNULL(1)
#line 1388
f_new_method_FI_CLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1388
  {
#line 1388
    /* Unwind the arguments (2) */
#line 1388
    #line 1379 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1379
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_SET */
#line 1379
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1380 "filter/f-inst.c"

#line 1380

    return f_new_inst(FI_CLIST_DELETE_SET, obj
#line 1379 "filter/f-inst.c"
    , arg2
#line 1388 "filter/f-inst.c"

#line 1388
    );
#line 1388
  }
#line 1388

#line 1395 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_EC */
#line 1395
struct f_inst * NONNULL(1)
#line 1395
f_new_method_FI_ECLIST_DELETE_EC(struct f_inst *obj, struct f_inst *args)
#line 1395
  {
#line 1395
    /* Unwind the arguments (2) */
#line 1395
    #line 1390 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1390
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_EC */
#line 1390
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1391 "filter/f-inst.c"

#line 1391

    return f_new_inst(FI_ECLIST_DELETE_EC, obj
#line 1390 "filter/f-inst.c"
    , arg2
#line 1395 "filter/f-inst.c"

#line 1395
    );
#line 1395
  }
#line 1395

#line 1402 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_ECLIST */
#line 1402
struct f_inst * NONNULL(1)
#line 1402
f_new_method_FI_ECLIST_DELETE_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1402
  {
#line 1402
    /* Unwind the arguments (2) */
#line 1402
    #line 1397 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1397
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_ECLIST */
#line 1397
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1398 "filter/f-inst.c"

#line 1398

    return f_new_inst(FI_ECLIST_DELETE_ECLIST, obj
#line 1397 "filter/f-inst.c"
    , arg2
#line 1402 "filter/f-inst.c"

#line 1402
    );
#line 1402
  }
#line 1402

#line 1413 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_SET */
#line 1413
struct f_inst * NONNULL(1)
#line 1413
f_new_method_FI_ECLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1413
  {
#line 1413
    /* Unwind the arguments (2) */
#line 1413
    #line 1404 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1404
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_SET */
#line 1404
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1405 "filter/f-inst.c"

#line 1405

    return f_new_inst(FI_ECLIST_DELETE_SET, obj
#line 1404 "filter/f-inst.c"
    , arg2
#line 1413 "filter/f-inst.c"

#line 1413
    );
#line 1413
  }
#line 1413

#line 1420 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_LC */
#line 1420
struct f_inst * NONNULL(1)
#line 1420
f_new_method_FI_LCLIST_DELETE_LC(struct f_inst *obj, struct f_inst *args)
#line 1420
  {
#line 1420
    /* Unwind the arguments (2) */
#line 1420
    #line 1415 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1415
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_LC */
#line 1415
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1416 "filter/f-inst.c"

#line 1416

    return f_new_inst(FI_LCLIST_DELETE_LC, obj
#line 1415 "filter/f-inst.c"
    , arg2
#line 1420 "filter/f-inst.c"

#line 1420
    );
#line 1420
  }
#line 1420

#line 1427 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_LCLIST */
#line 1427
struct f_inst * NONNULL(1)
#line 1427
f_new_method_FI_LCLIST_DELETE_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1427
  {
#line 1427
    /* Unwind the arguments (2) */
#line 1427
    #line 1422 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1422
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_LCLIST */
#line 1422
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1423 "filter/f-inst.c"

#line 1423

    return f_new_inst(FI_LCLIST_DELETE_LCLIST, obj
#line 1422 "filter/f-inst.c"
    , arg2
#line 1427 "filter/f-inst.c"

#line 1427
    );
#line 1427
  }
#line 1427

#line 1438 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_SET */
#line 1438
struct f_inst * NONNULL(1)
#line 1438
f_new_method_FI_LCLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1438
  {
#line 1438
    /* Unwind the arguments (2) */
#line 1438
    #line 1429 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1429
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_SET */
#line 1429
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1430 "filter/f-inst.c"

#line 1430

    return f_new_inst(FI_LCLIST_DELETE_SET, obj
#line 1429 "filter/f-inst.c"
    , arg2
#line 1438 "filter/f-inst.c"

#line 1438
    );
#line 1438
  }
#line 1438

#line 1449 "filter/f-inst.c"
 /* Method constructor for FI_PATH_FILTER_SET */
#line 1449
struct f_inst * NONNULL(1)
#line 1449
f_new_method_FI_PATH_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1449
  {
#line 1449
    /* Unwind the arguments (2) */
#line 1449
    #line 1440 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1440
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_FILTER_SET */
#line 1440
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1441 "filter/f-inst.c"

#line 1441

    return f_new_inst(FI_PATH_FILTER_SET, obj
#line 1440 "filter/f-inst.c"
    , arg2
#line 1449 "filter/f-inst.c"

#line 1449
    );
#line 1449
  }
#line 1449

#line 1456 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FILTER_CLIST */
#line 1456
struct f_inst * NONNULL(1)
#line 1456
f_new_method_FI_CLIST_FILTER_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1456
  {
#line 1456
    /* Unwind the arguments (2) */
#line 1456
    #line 1451 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1451
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FILTER_CLIST */
#line 1451
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1452 "filter/f-inst.c"

#line 1452

    return f_new_inst(FI_CLIST_FILTER_CLIST, obj
#line 1451 "filter/f-inst.c"
    , arg2
#line 1456 "filter/f-inst.c"

#line 1456
    );
#line 1456
  }
#line 1456

#line 1467 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FILTER_SET */
#line 1467
struct f_inst * NONNULL(1)
#line 1467
f_new_method_FI_CLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1467
  {
#line 1467
    /* Unwind the arguments (2) */
#line 1467
    #line 1458 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1458
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FILTER_SET */
#line 1458
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1459 "filter/f-inst.c"

#line 1459

    return f_new_inst(FI_CLIST_FILTER_SET, obj
#line 1458 "filter/f-inst.c"
    , arg2
#line 1467 "filter/f-inst.c"

#line 1467
    );
#line 1467
  }
#line 1467

#line 1474 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FILTER_ECLIST */
#line 1474
struct f_inst * NONNULL(1)
#line 1474
f_new_method_FI_ECLIST_FILTER_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1474
  {
#line 1474
    /* Unwind the arguments (2) */
#line 1474
    #line 1469 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1469
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FILTER_ECLIST */
#line 1469
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1470 "filter/f-inst.c"

#line 1470

    return f_new_inst(FI_ECLIST_FILTER_ECLIST, obj
#line 1469 "filter/f-inst.c"
    , arg2
#line 1474 "filter/f-inst.c"

#line 1474
    );
#line 1474
  }
#line 1474

#line 1485 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FILTER_SET */
#line 1485
struct f_inst * NONNULL(1)
#line 1485
f_new_method_FI_ECLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1485
  {
#line 1485
    /* Unwind the arguments (2) */
#line 1485
    #line 1476 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1476
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FILTER_SET */
#line 1476
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1477 "filter/f-inst.c"

#line 1477

    return f_new_inst(FI_ECLIST_FILTER_SET, obj
#line 1476 "filter/f-inst.c"
    , arg2
#line 1485 "filter/f-inst.c"

#line 1485
    );
#line 1485
  }
#line 1485

#line 1492 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FILTER_LCLIST */
#line 1492
struct f_inst * NONNULL(1)
#line 1492
f_new_method_FI_LCLIST_FILTER_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1492
  {
#line 1492
    /* Unwind the arguments (2) */
#line 1492
    #line 1487 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1487
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FILTER_LCLIST */
#line 1487
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1488 "filter/f-inst.c"

#line 1488

    return f_new_inst(FI_LCLIST_FILTER_LCLIST, obj
#line 1487 "filter/f-inst.c"
    , arg2
#line 1492 "filter/f-inst.c"

#line 1492
    );
#line 1492
  }
#line 1492

#line 1503 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FILTER_SET */
#line 1503
struct f_inst * NONNULL(1)
#line 1503
f_new_method_FI_LCLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1503
  {
#line 1503
    /* Unwind the arguments (2) */
#line 1503
    #line 1494 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1494
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FILTER_SET */
#line 1494
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1495 "filter/f-inst.c"

#line 1495

    return f_new_inst(FI_LCLIST_FILTER_SET, obj
#line 1494 "filter/f-inst.c"
    , arg2
#line 1503 "filter/f-inst.c"

#line 1503
    );
#line 1503
  }
#line 1503

#line 1525 "filter/f-inst.c"

#line 1541 "filter/f-inst.c"

#line 1556 "filter/f-inst.c"

#line 1561 "filter/f-inst.c"

#line 830 "filter/decl.m4"

#line 618 "filter/decl.m4"


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Woverride-init"
#endif

#if defined(__clang__)
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Winitializer-overrides"
#endif

static struct sym_scope f_type_method_scopes[] = {
#line 507 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__type */
#line 507
  [T_NET] = {},
#line 510 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_IP__is_v4 */
#line 510
  [T_IP] = {},
#line 564 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__empty */
#line 564
  [T_PATH] = {},
#line 565 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__empty */
#line 565
  [T_CLIST] = {},
#line 566 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__empty */
#line 566
  [T_ECLIST] = {},
#line 569 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__empty */
#line 569
  [T_LCLIST] = {},
#line 600 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_FOR_NEXT */
#line 600
  [T_PATH] = {},
#line 609 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FOR_NEXT */
#line 609
  [T_CLIST] = {},
#line 618 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FOR_NEXT */
#line 618
  [T_ECLIST] = {},
#line 627 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FOR_NEXT */
#line 627
  [T_LCLIST] = {},
#line 640 "filter/f-inst.c"
 /* Method scope initializator for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
  [T_ROUTES_BLOCK] = {},
#line 961 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__len */
#line 961
  [T_NET] = {},
#line 962 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__len */
#line 962
  [T_PATH] = {},
#line 963 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__len */
#line 963
  [T_CLIST] = {},
#line 964 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__len */
#line 964
  [T_ECLIST] = {},
#line 966 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__len */
#line 966
  [T_LCLIST] = {},
#line 1002 "filter/f-inst.c"
 /* Method scope initializator for FI_NET_SRC */
#line 1002
  [T_NET] = {},
#line 1039 "filter/f-inst.c"
 /* Method scope initializator for FI_NET_DST */
#line 1039
  [T_NET] = {},
#line 1049 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__maxlen */
#line 1049
  [T_NET] = {},
#line 1059 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__asn */
#line 1059
  [T_NET] = {},
#line 1061 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__ip */
#line 1061
  [T_NET] = {},
#line 1070 "filter/f-inst.c"
 /* Method scope initializator for FI_ROUTE_DISTINGUISHER */
#line 1070
  [T_NET] = {},
#line 1073 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__first */
#line 1073
  [T_PATH] = {},
#line 1076 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__last */
#line 1076
  [T_PATH] = {},
#line 1079 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
  [T_PATH] = {},
#line 1082 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PAIR__asn */
#line 1082
  [T_PAIR] = {},
#line 1085 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PAIR__data */
#line 1085
  [T_PAIR] = {},
#line 1088 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__asn */
#line 1088
  [T_LC] = {},
#line 1091 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__data1 */
#line 1091
  [T_LC] = {},
#line 1094 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__data2 */
#line 1094
  [T_LC] = {},
#line 1097 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__min */
#line 1097
  [T_CLIST] = {},
#line 1100 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__max */
#line 1100
  [T_CLIST] = {},
#line 1103 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__min */
#line 1103
  [T_ECLIST] = {},
#line 1106 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__max */
#line 1106
  [T_ECLIST] = {},
#line 1109 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__min */
#line 1109
  [T_LCLIST] = {},
#line 1111 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__max */
#line 1111
  [T_LCLIST] = {},
#line 1252 "filter/f-inst.c"
 /* Method scope initializator for FI_IP_MASK */
#line 1252
  [T_IP] = {},
#line 1260 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_PREPEND */
#line 1260
  [T_PATH] = {},
#line 1267 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_PAIR */
#line 1267
  [T_CLIST] = {},
#line 1281 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_IP */
#line 1281
  [T_CLIST] = {},
#line 1288 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_QUAD */
#line 1288
  [T_CLIST] = {},
#line 1295 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_CLIST */
#line 1295
  [T_CLIST] = {},
#line 1302 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_ADD_EC */
#line 1302
  [T_ECLIST] = {},
#line 1309 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_ADD_ECLIST */
#line 1309
  [T_ECLIST] = {},
#line 1316 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_ADD_LC */
#line 1316
  [T_LCLIST] = {},
#line 1323 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_ADD_LCLIST */
#line 1323
  [T_LCLIST] = {},
#line 1330 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_DELETE_INT */
#line 1330
  [T_PATH] = {},
#line 1342 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_DELETE_SET */
#line 1342
  [T_PATH] = {},
#line 1349 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_PAIR */
#line 1349
  [T_CLIST] = {},
#line 1363 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_IP */
#line 1363
  [T_CLIST] = {},
#line 1370 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_QUAD */
#line 1370
  [T_CLIST] = {},
#line 1377 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_CLIST */
#line 1377
  [T_CLIST] = {},
#line 1388 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_SET */
#line 1388
  [T_CLIST] = {},
#line 1395 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_EC */
#line 1395
  [T_ECLIST] = {},
#line 1402 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_ECLIST */
#line 1402
  [T_ECLIST] = {},
#line 1413 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_SET */
#line 1413
  [T_ECLIST] = {},
#line 1420 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_LC */
#line 1420
  [T_LCLIST] = {},
#line 1427 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_LCLIST */
#line 1427
  [T_LCLIST] = {},
#line 1438 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_SET */
#line 1438
  [T_LCLIST] = {},
#line 1449 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_FILTER_SET */
#line 1449
  [T_PATH] = {},
#line 1456 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FILTER_CLIST */
#line 1456
  [T_CLIST] = {},
#line 1467 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FILTER_SET */
#line 1467
  [T_CLIST] = {},
#line 1474 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FILTER_ECLIST */
#line 1474
  [T_ECLIST] = {},
#line 1485 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FILTER_SET */
#line 1485
  [T_ECLIST] = {},
#line 1492 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FILTER_LCLIST */
#line 1492
  [T_LCLIST] = {},
#line 1503 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FILTER_SET */
#line 1503
  [T_LCLIST] = {},
#line 631 "filter/decl.m4"

};

#if defined(__clang__)
#pragma clang diagnostic pop
#endif

#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic pop
#endif

struct sym_scope *f_type_method_scope(enum btype t)
{
  return (t < ARRAY_SIZE(f_type_method_scopes)) ? &f_type_method_scopes[t] : NULL;
}

static void
f_register_method(enum btype t, const byte *name, struct f_method *dsc)
{
  struct sym_scope *scope = &f_type_method_scopes[t];
  struct symbol *sym = cf_find_symbol_scope(scope, name);

  if (!sym)
  {
    sym = cf_root_symbol(name, scope);
    sym->class = SYM_METHOD;
  }

  dsc->sym = sym;
  dsc->next = sym->method;
  sym->method = dsc;
}

extern struct sym_scope global_filter_scope;

void f_type_methods_register(void)
{
  struct f_method *method;

#line 507 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__type */
#line 507
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 507
  method->new_inst = f_new_method_FI_METHOD__T_NET__type;
#line 507
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 507 "filter/f-inst.c"

#line 507
  f_register_method(T_NET, "type", method);
#line 507

#line 507

#line 510 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_IP__is_v4 */
#line 510
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 510
  method->new_inst = f_new_method_FI_METHOD__T_IP__is_v4;
#line 510
  method->arg_num = 1;
  method->args_type[0] = T_IP;
#line 510 "filter/f-inst.c"

#line 510
  f_register_method(T_IP, "is_v4", method);
#line 510

#line 510

#line 564 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__empty */
#line 564
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 564
  method->new_inst = f_new_method_FI_METHOD__T_PATH__empty;
#line 564
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 564 "filter/f-inst.c"

#line 564
  f_register_method(T_PATH, "empty", method);
#line 564

#line 564

#line 565 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__empty */
#line 565
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 565
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__empty;
#line 565
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 565 "filter/f-inst.c"

#line 565
  f_register_method(T_CLIST, "empty", method);
#line 565

#line 565

#line 566 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__empty */
#line 566
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 566
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__empty;
#line 566
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 566 "filter/f-inst.c"

#line 566
  f_register_method(T_ECLIST, "empty", method);
#line 566

#line 566

#line 569 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__empty */
#line 569
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 569
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__empty;
#line 569
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 569 "filter/f-inst.c"

#line 569
  f_register_method(T_LCLIST, "empty", method);
#line 569

#line 569

#line 600 "filter/f-inst.c"
 /* Method registrator for FI_PATH_FOR_NEXT */
#line 600
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 600
  method->new_inst = f_new_method_FI_PATH_FOR_NEXT;
#line 600
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
#line 600 "filter/f-inst.c"

#line 600
  f_register_method(T_PATH, "!for_next", method);
#line 600

#line 600

#line 609 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FOR_NEXT */
#line 609
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 609
  method->new_inst = f_new_method_FI_CLIST_FOR_NEXT;
#line 609
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
#line 609 "filter/f-inst.c"

#line 609
  f_register_method(T_CLIST, "!for_next", method);
#line 609

#line 609

#line 618 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FOR_NEXT */
#line 618
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 618
  method->new_inst = f_new_method_FI_ECLIST_FOR_NEXT;
#line 618
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
#line 618 "filter/f-inst.c"

#line 618
  f_register_method(T_ECLIST, "!for_next", method);
#line 618

#line 618

#line 627 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FOR_NEXT */
#line 627
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 627
  method->new_inst = f_new_method_FI_LCLIST_FOR_NEXT;
#line 627
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
#line 627 "filter/f-inst.c"

#line 627
  f_register_method(T_LCLIST, "!for_next", method);
#line 627

#line 627

#line 640 "filter/f-inst.c"
 /* Method registrator for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 640
  method->new_inst = f_new_method_FI_ROUTES_BLOCK_FOR_NEXT;
#line 640
  method->arg_num = 2;
  method->args_type[0] = T_ROUTES_BLOCK;
#line 640 "filter/f-inst.c"

#line 640
  f_register_method(T_ROUTES_BLOCK, "!for_next", method);
#line 640

#line 640

#line 961 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__len */
#line 961
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 961
  method->new_inst = f_new_method_FI_METHOD__T_NET__len;
#line 961
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 961 "filter/f-inst.c"

#line 961
  f_register_method(T_NET, "len", method);
#line 961

#line 961

#line 962 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__len */
#line 962
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 962
  method->new_inst = f_new_method_FI_METHOD__T_PATH__len;
#line 962
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 962 "filter/f-inst.c"

#line 962
  f_register_method(T_PATH, "len", method);
#line 962

#line 962

#line 963 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__len */
#line 963
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 963
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__len;
#line 963
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 963 "filter/f-inst.c"

#line 963
  f_register_method(T_CLIST, "len", method);
#line 963

#line 963

#line 964 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__len */
#line 964
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 964
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__len;
#line 964
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 964 "filter/f-inst.c"

#line 964
  f_register_method(T_ECLIST, "len", method);
#line 964

#line 964

#line 966 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__len */
#line 966
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 966
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__len;
#line 966
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 966 "filter/f-inst.c"

#line 966
  f_register_method(T_LCLIST, "len", method);
#line 966

#line 966

#line 1002 "filter/f-inst.c"
 /* Method registrator for FI_NET_SRC */
#line 1002
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1002
  method->new_inst = f_new_method_FI_NET_SRC;
#line 1002
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1002 "filter/f-inst.c"

#line 1002
  f_register_method(T_NET, "src", method);
#line 1002

#line 1002

#line 1039 "filter/f-inst.c"
 /* Method registrator for FI_NET_DST */
#line 1039
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1039
  method->new_inst = f_new_method_FI_NET_DST;
#line 1039
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1039 "filter/f-inst.c"

#line 1039
  f_register_method(T_NET, "dst", method);
#line 1039

#line 1039

#line 1049 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__maxlen */
#line 1049
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1049
  method->new_inst = f_new_method_FI_METHOD__T_NET__maxlen;
#line 1049
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1049 "filter/f-inst.c"

#line 1049
  f_register_method(T_NET, "maxlen", method);
#line 1049

#line 1049

#line 1059 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__asn */
#line 1059
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1059
  method->new_inst = f_new_method_FI_METHOD__T_NET__asn;
#line 1059
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1059 "filter/f-inst.c"

#line 1059
  f_register_method(T_NET, "asn", method);
#line 1059

#line 1059

#line 1061 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__ip */
#line 1061
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1061
  method->new_inst = f_new_method_FI_METHOD__T_NET__ip;
#line 1061
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1061 "filter/f-inst.c"

#line 1061
  f_register_method(T_NET, "ip", method);
#line 1061

#line 1061

#line 1070 "filter/f-inst.c"
 /* Method registrator for FI_ROUTE_DISTINGUISHER */
#line 1070
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1070
  method->new_inst = f_new_method_FI_ROUTE_DISTINGUISHER;
#line 1070
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1070 "filter/f-inst.c"

#line 1070
  f_register_method(T_NET, "rd", method);
#line 1070

#line 1070

#line 1073 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__first */
#line 1073
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1073
  method->new_inst = f_new_method_FI_METHOD__T_PATH__first;
#line 1073
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1073 "filter/f-inst.c"

#line 1073
  f_register_method(T_PATH, "first", method);
#line 1073

#line 1073

#line 1076 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__last */
#line 1076
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1076
  method->new_inst = f_new_method_FI_METHOD__T_PATH__last;
#line 1076
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1076 "filter/f-inst.c"

#line 1076
  f_register_method(T_PATH, "last", method);
#line 1076

#line 1076

#line 1079 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1079
  method->new_inst = f_new_method_FI_METHOD__T_PATH__last_nonaggregated;
#line 1079
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1079 "filter/f-inst.c"

#line 1079
  f_register_method(T_PATH, "last_nonaggregated", method);
#line 1079

#line 1079

#line 1082 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PAIR__asn */
#line 1082
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1082
  method->new_inst = f_new_method_FI_METHOD__T_PAIR__asn;
#line 1082
  method->arg_num = 1;
  method->args_type[0] = T_PAIR;
#line 1082 "filter/f-inst.c"

#line 1082
  f_register_method(T_PAIR, "asn", method);
#line 1082

#line 1082

#line 1085 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PAIR__data */
#line 1085
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1085
  method->new_inst = f_new_method_FI_METHOD__T_PAIR__data;
#line 1085
  method->arg_num = 1;
  method->args_type[0] = T_PAIR;
#line 1085 "filter/f-inst.c"

#line 1085
  f_register_method(T_PAIR, "data", method);
#line 1085

#line 1085

#line 1088 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__asn */
#line 1088
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1088
  method->new_inst = f_new_method_FI_METHOD__T_LC__asn;
#line 1088
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1088 "filter/f-inst.c"

#line 1088
  f_register_method(T_LC, "asn", method);
#line 1088

#line 1088

#line 1091 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__data1 */
#line 1091
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1091
  method->new_inst = f_new_method_FI_METHOD__T_LC__data1;
#line 1091
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1091 "filter/f-inst.c"

#line 1091
  f_register_method(T_LC, "data1", method);
#line 1091

#line 1091

#line 1094 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__data2 */
#line 1094
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1094
  method->new_inst = f_new_method_FI_METHOD__T_LC__data2;
#line 1094
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1094 "filter/f-inst.c"

#line 1094
  f_register_method(T_LC, "data2", method);
#line 1094

#line 1094

#line 1097 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__min */
#line 1097
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1097
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__min;
#line 1097
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 1097 "filter/f-inst.c"

#line 1097
  f_register_method(T_CLIST, "min", method);
#line 1097

#line 1097

#line 1100 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__max */
#line 1100
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1100
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__max;
#line 1100
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 1100 "filter/f-inst.c"

#line 1100
  f_register_method(T_CLIST, "max", method);
#line 1100

#line 1100

#line 1103 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__min */
#line 1103
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1103
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__min;
#line 1103
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 1103 "filter/f-inst.c"

#line 1103
  f_register_method(T_ECLIST, "min", method);
#line 1103

#line 1103

#line 1106 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__max */
#line 1106
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1106
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__max;
#line 1106
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 1106 "filter/f-inst.c"

#line 1106
  f_register_method(T_ECLIST, "max", method);
#line 1106

#line 1106

#line 1109 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__min */
#line 1109
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1109
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__min;
#line 1109
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 1109 "filter/f-inst.c"

#line 1109
  f_register_method(T_LCLIST, "min", method);
#line 1109

#line 1109

#line 1111 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__max */
#line 1111
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum btype));
#line 1111
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__max;
#line 1111
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 1111 "filter/f-inst.c"

#line 1111
  f_register_method(T_LCLIST, "max", method);
#line 1111

#line 1111

#line 1252 "filter/f-inst.c"
 /* Method registrator for FI_IP_MASK */
#line 1252
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1252
  method->new_inst = f_new_method_FI_IP_MASK;
#line 1252
  method->arg_num = 2;
  method->args_type[0] = T_IP;
  method->args_type[1] = T_INT;
#line 1252 "filter/f-inst.c"

#line 1252
  f_register_method(T_IP, "mask", method);
#line 1252

#line 1252

#line 1260 "filter/f-inst.c"
 /* Method registrator for FI_PATH_PREPEND */
#line 1260
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1260
  method->new_inst = f_new_method_FI_PATH_PREPEND;
#line 1260
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_INT;
#line 1260 "filter/f-inst.c"

#line 1260
  f_register_method(T_PATH, "prepend", method);
#line 1260

#line 1260

#line 1267 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_PAIR */
#line 1267
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1267
  method->new_inst = f_new_method_FI_CLIST_ADD_PAIR;
#line 1267
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_PAIR;
#line 1267 "filter/f-inst.c"

#line 1267
  f_register_method(T_CLIST, "add", method);
#line 1267

#line 1267

#line 1281 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_IP */
#line 1281
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1281
  method->new_inst = f_new_method_FI_CLIST_ADD_IP;
#line 1281
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_IP;
#line 1281 "filter/f-inst.c"

#line 1281
  f_register_method(T_CLIST, "add", method);
#line 1281

#line 1281

#line 1288 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_QUAD */
#line 1288
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1288
  method->new_inst = f_new_method_FI_CLIST_ADD_QUAD;
#line 1288
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_QUAD;
#line 1288 "filter/f-inst.c"

#line 1288
  f_register_method(T_CLIST, "add", method);
#line 1288

#line 1288

#line 1295 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_CLIST */
#line 1295
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1295
  method->new_inst = f_new_method_FI_CLIST_ADD_CLIST;
#line 1295
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1295 "filter/f-inst.c"

#line 1295
  f_register_method(T_CLIST, "add", method);
#line 1295

#line 1295

#line 1302 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_ADD_EC */
#line 1302
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1302
  method->new_inst = f_new_method_FI_ECLIST_ADD_EC;
#line 1302
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_EC;
#line 1302 "filter/f-inst.c"

#line 1302
  f_register_method(T_ECLIST, "add", method);
#line 1302

#line 1302

#line 1309 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_ADD_ECLIST */
#line 1309
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1309
  method->new_inst = f_new_method_FI_ECLIST_ADD_ECLIST;
#line 1309
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1309 "filter/f-inst.c"

#line 1309
  f_register_method(T_ECLIST, "add", method);
#line 1309

#line 1309

#line 1316 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_ADD_LC */
#line 1316
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1316
  method->new_inst = f_new_method_FI_LCLIST_ADD_LC;
#line 1316
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LC;
#line 1316 "filter/f-inst.c"

#line 1316
  f_register_method(T_LCLIST, "add", method);
#line 1316

#line 1316

#line 1323 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_ADD_LCLIST */
#line 1323
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1323
  method->new_inst = f_new_method_FI_LCLIST_ADD_LCLIST;
#line 1323
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1323 "filter/f-inst.c"

#line 1323
  f_register_method(T_LCLIST, "add", method);
#line 1323

#line 1323

#line 1330 "filter/f-inst.c"
 /* Method registrator for FI_PATH_DELETE_INT */
#line 1330
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1330
  method->new_inst = f_new_method_FI_PATH_DELETE_INT;
#line 1330
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_INT;
#line 1330 "filter/f-inst.c"

#line 1330
  f_register_method(T_PATH, "delete", method);
#line 1330

#line 1330

#line 1342 "filter/f-inst.c"
 /* Method registrator for FI_PATH_DELETE_SET */
#line 1342
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1342
  method->new_inst = f_new_method_FI_PATH_DELETE_SET;
#line 1342
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_SET;
#line 1342 "filter/f-inst.c"

#line 1342
  f_register_method(T_PATH, "delete", method);
#line 1342

#line 1342

#line 1349 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_PAIR */
#line 1349
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1349
  method->new_inst = f_new_method_FI_CLIST_DELETE_PAIR;
#line 1349
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_PAIR;
#line 1349 "filter/f-inst.c"

#line 1349
  f_register_method(T_CLIST, "delete", method);
#line 1349

#line 1349

#line 1363 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_IP */
#line 1363
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1363
  method->new_inst = f_new_method_FI_CLIST_DELETE_IP;
#line 1363
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_IP;
#line 1363 "filter/f-inst.c"

#line 1363
  f_register_method(T_CLIST, "delete", method);
#line 1363

#line 1363

#line 1370 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_QUAD */
#line 1370
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1370
  method->new_inst = f_new_method_FI_CLIST_DELETE_QUAD;
#line 1370
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_QUAD;
#line 1370 "filter/f-inst.c"

#line 1370
  f_register_method(T_CLIST, "delete", method);
#line 1370

#line 1370

#line 1377 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_CLIST */
#line 1377
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1377
  method->new_inst = f_new_method_FI_CLIST_DELETE_CLIST;
#line 1377
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1377 "filter/f-inst.c"

#line 1377
  f_register_method(T_CLIST, "delete", method);
#line 1377

#line 1377

#line 1388 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_SET */
#line 1388
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1388
  method->new_inst = f_new_method_FI_CLIST_DELETE_SET;
#line 1388
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_SET;
#line 1388 "filter/f-inst.c"

#line 1388
  f_register_method(T_CLIST, "delete", method);
#line 1388

#line 1388

#line 1395 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_EC */
#line 1395
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1395
  method->new_inst = f_new_method_FI_ECLIST_DELETE_EC;
#line 1395
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_EC;
#line 1395 "filter/f-inst.c"

#line 1395
  f_register_method(T_ECLIST, "delete", method);
#line 1395

#line 1395

#line 1402 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_ECLIST */
#line 1402
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1402
  method->new_inst = f_new_method_FI_ECLIST_DELETE_ECLIST;
#line 1402
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1402 "filter/f-inst.c"

#line 1402
  f_register_method(T_ECLIST, "delete", method);
#line 1402

#line 1402

#line 1413 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_SET */
#line 1413
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1413
  method->new_inst = f_new_method_FI_ECLIST_DELETE_SET;
#line 1413
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_SET;
#line 1413 "filter/f-inst.c"

#line 1413
  f_register_method(T_ECLIST, "delete", method);
#line 1413

#line 1413

#line 1420 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_LC */
#line 1420
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1420
  method->new_inst = f_new_method_FI_LCLIST_DELETE_LC;
#line 1420
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LC;
#line 1420 "filter/f-inst.c"

#line 1420
  f_register_method(T_LCLIST, "delete", method);
#line 1420

#line 1420

#line 1427 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_LCLIST */
#line 1427
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1427
  method->new_inst = f_new_method_FI_LCLIST_DELETE_LCLIST;
#line 1427
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1427 "filter/f-inst.c"

#line 1427
  f_register_method(T_LCLIST, "delete", method);
#line 1427

#line 1427

#line 1438 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_SET */
#line 1438
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1438
  method->new_inst = f_new_method_FI_LCLIST_DELETE_SET;
#line 1438
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_SET;
#line 1438 "filter/f-inst.c"

#line 1438
  f_register_method(T_LCLIST, "delete", method);
#line 1438

#line 1438

#line 1449 "filter/f-inst.c"
 /* Method registrator for FI_PATH_FILTER_SET */
#line 1449
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1449
  method->new_inst = f_new_method_FI_PATH_FILTER_SET;
#line 1449
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_SET;
#line 1449 "filter/f-inst.c"

#line 1449
  f_register_method(T_PATH, "filter", method);
#line 1449

#line 1449

#line 1456 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FILTER_CLIST */
#line 1456
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1456
  method->new_inst = f_new_method_FI_CLIST_FILTER_CLIST;
#line 1456
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1456 "filter/f-inst.c"

#line 1456
  f_register_method(T_CLIST, "filter", method);
#line 1456

#line 1456

#line 1467 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FILTER_SET */
#line 1467
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1467
  method->new_inst = f_new_method_FI_CLIST_FILTER_SET;
#line 1467
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_SET;
#line 1467 "filter/f-inst.c"

#line 1467
  f_register_method(T_CLIST, "filter", method);
#line 1467

#line 1467

#line 1474 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FILTER_ECLIST */
#line 1474
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1474
  method->new_inst = f_new_method_FI_ECLIST_FILTER_ECLIST;
#line 1474
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1474 "filter/f-inst.c"

#line 1474
  f_register_method(T_ECLIST, "filter", method);
#line 1474

#line 1474

#line 1485 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FILTER_SET */
#line 1485
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1485
  method->new_inst = f_new_method_FI_ECLIST_FILTER_SET;
#line 1485
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_SET;
#line 1485 "filter/f-inst.c"

#line 1485
  f_register_method(T_ECLIST, "filter", method);
#line 1485

#line 1485

#line 1492 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FILTER_LCLIST */
#line 1492
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1492
  method->new_inst = f_new_method_FI_LCLIST_FILTER_LCLIST;
#line 1492
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1492 "filter/f-inst.c"

#line 1492
  f_register_method(T_LCLIST, "filter", method);
#line 1492

#line 1492

#line 1503 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FILTER_SET */
#line 1503
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum btype));
#line 1503
  method->new_inst = f_new_method_FI_LCLIST_FILTER_SET;
#line 1503
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_SET;
#line 1503 "filter/f-inst.c"

#line 1503
  f_register_method(T_LCLIST, "filter", method);
#line 1503

#line 1503

#line 670 "filter/decl.m4"


  for (uint i = 0; i < ARRAY_SIZE(f_type_method_scopes); i++)
    f_type_method_scopes[i].readonly = 1;

  f_type_method_scopes[T_ROUTE].next = &global_filter_scope;
}

/* Line dumpers */
#define INDENT (((const char *) f_dump_line_indent_str) + sizeof(f_dump_line_indent_str) - (indent) - 1)
static const char f_dump_line_indent_str[] = "                                ";

#line 288 "filter/f-inst.c"
 /* Dump line for FI_ADD */
#line 288
static inline void f_dump_line_item_FI_ADD(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 288

#line 288
{
#line 288
#define item (&(item_->i_FI_ADD))
#line 288
#undef item
#line 288
}
#line 288

#line 293 "filter/f-inst.c"
 /* Dump line for FI_SUBTRACT */
#line 293
static inline void f_dump_line_item_FI_SUBTRACT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 293

#line 293
{
#line 293
#define item (&(item_->i_FI_SUBTRACT))
#line 293
#undef item
#line 293
}
#line 293

#line 298 "filter/f-inst.c"
 /* Dump line for FI_MULTIPLY */
#line 298
static inline void f_dump_line_item_FI_MULTIPLY(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 298

#line 298
{
#line 298
#define item (&(item_->i_FI_MULTIPLY))
#line 298
#undef item
#line 298
}
#line 298

#line 304 "filter/f-inst.c"
 /* Dump line for FI_DIVIDE */
#line 304
static inline void f_dump_line_item_FI_DIVIDE(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 304

#line 304
{
#line 304
#define item (&(item_->i_FI_DIVIDE))
#line 304
#undef item
#line 304
}
#line 304

#line 309 "filter/f-inst.c"
 /* Dump line for FI_BITOR */
#line 309
static inline void f_dump_line_item_FI_BITOR(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 309

#line 309
{
#line 309
#define item (&(item_->i_FI_BITOR))
#line 309
#undef item
#line 309
}
#line 309

#line 314 "filter/f-inst.c"
 /* Dump line for FI_BITAND */
#line 314
static inline void f_dump_line_item_FI_BITAND(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 314

#line 314
{
#line 314
#define item (&(item_->i_FI_BITAND))
#line 314
#undef item
#line 314
}
#line 314

#line 324 "filter/f-inst.c"
 /* Dump line for FI_AND */
#line 324
static inline void f_dump_line_item_FI_AND(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 324

#line 324
{
#line 324
#define item (&(item_->i_FI_AND))
#line 320 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 324 "filter/f-inst.c"
#undef item
#line 324
}
#line 324

#line 335 "filter/f-inst.c"
 /* Dump line for FI_OR */
#line 335
static inline void f_dump_line_item_FI_OR(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 335

#line 335
{
#line 335
#define item (&(item_->i_FI_OR))
#line 330 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 335 "filter/f-inst.c"
#undef item
#line 335
}
#line 335

#line 345 "filter/f-inst.c"
 /* Dump line for FI_PAIR_CONSTRUCT */
#line 345
static inline void f_dump_line_item_FI_PAIR_CONSTRUCT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 345

#line 345
{
#line 345
#define item (&(item_->i_FI_PAIR_CONSTRUCT))
#line 345
#undef item
#line 345
}
#line 345

#line 385 "filter/f-inst.c"
 /* Dump line for FI_EC_CONSTRUCT */
#line 385
static inline void f_dump_line_item_FI_EC_CONSTRUCT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 385

#line 385
{
#line 385
#define item (&(item_->i_FI_EC_CONSTRUCT))
#line 349 "filter/f-inst.c"
RDUMP("%s" "ec subtype %s" "\n", INDENT, ec_subtype_str(item->ecs));
#line 349

#line 385 "filter/f-inst.c"
#undef item
#line 385
}
#line 385

#line 392 "filter/f-inst.c"
 /* Dump line for FI_LC_CONSTRUCT */
#line 392
static inline void f_dump_line_item_FI_LC_CONSTRUCT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 392

#line 392
{
#line 392
#define item (&(item_->i_FI_LC_CONSTRUCT))
#line 392
#undef item
#line 392
}
#line 392

#line 442 "filter/f-inst.c"
 /* Dump line for FI_PATHMASK_CONSTRUCT */
#line 442
static inline void f_dump_line_item_FI_PATHMASK_CONSTRUCT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 442

#line 442
{
#line 442
#define item (&(item_->i_FI_PATHMASK_CONSTRUCT))
#line 393 "filter/f-inst.c"
  RDUMP("%snumber of varargs %u\n", INDENT, item->varcount);
#line 442 "filter/f-inst.c"
#undef item
#line 442
}
#line 442

#line 449 "filter/f-inst.c"
 /* Dump line for FI_NEQ */
#line 449
static inline void f_dump_line_item_FI_NEQ(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 449

#line 449
{
#line 449
#define item (&(item_->i_FI_NEQ))
#line 449
#undef item
#line 449
}
#line 449

#line 456 "filter/f-inst.c"
 /* Dump line for FI_EQ */
#line 456
static inline void f_dump_line_item_FI_EQ(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 456

#line 456
{
#line 456
#define item (&(item_->i_FI_EQ))
#line 456
#undef item
#line 456
}
#line 456

#line 467 "filter/f-inst.c"
 /* Dump line for FI_LT */
#line 467
static inline void f_dump_line_item_FI_LT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 467

#line 467
{
#line 467
#define item (&(item_->i_FI_LT))
#line 467
#undef item
#line 467
}
#line 467

#line 478 "filter/f-inst.c"
 /* Dump line for FI_LTE */
#line 478
static inline void f_dump_line_item_FI_LTE(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 478

#line 478
{
#line 478
#define item (&(item_->i_FI_LTE))
#line 478
#undef item
#line 478
}
#line 478

#line 483 "filter/f-inst.c"
 /* Dump line for FI_NOT */
#line 483
static inline void f_dump_line_item_FI_NOT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 483

#line 483
{
#line 483
#define item (&(item_->i_FI_NOT))
#line 483
#undef item
#line 483
}
#line 483

#line 492 "filter/f-inst.c"
 /* Dump line for FI_MATCH */
#line 492
static inline void f_dump_line_item_FI_MATCH(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 492

#line 492
{
#line 492
#define item (&(item_->i_FI_MATCH))
#line 492
#undef item
#line 492
}
#line 492

#line 501 "filter/f-inst.c"
 /* Dump line for FI_NOT_MATCH */
#line 501
static inline void f_dump_line_item_FI_NOT_MATCH(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 501

#line 501
{
#line 501
#define item (&(item_->i_FI_NOT_MATCH))
#line 501
#undef item
#line 501
}
#line 501

#line 506 "filter/f-inst.c"
 /* Dump line for FI_DEFINED */
#line 506
static inline void f_dump_line_item_FI_DEFINED(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 506

#line 506
{
#line 506
#define item (&(item_->i_FI_DEFINED))
#line 506
#undef item
#line 506
}
#line 506

#line 507 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__type */
#line 507
static inline void f_dump_line_item_FI_METHOD__T_NET__type(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 507

#line 507
{
#line 507
#define item (&(item_->i_FI_METHOD__T_NET__type))
#line 507
#undef item
#line 507
}
#line 507

#line 510 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_IP__is_v4 */
#line 510
static inline void f_dump_line_item_FI_METHOD__T_IP__is_v4(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 510

#line 510
{
#line 510
#define item (&(item_->i_FI_METHOD__T_IP__is_v4))
#line 510
#undef item
#line 510
}
#line 510

#line 523 "filter/f-inst.c"
 /* Dump line for FI_VAR_INIT */
#line 523
static inline void f_dump_line_item_FI_VAR_INIT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 523

#line 523
{
#line 523
#define item (&(item_->i_FI_VAR_INIT))
#line 513 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 513

#line 523 "filter/f-inst.c"
#undef item
#line 523
}
#line 523

#line 534 "filter/f-inst.c"
 /* Dump line for FI_VAR_INIT0 */
#line 534
static inline void f_dump_line_item_FI_VAR_INIT0(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 534

#line 534
{
#line 534
#define item (&(item_->i_FI_VAR_INIT0))
#line 525 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 525

#line 534 "filter/f-inst.c"
#undef item
#line 534
}
#line 534

#line 543 "filter/f-inst.c"
 /* Dump line for FI_VAR_SET */
#line 543
static inline void f_dump_line_item_FI_VAR_SET(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 543

#line 543
{
#line 543
#define item (&(item_->i_FI_VAR_SET))
#line 537 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 537

#line 543 "filter/f-inst.c"
#undef item
#line 543
}
#line 543

#line 550 "filter/f-inst.c"
 /* Dump line for FI_VAR_GET */
#line 550
static inline void f_dump_line_item_FI_VAR_GET(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 550

#line 550
{
#line 550
#define item (&(item_->i_FI_VAR_GET))
#line 544 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 544

#line 550 "filter/f-inst.c"
#undef item
#line 550
}
#line 550

#line 563 "filter/f-inst.c"
 /* Dump line for FI_CONSTANT */
#line 563
static inline void f_dump_line_item_FI_CONSTANT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 563

#line 563
{
#line 563
#define item (&(item_->i_FI_CONSTANT))
#line 551 "filter/f-inst.c"
RDUMP("%s" "value %s" "\n", INDENT, val_dump(&(item->val))
#line 551
    );
#line 551

#line 563 "filter/f-inst.c"
#undef item
#line 563
}
#line 563

#line 564 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__empty */
#line 564
static inline void f_dump_line_item_FI_METHOD__T_PATH__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 564

#line 564
{
#line 564
#define item (&(item_->i_FI_METHOD__T_PATH__empty))
#line 564
#undef item
#line 564
}
#line 564

#line 565 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__empty */
#line 565
static inline void f_dump_line_item_FI_METHOD__T_CLIST__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 565

#line 565
{
#line 565
#define item (&(item_->i_FI_METHOD__T_CLIST__empty))
#line 565
#undef item
#line 565
}
#line 565

#line 566 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__empty */
#line 566
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 566

#line 566
{
#line 566
#define item (&(item_->i_FI_METHOD__T_ECLIST__empty))
#line 566
#undef item
#line 566
}
#line 566

#line 569 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__empty */
#line 569
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 569

#line 569
{
#line 569
#define item (&(item_->i_FI_METHOD__T_LCLIST__empty))
#line 569
#undef item
#line 569
}
#line 569

#line 591 "filter/f-inst.c"
 /* Dump line for FI_FOR_LOOP_START */
#line 591
static inline void f_dump_line_item_FI_FOR_LOOP_START(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 591

#line 591
{
#line 591
#define item (&(item_->i_FI_FOR_LOOP_START))
#line 571 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 571

#line 591 "filter/f-inst.c"
#undef item
#line 591
}
#line 591

#line 600 "filter/f-inst.c"
 /* Dump line for FI_PATH_FOR_NEXT */
#line 600
static inline void f_dump_line_item_FI_PATH_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 600

#line 600
{
#line 600
#define item (&(item_->i_FI_PATH_FOR_NEXT))
#line 595 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 600 "filter/f-inst.c"
#undef item
#line 600
}
#line 600

#line 609 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FOR_NEXT */
#line 609
static inline void f_dump_line_item_FI_CLIST_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 609

#line 609
{
#line 609
#define item (&(item_->i_FI_CLIST_FOR_NEXT))
#line 604 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 609 "filter/f-inst.c"
#undef item
#line 609
}
#line 609

#line 618 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FOR_NEXT */
#line 618
static inline void f_dump_line_item_FI_ECLIST_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 618

#line 618
{
#line 618
#define item (&(item_->i_FI_ECLIST_FOR_NEXT))
#line 613 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 618 "filter/f-inst.c"
#undef item
#line 618
}
#line 618

#line 627 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FOR_NEXT */
#line 627
static inline void f_dump_line_item_FI_LCLIST_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 627

#line 627
{
#line 627
#define item (&(item_->i_FI_LCLIST_FOR_NEXT))
#line 622 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 627 "filter/f-inst.c"
#undef item
#line 627
}
#line 627

#line 640 "filter/f-inst.c"
 /* Dump line for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
static inline void f_dump_line_item_FI_ROUTES_BLOCK_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 640

#line 640
{
#line 640
#define item (&(item_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 634 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 640 "filter/f-inst.c"
#undef item
#line 640
}
#line 640

#line 648 "filter/f-inst.c"
 /* Dump line for FI_CONDITION */
#line 648
static inline void f_dump_line_item_FI_CONDITION(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 648

#line 648
{
#line 648
#define item (&(item_->i_FI_CONDITION))
#line 643 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 645 "filter/f-inst.c"
f_dump_line(dreq, item->fl3, indent + 1);
#line 648 "filter/f-inst.c"
#undef item
#line 648
}
#line 648

#line 661 "filter/f-inst.c"
 /* Dump line for FI_PRINT */
#line 661
static inline void f_dump_line_item_FI_PRINT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 661

#line 661
{
#line 661
#define item (&(item_->i_FI_PRINT))
#line 661
#undef item
#line 661
}
#line 661

#line 668 "filter/f-inst.c"
 /* Dump line for FI_FLUSH */
#line 668
static inline void f_dump_line_item_FI_FLUSH(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 668

#line 668
{
#line 668
#define item (&(item_->i_FI_FLUSH))
#line 668
#undef item
#line 668
}
#line 668

#line 682 "filter/f-inst.c"
 /* Dump line for FI_DIE */
#line 682
static inline void f_dump_line_item_FI_DIE(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 682

#line 682
{
#line 682
#define item (&(item_->i_FI_DIE))
#line 670 "filter/f-inst.c"
RDUMP("%s" "%s" "\n", INDENT, filter_return_str(item->fret));
#line 670

#line 682 "filter/f-inst.c"
#undef item
#line 682
}
#line 682

#line 689 "filter/f-inst.c"
 /* Dump line for FI_CURRENT_ROUTE */
#line 689
static inline void f_dump_line_item_FI_CURRENT_ROUTE(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 689

#line 689
{
#line 689
#define item (&(item_->i_FI_CURRENT_ROUTE))
#line 689
#undef item
#line 689
}
#line 689

#line 736 "filter/f-inst.c"
 /* Dump line for FI_RTA_GET */
#line 736
static inline void f_dump_line_item_FI_RTA_GET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 736

#line 736
{
#line 736
#define item (&(item_->i_FI_RTA_GET))
#line 736
#undef item
#line 736
}
#line 736

#line 861 "filter/f-inst.c"
 /* Dump line for FI_RTA_SET */
#line 861
static inline void f_dump_line_item_FI_RTA_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 861

#line 861
{
#line 861
#define item (&(item_->i_FI_RTA_SET))
#line 861
#undef item
#line 861
}
#line 861

#line 898 "filter/f-inst.c"
 /* Dump line for FI_EA_GET */
#line 898
static inline void f_dump_line_item_FI_EA_GET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 898

#line 898
{
#line 898
#define item (&(item_->i_FI_EA_GET))
#line 898
#undef item
#line 898
}
#line 898

#line 939 "filter/f-inst.c"
 /* Dump line for FI_EA_SET */
#line 939
static inline void f_dump_line_item_FI_EA_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 939

#line 939
{
#line 939
#define item (&(item_->i_FI_EA_SET))
#line 939
#undef item
#line 939
}
#line 939

#line 946 "filter/f-inst.c"
 /* Dump line for FI_EA_UNSET */
#line 946
static inline void f_dump_line_item_FI_EA_UNSET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 946

#line 946
{
#line 946
#define item (&(item_->i_FI_EA_UNSET))
#line 946
#undef item
#line 946
}
#line 946

#line 960 "filter/f-inst.c"
 /* Dump line for FI_DEFAULT */
#line 960
static inline void f_dump_line_item_FI_DEFAULT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 960

#line 960
{
#line 960
#define item (&(item_->i_FI_DEFAULT))
#line 960
#undef item
#line 960
}
#line 960

#line 961 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__len */
#line 961
static inline void f_dump_line_item_FI_METHOD__T_NET__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 961

#line 961
{
#line 961
#define item (&(item_->i_FI_METHOD__T_NET__len))
#line 961
#undef item
#line 961
}
#line 961

#line 962 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__len */
#line 962
static inline void f_dump_line_item_FI_METHOD__T_PATH__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 962

#line 962
{
#line 962
#define item (&(item_->i_FI_METHOD__T_PATH__len))
#line 962
#undef item
#line 962
}
#line 962

#line 963 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__len */
#line 963
static inline void f_dump_line_item_FI_METHOD__T_CLIST__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 963

#line 963
{
#line 963
#define item (&(item_->i_FI_METHOD__T_CLIST__len))
#line 963
#undef item
#line 963
}
#line 963

#line 964 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__len */
#line 964
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 964

#line 964
{
#line 964
#define item (&(item_->i_FI_METHOD__T_ECLIST__len))
#line 964
#undef item
#line 964
}
#line 964

#line 966 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__len */
#line 966
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 966

#line 966
{
#line 966
#define item (&(item_->i_FI_METHOD__T_LCLIST__len))
#line 966
#undef item
#line 966
}
#line 966

#line 1002 "filter/f-inst.c"
 /* Dump line for FI_NET_SRC */
#line 1002
static inline void f_dump_line_item_FI_NET_SRC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1002

#line 1002
{
#line 1002
#define item (&(item_->i_FI_NET_SRC))
#line 1002
#undef item
#line 1002
}
#line 1002

#line 1039 "filter/f-inst.c"
 /* Dump line for FI_NET_DST */
#line 1039
static inline void f_dump_line_item_FI_NET_DST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1039

#line 1039
{
#line 1039
#define item (&(item_->i_FI_NET_DST))
#line 1039
#undef item
#line 1039
}
#line 1039

#line 1049 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__maxlen */
#line 1049
static inline void f_dump_line_item_FI_METHOD__T_NET__maxlen(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1049

#line 1049
{
#line 1049
#define item (&(item_->i_FI_METHOD__T_NET__maxlen))
#line 1049
#undef item
#line 1049
}
#line 1049

#line 1059 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__asn */
#line 1059
static inline void f_dump_line_item_FI_METHOD__T_NET__asn(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1059

#line 1059
{
#line 1059
#define item (&(item_->i_FI_METHOD__T_NET__asn))
#line 1059
#undef item
#line 1059
}
#line 1059

#line 1061 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__ip */
#line 1061
static inline void f_dump_line_item_FI_METHOD__T_NET__ip(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1061

#line 1061
{
#line 1061
#define item (&(item_->i_FI_METHOD__T_NET__ip))
#line 1061
#undef item
#line 1061
}
#line 1061

#line 1070 "filter/f-inst.c"
 /* Dump line for FI_ROUTE_DISTINGUISHER */
#line 1070
static inline void f_dump_line_item_FI_ROUTE_DISTINGUISHER(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1070

#line 1070
{
#line 1070
#define item (&(item_->i_FI_ROUTE_DISTINGUISHER))
#line 1070
#undef item
#line 1070
}
#line 1070

#line 1073 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__first */
#line 1073
static inline void f_dump_line_item_FI_METHOD__T_PATH__first(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1073

#line 1073
{
#line 1073
#define item (&(item_->i_FI_METHOD__T_PATH__first))
#line 1073
#undef item
#line 1073
}
#line 1073

#line 1076 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__last */
#line 1076
static inline void f_dump_line_item_FI_METHOD__T_PATH__last(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1076

#line 1076
{
#line 1076
#define item (&(item_->i_FI_METHOD__T_PATH__last))
#line 1076
#undef item
#line 1076
}
#line 1076

#line 1079 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
static inline void f_dump_line_item_FI_METHOD__T_PATH__last_nonaggregated(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1079

#line 1079
{
#line 1079
#define item (&(item_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1079
#undef item
#line 1079
}
#line 1079

#line 1082 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PAIR__asn */
#line 1082
static inline void f_dump_line_item_FI_METHOD__T_PAIR__asn(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1082

#line 1082
{
#line 1082
#define item (&(item_->i_FI_METHOD__T_PAIR__asn))
#line 1082
#undef item
#line 1082
}
#line 1082

#line 1085 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PAIR__data */
#line 1085
static inline void f_dump_line_item_FI_METHOD__T_PAIR__data(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1085

#line 1085
{
#line 1085
#define item (&(item_->i_FI_METHOD__T_PAIR__data))
#line 1085
#undef item
#line 1085
}
#line 1085

#line 1088 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__asn */
#line 1088
static inline void f_dump_line_item_FI_METHOD__T_LC__asn(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1088

#line 1088
{
#line 1088
#define item (&(item_->i_FI_METHOD__T_LC__asn))
#line 1088
#undef item
#line 1088
}
#line 1088

#line 1091 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__data1 */
#line 1091
static inline void f_dump_line_item_FI_METHOD__T_LC__data1(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1091

#line 1091
{
#line 1091
#define item (&(item_->i_FI_METHOD__T_LC__data1))
#line 1091
#undef item
#line 1091
}
#line 1091

#line 1094 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__data2 */
#line 1094
static inline void f_dump_line_item_FI_METHOD__T_LC__data2(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1094

#line 1094
{
#line 1094
#define item (&(item_->i_FI_METHOD__T_LC__data2))
#line 1094
#undef item
#line 1094
}
#line 1094

#line 1097 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__min */
#line 1097
static inline void f_dump_line_item_FI_METHOD__T_CLIST__min(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1097

#line 1097
{
#line 1097
#define item (&(item_->i_FI_METHOD__T_CLIST__min))
#line 1097
#undef item
#line 1097
}
#line 1097

#line 1100 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__max */
#line 1100
static inline void f_dump_line_item_FI_METHOD__T_CLIST__max(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1100

#line 1100
{
#line 1100
#define item (&(item_->i_FI_METHOD__T_CLIST__max))
#line 1100
#undef item
#line 1100
}
#line 1100

#line 1103 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__min */
#line 1103
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__min(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1103

#line 1103
{
#line 1103
#define item (&(item_->i_FI_METHOD__T_ECLIST__min))
#line 1103
#undef item
#line 1103
}
#line 1103

#line 1106 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__max */
#line 1106
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__max(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1106

#line 1106
{
#line 1106
#define item (&(item_->i_FI_METHOD__T_ECLIST__max))
#line 1106
#undef item
#line 1106
}
#line 1106

#line 1109 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__min */
#line 1109
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__min(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1109

#line 1109
{
#line 1109
#define item (&(item_->i_FI_METHOD__T_LCLIST__min))
#line 1109
#undef item
#line 1109
}
#line 1109

#line 1111 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__max */
#line 1111
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__max(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1111

#line 1111
{
#line 1111
#define item (&(item_->i_FI_METHOD__T_LCLIST__max))
#line 1111
#undef item
#line 1111
}
#line 1111

#line 1137 "filter/f-inst.c"
 /* Dump line for FI_RETURN */
#line 1137
static inline void f_dump_line_item_FI_RETURN(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1137

#line 1137
{
#line 1137
#define item (&(item_->i_FI_RETURN))
#line 1137
#undef item
#line 1137
}
#line 1137

#line 1197 "filter/f-inst.c"
 /* Dump line for FI_CALL */
#line 1197
static inline void f_dump_line_item_FI_CALL(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1197

#line 1197
{
#line 1197
#define item (&(item_->i_FI_CALL))
#line 1139 "filter/f-inst.c"
  RDUMP("%snumber of varargs %u\n", INDENT, item->varcount);
#line 1140 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 1140

#line 1197 "filter/f-inst.c"
#undef item
#line 1197
}
#line 1197

#line 1202 "filter/f-inst.c"
 /* Dump line for FI_DROP_RESULT */
#line 1202
static inline void f_dump_line_item_FI_DROP_RESULT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1202

#line 1202
{
#line 1202
#define item (&(item_->i_FI_DROP_RESULT))
#line 1202
#undef item
#line 1202
}
#line 1202

#line 1243 "filter/f-inst.c"
 /* Dump line for FI_SWITCH */
#line 1243
static inline void f_dump_line_item_FI_SWITCH(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1243

#line 1243
{
#line 1243
#define item (&(item_->i_FI_SWITCH))
#line 1205 "filter/f-inst.c"
RDUMP("%s" "tree %p" "\n", INDENT, item->tree);
#line 1205

#line 1243 "filter/f-inst.c"
#undef item
#line 1243
}
#line 1243

#line 1252 "filter/f-inst.c"
 /* Dump line for FI_IP_MASK */
#line 1252
static inline void f_dump_line_item_FI_IP_MASK(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1252

#line 1252
{
#line 1252
#define item (&(item_->i_FI_IP_MASK))
#line 1252
#undef item
#line 1252
}
#line 1252

#line 1260 "filter/f-inst.c"
 /* Dump line for FI_PATH_PREPEND */
#line 1260
static inline void f_dump_line_item_FI_PATH_PREPEND(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1260

#line 1260
{
#line 1260
#define item (&(item_->i_FI_PATH_PREPEND))
#line 1260
#undef item
#line 1260
}
#line 1260

#line 1267 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_PAIR */
#line 1267
static inline void f_dump_line_item_FI_CLIST_ADD_PAIR(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1267

#line 1267
{
#line 1267
#define item (&(item_->i_FI_CLIST_ADD_PAIR))
#line 1267
#undef item
#line 1267
}
#line 1267

#line 1281 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_IP */
#line 1281
static inline void f_dump_line_item_FI_CLIST_ADD_IP(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1281

#line 1281
{
#line 1281
#define item (&(item_->i_FI_CLIST_ADD_IP))
#line 1281
#undef item
#line 1281
}
#line 1281

#line 1288 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_QUAD */
#line 1288
static inline void f_dump_line_item_FI_CLIST_ADD_QUAD(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1288

#line 1288
{
#line 1288
#define item (&(item_->i_FI_CLIST_ADD_QUAD))
#line 1288
#undef item
#line 1288
}
#line 1288

#line 1295 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_CLIST */
#line 1295
static inline void f_dump_line_item_FI_CLIST_ADD_CLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1295

#line 1295
{
#line 1295
#define item (&(item_->i_FI_CLIST_ADD_CLIST))
#line 1295
#undef item
#line 1295
}
#line 1295

#line 1302 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_ADD_EC */
#line 1302
static inline void f_dump_line_item_FI_ECLIST_ADD_EC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1302

#line 1302
{
#line 1302
#define item (&(item_->i_FI_ECLIST_ADD_EC))
#line 1302
#undef item
#line 1302
}
#line 1302

#line 1309 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_ADD_ECLIST */
#line 1309
static inline void f_dump_line_item_FI_ECLIST_ADD_ECLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1309

#line 1309
{
#line 1309
#define item (&(item_->i_FI_ECLIST_ADD_ECLIST))
#line 1309
#undef item
#line 1309
}
#line 1309

#line 1316 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_ADD_LC */
#line 1316
static inline void f_dump_line_item_FI_LCLIST_ADD_LC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1316

#line 1316
{
#line 1316
#define item (&(item_->i_FI_LCLIST_ADD_LC))
#line 1316
#undef item
#line 1316
}
#line 1316

#line 1323 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_ADD_LCLIST */
#line 1323
static inline void f_dump_line_item_FI_LCLIST_ADD_LCLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1323

#line 1323
{
#line 1323
#define item (&(item_->i_FI_LCLIST_ADD_LCLIST))
#line 1323
#undef item
#line 1323
}
#line 1323

#line 1330 "filter/f-inst.c"
 /* Dump line for FI_PATH_DELETE_INT */
#line 1330
static inline void f_dump_line_item_FI_PATH_DELETE_INT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1330

#line 1330
{
#line 1330
#define item (&(item_->i_FI_PATH_DELETE_INT))
#line 1330
#undef item
#line 1330
}
#line 1330

#line 1342 "filter/f-inst.c"
 /* Dump line for FI_PATH_DELETE_SET */
#line 1342
static inline void f_dump_line_item_FI_PATH_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1342

#line 1342
{
#line 1342
#define item (&(item_->i_FI_PATH_DELETE_SET))
#line 1342
#undef item
#line 1342
}
#line 1342

#line 1349 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_PAIR */
#line 1349
static inline void f_dump_line_item_FI_CLIST_DELETE_PAIR(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1349

#line 1349
{
#line 1349
#define item (&(item_->i_FI_CLIST_DELETE_PAIR))
#line 1349
#undef item
#line 1349
}
#line 1349

#line 1363 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_IP */
#line 1363
static inline void f_dump_line_item_FI_CLIST_DELETE_IP(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1363

#line 1363
{
#line 1363
#define item (&(item_->i_FI_CLIST_DELETE_IP))
#line 1363
#undef item
#line 1363
}
#line 1363

#line 1370 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_QUAD */
#line 1370
static inline void f_dump_line_item_FI_CLIST_DELETE_QUAD(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1370

#line 1370
{
#line 1370
#define item (&(item_->i_FI_CLIST_DELETE_QUAD))
#line 1370
#undef item
#line 1370
}
#line 1370

#line 1377 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_CLIST */
#line 1377
static inline void f_dump_line_item_FI_CLIST_DELETE_CLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1377

#line 1377
{
#line 1377
#define item (&(item_->i_FI_CLIST_DELETE_CLIST))
#line 1377
#undef item
#line 1377
}
#line 1377

#line 1388 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_SET */
#line 1388
static inline void f_dump_line_item_FI_CLIST_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1388

#line 1388
{
#line 1388
#define item (&(item_->i_FI_CLIST_DELETE_SET))
#line 1388
#undef item
#line 1388
}
#line 1388

#line 1395 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_EC */
#line 1395
static inline void f_dump_line_item_FI_ECLIST_DELETE_EC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1395

#line 1395
{
#line 1395
#define item (&(item_->i_FI_ECLIST_DELETE_EC))
#line 1395
#undef item
#line 1395
}
#line 1395

#line 1402 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_ECLIST */
#line 1402
static inline void f_dump_line_item_FI_ECLIST_DELETE_ECLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1402

#line 1402
{
#line 1402
#define item (&(item_->i_FI_ECLIST_DELETE_ECLIST))
#line 1402
#undef item
#line 1402
}
#line 1402

#line 1413 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_SET */
#line 1413
static inline void f_dump_line_item_FI_ECLIST_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1413

#line 1413
{
#line 1413
#define item (&(item_->i_FI_ECLIST_DELETE_SET))
#line 1413
#undef item
#line 1413
}
#line 1413

#line 1420 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_LC */
#line 1420
static inline void f_dump_line_item_FI_LCLIST_DELETE_LC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1420

#line 1420
{
#line 1420
#define item (&(item_->i_FI_LCLIST_DELETE_LC))
#line 1420
#undef item
#line 1420
}
#line 1420

#line 1427 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_LCLIST */
#line 1427
static inline void f_dump_line_item_FI_LCLIST_DELETE_LCLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1427

#line 1427
{
#line 1427
#define item (&(item_->i_FI_LCLIST_DELETE_LCLIST))
#line 1427
#undef item
#line 1427
}
#line 1427

#line 1438 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_SET */
#line 1438
static inline void f_dump_line_item_FI_LCLIST_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1438

#line 1438
{
#line 1438
#define item (&(item_->i_FI_LCLIST_DELETE_SET))
#line 1438
#undef item
#line 1438
}
#line 1438

#line 1449 "filter/f-inst.c"
 /* Dump line for FI_PATH_FILTER_SET */
#line 1449
static inline void f_dump_line_item_FI_PATH_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1449

#line 1449
{
#line 1449
#define item (&(item_->i_FI_PATH_FILTER_SET))
#line 1449
#undef item
#line 1449
}
#line 1449

#line 1456 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FILTER_CLIST */
#line 1456
static inline void f_dump_line_item_FI_CLIST_FILTER_CLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1456

#line 1456
{
#line 1456
#define item (&(item_->i_FI_CLIST_FILTER_CLIST))
#line 1456
#undef item
#line 1456
}
#line 1456

#line 1467 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FILTER_SET */
#line 1467
static inline void f_dump_line_item_FI_CLIST_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1467

#line 1467
{
#line 1467
#define item (&(item_->i_FI_CLIST_FILTER_SET))
#line 1467
#undef item
#line 1467
}
#line 1467

#line 1474 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FILTER_ECLIST */
#line 1474
static inline void f_dump_line_item_FI_ECLIST_FILTER_ECLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1474

#line 1474
{
#line 1474
#define item (&(item_->i_FI_ECLIST_FILTER_ECLIST))
#line 1474
#undef item
#line 1474
}
#line 1474

#line 1485 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FILTER_SET */
#line 1485
static inline void f_dump_line_item_FI_ECLIST_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1485

#line 1485
{
#line 1485
#define item (&(item_->i_FI_ECLIST_FILTER_SET))
#line 1485
#undef item
#line 1485
}
#line 1485

#line 1492 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FILTER_LCLIST */
#line 1492
static inline void f_dump_line_item_FI_LCLIST_FILTER_LCLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1492

#line 1492
{
#line 1492
#define item (&(item_->i_FI_LCLIST_FILTER_LCLIST))
#line 1492
#undef item
#line 1492
}
#line 1492

#line 1503 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FILTER_SET */
#line 1503
static inline void f_dump_line_item_FI_LCLIST_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1503

#line 1503
{
#line 1503
#define item (&(item_->i_FI_LCLIST_FILTER_SET))
#line 1503
#undef item
#line 1503
}
#line 1503

#line 1525 "filter/f-inst.c"
 /* Dump line for FI_ROA_CHECK */
#line 1525
static inline void f_dump_line_item_FI_ROA_CHECK(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1525

#line 1525
{
#line 1525
#define item (&(item_->i_FI_ROA_CHECK))
#line 1507 "filter/f-inst.c"
RDUMP("%s" "route table %s" "\n", INDENT, item->rtc->name);
#line 1507

#line 1525 "filter/f-inst.c"
#undef item
#line 1525
}
#line 1525

#line 1541 "filter/f-inst.c"
 /* Dump line for FI_ASPA_CHECK_EXPLICIT */
#line 1541
static inline void f_dump_line_item_FI_ASPA_CHECK_EXPLICIT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1541

#line 1541
{
#line 1541
#define item (&(item_->i_FI_ASPA_CHECK_EXPLICIT))
#line 1529 "filter/f-inst.c"
RDUMP("%s" "route table %s" "\n", INDENT, item->rtc->name);
#line 1529

#line 1541 "filter/f-inst.c"
#undef item
#line 1541
}
#line 1541

#line 1556 "filter/f-inst.c"
 /* Dump line for FI_FROM_HEX */
#line 1556
static inline void f_dump_line_item_FI_FROM_HEX(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1556

#line 1556
{
#line 1556
#define item (&(item_->i_FI_FROM_HEX))
#line 1556
#undef item
#line 1556
}
#line 1556

#line 1561 "filter/f-inst.c"
 /* Dump line for FI_FORMAT */
#line 1561
static inline void f_dump_line_item_FI_FORMAT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1561

#line 1561
{
#line 1561
#define item (&(item_->i_FI_FORMAT))
#line 1561
#undef item
#line 1561
}
#line 1561

#line 830 "filter/decl.m4"
 /* Dump line for FI_ASSERT */
#line 830
static inline void f_dump_line_item_FI_ASSERT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 830

#line 830
{
#line 830
#define item (&(item_->i_FI_ASSERT))
#line 1565 "filter/f-inst.c"
RDUMP("%s" "string %s" "\n", INDENT, item->s);
#line 1565

#line 830 "filter/decl.m4"
#undef item
#line 830
}
#line 830

#line 682 "filter/decl.m4"


void f_dump_line(struct dump_request *dreq, const struct f_line *dest, uint indent)
{
  if (!dest) {
    RDUMP("%sNo filter line (NULL)\n", INDENT);
    return;
  }
  RDUMP("%sFilter line %p (len=%u)\n", INDENT, dest, dest->len);
  for (uint i=0; i<dest->len; i++) {
    const struct f_line_item *item = &dest->items[i];
    RDUMP("%sInstruction %s at line %u\n", INDENT, f_instruction_name_(item->fi_code), item->lineno);
    switch (item->fi_code) {
#line 288 "filter/f-inst.c"
 /* Dump line caller for FI_ADD */
#line 288
case FI_ADD: f_dump_line_item_FI_ADD(dreq, item, indent + 1); break;
#line 288

#line 293 "filter/f-inst.c"
 /* Dump line caller for FI_SUBTRACT */
#line 293
case FI_SUBTRACT: f_dump_line_item_FI_SUBTRACT(dreq, item, indent + 1); break;
#line 293

#line 298 "filter/f-inst.c"
 /* Dump line caller for FI_MULTIPLY */
#line 298
case FI_MULTIPLY: f_dump_line_item_FI_MULTIPLY(dreq, item, indent + 1); break;
#line 298

#line 304 "filter/f-inst.c"
 /* Dump line caller for FI_DIVIDE */
#line 304
case FI_DIVIDE: f_dump_line_item_FI_DIVIDE(dreq, item, indent + 1); break;
#line 304

#line 309 "filter/f-inst.c"
 /* Dump line caller for FI_BITOR */
#line 309
case FI_BITOR: f_dump_line_item_FI_BITOR(dreq, item, indent + 1); break;
#line 309

#line 314 "filter/f-inst.c"
 /* Dump line caller for FI_BITAND */
#line 314
case FI_BITAND: f_dump_line_item_FI_BITAND(dreq, item, indent + 1); break;
#line 314

#line 324 "filter/f-inst.c"
 /* Dump line caller for FI_AND */
#line 324
case FI_AND: f_dump_line_item_FI_AND(dreq, item, indent + 1); break;
#line 324

#line 335 "filter/f-inst.c"
 /* Dump line caller for FI_OR */
#line 335
case FI_OR: f_dump_line_item_FI_OR(dreq, item, indent + 1); break;
#line 335

#line 345 "filter/f-inst.c"
 /* Dump line caller for FI_PAIR_CONSTRUCT */
#line 345
case FI_PAIR_CONSTRUCT: f_dump_line_item_FI_PAIR_CONSTRUCT(dreq, item, indent + 1); break;
#line 345

#line 385 "filter/f-inst.c"
 /* Dump line caller for FI_EC_CONSTRUCT */
#line 385
case FI_EC_CONSTRUCT: f_dump_line_item_FI_EC_CONSTRUCT(dreq, item, indent + 1); break;
#line 385

#line 392 "filter/f-inst.c"
 /* Dump line caller for FI_LC_CONSTRUCT */
#line 392
case FI_LC_CONSTRUCT: f_dump_line_item_FI_LC_CONSTRUCT(dreq, item, indent + 1); break;
#line 392

#line 442 "filter/f-inst.c"
 /* Dump line caller for FI_PATHMASK_CONSTRUCT */
#line 442
case FI_PATHMASK_CONSTRUCT: f_dump_line_item_FI_PATHMASK_CONSTRUCT(dreq, item, indent + 1); break;
#line 442

#line 449 "filter/f-inst.c"
 /* Dump line caller for FI_NEQ */
#line 449
case FI_NEQ: f_dump_line_item_FI_NEQ(dreq, item, indent + 1); break;
#line 449

#line 456 "filter/f-inst.c"
 /* Dump line caller for FI_EQ */
#line 456
case FI_EQ: f_dump_line_item_FI_EQ(dreq, item, indent + 1); break;
#line 456

#line 467 "filter/f-inst.c"
 /* Dump line caller for FI_LT */
#line 467
case FI_LT: f_dump_line_item_FI_LT(dreq, item, indent + 1); break;
#line 467

#line 478 "filter/f-inst.c"
 /* Dump line caller for FI_LTE */
#line 478
case FI_LTE: f_dump_line_item_FI_LTE(dreq, item, indent + 1); break;
#line 478

#line 483 "filter/f-inst.c"
 /* Dump line caller for FI_NOT */
#line 483
case FI_NOT: f_dump_line_item_FI_NOT(dreq, item, indent + 1); break;
#line 483

#line 492 "filter/f-inst.c"
 /* Dump line caller for FI_MATCH */
#line 492
case FI_MATCH: f_dump_line_item_FI_MATCH(dreq, item, indent + 1); break;
#line 492

#line 501 "filter/f-inst.c"
 /* Dump line caller for FI_NOT_MATCH */
#line 501
case FI_NOT_MATCH: f_dump_line_item_FI_NOT_MATCH(dreq, item, indent + 1); break;
#line 501

#line 506 "filter/f-inst.c"
 /* Dump line caller for FI_DEFINED */
#line 506
case FI_DEFINED: f_dump_line_item_FI_DEFINED(dreq, item, indent + 1); break;
#line 506

#line 507 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__type */
#line 507
case FI_METHOD__T_NET__type: f_dump_line_item_FI_METHOD__T_NET__type(dreq, item, indent + 1); break;
#line 507

#line 510 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_IP__is_v4 */
#line 510
case FI_METHOD__T_IP__is_v4: f_dump_line_item_FI_METHOD__T_IP__is_v4(dreq, item, indent + 1); break;
#line 510

#line 523 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_INIT */
#line 523
case FI_VAR_INIT: f_dump_line_item_FI_VAR_INIT(dreq, item, indent + 1); break;
#line 523

#line 534 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_INIT0 */
#line 534
case FI_VAR_INIT0: f_dump_line_item_FI_VAR_INIT0(dreq, item, indent + 1); break;
#line 534

#line 543 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_SET */
#line 543
case FI_VAR_SET: f_dump_line_item_FI_VAR_SET(dreq, item, indent + 1); break;
#line 543

#line 550 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_GET */
#line 550
case FI_VAR_GET: f_dump_line_item_FI_VAR_GET(dreq, item, indent + 1); break;
#line 550

#line 563 "filter/f-inst.c"
 /* Dump line caller for FI_CONSTANT */
#line 563
case FI_CONSTANT: f_dump_line_item_FI_CONSTANT(dreq, item, indent + 1); break;
#line 563

#line 564 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__empty */
#line 564
case FI_METHOD__T_PATH__empty: f_dump_line_item_FI_METHOD__T_PATH__empty(dreq, item, indent + 1); break;
#line 564

#line 565 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__empty */
#line 565
case FI_METHOD__T_CLIST__empty: f_dump_line_item_FI_METHOD__T_CLIST__empty(dreq, item, indent + 1); break;
#line 565

#line 566 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__empty */
#line 566
case FI_METHOD__T_ECLIST__empty: f_dump_line_item_FI_METHOD__T_ECLIST__empty(dreq, item, indent + 1); break;
#line 566

#line 569 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__empty */
#line 569
case FI_METHOD__T_LCLIST__empty: f_dump_line_item_FI_METHOD__T_LCLIST__empty(dreq, item, indent + 1); break;
#line 569

#line 591 "filter/f-inst.c"
 /* Dump line caller for FI_FOR_LOOP_START */
#line 591
case FI_FOR_LOOP_START: f_dump_line_item_FI_FOR_LOOP_START(dreq, item, indent + 1); break;
#line 591

#line 600 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_FOR_NEXT */
#line 600
case FI_PATH_FOR_NEXT: f_dump_line_item_FI_PATH_FOR_NEXT(dreq, item, indent + 1); break;
#line 600

#line 609 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FOR_NEXT */
#line 609
case FI_CLIST_FOR_NEXT: f_dump_line_item_FI_CLIST_FOR_NEXT(dreq, item, indent + 1); break;
#line 609

#line 618 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FOR_NEXT */
#line 618
case FI_ECLIST_FOR_NEXT: f_dump_line_item_FI_ECLIST_FOR_NEXT(dreq, item, indent + 1); break;
#line 618

#line 627 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FOR_NEXT */
#line 627
case FI_LCLIST_FOR_NEXT: f_dump_line_item_FI_LCLIST_FOR_NEXT(dreq, item, indent + 1); break;
#line 627

#line 640 "filter/f-inst.c"
 /* Dump line caller for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
case FI_ROUTES_BLOCK_FOR_NEXT: f_dump_line_item_FI_ROUTES_BLOCK_FOR_NEXT(dreq, item, indent + 1); break;
#line 640

#line 648 "filter/f-inst.c"
 /* Dump line caller for FI_CONDITION */
#line 648
case FI_CONDITION: f_dump_line_item_FI_CONDITION(dreq, item, indent + 1); break;
#line 648

#line 661 "filter/f-inst.c"
 /* Dump line caller for FI_PRINT */
#line 661
case FI_PRINT: f_dump_line_item_FI_PRINT(dreq, item, indent + 1); break;
#line 661

#line 668 "filter/f-inst.c"
 /* Dump line caller for FI_FLUSH */
#line 668
case FI_FLUSH: f_dump_line_item_FI_FLUSH(dreq, item, indent + 1); break;
#line 668

#line 682 "filter/f-inst.c"
 /* Dump line caller for FI_DIE */
#line 682
case FI_DIE: f_dump_line_item_FI_DIE(dreq, item, indent + 1); break;
#line 682

#line 689 "filter/f-inst.c"
 /* Dump line caller for FI_CURRENT_ROUTE */
#line 689
case FI_CURRENT_ROUTE: f_dump_line_item_FI_CURRENT_ROUTE(dreq, item, indent + 1); break;
#line 689

#line 736 "filter/f-inst.c"
 /* Dump line caller for FI_RTA_GET */
#line 736
case FI_RTA_GET: f_dump_line_item_FI_RTA_GET(dreq, item, indent + 1); break;
#line 736

#line 861 "filter/f-inst.c"
 /* Dump line caller for FI_RTA_SET */
#line 861
case FI_RTA_SET: f_dump_line_item_FI_RTA_SET(dreq, item, indent + 1); break;
#line 861

#line 898 "filter/f-inst.c"
 /* Dump line caller for FI_EA_GET */
#line 898
case FI_EA_GET: f_dump_line_item_FI_EA_GET(dreq, item, indent + 1); break;
#line 898

#line 939 "filter/f-inst.c"
 /* Dump line caller for FI_EA_SET */
#line 939
case FI_EA_SET: f_dump_line_item_FI_EA_SET(dreq, item, indent + 1); break;
#line 939

#line 946 "filter/f-inst.c"
 /* Dump line caller for FI_EA_UNSET */
#line 946
case FI_EA_UNSET: f_dump_line_item_FI_EA_UNSET(dreq, item, indent + 1); break;
#line 946

#line 960 "filter/f-inst.c"
 /* Dump line caller for FI_DEFAULT */
#line 960
case FI_DEFAULT: f_dump_line_item_FI_DEFAULT(dreq, item, indent + 1); break;
#line 960

#line 961 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__len */
#line 961
case FI_METHOD__T_NET__len: f_dump_line_item_FI_METHOD__T_NET__len(dreq, item, indent + 1); break;
#line 961

#line 962 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__len */
#line 962
case FI_METHOD__T_PATH__len: f_dump_line_item_FI_METHOD__T_PATH__len(dreq, item, indent + 1); break;
#line 962

#line 963 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__len */
#line 963
case FI_METHOD__T_CLIST__len: f_dump_line_item_FI_METHOD__T_CLIST__len(dreq, item, indent + 1); break;
#line 963

#line 964 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__len */
#line 964
case FI_METHOD__T_ECLIST__len: f_dump_line_item_FI_METHOD__T_ECLIST__len(dreq, item, indent + 1); break;
#line 964

#line 966 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__len */
#line 966
case FI_METHOD__T_LCLIST__len: f_dump_line_item_FI_METHOD__T_LCLIST__len(dreq, item, indent + 1); break;
#line 966

#line 1002 "filter/f-inst.c"
 /* Dump line caller for FI_NET_SRC */
#line 1002
case FI_NET_SRC: f_dump_line_item_FI_NET_SRC(dreq, item, indent + 1); break;
#line 1002

#line 1039 "filter/f-inst.c"
 /* Dump line caller for FI_NET_DST */
#line 1039
case FI_NET_DST: f_dump_line_item_FI_NET_DST(dreq, item, indent + 1); break;
#line 1039

#line 1049 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__maxlen */
#line 1049
case FI_METHOD__T_NET__maxlen: f_dump_line_item_FI_METHOD__T_NET__maxlen(dreq, item, indent + 1); break;
#line 1049

#line 1059 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__asn */
#line 1059
case FI_METHOD__T_NET__asn: f_dump_line_item_FI_METHOD__T_NET__asn(dreq, item, indent + 1); break;
#line 1059

#line 1061 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__ip */
#line 1061
case FI_METHOD__T_NET__ip: f_dump_line_item_FI_METHOD__T_NET__ip(dreq, item, indent + 1); break;
#line 1061

#line 1070 "filter/f-inst.c"
 /* Dump line caller for FI_ROUTE_DISTINGUISHER */
#line 1070
case FI_ROUTE_DISTINGUISHER: f_dump_line_item_FI_ROUTE_DISTINGUISHER(dreq, item, indent + 1); break;
#line 1070

#line 1073 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__first */
#line 1073
case FI_METHOD__T_PATH__first: f_dump_line_item_FI_METHOD__T_PATH__first(dreq, item, indent + 1); break;
#line 1073

#line 1076 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__last */
#line 1076
case FI_METHOD__T_PATH__last: f_dump_line_item_FI_METHOD__T_PATH__last(dreq, item, indent + 1); break;
#line 1076

#line 1079 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
case FI_METHOD__T_PATH__last_nonaggregated: f_dump_line_item_FI_METHOD__T_PATH__last_nonaggregated(dreq, item, indent + 1); break;
#line 1079

#line 1082 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PAIR__asn */
#line 1082
case FI_METHOD__T_PAIR__asn: f_dump_line_item_FI_METHOD__T_PAIR__asn(dreq, item, indent + 1); break;
#line 1082

#line 1085 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PAIR__data */
#line 1085
case FI_METHOD__T_PAIR__data: f_dump_line_item_FI_METHOD__T_PAIR__data(dreq, item, indent + 1); break;
#line 1085

#line 1088 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__asn */
#line 1088
case FI_METHOD__T_LC__asn: f_dump_line_item_FI_METHOD__T_LC__asn(dreq, item, indent + 1); break;
#line 1088

#line 1091 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__data1 */
#line 1091
case FI_METHOD__T_LC__data1: f_dump_line_item_FI_METHOD__T_LC__data1(dreq, item, indent + 1); break;
#line 1091

#line 1094 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__data2 */
#line 1094
case FI_METHOD__T_LC__data2: f_dump_line_item_FI_METHOD__T_LC__data2(dreq, item, indent + 1); break;
#line 1094

#line 1097 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__min */
#line 1097
case FI_METHOD__T_CLIST__min: f_dump_line_item_FI_METHOD__T_CLIST__min(dreq, item, indent + 1); break;
#line 1097

#line 1100 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__max */
#line 1100
case FI_METHOD__T_CLIST__max: f_dump_line_item_FI_METHOD__T_CLIST__max(dreq, item, indent + 1); break;
#line 1100

#line 1103 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__min */
#line 1103
case FI_METHOD__T_ECLIST__min: f_dump_line_item_FI_METHOD__T_ECLIST__min(dreq, item, indent + 1); break;
#line 1103

#line 1106 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__max */
#line 1106
case FI_METHOD__T_ECLIST__max: f_dump_line_item_FI_METHOD__T_ECLIST__max(dreq, item, indent + 1); break;
#line 1106

#line 1109 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__min */
#line 1109
case FI_METHOD__T_LCLIST__min: f_dump_line_item_FI_METHOD__T_LCLIST__min(dreq, item, indent + 1); break;
#line 1109

#line 1111 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__max */
#line 1111
case FI_METHOD__T_LCLIST__max: f_dump_line_item_FI_METHOD__T_LCLIST__max(dreq, item, indent + 1); break;
#line 1111

#line 1137 "filter/f-inst.c"
 /* Dump line caller for FI_RETURN */
#line 1137
case FI_RETURN: f_dump_line_item_FI_RETURN(dreq, item, indent + 1); break;
#line 1137

#line 1197 "filter/f-inst.c"
 /* Dump line caller for FI_CALL */
#line 1197
case FI_CALL: f_dump_line_item_FI_CALL(dreq, item, indent + 1); break;
#line 1197

#line 1202 "filter/f-inst.c"
 /* Dump line caller for FI_DROP_RESULT */
#line 1202
case FI_DROP_RESULT: f_dump_line_item_FI_DROP_RESULT(dreq, item, indent + 1); break;
#line 1202

#line 1243 "filter/f-inst.c"
 /* Dump line caller for FI_SWITCH */
#line 1243
case FI_SWITCH: f_dump_line_item_FI_SWITCH(dreq, item, indent + 1); break;
#line 1243

#line 1252 "filter/f-inst.c"
 /* Dump line caller for FI_IP_MASK */
#line 1252
case FI_IP_MASK: f_dump_line_item_FI_IP_MASK(dreq, item, indent + 1); break;
#line 1252

#line 1260 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_PREPEND */
#line 1260
case FI_PATH_PREPEND: f_dump_line_item_FI_PATH_PREPEND(dreq, item, indent + 1); break;
#line 1260

#line 1267 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_PAIR */
#line 1267
case FI_CLIST_ADD_PAIR: f_dump_line_item_FI_CLIST_ADD_PAIR(dreq, item, indent + 1); break;
#line 1267

#line 1281 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_IP */
#line 1281
case FI_CLIST_ADD_IP: f_dump_line_item_FI_CLIST_ADD_IP(dreq, item, indent + 1); break;
#line 1281

#line 1288 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_QUAD */
#line 1288
case FI_CLIST_ADD_QUAD: f_dump_line_item_FI_CLIST_ADD_QUAD(dreq, item, indent + 1); break;
#line 1288

#line 1295 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_CLIST */
#line 1295
case FI_CLIST_ADD_CLIST: f_dump_line_item_FI_CLIST_ADD_CLIST(dreq, item, indent + 1); break;
#line 1295

#line 1302 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_ADD_EC */
#line 1302
case FI_ECLIST_ADD_EC: f_dump_line_item_FI_ECLIST_ADD_EC(dreq, item, indent + 1); break;
#line 1302

#line 1309 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_ADD_ECLIST */
#line 1309
case FI_ECLIST_ADD_ECLIST: f_dump_line_item_FI_ECLIST_ADD_ECLIST(dreq, item, indent + 1); break;
#line 1309

#line 1316 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_ADD_LC */
#line 1316
case FI_LCLIST_ADD_LC: f_dump_line_item_FI_LCLIST_ADD_LC(dreq, item, indent + 1); break;
#line 1316

#line 1323 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_ADD_LCLIST */
#line 1323
case FI_LCLIST_ADD_LCLIST: f_dump_line_item_FI_LCLIST_ADD_LCLIST(dreq, item, indent + 1); break;
#line 1323

#line 1330 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_DELETE_INT */
#line 1330
case FI_PATH_DELETE_INT: f_dump_line_item_FI_PATH_DELETE_INT(dreq, item, indent + 1); break;
#line 1330

#line 1342 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_DELETE_SET */
#line 1342
case FI_PATH_DELETE_SET: f_dump_line_item_FI_PATH_DELETE_SET(dreq, item, indent + 1); break;
#line 1342

#line 1349 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_PAIR */
#line 1349
case FI_CLIST_DELETE_PAIR: f_dump_line_item_FI_CLIST_DELETE_PAIR(dreq, item, indent + 1); break;
#line 1349

#line 1363 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_IP */
#line 1363
case FI_CLIST_DELETE_IP: f_dump_line_item_FI_CLIST_DELETE_IP(dreq, item, indent + 1); break;
#line 1363

#line 1370 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_QUAD */
#line 1370
case FI_CLIST_DELETE_QUAD: f_dump_line_item_FI_CLIST_DELETE_QUAD(dreq, item, indent + 1); break;
#line 1370

#line 1377 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_CLIST */
#line 1377
case FI_CLIST_DELETE_CLIST: f_dump_line_item_FI_CLIST_DELETE_CLIST(dreq, item, indent + 1); break;
#line 1377

#line 1388 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_SET */
#line 1388
case FI_CLIST_DELETE_SET: f_dump_line_item_FI_CLIST_DELETE_SET(dreq, item, indent + 1); break;
#line 1388

#line 1395 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_EC */
#line 1395
case FI_ECLIST_DELETE_EC: f_dump_line_item_FI_ECLIST_DELETE_EC(dreq, item, indent + 1); break;
#line 1395

#line 1402 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_ECLIST */
#line 1402
case FI_ECLIST_DELETE_ECLIST: f_dump_line_item_FI_ECLIST_DELETE_ECLIST(dreq, item, indent + 1); break;
#line 1402

#line 1413 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_SET */
#line 1413
case FI_ECLIST_DELETE_SET: f_dump_line_item_FI_ECLIST_DELETE_SET(dreq, item, indent + 1); break;
#line 1413

#line 1420 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_LC */
#line 1420
case FI_LCLIST_DELETE_LC: f_dump_line_item_FI_LCLIST_DELETE_LC(dreq, item, indent + 1); break;
#line 1420

#line 1427 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_LCLIST */
#line 1427
case FI_LCLIST_DELETE_LCLIST: f_dump_line_item_FI_LCLIST_DELETE_LCLIST(dreq, item, indent + 1); break;
#line 1427

#line 1438 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_SET */
#line 1438
case FI_LCLIST_DELETE_SET: f_dump_line_item_FI_LCLIST_DELETE_SET(dreq, item, indent + 1); break;
#line 1438

#line 1449 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_FILTER_SET */
#line 1449
case FI_PATH_FILTER_SET: f_dump_line_item_FI_PATH_FILTER_SET(dreq, item, indent + 1); break;
#line 1449

#line 1456 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FILTER_CLIST */
#line 1456
case FI_CLIST_FILTER_CLIST: f_dump_line_item_FI_CLIST_FILTER_CLIST(dreq, item, indent + 1); break;
#line 1456

#line 1467 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FILTER_SET */
#line 1467
case FI_CLIST_FILTER_SET: f_dump_line_item_FI_CLIST_FILTER_SET(dreq, item, indent + 1); break;
#line 1467

#line 1474 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FILTER_ECLIST */
#line 1474
case FI_ECLIST_FILTER_ECLIST: f_dump_line_item_FI_ECLIST_FILTER_ECLIST(dreq, item, indent + 1); break;
#line 1474

#line 1485 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FILTER_SET */
#line 1485
case FI_ECLIST_FILTER_SET: f_dump_line_item_FI_ECLIST_FILTER_SET(dreq, item, indent + 1); break;
#line 1485

#line 1492 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FILTER_LCLIST */
#line 1492
case FI_LCLIST_FILTER_LCLIST: f_dump_line_item_FI_LCLIST_FILTER_LCLIST(dreq, item, indent + 1); break;
#line 1492

#line 1503 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FILTER_SET */
#line 1503
case FI_LCLIST_FILTER_SET: f_dump_line_item_FI_LCLIST_FILTER_SET(dreq, item, indent + 1); break;
#line 1503

#line 1525 "filter/f-inst.c"
 /* Dump line caller for FI_ROA_CHECK */
#line 1525
case FI_ROA_CHECK: f_dump_line_item_FI_ROA_CHECK(dreq, item, indent + 1); break;
#line 1525

#line 1541 "filter/f-inst.c"
 /* Dump line caller for FI_ASPA_CHECK_EXPLICIT */
#line 1541
case FI_ASPA_CHECK_EXPLICIT: f_dump_line_item_FI_ASPA_CHECK_EXPLICIT(dreq, item, indent + 1); break;
#line 1541

#line 1556 "filter/f-inst.c"
 /* Dump line caller for FI_FROM_HEX */
#line 1556
case FI_FROM_HEX: f_dump_line_item_FI_FROM_HEX(dreq, item, indent + 1); break;
#line 1556

#line 1561 "filter/f-inst.c"
 /* Dump line caller for FI_FORMAT */
#line 1561
case FI_FORMAT: f_dump_line_item_FI_FORMAT(dreq, item, indent + 1); break;
#line 1561

#line 830 "filter/decl.m4"
 /* Dump line caller for FI_ASSERT */
#line 830
case FI_ASSERT: f_dump_line_item_FI_ASSERT(dreq, item, indent + 1); break;
#line 830

#line 695 "filter/decl.m4"

      default: bug("Unknown instruction %x in f_dump_line", item->fi_code);
    }
  }
  RDUMP("%sFilter line %p dump done\n", INDENT, dest);
}

/* Linearize */
static uint
linearize(struct f_line *dest, const struct f_inst *what, uint pos)
{
  for ( ; what; what = what->next) {
    switch (what->fi_code) {
#line 288 "filter/f-inst.c"
 /* Linearize for FI_ADD */
#line 288
case FI_ADD: {
#line 288
#define whati (&(what->i_FI_ADD))
#line 288
#define item (&(dest->items[pos].i_FI_ADD))
#line 288
  #line 284 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 285 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 288 "filter/f-inst.c"
#undef item
#line 288
  dest->items[pos].fi_code = what->fi_code;
#line 288
  dest->items[pos].flags = what->flags;
#line 288
  dest->items[pos].lineno = what->lineno;
#line 288
  break;
#line 288
}
#line 288

#line 293 "filter/f-inst.c"
 /* Linearize for FI_SUBTRACT */
#line 293
case FI_SUBTRACT: {
#line 293
#define whati (&(what->i_FI_SUBTRACT))
#line 293
#define item (&(dest->items[pos].i_FI_SUBTRACT))
#line 293
  #line 289 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 290 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 293 "filter/f-inst.c"
#undef item
#line 293
  dest->items[pos].fi_code = what->fi_code;
#line 293
  dest->items[pos].flags = what->flags;
#line 293
  dest->items[pos].lineno = what->lineno;
#line 293
  break;
#line 293
}
#line 293

#line 298 "filter/f-inst.c"
 /* Linearize for FI_MULTIPLY */
#line 298
case FI_MULTIPLY: {
#line 298
#define whati (&(what->i_FI_MULTIPLY))
#line 298
#define item (&(dest->items[pos].i_FI_MULTIPLY))
#line 298
  #line 294 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 295 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 298 "filter/f-inst.c"
#undef item
#line 298
  dest->items[pos].fi_code = what->fi_code;
#line 298
  dest->items[pos].flags = what->flags;
#line 298
  dest->items[pos].lineno = what->lineno;
#line 298
  break;
#line 298
}
#line 298

#line 304 "filter/f-inst.c"
 /* Linearize for FI_DIVIDE */
#line 304
case FI_DIVIDE: {
#line 304
#define whati (&(what->i_FI_DIVIDE))
#line 304
#define item (&(dest->items[pos].i_FI_DIVIDE))
#line 304
  #line 299 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 300 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 304 "filter/f-inst.c"
#undef item
#line 304
  dest->items[pos].fi_code = what->fi_code;
#line 304
  dest->items[pos].flags = what->flags;
#line 304
  dest->items[pos].lineno = what->lineno;
#line 304
  break;
#line 304
}
#line 304

#line 309 "filter/f-inst.c"
 /* Linearize for FI_BITOR */
#line 309
case FI_BITOR: {
#line 309
#define whati (&(what->i_FI_BITOR))
#line 309
#define item (&(dest->items[pos].i_FI_BITOR))
#line 309
  #line 305 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 306 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 309 "filter/f-inst.c"
#undef item
#line 309
  dest->items[pos].fi_code = what->fi_code;
#line 309
  dest->items[pos].flags = what->flags;
#line 309
  dest->items[pos].lineno = what->lineno;
#line 309
  break;
#line 309
}
#line 309

#line 314 "filter/f-inst.c"
 /* Linearize for FI_BITAND */
#line 314
case FI_BITAND: {
#line 314
#define whati (&(what->i_FI_BITAND))
#line 314
#define item (&(dest->items[pos].i_FI_BITAND))
#line 314
  #line 310 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 311 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 314 "filter/f-inst.c"
#undef item
#line 314
  dest->items[pos].fi_code = what->fi_code;
#line 314
  dest->items[pos].flags = what->flags;
#line 314
  dest->items[pos].lineno = what->lineno;
#line 314
  break;
#line 314
}
#line 314

#line 324 "filter/f-inst.c"
 /* Linearize for FI_AND */
#line 324
case FI_AND: {
#line 324
#define whati (&(what->i_FI_AND))
#line 324
#define item (&(dest->items[pos].i_FI_AND))
#line 324
  #line 315 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 320 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 1);
#undef whati
#line 324 "filter/f-inst.c"
#undef item
#line 324
  dest->items[pos].fi_code = what->fi_code;
#line 324
  dest->items[pos].flags = what->flags;
#line 324
  dest->items[pos].lineno = what->lineno;
#line 324
  break;
#line 324
}
#line 324

#line 335 "filter/f-inst.c"
 /* Linearize for FI_OR */
#line 335
case FI_OR: {
#line 335
#define whati (&(what->i_FI_OR))
#line 335
#define item (&(dest->items[pos].i_FI_OR))
#line 335
  #line 325 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 330 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 1);
#undef whati
#line 335 "filter/f-inst.c"
#undef item
#line 335
  dest->items[pos].fi_code = what->fi_code;
#line 335
  dest->items[pos].flags = what->flags;
#line 335
  dest->items[pos].lineno = what->lineno;
#line 335
  break;
#line 335
}
#line 335

#line 345 "filter/f-inst.c"
 /* Linearize for FI_PAIR_CONSTRUCT */
#line 345
case FI_PAIR_CONSTRUCT: {
#line 345
#define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 345
#define item (&(dest->items[pos].i_FI_PAIR_CONSTRUCT))
#line 345
  #line 336 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 337 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 345 "filter/f-inst.c"
#undef item
#line 345
  dest->items[pos].fi_code = what->fi_code;
#line 345
  dest->items[pos].flags = what->flags;
#line 345
  dest->items[pos].lineno = what->lineno;
#line 345
  break;
#line 345
}
#line 345

#line 385 "filter/f-inst.c"
 /* Linearize for FI_EC_CONSTRUCT */
#line 385
case FI_EC_CONSTRUCT: {
#line 385
#define whati (&(what->i_FI_EC_CONSTRUCT))
#line 385
#define item (&(dest->items[pos].i_FI_EC_CONSTRUCT))
#line 385
  #line 346 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 347 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 349 "filter/f-inst.c"
item->ecs = whati->ecs;
#line 349

#undef whati
#line 385 "filter/f-inst.c"
#undef item
#line 385
  dest->items[pos].fi_code = what->fi_code;
#line 385
  dest->items[pos].flags = what->flags;
#line 385
  dest->items[pos].lineno = what->lineno;
#line 385
  break;
#line 385
}
#line 385

#line 392 "filter/f-inst.c"
 /* Linearize for FI_LC_CONSTRUCT */
#line 392
case FI_LC_CONSTRUCT: {
#line 392
#define whati (&(what->i_FI_LC_CONSTRUCT))
#line 392
#define item (&(dest->items[pos].i_FI_LC_CONSTRUCT))
#line 392
  #line 386 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 387 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 388 "filter/f-inst.c"
pos = linearize(dest, whati->f3, pos);
#undef whati
#line 392 "filter/f-inst.c"
#undef item
#line 392
  dest->items[pos].fi_code = what->fi_code;
#line 392
  dest->items[pos].flags = what->flags;
#line 392
  dest->items[pos].lineno = what->lineno;
#line 392
  break;
#line 392
}
#line 392

#line 442 "filter/f-inst.c"
 /* Linearize for FI_PATHMASK_CONSTRUCT */
#line 442
case FI_PATHMASK_CONSTRUCT: {
#line 442
#define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 442
#define item (&(dest->items[pos].i_FI_PATHMASK_CONSTRUCT))
#line 442
  #line 393 "filter/f-inst.c"
  pos = linearize(dest, whati->fvar, pos);
#line 393
  item->varcount = whati->varcount;
#undef whati
#line 442 "filter/f-inst.c"
#undef item
#line 442
  dest->items[pos].fi_code = what->fi_code;
#line 442
  dest->items[pos].flags = what->flags;
#line 442
  dest->items[pos].lineno = what->lineno;
#line 442
  break;
#line 442
}
#line 442

#line 449 "filter/f-inst.c"
 /* Linearize for FI_NEQ */
#line 449
case FI_NEQ: {
#line 449
#define whati (&(what->i_FI_NEQ))
#line 449
#define item (&(dest->items[pos].i_FI_NEQ))
#line 449
  #line 443 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 444 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 449 "filter/f-inst.c"
#undef item
#line 449
  dest->items[pos].fi_code = what->fi_code;
#line 449
  dest->items[pos].flags = what->flags;
#line 449
  dest->items[pos].lineno = what->lineno;
#line 449
  break;
#line 449
}
#line 449

#line 456 "filter/f-inst.c"
 /* Linearize for FI_EQ */
#line 456
case FI_EQ: {
#line 456
#define whati (&(what->i_FI_EQ))
#line 456
#define item (&(dest->items[pos].i_FI_EQ))
#line 456
  #line 450 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 451 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 456 "filter/f-inst.c"
#undef item
#line 456
  dest->items[pos].fi_code = what->fi_code;
#line 456
  dest->items[pos].flags = what->flags;
#line 456
  dest->items[pos].lineno = what->lineno;
#line 456
  break;
#line 456
}
#line 456

#line 467 "filter/f-inst.c"
 /* Linearize for FI_LT */
#line 467
case FI_LT: {
#line 467
#define whati (&(what->i_FI_LT))
#line 467
#define item (&(dest->items[pos].i_FI_LT))
#line 467
  #line 457 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 458 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 467 "filter/f-inst.c"
#undef item
#line 467
  dest->items[pos].fi_code = what->fi_code;
#line 467
  dest->items[pos].flags = what->flags;
#line 467
  dest->items[pos].lineno = what->lineno;
#line 467
  break;
#line 467
}
#line 467

#line 478 "filter/f-inst.c"
 /* Linearize for FI_LTE */
#line 478
case FI_LTE: {
#line 478
#define whati (&(what->i_FI_LTE))
#line 478
#define item (&(dest->items[pos].i_FI_LTE))
#line 478
  #line 468 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 469 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 478 "filter/f-inst.c"
#undef item
#line 478
  dest->items[pos].fi_code = what->fi_code;
#line 478
  dest->items[pos].flags = what->flags;
#line 478
  dest->items[pos].lineno = what->lineno;
#line 478
  break;
#line 478
}
#line 478

#line 483 "filter/f-inst.c"
 /* Linearize for FI_NOT */
#line 483
case FI_NOT: {
#line 483
#define whati (&(what->i_FI_NOT))
#line 483
#define item (&(dest->items[pos].i_FI_NOT))
#line 483
  #line 479 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 483 "filter/f-inst.c"
#undef item
#line 483
  dest->items[pos].fi_code = what->fi_code;
#line 483
  dest->items[pos].flags = what->flags;
#line 483
  dest->items[pos].lineno = what->lineno;
#line 483
  break;
#line 483
}
#line 483

#line 492 "filter/f-inst.c"
 /* Linearize for FI_MATCH */
#line 492
case FI_MATCH: {
#line 492
#define whati (&(what->i_FI_MATCH))
#line 492
#define item (&(dest->items[pos].i_FI_MATCH))
#line 492
  #line 484 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 485 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 492 "filter/f-inst.c"
#undef item
#line 492
  dest->items[pos].fi_code = what->fi_code;
#line 492
  dest->items[pos].flags = what->flags;
#line 492
  dest->items[pos].lineno = what->lineno;
#line 492
  break;
#line 492
}
#line 492

#line 501 "filter/f-inst.c"
 /* Linearize for FI_NOT_MATCH */
#line 501
case FI_NOT_MATCH: {
#line 501
#define whati (&(what->i_FI_NOT_MATCH))
#line 501
#define item (&(dest->items[pos].i_FI_NOT_MATCH))
#line 501
  #line 493 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 494 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 501 "filter/f-inst.c"
#undef item
#line 501
  dest->items[pos].fi_code = what->fi_code;
#line 501
  dest->items[pos].flags = what->flags;
#line 501
  dest->items[pos].lineno = what->lineno;
#line 501
  break;
#line 501
}
#line 501

#line 506 "filter/f-inst.c"
 /* Linearize for FI_DEFINED */
#line 506
case FI_DEFINED: {
#line 506
#define whati (&(what->i_FI_DEFINED))
#line 506
#define item (&(dest->items[pos].i_FI_DEFINED))
#line 506
  #line 502 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 506 "filter/f-inst.c"
#undef item
#line 506
  dest->items[pos].fi_code = what->fi_code;
#line 506
  dest->items[pos].flags = what->flags;
#line 506
  dest->items[pos].lineno = what->lineno;
#line 506
  break;
#line 506
}
#line 506

#line 507 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__type */
#line 507
case FI_METHOD__T_NET__type: {
#line 507
#define whati (&(what->i_FI_METHOD__T_NET__type))
#line 507
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__type))
#line 507
  #line 506 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 507 "filter/f-inst.c"
#undef item
#line 507
  dest->items[pos].fi_code = what->fi_code;
#line 507
  dest->items[pos].flags = what->flags;
#line 507
  dest->items[pos].lineno = what->lineno;
#line 507
  break;
#line 507
}
#line 507

#line 510 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_IP__is_v4 */
#line 510
case FI_METHOD__T_IP__is_v4: {
#line 510
#define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 510
#define item (&(dest->items[pos].i_FI_METHOD__T_IP__is_v4))
#line 510
  #line 507 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 510 "filter/f-inst.c"
#undef item
#line 510
  dest->items[pos].fi_code = what->fi_code;
#line 510
  dest->items[pos].flags = what->flags;
#line 510
  dest->items[pos].lineno = what->lineno;
#line 510
  break;
#line 510
}
#line 510

#line 523 "filter/f-inst.c"
 /* Linearize for FI_VAR_INIT */
#line 523
case FI_VAR_INIT: {
#line 523
#define whati (&(what->i_FI_VAR_INIT))
#line 523
#define item (&(dest->items[pos].i_FI_VAR_INIT))
#line 523
  #line 512 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 513 "filter/f-inst.c"
item->sym = whati->sym;
#line 513

#undef whati
#line 523 "filter/f-inst.c"
#undef item
#line 523
  dest->items[pos].fi_code = what->fi_code;
#line 523
  dest->items[pos].flags = what->flags;
#line 523
  dest->items[pos].lineno = what->lineno;
#line 523
  break;
#line 523
}
#line 523

#line 534 "filter/f-inst.c"
 /* Linearize for FI_VAR_INIT0 */
#line 534
case FI_VAR_INIT0: {
#line 534
#define whati (&(what->i_FI_VAR_INIT0))
#line 534
#define item (&(dest->items[pos].i_FI_VAR_INIT0))
#line 534
  #line 525 "filter/f-inst.c"
item->sym = whati->sym;
#line 525

#undef whati
#line 534 "filter/f-inst.c"
#undef item
#line 534
  dest->items[pos].fi_code = what->fi_code;
#line 534
  dest->items[pos].flags = what->flags;
#line 534
  dest->items[pos].lineno = what->lineno;
#line 534
  break;
#line 534
}
#line 534

#line 543 "filter/f-inst.c"
 /* Linearize for FI_VAR_SET */
#line 543
case FI_VAR_SET: {
#line 543
#define whati (&(what->i_FI_VAR_SET))
#line 543
#define item (&(dest->items[pos].i_FI_VAR_SET))
#line 543
  #line 536 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 537 "filter/f-inst.c"
item->sym = whati->sym;
#line 537

#undef whati
#line 543 "filter/f-inst.c"
#undef item
#line 543
  dest->items[pos].fi_code = what->fi_code;
#line 543
  dest->items[pos].flags = what->flags;
#line 543
  dest->items[pos].lineno = what->lineno;
#line 543
  break;
#line 543
}
#line 543

#line 550 "filter/f-inst.c"
 /* Linearize for FI_VAR_GET */
#line 550
case FI_VAR_GET: {
#line 550
#define whati (&(what->i_FI_VAR_GET))
#line 550
#define item (&(dest->items[pos].i_FI_VAR_GET))
#line 550
  #line 544 "filter/f-inst.c"
item->sym = whati->sym;
#line 544

#undef whati
#line 550 "filter/f-inst.c"
#undef item
#line 550
  dest->items[pos].fi_code = what->fi_code;
#line 550
  dest->items[pos].flags = what->flags;
#line 550
  dest->items[pos].lineno = what->lineno;
#line 550
  break;
#line 550
}
#line 550

#line 563 "filter/f-inst.c"
 /* Linearize for FI_CONSTANT */
#line 563
case FI_CONSTANT: {
#line 563
#define whati (&(what->i_FI_CONSTANT))
#line 563
#define item (&(dest->items[pos].i_FI_CONSTANT))
#line 563
  #line 551 "filter/f-inst.c"
item->val = whati->val;
#line 551

#undef whati
#line 563 "filter/f-inst.c"
#undef item
#line 563
  dest->items[pos].fi_code = what->fi_code;
#line 563
  dest->items[pos].flags = what->flags;
#line 563
  dest->items[pos].lineno = what->lineno;
#line 563
  break;
#line 563
}
#line 563

#line 564 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__empty */
#line 564
case FI_METHOD__T_PATH__empty: {
#line 564
#define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 564
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__empty))
#line 564
  #line 563 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 564 "filter/f-inst.c"
#undef item
#line 564
  dest->items[pos].fi_code = what->fi_code;
#line 564
  dest->items[pos].flags = what->flags;
#line 564
  dest->items[pos].lineno = what->lineno;
#line 564
  break;
#line 564
}
#line 564

#line 565 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__empty */
#line 565
case FI_METHOD__T_CLIST__empty: {
#line 565
#define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 565
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__empty))
#line 565
  #line 564 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 565 "filter/f-inst.c"
#undef item
#line 565
  dest->items[pos].fi_code = what->fi_code;
#line 565
  dest->items[pos].flags = what->flags;
#line 565
  dest->items[pos].lineno = what->lineno;
#line 565
  break;
#line 565
}
#line 565

#line 566 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__empty */
#line 566
case FI_METHOD__T_ECLIST__empty: {
#line 566
#define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 566
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__empty))
#line 566
  #line 565 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 566 "filter/f-inst.c"
#undef item
#line 566
  dest->items[pos].fi_code = what->fi_code;
#line 566
  dest->items[pos].flags = what->flags;
#line 566
  dest->items[pos].lineno = what->lineno;
#line 566
  break;
#line 566
}
#line 566

#line 569 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__empty */
#line 569
case FI_METHOD__T_LCLIST__empty: {
#line 569
#define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 569
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__empty))
#line 569
  #line 566 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 569 "filter/f-inst.c"
#undef item
#line 569
  dest->items[pos].fi_code = what->fi_code;
#line 569
  dest->items[pos].flags = what->flags;
#line 569
  dest->items[pos].lineno = what->lineno;
#line 569
  break;
#line 569
}
#line 569

#line 591 "filter/f-inst.c"
 /* Linearize for FI_FOR_LOOP_START */
#line 591
case FI_FOR_LOOP_START: {
#line 591
#define whati (&(what->i_FI_FOR_LOOP_START))
#line 591
#define item (&(dest->items[pos].i_FI_FOR_LOOP_START))
#line 591
  #line 571 "filter/f-inst.c"
item->sym = whati->sym;
#line 571

#undef whati
#line 591 "filter/f-inst.c"
#undef item
#line 591
  dest->items[pos].fi_code = what->fi_code;
#line 591
  dest->items[pos].flags = what->flags;
#line 591
  dest->items[pos].lineno = what->lineno;
#line 591
  break;
#line 591
}
#line 591

#line 600 "filter/f-inst.c"
 /* Linearize for FI_PATH_FOR_NEXT */
#line 600
case FI_PATH_FOR_NEXT: {
#line 600
#define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 600
#define item (&(dest->items[pos].i_FI_PATH_FOR_NEXT))
#line 600
  #line 593 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 595 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 600 "filter/f-inst.c"
#undef item
#line 600
  dest->items[pos].fi_code = what->fi_code;
#line 600
  dest->items[pos].flags = what->flags;
#line 600
  dest->items[pos].lineno = what->lineno;
#line 600
  break;
#line 600
}
#line 600

#line 609 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FOR_NEXT */
#line 609
case FI_CLIST_FOR_NEXT: {
#line 609
#define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 609
#define item (&(dest->items[pos].i_FI_CLIST_FOR_NEXT))
#line 609
  #line 602 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 604 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 609 "filter/f-inst.c"
#undef item
#line 609
  dest->items[pos].fi_code = what->fi_code;
#line 609
  dest->items[pos].flags = what->flags;
#line 609
  dest->items[pos].lineno = what->lineno;
#line 609
  break;
#line 609
}
#line 609

#line 618 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FOR_NEXT */
#line 618
case FI_ECLIST_FOR_NEXT: {
#line 618
#define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 618
#define item (&(dest->items[pos].i_FI_ECLIST_FOR_NEXT))
#line 618
  #line 611 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 613 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 618 "filter/f-inst.c"
#undef item
#line 618
  dest->items[pos].fi_code = what->fi_code;
#line 618
  dest->items[pos].flags = what->flags;
#line 618
  dest->items[pos].lineno = what->lineno;
#line 618
  break;
#line 618
}
#line 618

#line 627 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FOR_NEXT */
#line 627
case FI_LCLIST_FOR_NEXT: {
#line 627
#define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 627
#define item (&(dest->items[pos].i_FI_LCLIST_FOR_NEXT))
#line 627
  #line 620 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 622 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 627 "filter/f-inst.c"
#undef item
#line 627
  dest->items[pos].fi_code = what->fi_code;
#line 627
  dest->items[pos].flags = what->flags;
#line 627
  dest->items[pos].lineno = what->lineno;
#line 627
  break;
#line 627
}
#line 627

#line 640 "filter/f-inst.c"
 /* Linearize for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
case FI_ROUTES_BLOCK_FOR_NEXT: {
#line 640
#define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 640
#define item (&(dest->items[pos].i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 640
  #line 629 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 634 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 640 "filter/f-inst.c"
#undef item
#line 640
  dest->items[pos].fi_code = what->fi_code;
#line 640
  dest->items[pos].flags = what->flags;
#line 640
  dest->items[pos].lineno = what->lineno;
#line 640
  break;
#line 640
}
#line 640

#line 648 "filter/f-inst.c"
 /* Linearize for FI_CONDITION */
#line 648
case FI_CONDITION: {
#line 648
#define whati (&(what->i_FI_CONDITION))
#line 648
#define item (&(dest->items[pos].i_FI_CONDITION))
#line 648
  #line 641 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 643 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#line 645 "filter/f-inst.c"
item->fl3 = f_linearize(whati->f3, 0);
#undef whati
#line 648 "filter/f-inst.c"
#undef item
#line 648
  dest->items[pos].fi_code = what->fi_code;
#line 648
  dest->items[pos].flags = what->flags;
#line 648
  dest->items[pos].lineno = what->lineno;
#line 648
  break;
#line 648
}
#line 648

#line 661 "filter/f-inst.c"
 /* Linearize for FI_PRINT */
#line 661
case FI_PRINT: {
#line 661
#define whati (&(what->i_FI_PRINT))
#line 661
#define item (&(dest->items[pos].i_FI_PRINT))
#line 661
  #line 650 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 661 "filter/f-inst.c"
#undef item
#line 661
  dest->items[pos].fi_code = what->fi_code;
#line 661
  dest->items[pos].flags = what->flags;
#line 661
  dest->items[pos].lineno = what->lineno;
#line 661
  break;
#line 661
}
#line 661

#line 668 "filter/f-inst.c"
 /* Linearize for FI_FLUSH */
#line 668
case FI_FLUSH: {
#line 668
#define whati (&(what->i_FI_FLUSH))
#line 668
#define item (&(dest->items[pos].i_FI_FLUSH))
#line 668
  #undef whati
#line 668
#undef item
#line 668
  dest->items[pos].fi_code = what->fi_code;
#line 668
  dest->items[pos].flags = what->flags;
#line 668
  dest->items[pos].lineno = what->lineno;
#line 668
  break;
#line 668
}
#line 668

#line 682 "filter/f-inst.c"
 /* Linearize for FI_DIE */
#line 682
case FI_DIE: {
#line 682
#define whati (&(what->i_FI_DIE))
#line 682
#define item (&(dest->items[pos].i_FI_DIE))
#line 682
  #line 670 "filter/f-inst.c"
item->fret = whati->fret;
#line 670

#undef whati
#line 682 "filter/f-inst.c"
#undef item
#line 682
  dest->items[pos].fi_code = what->fi_code;
#line 682
  dest->items[pos].flags = what->flags;
#line 682
  dest->items[pos].lineno = what->lineno;
#line 682
  break;
#line 682
}
#line 682

#line 689 "filter/f-inst.c"
 /* Linearize for FI_CURRENT_ROUTE */
#line 689
case FI_CURRENT_ROUTE: {
#line 689
#define whati (&(what->i_FI_CURRENT_ROUTE))
#line 689
#define item (&(dest->items[pos].i_FI_CURRENT_ROUTE))
#line 689
  #undef whati
#line 689
#undef item
#line 689
  dest->items[pos].fi_code = what->fi_code;
#line 689
  dest->items[pos].flags = what->flags;
#line 689
  dest->items[pos].lineno = what->lineno;
#line 689
  break;
#line 689
}
#line 689

#line 736 "filter/f-inst.c"
 /* Linearize for FI_RTA_GET */
#line 736
case FI_RTA_GET: {
#line 736
#define whati (&(what->i_FI_RTA_GET))
#line 736
#define item (&(dest->items[pos].i_FI_RTA_GET))
#line 736
  #line 691 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 692 "filter/f-inst.c"
item->sa = whati->sa;
#line 692

#undef whati
#line 736 "filter/f-inst.c"
#undef item
#line 736
  dest->items[pos].fi_code = what->fi_code;
#line 736
  dest->items[pos].flags = what->flags;
#line 736
  dest->items[pos].lineno = what->lineno;
#line 736
  break;
#line 736
}
#line 736

#line 861 "filter/f-inst.c"
 /* Linearize for FI_RTA_SET */
#line 861
case FI_RTA_SET: {
#line 861
#define whati (&(what->i_FI_RTA_SET))
#line 861
#define item (&(dest->items[pos].i_FI_RTA_SET))
#line 861
  #line 738 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 739 "filter/f-inst.c"
item->sa = whati->sa;
#line 739

#undef whati
#line 861 "filter/f-inst.c"
#undef item
#line 861
  dest->items[pos].fi_code = what->fi_code;
#line 861
  dest->items[pos].flags = what->flags;
#line 861
  dest->items[pos].lineno = what->lineno;
#line 861
  break;
#line 861
}
#line 861

#line 898 "filter/f-inst.c"
 /* Linearize for FI_EA_GET */
#line 898
case FI_EA_GET: {
#line 898
#define whati (&(what->i_FI_EA_GET))
#line 898
#define item (&(dest->items[pos].i_FI_EA_GET))
#line 898
  #line 862 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 863 "filter/f-inst.c"
item->da = whati->da;
#line 863

#undef whati
#line 898 "filter/f-inst.c"
#undef item
#line 898
  dest->items[pos].fi_code = what->fi_code;
#line 898
  dest->items[pos].flags = what->flags;
#line 898
  dest->items[pos].lineno = what->lineno;
#line 898
  break;
#line 898
}
#line 898

#line 939 "filter/f-inst.c"
 /* Linearize for FI_EA_SET */
#line 939
case FI_EA_SET: {
#line 939
#define whati (&(what->i_FI_EA_SET))
#line 939
#define item (&(dest->items[pos].i_FI_EA_SET))
#line 939
  #line 900 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 901 "filter/f-inst.c"
item->da = whati->da;
#line 901

#undef whati
#line 939 "filter/f-inst.c"
#undef item
#line 939
  dest->items[pos].fi_code = what->fi_code;
#line 939
  dest->items[pos].flags = what->flags;
#line 939
  dest->items[pos].lineno = what->lineno;
#line 939
  break;
#line 939
}
#line 939

#line 946 "filter/f-inst.c"
 /* Linearize for FI_EA_UNSET */
#line 946
case FI_EA_UNSET: {
#line 946
#define whati (&(what->i_FI_EA_UNSET))
#line 946
#define item (&(dest->items[pos].i_FI_EA_UNSET))
#line 946
  #line 940 "filter/f-inst.c"
item->da = whati->da;
#line 940

#undef whati
#line 946 "filter/f-inst.c"
#undef item
#line 946
  dest->items[pos].fi_code = what->fi_code;
#line 946
  dest->items[pos].flags = what->flags;
#line 946
  dest->items[pos].lineno = what->lineno;
#line 946
  break;
#line 946
}
#line 946

#line 960 "filter/f-inst.c"
 /* Linearize for FI_DEFAULT */
#line 960
case FI_DEFAULT: {
#line 960
#define whati (&(what->i_FI_DEFAULT))
#line 960
#define item (&(dest->items[pos].i_FI_DEFAULT))
#line 960
  #line 947 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 948 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 960 "filter/f-inst.c"
#undef item
#line 960
  dest->items[pos].fi_code = what->fi_code;
#line 960
  dest->items[pos].flags = what->flags;
#line 960
  dest->items[pos].lineno = what->lineno;
#line 960
  break;
#line 960
}
#line 960

#line 961 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__len */
#line 961
case FI_METHOD__T_NET__len: {
#line 961
#define whati (&(what->i_FI_METHOD__T_NET__len))
#line 961
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__len))
#line 961
  #line 960 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 961 "filter/f-inst.c"
#undef item
#line 961
  dest->items[pos].fi_code = what->fi_code;
#line 961
  dest->items[pos].flags = what->flags;
#line 961
  dest->items[pos].lineno = what->lineno;
#line 961
  break;
#line 961
}
#line 961

#line 962 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__len */
#line 962
case FI_METHOD__T_PATH__len: {
#line 962
#define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 962
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__len))
#line 962
  #line 961 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 962 "filter/f-inst.c"
#undef item
#line 962
  dest->items[pos].fi_code = what->fi_code;
#line 962
  dest->items[pos].flags = what->flags;
#line 962
  dest->items[pos].lineno = what->lineno;
#line 962
  break;
#line 962
}
#line 962

#line 963 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__len */
#line 963
case FI_METHOD__T_CLIST__len: {
#line 963
#define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 963
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__len))
#line 963
  #line 962 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 963 "filter/f-inst.c"
#undef item
#line 963
  dest->items[pos].fi_code = what->fi_code;
#line 963
  dest->items[pos].flags = what->flags;
#line 963
  dest->items[pos].lineno = what->lineno;
#line 963
  break;
#line 963
}
#line 963

#line 964 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__len */
#line 964
case FI_METHOD__T_ECLIST__len: {
#line 964
#define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 964
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__len))
#line 964
  #line 963 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 964 "filter/f-inst.c"
#undef item
#line 964
  dest->items[pos].fi_code = what->fi_code;
#line 964
  dest->items[pos].flags = what->flags;
#line 964
  dest->items[pos].lineno = what->lineno;
#line 964
  break;
#line 964
}
#line 964

#line 966 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__len */
#line 966
case FI_METHOD__T_LCLIST__len: {
#line 966
#define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 966
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__len))
#line 966
  #line 964 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 966 "filter/f-inst.c"
#undef item
#line 966
  dest->items[pos].fi_code = what->fi_code;
#line 966
  dest->items[pos].flags = what->flags;
#line 966
  dest->items[pos].lineno = what->lineno;
#line 966
  break;
#line 966
}
#line 966

#line 1002 "filter/f-inst.c"
 /* Linearize for FI_NET_SRC */
#line 1002
case FI_NET_SRC: {
#line 1002
#define whati (&(what->i_FI_NET_SRC))
#line 1002
#define item (&(dest->items[pos].i_FI_NET_SRC))
#line 1002
  #line 967 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1002 "filter/f-inst.c"
#undef item
#line 1002
  dest->items[pos].fi_code = what->fi_code;
#line 1002
  dest->items[pos].flags = what->flags;
#line 1002
  dest->items[pos].lineno = what->lineno;
#line 1002
  break;
#line 1002
}
#line 1002

#line 1039 "filter/f-inst.c"
 /* Linearize for FI_NET_DST */
#line 1039
case FI_NET_DST: {
#line 1039
#define whati (&(what->i_FI_NET_DST))
#line 1039
#define item (&(dest->items[pos].i_FI_NET_DST))
#line 1039
  #line 1003 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1039 "filter/f-inst.c"
#undef item
#line 1039
  dest->items[pos].fi_code = what->fi_code;
#line 1039
  dest->items[pos].flags = what->flags;
#line 1039
  dest->items[pos].lineno = what->lineno;
#line 1039
  break;
#line 1039
}
#line 1039

#line 1049 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__maxlen */
#line 1049
case FI_METHOD__T_NET__maxlen: {
#line 1049
#define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1049
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__maxlen))
#line 1049
  #line 1039 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1049 "filter/f-inst.c"
#undef item
#line 1049
  dest->items[pos].fi_code = what->fi_code;
#line 1049
  dest->items[pos].flags = what->flags;
#line 1049
  dest->items[pos].lineno = what->lineno;
#line 1049
  break;
#line 1049
}
#line 1049

#line 1059 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__asn */
#line 1059
case FI_METHOD__T_NET__asn: {
#line 1059
#define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1059
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__asn))
#line 1059
  #line 1049 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1059 "filter/f-inst.c"
#undef item
#line 1059
  dest->items[pos].fi_code = what->fi_code;
#line 1059
  dest->items[pos].flags = what->flags;
#line 1059
  dest->items[pos].lineno = what->lineno;
#line 1059
  break;
#line 1059
}
#line 1059

#line 1061 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__ip */
#line 1061
case FI_METHOD__T_NET__ip: {
#line 1061
#define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1061
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__ip))
#line 1061
  #line 1059 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1061 "filter/f-inst.c"
#undef item
#line 1061
  dest->items[pos].fi_code = what->fi_code;
#line 1061
  dest->items[pos].flags = what->flags;
#line 1061
  dest->items[pos].lineno = what->lineno;
#line 1061
  break;
#line 1061
}
#line 1061

#line 1070 "filter/f-inst.c"
 /* Linearize for FI_ROUTE_DISTINGUISHER */
#line 1070
case FI_ROUTE_DISTINGUISHER: {
#line 1070
#define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1070
#define item (&(dest->items[pos].i_FI_ROUTE_DISTINGUISHER))
#line 1070
  #line 1062 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1070 "filter/f-inst.c"
#undef item
#line 1070
  dest->items[pos].fi_code = what->fi_code;
#line 1070
  dest->items[pos].flags = what->flags;
#line 1070
  dest->items[pos].lineno = what->lineno;
#line 1070
  break;
#line 1070
}
#line 1070

#line 1073 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__first */
#line 1073
case FI_METHOD__T_PATH__first: {
#line 1073
#define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1073
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__first))
#line 1073
  #line 1070 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1073 "filter/f-inst.c"
#undef item
#line 1073
  dest->items[pos].fi_code = what->fi_code;
#line 1073
  dest->items[pos].flags = what->flags;
#line 1073
  dest->items[pos].lineno = what->lineno;
#line 1073
  break;
#line 1073
}
#line 1073

#line 1076 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__last */
#line 1076
case FI_METHOD__T_PATH__last: {
#line 1076
#define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1076
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__last))
#line 1076
  #line 1073 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1076 "filter/f-inst.c"
#undef item
#line 1076
  dest->items[pos].fi_code = what->fi_code;
#line 1076
  dest->items[pos].flags = what->flags;
#line 1076
  dest->items[pos].lineno = what->lineno;
#line 1076
  break;
#line 1076
}
#line 1076

#line 1079 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
case FI_METHOD__T_PATH__last_nonaggregated: {
#line 1079
#define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1079
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1079
  #line 1076 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1079 "filter/f-inst.c"
#undef item
#line 1079
  dest->items[pos].fi_code = what->fi_code;
#line 1079
  dest->items[pos].flags = what->flags;
#line 1079
  dest->items[pos].lineno = what->lineno;
#line 1079
  break;
#line 1079
}
#line 1079

#line 1082 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PAIR__asn */
#line 1082
case FI_METHOD__T_PAIR__asn: {
#line 1082
#define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1082
#define item (&(dest->items[pos].i_FI_METHOD__T_PAIR__asn))
#line 1082
  #line 1079 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1082 "filter/f-inst.c"
#undef item
#line 1082
  dest->items[pos].fi_code = what->fi_code;
#line 1082
  dest->items[pos].flags = what->flags;
#line 1082
  dest->items[pos].lineno = what->lineno;
#line 1082
  break;
#line 1082
}
#line 1082

#line 1085 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PAIR__data */
#line 1085
case FI_METHOD__T_PAIR__data: {
#line 1085
#define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1085
#define item (&(dest->items[pos].i_FI_METHOD__T_PAIR__data))
#line 1085
  #line 1082 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1085 "filter/f-inst.c"
#undef item
#line 1085
  dest->items[pos].fi_code = what->fi_code;
#line 1085
  dest->items[pos].flags = what->flags;
#line 1085
  dest->items[pos].lineno = what->lineno;
#line 1085
  break;
#line 1085
}
#line 1085

#line 1088 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__asn */
#line 1088
case FI_METHOD__T_LC__asn: {
#line 1088
#define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1088
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__asn))
#line 1088
  #line 1085 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1088 "filter/f-inst.c"
#undef item
#line 1088
  dest->items[pos].fi_code = what->fi_code;
#line 1088
  dest->items[pos].flags = what->flags;
#line 1088
  dest->items[pos].lineno = what->lineno;
#line 1088
  break;
#line 1088
}
#line 1088

#line 1091 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__data1 */
#line 1091
case FI_METHOD__T_LC__data1: {
#line 1091
#define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1091
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__data1))
#line 1091
  #line 1088 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1091 "filter/f-inst.c"
#undef item
#line 1091
  dest->items[pos].fi_code = what->fi_code;
#line 1091
  dest->items[pos].flags = what->flags;
#line 1091
  dest->items[pos].lineno = what->lineno;
#line 1091
  break;
#line 1091
}
#line 1091

#line 1094 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__data2 */
#line 1094
case FI_METHOD__T_LC__data2: {
#line 1094
#define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1094
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__data2))
#line 1094
  #line 1091 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1094 "filter/f-inst.c"
#undef item
#line 1094
  dest->items[pos].fi_code = what->fi_code;
#line 1094
  dest->items[pos].flags = what->flags;
#line 1094
  dest->items[pos].lineno = what->lineno;
#line 1094
  break;
#line 1094
}
#line 1094

#line 1097 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__min */
#line 1097
case FI_METHOD__T_CLIST__min: {
#line 1097
#define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1097
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__min))
#line 1097
  #line 1094 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1097 "filter/f-inst.c"
#undef item
#line 1097
  dest->items[pos].fi_code = what->fi_code;
#line 1097
  dest->items[pos].flags = what->flags;
#line 1097
  dest->items[pos].lineno = what->lineno;
#line 1097
  break;
#line 1097
}
#line 1097

#line 1100 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__max */
#line 1100
case FI_METHOD__T_CLIST__max: {
#line 1100
#define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1100
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__max))
#line 1100
  #line 1097 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1100 "filter/f-inst.c"
#undef item
#line 1100
  dest->items[pos].fi_code = what->fi_code;
#line 1100
  dest->items[pos].flags = what->flags;
#line 1100
  dest->items[pos].lineno = what->lineno;
#line 1100
  break;
#line 1100
}
#line 1100

#line 1103 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__min */
#line 1103
case FI_METHOD__T_ECLIST__min: {
#line 1103
#define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1103
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__min))
#line 1103
  #line 1100 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1103 "filter/f-inst.c"
#undef item
#line 1103
  dest->items[pos].fi_code = what->fi_code;
#line 1103
  dest->items[pos].flags = what->flags;
#line 1103
  dest->items[pos].lineno = what->lineno;
#line 1103
  break;
#line 1103
}
#line 1103

#line 1106 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__max */
#line 1106
case FI_METHOD__T_ECLIST__max: {
#line 1106
#define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1106
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__max))
#line 1106
  #line 1103 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1106 "filter/f-inst.c"
#undef item
#line 1106
  dest->items[pos].fi_code = what->fi_code;
#line 1106
  dest->items[pos].flags = what->flags;
#line 1106
  dest->items[pos].lineno = what->lineno;
#line 1106
  break;
#line 1106
}
#line 1106

#line 1109 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__min */
#line 1109
case FI_METHOD__T_LCLIST__min: {
#line 1109
#define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1109
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__min))
#line 1109
  #line 1106 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1109 "filter/f-inst.c"
#undef item
#line 1109
  dest->items[pos].fi_code = what->fi_code;
#line 1109
  dest->items[pos].flags = what->flags;
#line 1109
  dest->items[pos].lineno = what->lineno;
#line 1109
  break;
#line 1109
}
#line 1109

#line 1111 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__max */
#line 1111
case FI_METHOD__T_LCLIST__max: {
#line 1111
#define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1111
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__max))
#line 1111
  #line 1109 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1111 "filter/f-inst.c"
#undef item
#line 1111
  dest->items[pos].fi_code = what->fi_code;
#line 1111
  dest->items[pos].flags = what->flags;
#line 1111
  dest->items[pos].lineno = what->lineno;
#line 1111
  break;
#line 1111
}
#line 1111

#line 1137 "filter/f-inst.c"
 /* Linearize for FI_RETURN */
#line 1137
case FI_RETURN: {
#line 1137
#define whati (&(what->i_FI_RETURN))
#line 1137
#define item (&(dest->items[pos].i_FI_RETURN))
#line 1137
  #line 1114 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1137 "filter/f-inst.c"
#undef item
#line 1137
  dest->items[pos].fi_code = what->fi_code;
#line 1137
  dest->items[pos].flags = what->flags;
#line 1137
  dest->items[pos].lineno = what->lineno;
#line 1137
  break;
#line 1137
}
#line 1137

#line 1197 "filter/f-inst.c"
 /* Linearize for FI_CALL */
#line 1197
case FI_CALL: {
#line 1197
#define whati (&(what->i_FI_CALL))
#line 1197
#define item (&(dest->items[pos].i_FI_CALL))
#line 1197
  #line 1139 "filter/f-inst.c"
  pos = linearize(dest, whati->fvar, pos);
#line 1139
  item->varcount = whati->varcount;
#line 1140 "filter/f-inst.c"
item->sym = whati->sym;
#line 1140

#undef whati
#line 1197 "filter/f-inst.c"
#undef item
#line 1197
  dest->items[pos].fi_code = what->fi_code;
#line 1197
  dest->items[pos].flags = what->flags;
#line 1197
  dest->items[pos].lineno = what->lineno;
#line 1197
  break;
#line 1197
}
#line 1197

#line 1202 "filter/f-inst.c"
 /* Linearize for FI_DROP_RESULT */
#line 1202
case FI_DROP_RESULT: {
#line 1202
#define whati (&(what->i_FI_DROP_RESULT))
#line 1202
#define item (&(dest->items[pos].i_FI_DROP_RESULT))
#line 1202
  #line 1199 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1202 "filter/f-inst.c"
#undef item
#line 1202
  dest->items[pos].fi_code = what->fi_code;
#line 1202
  dest->items[pos].flags = what->flags;
#line 1202
  dest->items[pos].lineno = what->lineno;
#line 1202
  break;
#line 1202
}
#line 1202

#line 1243 "filter/f-inst.c"
 /* Linearize for FI_SWITCH */
#line 1243
case FI_SWITCH: {
#line 1243
#define whati (&(what->i_FI_SWITCH))
#line 1243
#define item (&(dest->items[pos].i_FI_SWITCH))
#line 1243
  #line 1203 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1205 "filter/f-inst.c"
item->tree = whati->tree;
#line 1205


#line 1208 "filter/f-inst.c"
    /* Linearize all branches in switch */
    struct f_inst *last_inst = NULL;
    struct f_line *last_line = NULL;
    for (struct f_tree *t = whati->tree; t; t = t->left)
    {
      if (t->data != last_inst)
      {
	last_inst = t->data;
	last_line = f_linearize(t->data, 0);
      }

      t->data = last_line;
    }

    /* Balance the tree */
    item->tree = build_tree(whati->tree);

    #undef whati
#line 1243 "filter/f-inst.c"
#undef item
#line 1243
  dest->items[pos].fi_code = what->fi_code;
#line 1243
  dest->items[pos].flags = what->flags;
#line 1243
  dest->items[pos].lineno = what->lineno;
#line 1243
  break;
#line 1243
}
#line 1243

#line 1252 "filter/f-inst.c"
 /* Linearize for FI_IP_MASK */
#line 1252
case FI_IP_MASK: {
#line 1252
#define whati (&(what->i_FI_IP_MASK))
#line 1252
#define item (&(dest->items[pos].i_FI_IP_MASK))
#line 1252
  #line 1244 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1245 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1252 "filter/f-inst.c"
#undef item
#line 1252
  dest->items[pos].fi_code = what->fi_code;
#line 1252
  dest->items[pos].flags = what->flags;
#line 1252
  dest->items[pos].lineno = what->lineno;
#line 1252
  break;
#line 1252
}
#line 1252

#line 1260 "filter/f-inst.c"
 /* Linearize for FI_PATH_PREPEND */
#line 1260
case FI_PATH_PREPEND: {
#line 1260
#define whati (&(what->i_FI_PATH_PREPEND))
#line 1260
#define item (&(dest->items[pos].i_FI_PATH_PREPEND))
#line 1260
  #line 1253 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1254 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1260 "filter/f-inst.c"
#undef item
#line 1260
  dest->items[pos].fi_code = what->fi_code;
#line 1260
  dest->items[pos].flags = what->flags;
#line 1260
  dest->items[pos].lineno = what->lineno;
#line 1260
  break;
#line 1260
}
#line 1260

#line 1267 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_PAIR */
#line 1267
case FI_CLIST_ADD_PAIR: {
#line 1267
#define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1267
#define item (&(dest->items[pos].i_FI_CLIST_ADD_PAIR))
#line 1267
  #line 1261 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1262 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1267 "filter/f-inst.c"
#undef item
#line 1267
  dest->items[pos].fi_code = what->fi_code;
#line 1267
  dest->items[pos].flags = what->flags;
#line 1267
  dest->items[pos].lineno = what->lineno;
#line 1267
  break;
#line 1267
}
#line 1267

#line 1281 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_IP */
#line 1281
case FI_CLIST_ADD_IP: {
#line 1281
#define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1281
#define item (&(dest->items[pos].i_FI_CLIST_ADD_IP))
#line 1281
  #line 1268 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1269 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1281 "filter/f-inst.c"
#undef item
#line 1281
  dest->items[pos].fi_code = what->fi_code;
#line 1281
  dest->items[pos].flags = what->flags;
#line 1281
  dest->items[pos].lineno = what->lineno;
#line 1281
  break;
#line 1281
}
#line 1281

#line 1288 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_QUAD */
#line 1288
case FI_CLIST_ADD_QUAD: {
#line 1288
#define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1288
#define item (&(dest->items[pos].i_FI_CLIST_ADD_QUAD))
#line 1288
  #line 1282 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1283 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1288 "filter/f-inst.c"
#undef item
#line 1288
  dest->items[pos].fi_code = what->fi_code;
#line 1288
  dest->items[pos].flags = what->flags;
#line 1288
  dest->items[pos].lineno = what->lineno;
#line 1288
  break;
#line 1288
}
#line 1288

#line 1295 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_CLIST */
#line 1295
case FI_CLIST_ADD_CLIST: {
#line 1295
#define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1295
#define item (&(dest->items[pos].i_FI_CLIST_ADD_CLIST))
#line 1295
  #line 1289 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1290 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1295 "filter/f-inst.c"
#undef item
#line 1295
  dest->items[pos].fi_code = what->fi_code;
#line 1295
  dest->items[pos].flags = what->flags;
#line 1295
  dest->items[pos].lineno = what->lineno;
#line 1295
  break;
#line 1295
}
#line 1295

#line 1302 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_ADD_EC */
#line 1302
case FI_ECLIST_ADD_EC: {
#line 1302
#define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1302
#define item (&(dest->items[pos].i_FI_ECLIST_ADD_EC))
#line 1302
  #line 1296 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1297 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1302 "filter/f-inst.c"
#undef item
#line 1302
  dest->items[pos].fi_code = what->fi_code;
#line 1302
  dest->items[pos].flags = what->flags;
#line 1302
  dest->items[pos].lineno = what->lineno;
#line 1302
  break;
#line 1302
}
#line 1302

#line 1309 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_ADD_ECLIST */
#line 1309
case FI_ECLIST_ADD_ECLIST: {
#line 1309
#define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1309
#define item (&(dest->items[pos].i_FI_ECLIST_ADD_ECLIST))
#line 1309
  #line 1303 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1304 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1309 "filter/f-inst.c"
#undef item
#line 1309
  dest->items[pos].fi_code = what->fi_code;
#line 1309
  dest->items[pos].flags = what->flags;
#line 1309
  dest->items[pos].lineno = what->lineno;
#line 1309
  break;
#line 1309
}
#line 1309

#line 1316 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_ADD_LC */
#line 1316
case FI_LCLIST_ADD_LC: {
#line 1316
#define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1316
#define item (&(dest->items[pos].i_FI_LCLIST_ADD_LC))
#line 1316
  #line 1310 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1311 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1316 "filter/f-inst.c"
#undef item
#line 1316
  dest->items[pos].fi_code = what->fi_code;
#line 1316
  dest->items[pos].flags = what->flags;
#line 1316
  dest->items[pos].lineno = what->lineno;
#line 1316
  break;
#line 1316
}
#line 1316

#line 1323 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_ADD_LCLIST */
#line 1323
case FI_LCLIST_ADD_LCLIST: {
#line 1323
#define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1323
#define item (&(dest->items[pos].i_FI_LCLIST_ADD_LCLIST))
#line 1323
  #line 1317 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1318 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1323 "filter/f-inst.c"
#undef item
#line 1323
  dest->items[pos].fi_code = what->fi_code;
#line 1323
  dest->items[pos].flags = what->flags;
#line 1323
  dest->items[pos].lineno = what->lineno;
#line 1323
  break;
#line 1323
}
#line 1323

#line 1330 "filter/f-inst.c"
 /* Linearize for FI_PATH_DELETE_INT */
#line 1330
case FI_PATH_DELETE_INT: {
#line 1330
#define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1330
#define item (&(dest->items[pos].i_FI_PATH_DELETE_INT))
#line 1330
  #line 1324 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1325 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1330 "filter/f-inst.c"
#undef item
#line 1330
  dest->items[pos].fi_code = what->fi_code;
#line 1330
  dest->items[pos].flags = what->flags;
#line 1330
  dest->items[pos].lineno = what->lineno;
#line 1330
  break;
#line 1330
}
#line 1330

#line 1342 "filter/f-inst.c"
 /* Linearize for FI_PATH_DELETE_SET */
#line 1342
case FI_PATH_DELETE_SET: {
#line 1342
#define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1342
#define item (&(dest->items[pos].i_FI_PATH_DELETE_SET))
#line 1342
  #line 1331 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1332 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1342 "filter/f-inst.c"
#undef item
#line 1342
  dest->items[pos].fi_code = what->fi_code;
#line 1342
  dest->items[pos].flags = what->flags;
#line 1342
  dest->items[pos].lineno = what->lineno;
#line 1342
  break;
#line 1342
}
#line 1342

#line 1349 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_PAIR */
#line 1349
case FI_CLIST_DELETE_PAIR: {
#line 1349
#define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1349
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_PAIR))
#line 1349
  #line 1343 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1344 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1349 "filter/f-inst.c"
#undef item
#line 1349
  dest->items[pos].fi_code = what->fi_code;
#line 1349
  dest->items[pos].flags = what->flags;
#line 1349
  dest->items[pos].lineno = what->lineno;
#line 1349
  break;
#line 1349
}
#line 1349

#line 1363 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_IP */
#line 1363
case FI_CLIST_DELETE_IP: {
#line 1363
#define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1363
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_IP))
#line 1363
  #line 1350 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1351 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1363 "filter/f-inst.c"
#undef item
#line 1363
  dest->items[pos].fi_code = what->fi_code;
#line 1363
  dest->items[pos].flags = what->flags;
#line 1363
  dest->items[pos].lineno = what->lineno;
#line 1363
  break;
#line 1363
}
#line 1363

#line 1370 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_QUAD */
#line 1370
case FI_CLIST_DELETE_QUAD: {
#line 1370
#define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1370
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_QUAD))
#line 1370
  #line 1364 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1365 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1370 "filter/f-inst.c"
#undef item
#line 1370
  dest->items[pos].fi_code = what->fi_code;
#line 1370
  dest->items[pos].flags = what->flags;
#line 1370
  dest->items[pos].lineno = what->lineno;
#line 1370
  break;
#line 1370
}
#line 1370

#line 1377 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_CLIST */
#line 1377
case FI_CLIST_DELETE_CLIST: {
#line 1377
#define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1377
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_CLIST))
#line 1377
  #line 1371 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1372 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1377 "filter/f-inst.c"
#undef item
#line 1377
  dest->items[pos].fi_code = what->fi_code;
#line 1377
  dest->items[pos].flags = what->flags;
#line 1377
  dest->items[pos].lineno = what->lineno;
#line 1377
  break;
#line 1377
}
#line 1377

#line 1388 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_SET */
#line 1388
case FI_CLIST_DELETE_SET: {
#line 1388
#define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1388
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_SET))
#line 1388
  #line 1378 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1379 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1388 "filter/f-inst.c"
#undef item
#line 1388
  dest->items[pos].fi_code = what->fi_code;
#line 1388
  dest->items[pos].flags = what->flags;
#line 1388
  dest->items[pos].lineno = what->lineno;
#line 1388
  break;
#line 1388
}
#line 1388

#line 1395 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_EC */
#line 1395
case FI_ECLIST_DELETE_EC: {
#line 1395
#define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1395
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_EC))
#line 1395
  #line 1389 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1390 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1395 "filter/f-inst.c"
#undef item
#line 1395
  dest->items[pos].fi_code = what->fi_code;
#line 1395
  dest->items[pos].flags = what->flags;
#line 1395
  dest->items[pos].lineno = what->lineno;
#line 1395
  break;
#line 1395
}
#line 1395

#line 1402 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_ECLIST */
#line 1402
case FI_ECLIST_DELETE_ECLIST: {
#line 1402
#define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1402
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_ECLIST))
#line 1402
  #line 1396 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1397 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1402 "filter/f-inst.c"
#undef item
#line 1402
  dest->items[pos].fi_code = what->fi_code;
#line 1402
  dest->items[pos].flags = what->flags;
#line 1402
  dest->items[pos].lineno = what->lineno;
#line 1402
  break;
#line 1402
}
#line 1402

#line 1413 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_SET */
#line 1413
case FI_ECLIST_DELETE_SET: {
#line 1413
#define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1413
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_SET))
#line 1413
  #line 1403 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1404 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1413 "filter/f-inst.c"
#undef item
#line 1413
  dest->items[pos].fi_code = what->fi_code;
#line 1413
  dest->items[pos].flags = what->flags;
#line 1413
  dest->items[pos].lineno = what->lineno;
#line 1413
  break;
#line 1413
}
#line 1413

#line 1420 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_LC */
#line 1420
case FI_LCLIST_DELETE_LC: {
#line 1420
#define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1420
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_LC))
#line 1420
  #line 1414 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1415 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1420 "filter/f-inst.c"
#undef item
#line 1420
  dest->items[pos].fi_code = what->fi_code;
#line 1420
  dest->items[pos].flags = what->flags;
#line 1420
  dest->items[pos].lineno = what->lineno;
#line 1420
  break;
#line 1420
}
#line 1420

#line 1427 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_LCLIST */
#line 1427
case FI_LCLIST_DELETE_LCLIST: {
#line 1427
#define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1427
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_LCLIST))
#line 1427
  #line 1421 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1422 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1427 "filter/f-inst.c"
#undef item
#line 1427
  dest->items[pos].fi_code = what->fi_code;
#line 1427
  dest->items[pos].flags = what->flags;
#line 1427
  dest->items[pos].lineno = what->lineno;
#line 1427
  break;
#line 1427
}
#line 1427

#line 1438 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_SET */
#line 1438
case FI_LCLIST_DELETE_SET: {
#line 1438
#define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1438
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_SET))
#line 1438
  #line 1428 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1429 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1438 "filter/f-inst.c"
#undef item
#line 1438
  dest->items[pos].fi_code = what->fi_code;
#line 1438
  dest->items[pos].flags = what->flags;
#line 1438
  dest->items[pos].lineno = what->lineno;
#line 1438
  break;
#line 1438
}
#line 1438

#line 1449 "filter/f-inst.c"
 /* Linearize for FI_PATH_FILTER_SET */
#line 1449
case FI_PATH_FILTER_SET: {
#line 1449
#define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1449
#define item (&(dest->items[pos].i_FI_PATH_FILTER_SET))
#line 1449
  #line 1439 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1440 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1449 "filter/f-inst.c"
#undef item
#line 1449
  dest->items[pos].fi_code = what->fi_code;
#line 1449
  dest->items[pos].flags = what->flags;
#line 1449
  dest->items[pos].lineno = what->lineno;
#line 1449
  break;
#line 1449
}
#line 1449

#line 1456 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FILTER_CLIST */
#line 1456
case FI_CLIST_FILTER_CLIST: {
#line 1456
#define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1456
#define item (&(dest->items[pos].i_FI_CLIST_FILTER_CLIST))
#line 1456
  #line 1450 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1451 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1456 "filter/f-inst.c"
#undef item
#line 1456
  dest->items[pos].fi_code = what->fi_code;
#line 1456
  dest->items[pos].flags = what->flags;
#line 1456
  dest->items[pos].lineno = what->lineno;
#line 1456
  break;
#line 1456
}
#line 1456

#line 1467 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FILTER_SET */
#line 1467
case FI_CLIST_FILTER_SET: {
#line 1467
#define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1467
#define item (&(dest->items[pos].i_FI_CLIST_FILTER_SET))
#line 1467
  #line 1457 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1458 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1467 "filter/f-inst.c"
#undef item
#line 1467
  dest->items[pos].fi_code = what->fi_code;
#line 1467
  dest->items[pos].flags = what->flags;
#line 1467
  dest->items[pos].lineno = what->lineno;
#line 1467
  break;
#line 1467
}
#line 1467

#line 1474 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FILTER_ECLIST */
#line 1474
case FI_ECLIST_FILTER_ECLIST: {
#line 1474
#define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1474
#define item (&(dest->items[pos].i_FI_ECLIST_FILTER_ECLIST))
#line 1474
  #line 1468 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1469 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1474 "filter/f-inst.c"
#undef item
#line 1474
  dest->items[pos].fi_code = what->fi_code;
#line 1474
  dest->items[pos].flags = what->flags;
#line 1474
  dest->items[pos].lineno = what->lineno;
#line 1474
  break;
#line 1474
}
#line 1474

#line 1485 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FILTER_SET */
#line 1485
case FI_ECLIST_FILTER_SET: {
#line 1485
#define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1485
#define item (&(dest->items[pos].i_FI_ECLIST_FILTER_SET))
#line 1485
  #line 1475 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1476 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1485 "filter/f-inst.c"
#undef item
#line 1485
  dest->items[pos].fi_code = what->fi_code;
#line 1485
  dest->items[pos].flags = what->flags;
#line 1485
  dest->items[pos].lineno = what->lineno;
#line 1485
  break;
#line 1485
}
#line 1485

#line 1492 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FILTER_LCLIST */
#line 1492
case FI_LCLIST_FILTER_LCLIST: {
#line 1492
#define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1492
#define item (&(dest->items[pos].i_FI_LCLIST_FILTER_LCLIST))
#line 1492
  #line 1486 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1487 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1492 "filter/f-inst.c"
#undef item
#line 1492
  dest->items[pos].fi_code = what->fi_code;
#line 1492
  dest->items[pos].flags = what->flags;
#line 1492
  dest->items[pos].lineno = what->lineno;
#line 1492
  break;
#line 1492
}
#line 1492

#line 1503 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FILTER_SET */
#line 1503
case FI_LCLIST_FILTER_SET: {
#line 1503
#define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1503
#define item (&(dest->items[pos].i_FI_LCLIST_FILTER_SET))
#line 1503
  #line 1493 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1494 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1503 "filter/f-inst.c"
#undef item
#line 1503
  dest->items[pos].fi_code = what->fi_code;
#line 1503
  dest->items[pos].flags = what->flags;
#line 1503
  dest->items[pos].lineno = what->lineno;
#line 1503
  break;
#line 1503
}
#line 1503

#line 1525 "filter/f-inst.c"
 /* Linearize for FI_ROA_CHECK */
#line 1525
case FI_ROA_CHECK: {
#line 1525
#define whati (&(what->i_FI_ROA_CHECK))
#line 1525
#define item (&(dest->items[pos].i_FI_ROA_CHECK))
#line 1525
  #line 1505 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1506 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 1507 "filter/f-inst.c"
item->rtc = whati->rtc;
#line 1507

#undef whati
#line 1525 "filter/f-inst.c"
#undef item
#line 1525
  dest->items[pos].fi_code = what->fi_code;
#line 1525
  dest->items[pos].flags = what->flags;
#line 1525
  dest->items[pos].lineno = what->lineno;
#line 1525
  break;
#line 1525
}
#line 1525

#line 1541 "filter/f-inst.c"
 /* Linearize for FI_ASPA_CHECK_EXPLICIT */
#line 1541
case FI_ASPA_CHECK_EXPLICIT: {
#line 1541
#define whati (&(what->i_FI_ASPA_CHECK_EXPLICIT))
#line 1541
#define item (&(dest->items[pos].i_FI_ASPA_CHECK_EXPLICIT))
#line 1541
  #line 1527 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1528 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 1529 "filter/f-inst.c"
item->rtc = whati->rtc;
#line 1529

#undef whati
#line 1541 "filter/f-inst.c"
#undef item
#line 1541
  dest->items[pos].fi_code = what->fi_code;
#line 1541
  dest->items[pos].flags = what->flags;
#line 1541
  dest->items[pos].lineno = what->lineno;
#line 1541
  break;
#line 1541
}
#line 1541

#line 1556 "filter/f-inst.c"
 /* Linearize for FI_FROM_HEX */
#line 1556
case FI_FROM_HEX: {
#line 1556
#define whati (&(what->i_FI_FROM_HEX))
#line 1556
#define item (&(dest->items[pos].i_FI_FROM_HEX))
#line 1556
  #line 1542 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1556 "filter/f-inst.c"
#undef item
#line 1556
  dest->items[pos].fi_code = what->fi_code;
#line 1556
  dest->items[pos].flags = what->flags;
#line 1556
  dest->items[pos].lineno = what->lineno;
#line 1556
  break;
#line 1556
}
#line 1556

#line 1561 "filter/f-inst.c"
 /* Linearize for FI_FORMAT */
#line 1561
case FI_FORMAT: {
#line 1561
#define whati (&(what->i_FI_FORMAT))
#line 1561
#define item (&(dest->items[pos].i_FI_FORMAT))
#line 1561
  #line 1557 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1561 "filter/f-inst.c"
#undef item
#line 1561
  dest->items[pos].fi_code = what->fi_code;
#line 1561
  dest->items[pos].flags = what->flags;
#line 1561
  dest->items[pos].lineno = what->lineno;
#line 1561
  break;
#line 1561
}
#line 1561

#line 830 "filter/decl.m4"
 /* Linearize for FI_ASSERT */
#line 830
case FI_ASSERT: {
#line 830
#define whati (&(what->i_FI_ASSERT))
#line 830
#define item (&(dest->items[pos].i_FI_ASSERT))
#line 830
  #line 1563 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1565 "filter/f-inst.c"
item->s = whati->s;
#line 1565

#undef whati
#line 830 "filter/decl.m4"
#undef item
#line 830
  dest->items[pos].fi_code = what->fi_code;
#line 830
  dest->items[pos].flags = what->flags;
#line 830
  dest->items[pos].lineno = what->lineno;
#line 830
  break;
#line 830
}
#line 830

#line 708 "filter/decl.m4"

    }
    pos++;
  }
  return pos;
}

struct f_line *
f_linearize_concat(const struct f_inst * const inst[], uint count, uint results)
{
  uint len = 0;
  for (uint i=0; i<count; i++)
    for (const struct f_inst *what = inst[i]; what; what = what->next)
      len += what->size;

  struct f_line *out = cfg_allocz(sizeof(struct f_line) + sizeof(struct f_line_item)*len);

  for (uint i=0; i<count; i++)
    out->len = linearize(out, inst[i], out->len);

  out->results = results;
  return out;
}

/* Filter line comparison */
int
f_same(const struct f_line *fl1, const struct f_line *fl2)
{
  if ((!fl1) && (!fl2))
    return 1;
  if ((!fl1) || (!fl2))
    return 0;
  if (fl1->len != fl2->len)
    return 0;
  for (uint i=0; i<fl1->len; i++) {
#define f1_ (&(fl1->items[i]))
#define f2_ (&(fl2->items[i]))
    if (f1_->fi_code != f2_->fi_code)
      return 0;
    if (f1_->flags != f2_->flags)
      return 0;

    switch(f1_->fi_code) {
#line 288 "filter/f-inst.c"
 /* Comparison for FI_ADD */
#line 288
case FI_ADD:
#line 288
#define f1 (&(f1_->i_FI_ADD))
#line 288
#define f2 (&(f2_->i_FI_ADD))
#line 288
#undef f1
#line 288
#undef f2
#line 288
break;
#line 288

#line 293 "filter/f-inst.c"
 /* Comparison for FI_SUBTRACT */
#line 293
case FI_SUBTRACT:
#line 293
#define f1 (&(f1_->i_FI_SUBTRACT))
#line 293
#define f2 (&(f2_->i_FI_SUBTRACT))
#line 293
#undef f1
#line 293
#undef f2
#line 293
break;
#line 293

#line 298 "filter/f-inst.c"
 /* Comparison for FI_MULTIPLY */
#line 298
case FI_MULTIPLY:
#line 298
#define f1 (&(f1_->i_FI_MULTIPLY))
#line 298
#define f2 (&(f2_->i_FI_MULTIPLY))
#line 298
#undef f1
#line 298
#undef f2
#line 298
break;
#line 298

#line 304 "filter/f-inst.c"
 /* Comparison for FI_DIVIDE */
#line 304
case FI_DIVIDE:
#line 304
#define f1 (&(f1_->i_FI_DIVIDE))
#line 304
#define f2 (&(f2_->i_FI_DIVIDE))
#line 304
#undef f1
#line 304
#undef f2
#line 304
break;
#line 304

#line 309 "filter/f-inst.c"
 /* Comparison for FI_BITOR */
#line 309
case FI_BITOR:
#line 309
#define f1 (&(f1_->i_FI_BITOR))
#line 309
#define f2 (&(f2_->i_FI_BITOR))
#line 309
#undef f1
#line 309
#undef f2
#line 309
break;
#line 309

#line 314 "filter/f-inst.c"
 /* Comparison for FI_BITAND */
#line 314
case FI_BITAND:
#line 314
#define f1 (&(f1_->i_FI_BITAND))
#line 314
#define f2 (&(f2_->i_FI_BITAND))
#line 314
#undef f1
#line 314
#undef f2
#line 314
break;
#line 314

#line 324 "filter/f-inst.c"
 /* Comparison for FI_AND */
#line 324
case FI_AND:
#line 324
#define f1 (&(f1_->i_FI_AND))
#line 324
#define f2 (&(f2_->i_FI_AND))
#line 320 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 324 "filter/f-inst.c"
#undef f1
#line 324
#undef f2
#line 324
break;
#line 324

#line 335 "filter/f-inst.c"
 /* Comparison for FI_OR */
#line 335
case FI_OR:
#line 335
#define f1 (&(f1_->i_FI_OR))
#line 335
#define f2 (&(f2_->i_FI_OR))
#line 330 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 335 "filter/f-inst.c"
#undef f1
#line 335
#undef f2
#line 335
break;
#line 335

#line 345 "filter/f-inst.c"
 /* Comparison for FI_PAIR_CONSTRUCT */
#line 345
case FI_PAIR_CONSTRUCT:
#line 345
#define f1 (&(f1_->i_FI_PAIR_CONSTRUCT))
#line 345
#define f2 (&(f2_->i_FI_PAIR_CONSTRUCT))
#line 345
#undef f1
#line 345
#undef f2
#line 345
break;
#line 345

#line 385 "filter/f-inst.c"
 /* Comparison for FI_EC_CONSTRUCT */
#line 385
case FI_EC_CONSTRUCT:
#line 385
#define f1 (&(f1_->i_FI_EC_CONSTRUCT))
#line 385
#define f2 (&(f2_->i_FI_EC_CONSTRUCT))
#line 349 "filter/f-inst.c"
if (f1->ecs != f2->ecs) return 0;
#line 349

#line 349

#line 385 "filter/f-inst.c"
#undef f1
#line 385
#undef f2
#line 385
break;
#line 385

#line 392 "filter/f-inst.c"
 /* Comparison for FI_LC_CONSTRUCT */
#line 392
case FI_LC_CONSTRUCT:
#line 392
#define f1 (&(f1_->i_FI_LC_CONSTRUCT))
#line 392
#define f2 (&(f2_->i_FI_LC_CONSTRUCT))
#line 392
#undef f1
#line 392
#undef f2
#line 392
break;
#line 392

#line 442 "filter/f-inst.c"
 /* Comparison for FI_PATHMASK_CONSTRUCT */
#line 442
case FI_PATHMASK_CONSTRUCT:
#line 442
#define f1 (&(f1_->i_FI_PATHMASK_CONSTRUCT))
#line 442
#define f2 (&(f2_->i_FI_PATHMASK_CONSTRUCT))
#line 393 "filter/f-inst.c"
  if (f1->varcount != f2->varcount) return 0;
#line 442 "filter/f-inst.c"
#undef f1
#line 442
#undef f2
#line 442
break;
#line 442

#line 449 "filter/f-inst.c"
 /* Comparison for FI_NEQ */
#line 449
case FI_NEQ:
#line 449
#define f1 (&(f1_->i_FI_NEQ))
#line 449
#define f2 (&(f2_->i_FI_NEQ))
#line 449
#undef f1
#line 449
#undef f2
#line 449
break;
#line 449

#line 456 "filter/f-inst.c"
 /* Comparison for FI_EQ */
#line 456
case FI_EQ:
#line 456
#define f1 (&(f1_->i_FI_EQ))
#line 456
#define f2 (&(f2_->i_FI_EQ))
#line 456
#undef f1
#line 456
#undef f2
#line 456
break;
#line 456

#line 467 "filter/f-inst.c"
 /* Comparison for FI_LT */
#line 467
case FI_LT:
#line 467
#define f1 (&(f1_->i_FI_LT))
#line 467
#define f2 (&(f2_->i_FI_LT))
#line 467
#undef f1
#line 467
#undef f2
#line 467
break;
#line 467

#line 478 "filter/f-inst.c"
 /* Comparison for FI_LTE */
#line 478
case FI_LTE:
#line 478
#define f1 (&(f1_->i_FI_LTE))
#line 478
#define f2 (&(f2_->i_FI_LTE))
#line 478
#undef f1
#line 478
#undef f2
#line 478
break;
#line 478

#line 483 "filter/f-inst.c"
 /* Comparison for FI_NOT */
#line 483
case FI_NOT:
#line 483
#define f1 (&(f1_->i_FI_NOT))
#line 483
#define f2 (&(f2_->i_FI_NOT))
#line 483
#undef f1
#line 483
#undef f2
#line 483
break;
#line 483

#line 492 "filter/f-inst.c"
 /* Comparison for FI_MATCH */
#line 492
case FI_MATCH:
#line 492
#define f1 (&(f1_->i_FI_MATCH))
#line 492
#define f2 (&(f2_->i_FI_MATCH))
#line 492
#undef f1
#line 492
#undef f2
#line 492
break;
#line 492

#line 501 "filter/f-inst.c"
 /* Comparison for FI_NOT_MATCH */
#line 501
case FI_NOT_MATCH:
#line 501
#define f1 (&(f1_->i_FI_NOT_MATCH))
#line 501
#define f2 (&(f2_->i_FI_NOT_MATCH))
#line 501
#undef f1
#line 501
#undef f2
#line 501
break;
#line 501

#line 506 "filter/f-inst.c"
 /* Comparison for FI_DEFINED */
#line 506
case FI_DEFINED:
#line 506
#define f1 (&(f1_->i_FI_DEFINED))
#line 506
#define f2 (&(f2_->i_FI_DEFINED))
#line 506
#undef f1
#line 506
#undef f2
#line 506
break;
#line 506

#line 507 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__type */
#line 507
case FI_METHOD__T_NET__type:
#line 507
#define f1 (&(f1_->i_FI_METHOD__T_NET__type))
#line 507
#define f2 (&(f2_->i_FI_METHOD__T_NET__type))
#line 507
#undef f1
#line 507
#undef f2
#line 507
break;
#line 507

#line 510 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_IP__is_v4 */
#line 510
case FI_METHOD__T_IP__is_v4:
#line 510
#define f1 (&(f1_->i_FI_METHOD__T_IP__is_v4))
#line 510
#define f2 (&(f2_->i_FI_METHOD__T_IP__is_v4))
#line 510
#undef f1
#line 510
#undef f2
#line 510
break;
#line 510

#line 523 "filter/f-inst.c"
 /* Comparison for FI_VAR_INIT */
#line 523
case FI_VAR_INIT:
#line 523
#define f1 (&(f1_->i_FI_VAR_INIT))
#line 523
#define f2 (&(f2_->i_FI_VAR_INIT))
#line 513 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 513

#line 513

#line 523 "filter/f-inst.c"
#undef f1
#line 523
#undef f2
#line 523
break;
#line 523

#line 534 "filter/f-inst.c"
 /* Comparison for FI_VAR_INIT0 */
#line 534
case FI_VAR_INIT0:
#line 534
#define f1 (&(f1_->i_FI_VAR_INIT0))
#line 534
#define f2 (&(f2_->i_FI_VAR_INIT0))
#line 525 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 525

#line 525

#line 534 "filter/f-inst.c"
#undef f1
#line 534
#undef f2
#line 534
break;
#line 534

#line 543 "filter/f-inst.c"
 /* Comparison for FI_VAR_SET */
#line 543
case FI_VAR_SET:
#line 543
#define f1 (&(f1_->i_FI_VAR_SET))
#line 543
#define f2 (&(f2_->i_FI_VAR_SET))
#line 537 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 537

#line 537

#line 543 "filter/f-inst.c"
#undef f1
#line 543
#undef f2
#line 543
break;
#line 543

#line 550 "filter/f-inst.c"
 /* Comparison for FI_VAR_GET */
#line 550
case FI_VAR_GET:
#line 550
#define f1 (&(f1_->i_FI_VAR_GET))
#line 550
#define f2 (&(f2_->i_FI_VAR_GET))
#line 544 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 544

#line 544

#line 550 "filter/f-inst.c"
#undef f1
#line 550
#undef f2
#line 550
break;
#line 550

#line 563 "filter/f-inst.c"
 /* Comparison for FI_CONSTANT */
#line 563
case FI_CONSTANT:
#line 563
#define f1 (&(f1_->i_FI_CONSTANT))
#line 563
#define f2 (&(f2_->i_FI_CONSTANT))
#line 551 "filter/f-inst.c"
if ( !val_same(&(f1->val), &(f2->val)) ) return 0;
#line 551

#line 551

#line 563 "filter/f-inst.c"
#undef f1
#line 563
#undef f2
#line 563
break;
#line 563

#line 564 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__empty */
#line 564
case FI_METHOD__T_PATH__empty:
#line 564
#define f1 (&(f1_->i_FI_METHOD__T_PATH__empty))
#line 564
#define f2 (&(f2_->i_FI_METHOD__T_PATH__empty))
#line 564
#undef f1
#line 564
#undef f2
#line 564
break;
#line 564

#line 565 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__empty */
#line 565
case FI_METHOD__T_CLIST__empty:
#line 565
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__empty))
#line 565
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__empty))
#line 565
#undef f1
#line 565
#undef f2
#line 565
break;
#line 565

#line 566 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__empty */
#line 566
case FI_METHOD__T_ECLIST__empty:
#line 566
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__empty))
#line 566
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__empty))
#line 566
#undef f1
#line 566
#undef f2
#line 566
break;
#line 566

#line 569 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__empty */
#line 569
case FI_METHOD__T_LCLIST__empty:
#line 569
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__empty))
#line 569
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__empty))
#line 569
#undef f1
#line 569
#undef f2
#line 569
break;
#line 569

#line 591 "filter/f-inst.c"
 /* Comparison for FI_FOR_LOOP_START */
#line 591
case FI_FOR_LOOP_START:
#line 591
#define f1 (&(f1_->i_FI_FOR_LOOP_START))
#line 591
#define f2 (&(f2_->i_FI_FOR_LOOP_START))
#line 571 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 571

#line 571

#line 591 "filter/f-inst.c"
#undef f1
#line 591
#undef f2
#line 591
break;
#line 591

#line 600 "filter/f-inst.c"
 /* Comparison for FI_PATH_FOR_NEXT */
#line 600
case FI_PATH_FOR_NEXT:
#line 600
#define f1 (&(f1_->i_FI_PATH_FOR_NEXT))
#line 600
#define f2 (&(f2_->i_FI_PATH_FOR_NEXT))
#line 595 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 600 "filter/f-inst.c"
#undef f1
#line 600
#undef f2
#line 600
break;
#line 600

#line 609 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FOR_NEXT */
#line 609
case FI_CLIST_FOR_NEXT:
#line 609
#define f1 (&(f1_->i_FI_CLIST_FOR_NEXT))
#line 609
#define f2 (&(f2_->i_FI_CLIST_FOR_NEXT))
#line 604 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 609 "filter/f-inst.c"
#undef f1
#line 609
#undef f2
#line 609
break;
#line 609

#line 618 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FOR_NEXT */
#line 618
case FI_ECLIST_FOR_NEXT:
#line 618
#define f1 (&(f1_->i_FI_ECLIST_FOR_NEXT))
#line 618
#define f2 (&(f2_->i_FI_ECLIST_FOR_NEXT))
#line 613 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 618 "filter/f-inst.c"
#undef f1
#line 618
#undef f2
#line 618
break;
#line 618

#line 627 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FOR_NEXT */
#line 627
case FI_LCLIST_FOR_NEXT:
#line 627
#define f1 (&(f1_->i_FI_LCLIST_FOR_NEXT))
#line 627
#define f2 (&(f2_->i_FI_LCLIST_FOR_NEXT))
#line 622 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 627 "filter/f-inst.c"
#undef f1
#line 627
#undef f2
#line 627
break;
#line 627

#line 640 "filter/f-inst.c"
 /* Comparison for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
case FI_ROUTES_BLOCK_FOR_NEXT:
#line 640
#define f1 (&(f1_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 640
#define f2 (&(f2_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 634 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 640 "filter/f-inst.c"
#undef f1
#line 640
#undef f2
#line 640
break;
#line 640

#line 648 "filter/f-inst.c"
 /* Comparison for FI_CONDITION */
#line 648
case FI_CONDITION:
#line 648
#define f1 (&(f1_->i_FI_CONDITION))
#line 648
#define f2 (&(f2_->i_FI_CONDITION))
#line 643 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 645 "filter/f-inst.c"
if (!f_same(f1->fl3, f2->fl3)) return 0;
#line 648 "filter/f-inst.c"
#undef f1
#line 648
#undef f2
#line 648
break;
#line 648

#line 661 "filter/f-inst.c"
 /* Comparison for FI_PRINT */
#line 661
case FI_PRINT:
#line 661
#define f1 (&(f1_->i_FI_PRINT))
#line 661
#define f2 (&(f2_->i_FI_PRINT))
#line 661
#undef f1
#line 661
#undef f2
#line 661
break;
#line 661

#line 668 "filter/f-inst.c"
 /* Comparison for FI_FLUSH */
#line 668
case FI_FLUSH:
#line 668
#define f1 (&(f1_->i_FI_FLUSH))
#line 668
#define f2 (&(f2_->i_FI_FLUSH))
#line 668
#undef f1
#line 668
#undef f2
#line 668
break;
#line 668

#line 682 "filter/f-inst.c"
 /* Comparison for FI_DIE */
#line 682
case FI_DIE:
#line 682
#define f1 (&(f1_->i_FI_DIE))
#line 682
#define f2 (&(f2_->i_FI_DIE))
#line 670 "filter/f-inst.c"
if (f1->fret != f2->fret) return 0;
#line 670

#line 670

#line 682 "filter/f-inst.c"
#undef f1
#line 682
#undef f2
#line 682
break;
#line 682

#line 689 "filter/f-inst.c"
 /* Comparison for FI_CURRENT_ROUTE */
#line 689
case FI_CURRENT_ROUTE:
#line 689
#define f1 (&(f1_->i_FI_CURRENT_ROUTE))
#line 689
#define f2 (&(f2_->i_FI_CURRENT_ROUTE))
#line 689
#undef f1
#line 689
#undef f2
#line 689
break;
#line 689

#line 736 "filter/f-inst.c"
 /* Comparison for FI_RTA_GET */
#line 736
case FI_RTA_GET:
#line 736
#define f1 (&(f1_->i_FI_RTA_GET))
#line 736
#define f2 (&(f2_->i_FI_RTA_GET))
#line 692 "filter/f-inst.c"
if (f1->sa.sa_code != f2->sa.sa_code) return 0;
#line 692

#line 692

#line 736 "filter/f-inst.c"
#undef f1
#line 736
#undef f2
#line 736
break;
#line 736

#line 861 "filter/f-inst.c"
 /* Comparison for FI_RTA_SET */
#line 861
case FI_RTA_SET:
#line 861
#define f1 (&(f1_->i_FI_RTA_SET))
#line 861
#define f2 (&(f2_->i_FI_RTA_SET))
#line 739 "filter/f-inst.c"
if (f1->sa.sa_code != f2->sa.sa_code) return 0;
#line 739

#line 739

#line 861 "filter/f-inst.c"
#undef f1
#line 861
#undef f2
#line 861
break;
#line 861

#line 898 "filter/f-inst.c"
 /* Comparison for FI_EA_GET */
#line 898
case FI_EA_GET:
#line 898
#define f1 (&(f1_->i_FI_EA_GET))
#line 898
#define f2 (&(f2_->i_FI_EA_GET))
#line 863 "filter/f-inst.c"
if (f1->da != f2->da) return 0;
#line 863

#line 863

#line 898 "filter/f-inst.c"
#undef f1
#line 898
#undef f2
#line 898
break;
#line 898

#line 939 "filter/f-inst.c"
 /* Comparison for FI_EA_SET */
#line 939
case FI_EA_SET:
#line 939
#define f1 (&(f1_->i_FI_EA_SET))
#line 939
#define f2 (&(f2_->i_FI_EA_SET))
#line 901 "filter/f-inst.c"
if (f1->da != f2->da) return 0;
#line 901

#line 901

#line 939 "filter/f-inst.c"
#undef f1
#line 939
#undef f2
#line 939
break;
#line 939

#line 946 "filter/f-inst.c"
 /* Comparison for FI_EA_UNSET */
#line 946
case FI_EA_UNSET:
#line 946
#define f1 (&(f1_->i_FI_EA_UNSET))
#line 946
#define f2 (&(f2_->i_FI_EA_UNSET))
#line 940 "filter/f-inst.c"
if (f1->da != f2->da) return 0;
#line 940

#line 940

#line 946 "filter/f-inst.c"
#undef f1
#line 946
#undef f2
#line 946
break;
#line 946

#line 960 "filter/f-inst.c"
 /* Comparison for FI_DEFAULT */
#line 960
case FI_DEFAULT:
#line 960
#define f1 (&(f1_->i_FI_DEFAULT))
#line 960
#define f2 (&(f2_->i_FI_DEFAULT))
#line 960
#undef f1
#line 960
#undef f2
#line 960
break;
#line 960

#line 961 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__len */
#line 961
case FI_METHOD__T_NET__len:
#line 961
#define f1 (&(f1_->i_FI_METHOD__T_NET__len))
#line 961
#define f2 (&(f2_->i_FI_METHOD__T_NET__len))
#line 961
#undef f1
#line 961
#undef f2
#line 961
break;
#line 961

#line 962 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__len */
#line 962
case FI_METHOD__T_PATH__len:
#line 962
#define f1 (&(f1_->i_FI_METHOD__T_PATH__len))
#line 962
#define f2 (&(f2_->i_FI_METHOD__T_PATH__len))
#line 962
#undef f1
#line 962
#undef f2
#line 962
break;
#line 962

#line 963 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__len */
#line 963
case FI_METHOD__T_CLIST__len:
#line 963
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__len))
#line 963
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__len))
#line 963
#undef f1
#line 963
#undef f2
#line 963
break;
#line 963

#line 964 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__len */
#line 964
case FI_METHOD__T_ECLIST__len:
#line 964
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__len))
#line 964
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__len))
#line 964
#undef f1
#line 964
#undef f2
#line 964
break;
#line 964

#line 966 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__len */
#line 966
case FI_METHOD__T_LCLIST__len:
#line 966
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__len))
#line 966
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__len))
#line 966
#undef f1
#line 966
#undef f2
#line 966
break;
#line 966

#line 1002 "filter/f-inst.c"
 /* Comparison for FI_NET_SRC */
#line 1002
case FI_NET_SRC:
#line 1002
#define f1 (&(f1_->i_FI_NET_SRC))
#line 1002
#define f2 (&(f2_->i_FI_NET_SRC))
#line 1002
#undef f1
#line 1002
#undef f2
#line 1002
break;
#line 1002

#line 1039 "filter/f-inst.c"
 /* Comparison for FI_NET_DST */
#line 1039
case FI_NET_DST:
#line 1039
#define f1 (&(f1_->i_FI_NET_DST))
#line 1039
#define f2 (&(f2_->i_FI_NET_DST))
#line 1039
#undef f1
#line 1039
#undef f2
#line 1039
break;
#line 1039

#line 1049 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__maxlen */
#line 1049
case FI_METHOD__T_NET__maxlen:
#line 1049
#define f1 (&(f1_->i_FI_METHOD__T_NET__maxlen))
#line 1049
#define f2 (&(f2_->i_FI_METHOD__T_NET__maxlen))
#line 1049
#undef f1
#line 1049
#undef f2
#line 1049
break;
#line 1049

#line 1059 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__asn */
#line 1059
case FI_METHOD__T_NET__asn:
#line 1059
#define f1 (&(f1_->i_FI_METHOD__T_NET__asn))
#line 1059
#define f2 (&(f2_->i_FI_METHOD__T_NET__asn))
#line 1059
#undef f1
#line 1059
#undef f2
#line 1059
break;
#line 1059

#line 1061 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__ip */
#line 1061
case FI_METHOD__T_NET__ip:
#line 1061
#define f1 (&(f1_->i_FI_METHOD__T_NET__ip))
#line 1061
#define f2 (&(f2_->i_FI_METHOD__T_NET__ip))
#line 1061
#undef f1
#line 1061
#undef f2
#line 1061
break;
#line 1061

#line 1070 "filter/f-inst.c"
 /* Comparison for FI_ROUTE_DISTINGUISHER */
#line 1070
case FI_ROUTE_DISTINGUISHER:
#line 1070
#define f1 (&(f1_->i_FI_ROUTE_DISTINGUISHER))
#line 1070
#define f2 (&(f2_->i_FI_ROUTE_DISTINGUISHER))
#line 1070
#undef f1
#line 1070
#undef f2
#line 1070
break;
#line 1070

#line 1073 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__first */
#line 1073
case FI_METHOD__T_PATH__first:
#line 1073
#define f1 (&(f1_->i_FI_METHOD__T_PATH__first))
#line 1073
#define f2 (&(f2_->i_FI_METHOD__T_PATH__first))
#line 1073
#undef f1
#line 1073
#undef f2
#line 1073
break;
#line 1073

#line 1076 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__last */
#line 1076
case FI_METHOD__T_PATH__last:
#line 1076
#define f1 (&(f1_->i_FI_METHOD__T_PATH__last))
#line 1076
#define f2 (&(f2_->i_FI_METHOD__T_PATH__last))
#line 1076
#undef f1
#line 1076
#undef f2
#line 1076
break;
#line 1076

#line 1079 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
case FI_METHOD__T_PATH__last_nonaggregated:
#line 1079
#define f1 (&(f1_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1079
#define f2 (&(f2_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1079
#undef f1
#line 1079
#undef f2
#line 1079
break;
#line 1079

#line 1082 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PAIR__asn */
#line 1082
case FI_METHOD__T_PAIR__asn:
#line 1082
#define f1 (&(f1_->i_FI_METHOD__T_PAIR__asn))
#line 1082
#define f2 (&(f2_->i_FI_METHOD__T_PAIR__asn))
#line 1082
#undef f1
#line 1082
#undef f2
#line 1082
break;
#line 1082

#line 1085 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PAIR__data */
#line 1085
case FI_METHOD__T_PAIR__data:
#line 1085
#define f1 (&(f1_->i_FI_METHOD__T_PAIR__data))
#line 1085
#define f2 (&(f2_->i_FI_METHOD__T_PAIR__data))
#line 1085
#undef f1
#line 1085
#undef f2
#line 1085
break;
#line 1085

#line 1088 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__asn */
#line 1088
case FI_METHOD__T_LC__asn:
#line 1088
#define f1 (&(f1_->i_FI_METHOD__T_LC__asn))
#line 1088
#define f2 (&(f2_->i_FI_METHOD__T_LC__asn))
#line 1088
#undef f1
#line 1088
#undef f2
#line 1088
break;
#line 1088

#line 1091 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__data1 */
#line 1091
case FI_METHOD__T_LC__data1:
#line 1091
#define f1 (&(f1_->i_FI_METHOD__T_LC__data1))
#line 1091
#define f2 (&(f2_->i_FI_METHOD__T_LC__data1))
#line 1091
#undef f1
#line 1091
#undef f2
#line 1091
break;
#line 1091

#line 1094 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__data2 */
#line 1094
case FI_METHOD__T_LC__data2:
#line 1094
#define f1 (&(f1_->i_FI_METHOD__T_LC__data2))
#line 1094
#define f2 (&(f2_->i_FI_METHOD__T_LC__data2))
#line 1094
#undef f1
#line 1094
#undef f2
#line 1094
break;
#line 1094

#line 1097 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__min */
#line 1097
case FI_METHOD__T_CLIST__min:
#line 1097
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__min))
#line 1097
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__min))
#line 1097
#undef f1
#line 1097
#undef f2
#line 1097
break;
#line 1097

#line 1100 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__max */
#line 1100
case FI_METHOD__T_CLIST__max:
#line 1100
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__max))
#line 1100
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__max))
#line 1100
#undef f1
#line 1100
#undef f2
#line 1100
break;
#line 1100

#line 1103 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__min */
#line 1103
case FI_METHOD__T_ECLIST__min:
#line 1103
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__min))
#line 1103
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__min))
#line 1103
#undef f1
#line 1103
#undef f2
#line 1103
break;
#line 1103

#line 1106 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__max */
#line 1106
case FI_METHOD__T_ECLIST__max:
#line 1106
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__max))
#line 1106
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__max))
#line 1106
#undef f1
#line 1106
#undef f2
#line 1106
break;
#line 1106

#line 1109 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__min */
#line 1109
case FI_METHOD__T_LCLIST__min:
#line 1109
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__min))
#line 1109
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__min))
#line 1109
#undef f1
#line 1109
#undef f2
#line 1109
break;
#line 1109

#line 1111 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__max */
#line 1111
case FI_METHOD__T_LCLIST__max:
#line 1111
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__max))
#line 1111
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__max))
#line 1111
#undef f1
#line 1111
#undef f2
#line 1111
break;
#line 1111

#line 1137 "filter/f-inst.c"
 /* Comparison for FI_RETURN */
#line 1137
case FI_RETURN:
#line 1137
#define f1 (&(f1_->i_FI_RETURN))
#line 1137
#define f2 (&(f2_->i_FI_RETURN))
#line 1137
#undef f1
#line 1137
#undef f2
#line 1137
break;
#line 1137

#line 1197 "filter/f-inst.c"
 /* Comparison for FI_CALL */
#line 1197
case FI_CALL:
#line 1197
#define f1 (&(f1_->i_FI_CALL))
#line 1197
#define f2 (&(f2_->i_FI_CALL))
#line 1139 "filter/f-inst.c"
  if (f1->varcount != f2->varcount) return 0;
#line 1140 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 1140

#line 1140


#line 1174 "filter/f-inst.c"
    if (!(f1->sym->flags & SYM_FLAG_SAME) && !(f1_->flags & FIF_RECURSIVE))
      return 0;

    #line 1197 "filter/f-inst.c"
#undef f1
#line 1197
#undef f2
#line 1197
break;
#line 1197

#line 1202 "filter/f-inst.c"
 /* Comparison for FI_DROP_RESULT */
#line 1202
case FI_DROP_RESULT:
#line 1202
#define f1 (&(f1_->i_FI_DROP_RESULT))
#line 1202
#define f2 (&(f2_->i_FI_DROP_RESULT))
#line 1202
#undef f1
#line 1202
#undef f2
#line 1202
break;
#line 1202

#line 1243 "filter/f-inst.c"
 /* Comparison for FI_SWITCH */
#line 1243
case FI_SWITCH:
#line 1243
#define f1 (&(f1_->i_FI_SWITCH))
#line 1243
#define f2 (&(f2_->i_FI_SWITCH))
#line 1205 "filter/f-inst.c"
if (!same_tree(f1->tree, f2->tree)) return 0;
#line 1205

#line 1205

#line 1243 "filter/f-inst.c"
#undef f1
#line 1243
#undef f2
#line 1243
break;
#line 1243

#line 1252 "filter/f-inst.c"
 /* Comparison for FI_IP_MASK */
#line 1252
case FI_IP_MASK:
#line 1252
#define f1 (&(f1_->i_FI_IP_MASK))
#line 1252
#define f2 (&(f2_->i_FI_IP_MASK))
#line 1252
#undef f1
#line 1252
#undef f2
#line 1252
break;
#line 1252

#line 1260 "filter/f-inst.c"
 /* Comparison for FI_PATH_PREPEND */
#line 1260
case FI_PATH_PREPEND:
#line 1260
#define f1 (&(f1_->i_FI_PATH_PREPEND))
#line 1260
#define f2 (&(f2_->i_FI_PATH_PREPEND))
#line 1260
#undef f1
#line 1260
#undef f2
#line 1260
break;
#line 1260

#line 1267 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_PAIR */
#line 1267
case FI_CLIST_ADD_PAIR:
#line 1267
#define f1 (&(f1_->i_FI_CLIST_ADD_PAIR))
#line 1267
#define f2 (&(f2_->i_FI_CLIST_ADD_PAIR))
#line 1267
#undef f1
#line 1267
#undef f2
#line 1267
break;
#line 1267

#line 1281 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_IP */
#line 1281
case FI_CLIST_ADD_IP:
#line 1281
#define f1 (&(f1_->i_FI_CLIST_ADD_IP))
#line 1281
#define f2 (&(f2_->i_FI_CLIST_ADD_IP))
#line 1281
#undef f1
#line 1281
#undef f2
#line 1281
break;
#line 1281

#line 1288 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_QUAD */
#line 1288
case FI_CLIST_ADD_QUAD:
#line 1288
#define f1 (&(f1_->i_FI_CLIST_ADD_QUAD))
#line 1288
#define f2 (&(f2_->i_FI_CLIST_ADD_QUAD))
#line 1288
#undef f1
#line 1288
#undef f2
#line 1288
break;
#line 1288

#line 1295 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_CLIST */
#line 1295
case FI_CLIST_ADD_CLIST:
#line 1295
#define f1 (&(f1_->i_FI_CLIST_ADD_CLIST))
#line 1295
#define f2 (&(f2_->i_FI_CLIST_ADD_CLIST))
#line 1295
#undef f1
#line 1295
#undef f2
#line 1295
break;
#line 1295

#line 1302 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_ADD_EC */
#line 1302
case FI_ECLIST_ADD_EC:
#line 1302
#define f1 (&(f1_->i_FI_ECLIST_ADD_EC))
#line 1302
#define f2 (&(f2_->i_FI_ECLIST_ADD_EC))
#line 1302
#undef f1
#line 1302
#undef f2
#line 1302
break;
#line 1302

#line 1309 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_ADD_ECLIST */
#line 1309
case FI_ECLIST_ADD_ECLIST:
#line 1309
#define f1 (&(f1_->i_FI_ECLIST_ADD_ECLIST))
#line 1309
#define f2 (&(f2_->i_FI_ECLIST_ADD_ECLIST))
#line 1309
#undef f1
#line 1309
#undef f2
#line 1309
break;
#line 1309

#line 1316 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_ADD_LC */
#line 1316
case FI_LCLIST_ADD_LC:
#line 1316
#define f1 (&(f1_->i_FI_LCLIST_ADD_LC))
#line 1316
#define f2 (&(f2_->i_FI_LCLIST_ADD_LC))
#line 1316
#undef f1
#line 1316
#undef f2
#line 1316
break;
#line 1316

#line 1323 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_ADD_LCLIST */
#line 1323
case FI_LCLIST_ADD_LCLIST:
#line 1323
#define f1 (&(f1_->i_FI_LCLIST_ADD_LCLIST))
#line 1323
#define f2 (&(f2_->i_FI_LCLIST_ADD_LCLIST))
#line 1323
#undef f1
#line 1323
#undef f2
#line 1323
break;
#line 1323

#line 1330 "filter/f-inst.c"
 /* Comparison for FI_PATH_DELETE_INT */
#line 1330
case FI_PATH_DELETE_INT:
#line 1330
#define f1 (&(f1_->i_FI_PATH_DELETE_INT))
#line 1330
#define f2 (&(f2_->i_FI_PATH_DELETE_INT))
#line 1330
#undef f1
#line 1330
#undef f2
#line 1330
break;
#line 1330

#line 1342 "filter/f-inst.c"
 /* Comparison for FI_PATH_DELETE_SET */
#line 1342
case FI_PATH_DELETE_SET:
#line 1342
#define f1 (&(f1_->i_FI_PATH_DELETE_SET))
#line 1342
#define f2 (&(f2_->i_FI_PATH_DELETE_SET))
#line 1342
#undef f1
#line 1342
#undef f2
#line 1342
break;
#line 1342

#line 1349 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_PAIR */
#line 1349
case FI_CLIST_DELETE_PAIR:
#line 1349
#define f1 (&(f1_->i_FI_CLIST_DELETE_PAIR))
#line 1349
#define f2 (&(f2_->i_FI_CLIST_DELETE_PAIR))
#line 1349
#undef f1
#line 1349
#undef f2
#line 1349
break;
#line 1349

#line 1363 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_IP */
#line 1363
case FI_CLIST_DELETE_IP:
#line 1363
#define f1 (&(f1_->i_FI_CLIST_DELETE_IP))
#line 1363
#define f2 (&(f2_->i_FI_CLIST_DELETE_IP))
#line 1363
#undef f1
#line 1363
#undef f2
#line 1363
break;
#line 1363

#line 1370 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_QUAD */
#line 1370
case FI_CLIST_DELETE_QUAD:
#line 1370
#define f1 (&(f1_->i_FI_CLIST_DELETE_QUAD))
#line 1370
#define f2 (&(f2_->i_FI_CLIST_DELETE_QUAD))
#line 1370
#undef f1
#line 1370
#undef f2
#line 1370
break;
#line 1370

#line 1377 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_CLIST */
#line 1377
case FI_CLIST_DELETE_CLIST:
#line 1377
#define f1 (&(f1_->i_FI_CLIST_DELETE_CLIST))
#line 1377
#define f2 (&(f2_->i_FI_CLIST_DELETE_CLIST))
#line 1377
#undef f1
#line 1377
#undef f2
#line 1377
break;
#line 1377

#line 1388 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_SET */
#line 1388
case FI_CLIST_DELETE_SET:
#line 1388
#define f1 (&(f1_->i_FI_CLIST_DELETE_SET))
#line 1388
#define f2 (&(f2_->i_FI_CLIST_DELETE_SET))
#line 1388
#undef f1
#line 1388
#undef f2
#line 1388
break;
#line 1388

#line 1395 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_EC */
#line 1395
case FI_ECLIST_DELETE_EC:
#line 1395
#define f1 (&(f1_->i_FI_ECLIST_DELETE_EC))
#line 1395
#define f2 (&(f2_->i_FI_ECLIST_DELETE_EC))
#line 1395
#undef f1
#line 1395
#undef f2
#line 1395
break;
#line 1395

#line 1402 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_ECLIST */
#line 1402
case FI_ECLIST_DELETE_ECLIST:
#line 1402
#define f1 (&(f1_->i_FI_ECLIST_DELETE_ECLIST))
#line 1402
#define f2 (&(f2_->i_FI_ECLIST_DELETE_ECLIST))
#line 1402
#undef f1
#line 1402
#undef f2
#line 1402
break;
#line 1402

#line 1413 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_SET */
#line 1413
case FI_ECLIST_DELETE_SET:
#line 1413
#define f1 (&(f1_->i_FI_ECLIST_DELETE_SET))
#line 1413
#define f2 (&(f2_->i_FI_ECLIST_DELETE_SET))
#line 1413
#undef f1
#line 1413
#undef f2
#line 1413
break;
#line 1413

#line 1420 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_LC */
#line 1420
case FI_LCLIST_DELETE_LC:
#line 1420
#define f1 (&(f1_->i_FI_LCLIST_DELETE_LC))
#line 1420
#define f2 (&(f2_->i_FI_LCLIST_DELETE_LC))
#line 1420
#undef f1
#line 1420
#undef f2
#line 1420
break;
#line 1420

#line 1427 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_LCLIST */
#line 1427
case FI_LCLIST_DELETE_LCLIST:
#line 1427
#define f1 (&(f1_->i_FI_LCLIST_DELETE_LCLIST))
#line 1427
#define f2 (&(f2_->i_FI_LCLIST_DELETE_LCLIST))
#line 1427
#undef f1
#line 1427
#undef f2
#line 1427
break;
#line 1427

#line 1438 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_SET */
#line 1438
case FI_LCLIST_DELETE_SET:
#line 1438
#define f1 (&(f1_->i_FI_LCLIST_DELETE_SET))
#line 1438
#define f2 (&(f2_->i_FI_LCLIST_DELETE_SET))
#line 1438
#undef f1
#line 1438
#undef f2
#line 1438
break;
#line 1438

#line 1449 "filter/f-inst.c"
 /* Comparison for FI_PATH_FILTER_SET */
#line 1449
case FI_PATH_FILTER_SET:
#line 1449
#define f1 (&(f1_->i_FI_PATH_FILTER_SET))
#line 1449
#define f2 (&(f2_->i_FI_PATH_FILTER_SET))
#line 1449
#undef f1
#line 1449
#undef f2
#line 1449
break;
#line 1449

#line 1456 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FILTER_CLIST */
#line 1456
case FI_CLIST_FILTER_CLIST:
#line 1456
#define f1 (&(f1_->i_FI_CLIST_FILTER_CLIST))
#line 1456
#define f2 (&(f2_->i_FI_CLIST_FILTER_CLIST))
#line 1456
#undef f1
#line 1456
#undef f2
#line 1456
break;
#line 1456

#line 1467 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FILTER_SET */
#line 1467
case FI_CLIST_FILTER_SET:
#line 1467
#define f1 (&(f1_->i_FI_CLIST_FILTER_SET))
#line 1467
#define f2 (&(f2_->i_FI_CLIST_FILTER_SET))
#line 1467
#undef f1
#line 1467
#undef f2
#line 1467
break;
#line 1467

#line 1474 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FILTER_ECLIST */
#line 1474
case FI_ECLIST_FILTER_ECLIST:
#line 1474
#define f1 (&(f1_->i_FI_ECLIST_FILTER_ECLIST))
#line 1474
#define f2 (&(f2_->i_FI_ECLIST_FILTER_ECLIST))
#line 1474
#undef f1
#line 1474
#undef f2
#line 1474
break;
#line 1474

#line 1485 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FILTER_SET */
#line 1485
case FI_ECLIST_FILTER_SET:
#line 1485
#define f1 (&(f1_->i_FI_ECLIST_FILTER_SET))
#line 1485
#define f2 (&(f2_->i_FI_ECLIST_FILTER_SET))
#line 1485
#undef f1
#line 1485
#undef f2
#line 1485
break;
#line 1485

#line 1492 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FILTER_LCLIST */
#line 1492
case FI_LCLIST_FILTER_LCLIST:
#line 1492
#define f1 (&(f1_->i_FI_LCLIST_FILTER_LCLIST))
#line 1492
#define f2 (&(f2_->i_FI_LCLIST_FILTER_LCLIST))
#line 1492
#undef f1
#line 1492
#undef f2
#line 1492
break;
#line 1492

#line 1503 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FILTER_SET */
#line 1503
case FI_LCLIST_FILTER_SET:
#line 1503
#define f1 (&(f1_->i_FI_LCLIST_FILTER_SET))
#line 1503
#define f2 (&(f2_->i_FI_LCLIST_FILTER_SET))
#line 1503
#undef f1
#line 1503
#undef f2
#line 1503
break;
#line 1503

#line 1525 "filter/f-inst.c"
 /* Comparison for FI_ROA_CHECK */
#line 1525
case FI_ROA_CHECK:
#line 1525
#define f1 (&(f1_->i_FI_ROA_CHECK))
#line 1525
#define f2 (&(f2_->i_FI_ROA_CHECK))
#line 1507 "filter/f-inst.c"
if (strcmp(f1->rtc->name, f2->rtc->name)) return 0;
#line 1507

#line 1507

#line 1525 "filter/f-inst.c"
#undef f1
#line 1525
#undef f2
#line 1525
break;
#line 1525

#line 1541 "filter/f-inst.c"
 /* Comparison for FI_ASPA_CHECK_EXPLICIT */
#line 1541
case FI_ASPA_CHECK_EXPLICIT:
#line 1541
#define f1 (&(f1_->i_FI_ASPA_CHECK_EXPLICIT))
#line 1541
#define f2 (&(f2_->i_FI_ASPA_CHECK_EXPLICIT))
#line 1529 "filter/f-inst.c"
if (strcmp(f1->rtc->name, f2->rtc->name)) return 0;
#line 1529

#line 1529

#line 1541 "filter/f-inst.c"
#undef f1
#line 1541
#undef f2
#line 1541
break;
#line 1541

#line 1556 "filter/f-inst.c"
 /* Comparison for FI_FROM_HEX */
#line 1556
case FI_FROM_HEX:
#line 1556
#define f1 (&(f1_->i_FI_FROM_HEX))
#line 1556
#define f2 (&(f2_->i_FI_FROM_HEX))
#line 1556
#undef f1
#line 1556
#undef f2
#line 1556
break;
#line 1556

#line 1561 "filter/f-inst.c"
 /* Comparison for FI_FORMAT */
#line 1561
case FI_FORMAT:
#line 1561
#define f1 (&(f1_->i_FI_FORMAT))
#line 1561
#define f2 (&(f2_->i_FI_FORMAT))
#line 1561
#undef f1
#line 1561
#undef f2
#line 1561
break;
#line 1561

#line 830 "filter/decl.m4"
 /* Comparison for FI_ASSERT */
#line 830
case FI_ASSERT:
#line 830
#define f1 (&(f1_->i_FI_ASSERT))
#line 830
#define f2 (&(f2_->i_FI_ASSERT))
#line 1565 "filter/f-inst.c"
if (strcmp(f1->s, f2->s)) return 0;
#line 1565

#line 1565

#line 830 "filter/decl.m4"
#undef f1
#line 830
#undef f2
#line 830
break;
#line 830

#line 751 "filter/decl.m4"

    }
  }
#undef f1_
#undef f2_
  return 1;
}


/* Part of FI_SWITCH filter iterator */
static void
f_add_tree_lines(const struct f_tree *t, void *fit_)
{
  struct filter_iterator * fit = fit_;

  if (t->data)
    BUFFER_PUSH(fit->lines) = t->data;
}

/* Filter line iterator */
void
f_add_lines(const struct f_line_item *what, struct filter_iterator *fit)
{
  switch(what->fi_code) {
#line 288 "filter/f-inst.c"
 /* Iteration for FI_ADD */
#line 288
case FI_ADD:
#line 288
#define whati (&(what->i_FI_ADD))
#line 288
#undef whati
#line 288
break;
#line 288

#line 293 "filter/f-inst.c"
 /* Iteration for FI_SUBTRACT */
#line 293
case FI_SUBTRACT:
#line 293
#define whati (&(what->i_FI_SUBTRACT))
#line 293
#undef whati
#line 293
break;
#line 293

#line 298 "filter/f-inst.c"
 /* Iteration for FI_MULTIPLY */
#line 298
case FI_MULTIPLY:
#line 298
#define whati (&(what->i_FI_MULTIPLY))
#line 298
#undef whati
#line 298
break;
#line 298

#line 304 "filter/f-inst.c"
 /* Iteration for FI_DIVIDE */
#line 304
case FI_DIVIDE:
#line 304
#define whati (&(what->i_FI_DIVIDE))
#line 304
#undef whati
#line 304
break;
#line 304

#line 309 "filter/f-inst.c"
 /* Iteration for FI_BITOR */
#line 309
case FI_BITOR:
#line 309
#define whati (&(what->i_FI_BITOR))
#line 309
#undef whati
#line 309
break;
#line 309

#line 314 "filter/f-inst.c"
 /* Iteration for FI_BITAND */
#line 314
case FI_BITAND:
#line 314
#define whati (&(what->i_FI_BITAND))
#line 314
#undef whati
#line 314
break;
#line 314

#line 324 "filter/f-inst.c"
 /* Iteration for FI_AND */
#line 324
case FI_AND:
#line 324
#define whati (&(what->i_FI_AND))
#line 320 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 324 "filter/f-inst.c"
#undef whati
#line 324
break;
#line 324

#line 335 "filter/f-inst.c"
 /* Iteration for FI_OR */
#line 335
case FI_OR:
#line 335
#define whati (&(what->i_FI_OR))
#line 330 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 335 "filter/f-inst.c"
#undef whati
#line 335
break;
#line 335

#line 345 "filter/f-inst.c"
 /* Iteration for FI_PAIR_CONSTRUCT */
#line 345
case FI_PAIR_CONSTRUCT:
#line 345
#define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 345
#undef whati
#line 345
break;
#line 345

#line 385 "filter/f-inst.c"
 /* Iteration for FI_EC_CONSTRUCT */
#line 385
case FI_EC_CONSTRUCT:
#line 385
#define whati (&(what->i_FI_EC_CONSTRUCT))
#line 385
#undef whati
#line 385
break;
#line 385

#line 392 "filter/f-inst.c"
 /* Iteration for FI_LC_CONSTRUCT */
#line 392
case FI_LC_CONSTRUCT:
#line 392
#define whati (&(what->i_FI_LC_CONSTRUCT))
#line 392
#undef whati
#line 392
break;
#line 392

#line 442 "filter/f-inst.c"
 /* Iteration for FI_PATHMASK_CONSTRUCT */
#line 442
case FI_PATHMASK_CONSTRUCT:
#line 442
#define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 442
#undef whati
#line 442
break;
#line 442

#line 449 "filter/f-inst.c"
 /* Iteration for FI_NEQ */
#line 449
case FI_NEQ:
#line 449
#define whati (&(what->i_FI_NEQ))
#line 449
#undef whati
#line 449
break;
#line 449

#line 456 "filter/f-inst.c"
 /* Iteration for FI_EQ */
#line 456
case FI_EQ:
#line 456
#define whati (&(what->i_FI_EQ))
#line 456
#undef whati
#line 456
break;
#line 456

#line 467 "filter/f-inst.c"
 /* Iteration for FI_LT */
#line 467
case FI_LT:
#line 467
#define whati (&(what->i_FI_LT))
#line 467
#undef whati
#line 467
break;
#line 467

#line 478 "filter/f-inst.c"
 /* Iteration for FI_LTE */
#line 478
case FI_LTE:
#line 478
#define whati (&(what->i_FI_LTE))
#line 478
#undef whati
#line 478
break;
#line 478

#line 483 "filter/f-inst.c"
 /* Iteration for FI_NOT */
#line 483
case FI_NOT:
#line 483
#define whati (&(what->i_FI_NOT))
#line 483
#undef whati
#line 483
break;
#line 483

#line 492 "filter/f-inst.c"
 /* Iteration for FI_MATCH */
#line 492
case FI_MATCH:
#line 492
#define whati (&(what->i_FI_MATCH))
#line 492
#undef whati
#line 492
break;
#line 492

#line 501 "filter/f-inst.c"
 /* Iteration for FI_NOT_MATCH */
#line 501
case FI_NOT_MATCH:
#line 501
#define whati (&(what->i_FI_NOT_MATCH))
#line 501
#undef whati
#line 501
break;
#line 501

#line 506 "filter/f-inst.c"
 /* Iteration for FI_DEFINED */
#line 506
case FI_DEFINED:
#line 506
#define whati (&(what->i_FI_DEFINED))
#line 506
#undef whati
#line 506
break;
#line 506

#line 507 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__type */
#line 507
case FI_METHOD__T_NET__type:
#line 507
#define whati (&(what->i_FI_METHOD__T_NET__type))
#line 507
#undef whati
#line 507
break;
#line 507

#line 510 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_IP__is_v4 */
#line 510
case FI_METHOD__T_IP__is_v4:
#line 510
#define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 510
#undef whati
#line 510
break;
#line 510

#line 523 "filter/f-inst.c"
 /* Iteration for FI_VAR_INIT */
#line 523
case FI_VAR_INIT:
#line 523
#define whati (&(what->i_FI_VAR_INIT))
#line 523
#undef whati
#line 523
break;
#line 523

#line 534 "filter/f-inst.c"
 /* Iteration for FI_VAR_INIT0 */
#line 534
case FI_VAR_INIT0:
#line 534
#define whati (&(what->i_FI_VAR_INIT0))
#line 534
#undef whati
#line 534
break;
#line 534

#line 543 "filter/f-inst.c"
 /* Iteration for FI_VAR_SET */
#line 543
case FI_VAR_SET:
#line 543
#define whati (&(what->i_FI_VAR_SET))
#line 543
#undef whati
#line 543
break;
#line 543

#line 550 "filter/f-inst.c"
 /* Iteration for FI_VAR_GET */
#line 550
case FI_VAR_GET:
#line 550
#define whati (&(what->i_FI_VAR_GET))
#line 550
#undef whati
#line 550
break;
#line 550

#line 563 "filter/f-inst.c"
 /* Iteration for FI_CONSTANT */
#line 563
case FI_CONSTANT:
#line 563
#define whati (&(what->i_FI_CONSTANT))
#line 563
#undef whati
#line 563
break;
#line 563

#line 564 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__empty */
#line 564
case FI_METHOD__T_PATH__empty:
#line 564
#define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 564
#undef whati
#line 564
break;
#line 564

#line 565 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__empty */
#line 565
case FI_METHOD__T_CLIST__empty:
#line 565
#define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 565
#undef whati
#line 565
break;
#line 565

#line 566 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__empty */
#line 566
case FI_METHOD__T_ECLIST__empty:
#line 566
#define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 566
#undef whati
#line 566
break;
#line 566

#line 569 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__empty */
#line 569
case FI_METHOD__T_LCLIST__empty:
#line 569
#define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 569
#undef whati
#line 569
break;
#line 569

#line 591 "filter/f-inst.c"
 /* Iteration for FI_FOR_LOOP_START */
#line 591
case FI_FOR_LOOP_START:
#line 591
#define whati (&(what->i_FI_FOR_LOOP_START))
#line 591
#undef whati
#line 591
break;
#line 591

#line 600 "filter/f-inst.c"
 /* Iteration for FI_PATH_FOR_NEXT */
#line 600
case FI_PATH_FOR_NEXT:
#line 600
#define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 595 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 600 "filter/f-inst.c"
#undef whati
#line 600
break;
#line 600

#line 609 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FOR_NEXT */
#line 609
case FI_CLIST_FOR_NEXT:
#line 609
#define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 604 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 609 "filter/f-inst.c"
#undef whati
#line 609
break;
#line 609

#line 618 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FOR_NEXT */
#line 618
case FI_ECLIST_FOR_NEXT:
#line 618
#define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 613 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 618 "filter/f-inst.c"
#undef whati
#line 618
break;
#line 618

#line 627 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FOR_NEXT */
#line 627
case FI_LCLIST_FOR_NEXT:
#line 627
#define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 622 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 627 "filter/f-inst.c"
#undef whati
#line 627
break;
#line 627

#line 640 "filter/f-inst.c"
 /* Iteration for FI_ROUTES_BLOCK_FOR_NEXT */
#line 640
case FI_ROUTES_BLOCK_FOR_NEXT:
#line 640
#define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 634 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 640 "filter/f-inst.c"
#undef whati
#line 640
break;
#line 640

#line 648 "filter/f-inst.c"
 /* Iteration for FI_CONDITION */
#line 648
case FI_CONDITION:
#line 648
#define whati (&(what->i_FI_CONDITION))
#line 643 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 645 "filter/f-inst.c"
if (whati->fl3) BUFFER_PUSH(fit->lines) = whati->fl3;
#line 648 "filter/f-inst.c"
#undef whati
#line 648
break;
#line 648

#line 661 "filter/f-inst.c"
 /* Iteration for FI_PRINT */
#line 661
case FI_PRINT:
#line 661
#define whati (&(what->i_FI_PRINT))
#line 661
#undef whati
#line 661
break;
#line 661

#line 668 "filter/f-inst.c"
 /* Iteration for FI_FLUSH */
#line 668
case FI_FLUSH:
#line 668
#define whati (&(what->i_FI_FLUSH))
#line 668
#undef whati
#line 668
break;
#line 668

#line 682 "filter/f-inst.c"
 /* Iteration for FI_DIE */
#line 682
case FI_DIE:
#line 682
#define whati (&(what->i_FI_DIE))
#line 682
#undef whati
#line 682
break;
#line 682

#line 689 "filter/f-inst.c"
 /* Iteration for FI_CURRENT_ROUTE */
#line 689
case FI_CURRENT_ROUTE:
#line 689
#define whati (&(what->i_FI_CURRENT_ROUTE))
#line 689
#undef whati
#line 689
break;
#line 689

#line 736 "filter/f-inst.c"
 /* Iteration for FI_RTA_GET */
#line 736
case FI_RTA_GET:
#line 736
#define whati (&(what->i_FI_RTA_GET))
#line 736
#undef whati
#line 736
break;
#line 736

#line 861 "filter/f-inst.c"
 /* Iteration for FI_RTA_SET */
#line 861
case FI_RTA_SET:
#line 861
#define whati (&(what->i_FI_RTA_SET))
#line 861
#undef whati
#line 861
break;
#line 861

#line 898 "filter/f-inst.c"
 /* Iteration for FI_EA_GET */
#line 898
case FI_EA_GET:
#line 898
#define whati (&(what->i_FI_EA_GET))
#line 898
#undef whati
#line 898
break;
#line 898

#line 939 "filter/f-inst.c"
 /* Iteration for FI_EA_SET */
#line 939
case FI_EA_SET:
#line 939
#define whati (&(what->i_FI_EA_SET))
#line 939
#undef whati
#line 939
break;
#line 939

#line 946 "filter/f-inst.c"
 /* Iteration for FI_EA_UNSET */
#line 946
case FI_EA_UNSET:
#line 946
#define whati (&(what->i_FI_EA_UNSET))
#line 946
#undef whati
#line 946
break;
#line 946

#line 960 "filter/f-inst.c"
 /* Iteration for FI_DEFAULT */
#line 960
case FI_DEFAULT:
#line 960
#define whati (&(what->i_FI_DEFAULT))
#line 960
#undef whati
#line 960
break;
#line 960

#line 961 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__len */
#line 961
case FI_METHOD__T_NET__len:
#line 961
#define whati (&(what->i_FI_METHOD__T_NET__len))
#line 961
#undef whati
#line 961
break;
#line 961

#line 962 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__len */
#line 962
case FI_METHOD__T_PATH__len:
#line 962
#define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 962
#undef whati
#line 962
break;
#line 962

#line 963 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__len */
#line 963
case FI_METHOD__T_CLIST__len:
#line 963
#define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 963
#undef whati
#line 963
break;
#line 963

#line 964 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__len */
#line 964
case FI_METHOD__T_ECLIST__len:
#line 964
#define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 964
#undef whati
#line 964
break;
#line 964

#line 966 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__len */
#line 966
case FI_METHOD__T_LCLIST__len:
#line 966
#define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 966
#undef whati
#line 966
break;
#line 966

#line 1002 "filter/f-inst.c"
 /* Iteration for FI_NET_SRC */
#line 1002
case FI_NET_SRC:
#line 1002
#define whati (&(what->i_FI_NET_SRC))
#line 1002
#undef whati
#line 1002
break;
#line 1002

#line 1039 "filter/f-inst.c"
 /* Iteration for FI_NET_DST */
#line 1039
case FI_NET_DST:
#line 1039
#define whati (&(what->i_FI_NET_DST))
#line 1039
#undef whati
#line 1039
break;
#line 1039

#line 1049 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__maxlen */
#line 1049
case FI_METHOD__T_NET__maxlen:
#line 1049
#define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1049
#undef whati
#line 1049
break;
#line 1049

#line 1059 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__asn */
#line 1059
case FI_METHOD__T_NET__asn:
#line 1059
#define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1059
#undef whati
#line 1059
break;
#line 1059

#line 1061 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__ip */
#line 1061
case FI_METHOD__T_NET__ip:
#line 1061
#define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1061
#undef whati
#line 1061
break;
#line 1061

#line 1070 "filter/f-inst.c"
 /* Iteration for FI_ROUTE_DISTINGUISHER */
#line 1070
case FI_ROUTE_DISTINGUISHER:
#line 1070
#define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1070
#undef whati
#line 1070
break;
#line 1070

#line 1073 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__first */
#line 1073
case FI_METHOD__T_PATH__first:
#line 1073
#define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1073
#undef whati
#line 1073
break;
#line 1073

#line 1076 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__last */
#line 1076
case FI_METHOD__T_PATH__last:
#line 1076
#define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1076
#undef whati
#line 1076
break;
#line 1076

#line 1079 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__last_nonaggregated */
#line 1079
case FI_METHOD__T_PATH__last_nonaggregated:
#line 1079
#define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1079
#undef whati
#line 1079
break;
#line 1079

#line 1082 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PAIR__asn */
#line 1082
case FI_METHOD__T_PAIR__asn:
#line 1082
#define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1082
#undef whati
#line 1082
break;
#line 1082

#line 1085 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PAIR__data */
#line 1085
case FI_METHOD__T_PAIR__data:
#line 1085
#define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1085
#undef whati
#line 1085
break;
#line 1085

#line 1088 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__asn */
#line 1088
case FI_METHOD__T_LC__asn:
#line 1088
#define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1088
#undef whati
#line 1088
break;
#line 1088

#line 1091 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__data1 */
#line 1091
case FI_METHOD__T_LC__data1:
#line 1091
#define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1091
#undef whati
#line 1091
break;
#line 1091

#line 1094 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__data2 */
#line 1094
case FI_METHOD__T_LC__data2:
#line 1094
#define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1094
#undef whati
#line 1094
break;
#line 1094

#line 1097 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__min */
#line 1097
case FI_METHOD__T_CLIST__min:
#line 1097
#define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1097
#undef whati
#line 1097
break;
#line 1097

#line 1100 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__max */
#line 1100
case FI_METHOD__T_CLIST__max:
#line 1100
#define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1100
#undef whati
#line 1100
break;
#line 1100

#line 1103 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__min */
#line 1103
case FI_METHOD__T_ECLIST__min:
#line 1103
#define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1103
#undef whati
#line 1103
break;
#line 1103

#line 1106 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__max */
#line 1106
case FI_METHOD__T_ECLIST__max:
#line 1106
#define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1106
#undef whati
#line 1106
break;
#line 1106

#line 1109 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__min */
#line 1109
case FI_METHOD__T_LCLIST__min:
#line 1109
#define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1109
#undef whati
#line 1109
break;
#line 1109

#line 1111 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__max */
#line 1111
case FI_METHOD__T_LCLIST__max:
#line 1111
#define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1111
#undef whati
#line 1111
break;
#line 1111

#line 1137 "filter/f-inst.c"
 /* Iteration for FI_RETURN */
#line 1137
case FI_RETURN:
#line 1137
#define whati (&(what->i_FI_RETURN))
#line 1137
#undef whati
#line 1137
break;
#line 1137

#line 1197 "filter/f-inst.c"
 /* Iteration for FI_CALL */
#line 1197
case FI_CALL:
#line 1197
#define whati (&(what->i_FI_CALL))

#line 1178 "filter/f-inst.c"
    if (!(what->flags & FIF_RECURSIVE))
      BUFFER_PUSH(fit->lines) = whati->sym->function;

    #line 1197 "filter/f-inst.c"
#undef whati
#line 1197
break;
#line 1197

#line 1202 "filter/f-inst.c"
 /* Iteration for FI_DROP_RESULT */
#line 1202
case FI_DROP_RESULT:
#line 1202
#define whati (&(what->i_FI_DROP_RESULT))
#line 1202
#undef whati
#line 1202
break;
#line 1202

#line 1243 "filter/f-inst.c"
 /* Iteration for FI_SWITCH */
#line 1243
case FI_SWITCH:
#line 1243
#define whati (&(what->i_FI_SWITCH))

#line 1226 "filter/f-inst.c"
    tree_walk(whati->tree, f_add_tree_lines, fit);

    #line 1243 "filter/f-inst.c"
#undef whati
#line 1243
break;
#line 1243

#line 1252 "filter/f-inst.c"
 /* Iteration for FI_IP_MASK */
#line 1252
case FI_IP_MASK:
#line 1252
#define whati (&(what->i_FI_IP_MASK))
#line 1252
#undef whati
#line 1252
break;
#line 1252

#line 1260 "filter/f-inst.c"
 /* Iteration for FI_PATH_PREPEND */
#line 1260
case FI_PATH_PREPEND:
#line 1260
#define whati (&(what->i_FI_PATH_PREPEND))
#line 1260
#undef whati
#line 1260
break;
#line 1260

#line 1267 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_PAIR */
#line 1267
case FI_CLIST_ADD_PAIR:
#line 1267
#define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1267
#undef whati
#line 1267
break;
#line 1267

#line 1281 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_IP */
#line 1281
case FI_CLIST_ADD_IP:
#line 1281
#define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1281
#undef whati
#line 1281
break;
#line 1281

#line 1288 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_QUAD */
#line 1288
case FI_CLIST_ADD_QUAD:
#line 1288
#define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1288
#undef whati
#line 1288
break;
#line 1288

#line 1295 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_CLIST */
#line 1295
case FI_CLIST_ADD_CLIST:
#line 1295
#define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1295
#undef whati
#line 1295
break;
#line 1295

#line 1302 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_ADD_EC */
#line 1302
case FI_ECLIST_ADD_EC:
#line 1302
#define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1302
#undef whati
#line 1302
break;
#line 1302

#line 1309 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_ADD_ECLIST */
#line 1309
case FI_ECLIST_ADD_ECLIST:
#line 1309
#define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1309
#undef whati
#line 1309
break;
#line 1309

#line 1316 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_ADD_LC */
#line 1316
case FI_LCLIST_ADD_LC:
#line 1316
#define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1316
#undef whati
#line 1316
break;
#line 1316

#line 1323 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_ADD_LCLIST */
#line 1323
case FI_LCLIST_ADD_LCLIST:
#line 1323
#define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1323
#undef whati
#line 1323
break;
#line 1323

#line 1330 "filter/f-inst.c"
 /* Iteration for FI_PATH_DELETE_INT */
#line 1330
case FI_PATH_DELETE_INT:
#line 1330
#define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1330
#undef whati
#line 1330
break;
#line 1330

#line 1342 "filter/f-inst.c"
 /* Iteration for FI_PATH_DELETE_SET */
#line 1342
case FI_PATH_DELETE_SET:
#line 1342
#define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1342
#undef whati
#line 1342
break;
#line 1342

#line 1349 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_PAIR */
#line 1349
case FI_CLIST_DELETE_PAIR:
#line 1349
#define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1349
#undef whati
#line 1349
break;
#line 1349

#line 1363 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_IP */
#line 1363
case FI_CLIST_DELETE_IP:
#line 1363
#define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1363
#undef whati
#line 1363
break;
#line 1363

#line 1370 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_QUAD */
#line 1370
case FI_CLIST_DELETE_QUAD:
#line 1370
#define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1370
#undef whati
#line 1370
break;
#line 1370

#line 1377 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_CLIST */
#line 1377
case FI_CLIST_DELETE_CLIST:
#line 1377
#define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1377
#undef whati
#line 1377
break;
#line 1377

#line 1388 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_SET */
#line 1388
case FI_CLIST_DELETE_SET:
#line 1388
#define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1388
#undef whati
#line 1388
break;
#line 1388

#line 1395 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_EC */
#line 1395
case FI_ECLIST_DELETE_EC:
#line 1395
#define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1395
#undef whati
#line 1395
break;
#line 1395

#line 1402 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_ECLIST */
#line 1402
case FI_ECLIST_DELETE_ECLIST:
#line 1402
#define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1402
#undef whati
#line 1402
break;
#line 1402

#line 1413 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_SET */
#line 1413
case FI_ECLIST_DELETE_SET:
#line 1413
#define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1413
#undef whati
#line 1413
break;
#line 1413

#line 1420 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_LC */
#line 1420
case FI_LCLIST_DELETE_LC:
#line 1420
#define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1420
#undef whati
#line 1420
break;
#line 1420

#line 1427 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_LCLIST */
#line 1427
case FI_LCLIST_DELETE_LCLIST:
#line 1427
#define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1427
#undef whati
#line 1427
break;
#line 1427

#line 1438 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_SET */
#line 1438
case FI_LCLIST_DELETE_SET:
#line 1438
#define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1438
#undef whati
#line 1438
break;
#line 1438

#line 1449 "filter/f-inst.c"
 /* Iteration for FI_PATH_FILTER_SET */
#line 1449
case FI_PATH_FILTER_SET:
#line 1449
#define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1449
#undef whati
#line 1449
break;
#line 1449

#line 1456 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FILTER_CLIST */
#line 1456
case FI_CLIST_FILTER_CLIST:
#line 1456
#define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1456
#undef whati
#line 1456
break;
#line 1456

#line 1467 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FILTER_SET */
#line 1467
case FI_CLIST_FILTER_SET:
#line 1467
#define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1467
#undef whati
#line 1467
break;
#line 1467

#line 1474 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FILTER_ECLIST */
#line 1474
case FI_ECLIST_FILTER_ECLIST:
#line 1474
#define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1474
#undef whati
#line 1474
break;
#line 1474

#line 1485 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FILTER_SET */
#line 1485
case FI_ECLIST_FILTER_SET:
#line 1485
#define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1485
#undef whati
#line 1485
break;
#line 1485

#line 1492 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FILTER_LCLIST */
#line 1492
case FI_LCLIST_FILTER_LCLIST:
#line 1492
#define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1492
#undef whati
#line 1492
break;
#line 1492

#line 1503 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FILTER_SET */
#line 1503
case FI_LCLIST_FILTER_SET:
#line 1503
#define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1503
#undef whati
#line 1503
break;
#line 1503

#line 1525 "filter/f-inst.c"
 /* Iteration for FI_ROA_CHECK */
#line 1525
case FI_ROA_CHECK:
#line 1525
#define whati (&(what->i_FI_ROA_CHECK))
#line 1525
#undef whati
#line 1525
break;
#line 1525

#line 1541 "filter/f-inst.c"
 /* Iteration for FI_ASPA_CHECK_EXPLICIT */
#line 1541
case FI_ASPA_CHECK_EXPLICIT:
#line 1541
#define whati (&(what->i_FI_ASPA_CHECK_EXPLICIT))
#line 1541
#undef whati
#line 1541
break;
#line 1541

#line 1556 "filter/f-inst.c"
 /* Iteration for FI_FROM_HEX */
#line 1556
case FI_FROM_HEX:
#line 1556
#define whati (&(what->i_FI_FROM_HEX))
#line 1556
#undef whati
#line 1556
break;
#line 1556

#line 1561 "filter/f-inst.c"
 /* Iteration for FI_FORMAT */
#line 1561
case FI_FORMAT:
#line 1561
#define whati (&(what->i_FI_FORMAT))
#line 1561
#undef whati
#line 1561
break;
#line 1561

#line 830 "filter/decl.m4"
 /* Iteration for FI_ASSERT */
#line 830
case FI_ASSERT:
#line 830
#define whati (&(what->i_FI_ASSERT))
#line 830
#undef whati
#line 830
break;
#line 830

#line 775 "filter/decl.m4"

  }
}


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic pop
#endif

